process two_oversampling1 =
     ( ? integer u1, u2;
       ! boolean b1, b2;
         )
  pragmas
    COMMENT " Without assertions: the compiler will answer Clock Constraints "
  end pragmas

   (| b1 := SURECH(u1)
    | b2 := SURECH(u2)
    | u1 ^= u2
%     | assertions() %
    |)
   where
     process SURECH =
       ( ? integer u;
         ! boolean b;
           )
       (| z := u default v
        | v := (z $ init 1) - 1
        | b := v <= 0
        | u ^= when b
        |)
       where 
         integer z, v; 
       end
     ;
     process assertions =
       ( ?boolean b1, b2; !)
           
       (| x1 :=  when b1 default not (when b1 ^+ when b2)
        | x2 :=  when b2 default not (when b1 ^+ when b2)
        | assert (x1 = x2) 
        |)
       where
         boolean x1, x2;
       end;
   end; 
