#include "type.h"
#include "common.h"
#include "pace_control.h"

bool vstop,vauto,vtick; 

Widget auto_button,stop_button;

void auto_creat(Widget widget)
  /*************************************** X11 Callback function */
{
  auto_button = widget;
  vauto = FALSE;
  vtick = FALSE;
}

void inter_auto()
  /*********** X11 Callback function  */
{
  vauto = TRUE;
  vstop = FALSE;
  vtick = FALSE;
}

bool RAUTO()
  /*********** Called by the SIGNAL program 
             to get switching auto events */

{
  long int off4;

  off4 = vauto;
  vauto = FALSE;
  return(off4);
}

void stop_creat(Widget widget)
  /*************************************** X11 Callback function  */
{
  stop_button = widget;
  vstop = FALSE;
}

void inter_stop()
  /*********** X11 Callback function  */

{
  vstop = TRUE;
}
     
bool RSTOP()
  /*********** Called by the SIGNAL program 
             to get stop events */


{
  long int off4;

  off4 = vstop;
  vstop = FALSE;
  return(off4);
}

void inter_tick()
  /*********** X11 Callback function  */

{
  vtick = TRUE;
}
     
bool RTICK()
  /*********** Called by the SIGNAL program to get manual ticks */
{
  long int off4;

  off4 = vtick;
  vtick = FALSE;
  return(off4);
}

void RESET_PANEL(bool cauto)
{
  if(cauto) 
    { 
      putlabel(auto_button,"MANU");
      putlabel(stop_button,"    ");
    }
  else 
    {
      putlabel(auto_button,"AUTO");
      putlabel(stop_button,"QUIT");
    };
}


