module M_Q2_COST =
   constant HomoType NilHomoTypeValue = external;
   type HomoType = external;
   process Q2_COST =
        ( ? boolean OK, stable, C_error, C_cc_328;
            HomoType d_c, d_b, d_OK, d_stable, d_C_y, d_C_error_360, d_C_x1;
          ! HomoType d_x, d_error_253, d_C_cc, d_C_cc_328, d_C_error, d_C_error_342;
        )
      pragmas 
         main ""
      end pragmas
      (| (| CLK_stable := ^stable
          | CLK_stable ^= stable ^= d_stable ^= d_C_y ^= d_C_x1
          | ACT_CLK_stable{}
          |) |)
      where 
      event CLK_stable;
      process ACT_CLK_stable =
           ( )
         (| CLK_stable ^= d_stable_internal ^= d_C_y_internal ^= d_C_x1_internal ^= d_Tick_64 ^= d_C ^= d_CLK_stable ^= 
            done ^= done_489 ^= done_504 ^= done_515 ^= done_535 ^= done_542 ^= done_561 ^= done_580 ^= done_588 ^= 
            done_598 ^= done_608 ^= done_618 ^= done_633 ^= done_640 ^= done_647 ^= done_654 ^= done_661 ^= done_674 ^= 
            done_682 ^= done_690 ^= done_698 ^= done_706 ^= done_714 ^= done_722 ^= done_730 ^= done_738 ^= done_748 ^= 
            done_761 ^= done_774 ^= done_787 ^= done_800 ^= done_813 ^= done_826 ^= done_838 ^= done_850 ^= done_862 ^= 
            done_874 ^= done_886 ^= done_898
          | (| CLK_c := when stable
             | CLK_c ^= OK ^= d_c_internal ^= d_b_internal ^= d_OK_internal ^= d_C_error_360_internal ^= 
               d_C_cc_internal ^= d_C_error_342_internal ^= d_C_70 ^= d_CLK_c ^= d_c ^= d_b ^= d_OK ^= d_C_error_360 ^= 
               d_C_cc ^= d_C_error_342
             | ACT_CLK_c{}
             | CLK_13 := when (not stable)
             | CLK_13 ^= d_C_472
             |)
          | (| (XZX,done_489) := CostDivi{__TC__#_real,__TC__#_real}(d_cc_242,d_bb_241,d_CLK_x,NilHomoTypeValue when 
                                             CLK_x)
             | (d_x_internal,done) := CostUMinus{__TC__#_real}(XZX,d_CLK_x,NilHomoTypeValue when CLK_x)
             | (XZX_514,done_515) := CostNEQ{__TC__#_real,__TC__#_real}(d_cc_259,XZX_527,d_CLK_C_cc_328,
                                             NilHomoTypeValue when CLK_C_cc_328)
             | (d_error_253_internal,done_504) := CostWhen{__TC__#_logical}(XZX_514,d_CLK_error_253,NilHomoTypeValue 
                                             when CLK_error_253)
             | (d_C_cc_internal,done_535) := CostNot(d_OK_internal,d_CLK_c,NilHomoTypeValue when CLK_c)
             | (d_C_cc_328_internal,done_542) := CostNEQ{__TC__#_real,__TC__#_real}(d_bb_258,XZX_554,d_CLK_C_cc_328,
                                             NilHomoTypeValue when CLK_C_cc_328)
             | (d_C_error_internal,done_561) := CostEQ{__TC__#_real,__TC__#_real}(d_bb_258,XZX_573,d_CLK_C_cc_328,
                                             NilHomoTypeValue when CLK_C_cc_328)
             | (d_C_error_342_internal,done_580) := CostLeftTT(d_C_error_internal,d_stable_internal,d_CLK_c,
                                             NilHomoTypeValue when CLK_c)
             | (d_bb_241,done_588) := CostWhen{__TC__#_real}(d_bb_258,d_CLK_x,NilHomoTypeValue when CLK_x)
             | (d_cc_242,done_598) := CostWhen{__TC__#_real}(d_cc_259,d_CLK_x,NilHomoTypeValue when CLK_x)
             | (d_bb_258,done_608) := CostWhen{__TC__#_real}(d_b_internal,d_CLK_C_cc_328,NilHomoTypeValue when 
                                             CLK_C_cc_328)
             | (d_cc_259,done_618) := CostWhen{__TC__#_real}(d_c_internal,d_CLK_C_cc_328,NilHomoTypeValue when 
                                             CLK_C_cc_328)
             | d_Tick_64 := CostConst{__TC__#_event}()
             | (d_C,done_633) := CostNot(d_stable_internal,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_C_70,done_640) := CostNot(d_C_cc_internal,d_CLK_c,NilHomoTypeValue when CLK_c)
             | (d_C_73,done_647) := CostNot(d_C_cc_328_internal,d_CLK_C_cc_328,NilHomoTypeValue when CLK_C_cc_328)
             | (d_C_76,done_654) := CostNot(d_C_error_internal,d_CLK_C_cc_328,NilHomoTypeValue when CLK_C_cc_328)
             | (d_C_79,done_661) := CostOr(d_C_cc_328_internal,d_C_error_internal,d_CLK_C_cc_328,NilHomoTypeValue when 
                                           CLK_C_cc_328)
             | d_CLK_stable := CostConst{__TC__#_event}()
             | (d_CLK_C_cc_328,done_674) := CostWhen1(d_C_cc_internal,d_CLK_c,NilHomoTypeValue when CLK_c)
             | (d_C_470,done_682) := CostWhen1(d_C_70,d_CLK_c,NilHomoTypeValue when CLK_c)
             | (d_CLK_c,done_690) := CostWhen1(d_stable_internal,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_C_472,done_698) := CostWhen1(d_C,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_CLK_x,done_706) := CostWhen1(d_C_cc_328_internal,d_CLK_C_cc_328,NilHomoTypeValue when CLK_C_cc_328)
             | (d_C_474,done_714) := CostWhen1(d_C_73,d_CLK_C_cc_328,NilHomoTypeValue when CLK_C_cc_328)
             | (d_CLK_error_253,done_722) := CostWhen1(d_C_error_internal,d_CLK_C_cc_328,NilHomoTypeValue when 
                                             CLK_C_cc_328)
             | (d_C_476,done_730) := CostWhen1(d_C_76,d_CLK_C_cc_328,NilHomoTypeValue when CLK_C_cc_328)
             | (d_C_477,done_738) := CostWhen1(d_C_79,d_CLK_C_cc_328,NilHomoTypeValue when CLK_C_cc_328)
             | (d_c_internal,done_748) := CostInput{__TC__#_real}(d_c,d_CLK_c,NilHomoTypeValue when CLK_c)
             | (d_b_internal,done_761) := CostInput{__TC__#_real}(d_b,d_CLK_c,NilHomoTypeValue when CLK_c)
             | (d_OK_internal,done_774) := CostInput{__TC__#_logical}(d_OK,d_CLK_c,NilHomoTypeValue when CLK_c)
             | (d_stable_internal,done_787) := CostInput{__TC__#_logical}(d_stable,d_CLK_stable,NilHomoTypeValue when 
                                             CLK_stable)
             | (d_C_y_internal,done_800) := CostInput{__TC__#_logical}(d_C_y,d_CLK_stable,NilHomoTypeValue when 
                                             CLK_stable)
             | (d_C_error_360_internal,done_813) := CostInput{__TC__#_logical}(d_C_error_360,d_CLK_c,NilHomoTypeValue 
                                             when CLK_c)
             | (d_C_x1_internal,done_826) := CostInput{__TC__#_logical}(d_C_x1,d_CLK_stable,NilHomoTypeValue when 
                                             CLK_stable)
             | (d_x,done_838) := CostOutput{__TC__#_real}(d_x_internal,d_CLK_x,NilHomoTypeValue when CLK_x)
             | (d_error_253,done_850) := CostOutput{__TC__#_logical}(d_error_253_internal,d_CLK_error_253,
                                             NilHomoTypeValue when CLK_error_253)
             | (d_C_cc,done_862) := CostOutput{__TC__#_logical}(d_C_cc_internal,d_CLK_c,NilHomoTypeValue when CLK_c)
             | (d_C_cc_328,done_874) := CostOutput{__TC__#_logical}(d_C_cc_328_internal,d_CLK_C_cc_328,
                                             NilHomoTypeValue when CLK_C_cc_328)
             | (d_C_error,done_886) := CostOutput{__TC__#_logical}(d_C_error_internal,d_CLK_C_cc_328,NilHomoTypeValue 
                                             when CLK_C_cc_328)
             | (d_C_error_342,done_898) := CostOutput{__TC__#_logical}(d_C_error_342_internal,d_CLK_c,
                                             NilHomoTypeValue when CLK_c)
             |)
          |)
         where 
         event CLK_error_253, CLK_x, CLK_13, CLK_c, CLK_C_cc_328;
         HomoType d_c_internal, d_b_internal, d_OK_internal, d_stable_internal, d_C_y_internal, 
                  d_C_error_360_internal, d_C_x1_internal, d_x_internal, d_error_253_internal, d_C_cc_internal, 
                  d_C_cc_328_internal, d_C_error_internal, d_C_error_342_internal, d_bb_241, d_cc_242, d_bb_258, 
                  d_cc_259, d_Tick_64, d_C, d_C_70, d_C_73, d_C_76, d_C_79, d_CLK_stable, d_CLK_C_cc_328, d_C_470, 
                  d_CLK_c, d_C_472, d_CLK_x, d_C_474, d_CLK_error_253, d_C_476, d_C_477, done, XZX, done_489, done_504, 
                  XZX_514, done_515, XZX_527, done_535, done_542, XZX_554, done_561, XZX_573, done_580, done_588, 
                  done_598, done_608, done_618, done_633, done_640, done_647, done_654, done_661, done_674, done_682, 
                  done_690, done_698, done_706, done_714, done_722, done_730, done_738, done_748, done_761, done_774, 
                  done_787, done_800, done_813, done_826, done_838, done_850, done_862, done_874, done_886, done_898;
         process ACT_CLK_c =
              ( )
            (| CLK_c ^= C_cc
             | (| CLK_C_cc_328 := when C_cc
                | CLK_C_cc_328 ^= C_error ^= C_cc_328 ^= d_C_cc_328_internal ^= d_C_error_internal ^= d_bb_258 ^= 
                  d_cc_259 ^= d_C_73 ^= d_C_76 ^= d_C_79 ^= d_CLK_C_cc_328 ^= XZX_514 ^= XZX_527 ^= XZX_554 ^= XZX_573 
                  ^= d_C_cc_328 ^= d_C_error
                | ACT_CLK_C_cc_328{}
                | CLK := when (not C_cc)
                | CLK ^= d_C_470
                |)
             | (| C_cc := not OK |)
             |)
            where 
            event CLK;
            boolean C_cc;
            process ACT_CLK_C_cc_328 =
                 ( )
               (| CLK_C_cc_328 ^= C_79
                | (| CLK_x := when C_cc_328
                   | CLK_x ^= d_x_internal ^= d_bb_241 ^= d_cc_242 ^= d_CLK_x ^= XZX ^= d_x
                   | CLK_16 := when (not C_cc_328)
                   | CLK_16 ^= d_C_474
                   |)
                | (| CLK_error_253 := when C_error
                   | CLK_error_253 ^= d_error_253_internal ^= d_CLK_error_253 ^= d_error_253
                   | CLK_19 := when (not C_error)
                   | CLK_19 ^= d_C_476
                   |)
                | (| CLK_38 := when C_79
                   | CLK_38 ^= d_C_477
                   |)
                | (| C_79 := C_cc_328 or C_error
                   | XZX_527 := CostConst{__TC__#_real}()
                   | XZX_554 := CostConst{__TC__#_real}()
                   | XZX_573 := CostConst{__TC__#_real}()
                   |)
                |)
               where 
               event CLK_38, CLK_19, CLK_16;
               boolean C_79;
               end
            %ACT_CLK_C_cc_328%; 
            end
         %ACT_CLK_c%; 
         end
      %ACT_CLK_stable%; 
      end
   %Q2_COST%; %(| C := not stable
                | C_70 := not C_cc
                | C_73 := not C_cc_328
                | C_76 := not C_error
                |)***war: unused signals 
   *
   %
   use Cost_Context, STD, COSTBIB; 
end %M_Q2_COST%; 
