module M_Q1_COST =
   type HomoType = external;
   constant HomoType NilHomoTypeValue = external;
   constant HomoType d_epsilon = external;
   process Q1_COST =
        ( ? boolean err2, stable, next_stable, OK, C_d, C_, C_cc_391, C_380, C_error_405, C_cc, C_error, C_338, C_335;
            HomoType d_c, d_b, d_a, d_x, d_err2, d_C_cc, d_C_cc_391, d_C_error, d_C_error_405;
          ! HomoType d_error, d_x1, d_x2, d_OK, d_stable;
        )
      pragmas 
         main
         Defined_clock_hierarchy
      end pragmas
      (| (| CLK_stable_0 := ^stable
          | CLK_stable_0 ^= stable ^= next_stable ^= C_338 ^= C_335 ^= d_stable
          | ACT_CLK_stable_0{}
          |) |)
      where 
      event CLK_stable_0;
      process ACT_CLK_stable_0 =
           ( )
         (| CLK_stable_0 ^= biterate ^= C ^= C_y ^= OK_354 ^= C_d_364 ^= C__375 ^= C_cc_397 ^= C__429 ^= C_x21 ^= C_x1 ^= C_469 ^= C_473 ^= C_476 ^= OK_238 ^= C_d_247 ^= C__256 ^= C_cc_268 ^= C_cc_391_277 ^= C_356 ^= C_365 ^= C_375 ^= C_378 ^= C_381 ^= 
            C_384 ^= C_387 ^= C_394 ^= C_397 ^= d_stable_internal ^= d_next_stable ^= d_yy ^= d_pre_next_yy ^= d_mx ^= d_next_yy ^= d_biterate ^= d_s ^= d_XZX_164 ^= d_C ^= d_C_335 ^= d_C_338 ^= d_C_y ^= d_OK_354 ^= d_C_d_364 ^= d_C__375 ^= d_C_cc_397 ^= 
            d_C__429 ^= d_C_x21 ^= d_C_x1 ^= d_C_469 ^= d_C_473 ^= d_C_476 ^= d_OK_238 ^= d_C_d_247 ^= d_C__256 ^= d_C_cc_268 ^= d_C_cc_391_277 ^= d_C_356 ^= d_C_365 ^= d_C_375 ^= d_C_378 ^= d_C_381 ^= d_C_384 ^= d_C_387 ^= d_C_394 ^= d_C_397 ^= 
            d_CLK_stable_0 ^= done ^= done_996 ^= done_1000 ^= done_1012 ^= done_1029 ^= done_1036 ^= done_1040 ^= done_1052 ^= done_1063 ^= done_1069 ^= done_1073 ^= done_1082 ^= done_1093 ^= done_1108 ^= done_1112 ^= done_1124 ^= done_1135 ^= done_1154 
            ^= done_1165 ^= done_1175 ^= done_1194 ^= done_1210 ^= done_1220 ^= done_1229 ^= done_1234 ^= done_1243 ^= done_1248 ^= done_1254 ^= XZX_1257 ^= done_1258 ^= XZX_1269 ^= done_1270 ^= done_1280 ^= done_1301 ^= done_1312 ^= done_1324 ^= 
            done_1333 ^= done_1339 ^= done_1344 ^= done_1355 ^= done_1361 ^= XZX_1364 ^= done_1365 ^= XZX_1376 ^= done_1377 ^= XZX_1386 ^= done_1387 ^= XZX_1399 ^= XZX_1405 ^= done_1406 ^= XZX_1418 ^= done_1419 ^= XZX_1445 ^= done_1446 ^= XZX_1455 ^= 
            done_1456 ^= XZX_1465 ^= done_1466 ^= done_1487 ^= XZX_1490 ^= done_1491 ^= XZX_1500 ^= done_1501 ^= XZX_1513 ^= done_1514 ^= done_1525 ^= done_1538 ^= XZX_1555 ^= done_1562 ^= XZX_1568 ^= done_1569 ^= XZX_1581 ^= done_1589 ^= done_1596 ^= 
            done_1599 ^= done_1604 ^= done_1613 ^= done_1623 ^= XZX_1632 ^= done_1633 ^= XZX_1649 ^= done_1650 ^= done_1661 ^= done_1684 ^= XZX_1687 ^= done_1688 ^= XZX_1704 ^= done_1705 ^= done_1721 ^= XZX_1724 ^= done_1725 ^= XZX_1741 ^= done_1742 ^= 
            done_1753 ^= done_1761 ^= done_1774 ^= XZX_1781 ^= done_1782 ^= done_1790 ^= XZX_1797 ^= done_1798 ^= done_1806 ^= done_1813 ^= done_1831 ^= done_1857 ^= done_1878 ^= done_1893 ^= done_1903 ^= done_1913 ^= done_1923 ^= done_1937 ^= done_1947 ^=
            done_1957 ^= done_1976 ^= done_1992 ^= done_2002 ^= done_2012 ^= done_2025 ^= done_2033 ^= done_2046 ^= done_2054 ^= done_2057 ^= done_2068 ^= done_2076 ^= done_2084 ^= XZX_2091 ^= done_2092 ^= done_2100 ^= XZX_2107 ^= done_2108 ^= done_2116 ^=
            XZX_2123 ^= done_2124 ^= done_2132 ^= XZX_2139 ^= done_2140 ^= done_2148 ^= XZX_2155 ^= done_2156 ^= done_2164 ^= done_2172 ^= done_2180 ^= done_2187 ^= done_2195 ^= done_2203 ^= done_2211 ^= done_2219 ^= done_2227 ^= done_2235 ^= done_2243 ^= 
            done_2251 ^= done_2259 ^= done_2275 ^= done_2283 ^= done_2291 ^= done_2299 ^= done_2307 ^= done_2319 ^= done_2327 ^= done_2335 ^= done_2343 ^= done_2351 ^= done_2359 ^= done_2367 ^= done_2375 ^= done_2383 ^= done_2392 ^= done_2398 ^= done_2404 
            ^= done_2415 ^= done_2426 ^= done_2432 ^= done_2448 ^= done_2459 ^= done_2498
          | (| CLK := when biterate
             | CLK ^= d_CLK
             |)
          | (| CLK_c_0 := when stable
             | CLK_c_0 ^= OK ^= C_error_405 ^= C_cc ^= d_c ^= d_b ^= d_a ^= d_C_cc ^= d_C_error_405 ^= d_OK ^= d_c_internal ^= d_b_internal ^= d_a_internal ^= d_C_cc_internal ^= d_C_error_405_internal ^= d_OK_internal ^= d_C_383 ^= d_C_380_262 ^= 
               d_C_error_283 ^= d_C_error_323 ^= d_C_391 ^= d_CLK_c_0 ^= XZX_1085 ^= XZX_2171
             | ACT_CLK_c_0{}
             |)
          | (| CLK_65 := when C_335
             | CLK_65 ^= d_CLK_65
             |)
          | (| CLK_x2_0 := when C_y
             | CLK_x2_0 ^= d_x2 ^= d_x2_internal ^= d_x_194 ^= d_x_185 ^= d_y ^= d_bb_127 ^= d_CLK_x2_0 ^= XZX_1174 ^= XZX_1187 ^= XZX_1193 ^= XZX_1956 ^= XZX_1969 ^= XZX_1975
             | ACT_CLK_x2_0{}
             |)
          | (| CLK_XZX_181_0 := when C__429
             | CLK_XZX_181_0 ^= d_XZX_181 ^= d_CLK_XZX_181_0
             |)
          | (| CLK_x21_0 := when C_x21
             | CLK_x21_0 ^= d_x21 ^= d_CLK_x21_0 ^= XZX_1111 ^= XZX_1123
             |)
          | (| CLK_x1_0 := when C_x1
             | CLK_x1_0 ^= d_x1 ^= d_x1_internal ^= d_CLK_x1_0 ^= XZX_1039 ^= XZX_1051
             |)
          | (| CLK_207 := when C_375
             | CLK_207 ^= d_CLK_322
             |)
          | (| CLK_209 := when C_378
             | CLK_209 ^= d_CLK_324
             |)
          | (| CLK_211 := when C_381
             | CLK_211 ^= d_CLK_326
             |)
          | (| CLK_213 := when C_384
             | CLK_213 ^= d_CLK_328
             |)
          | (| CLK_215 := when C_387
             | CLK_215 ^= d_CLK_330
             |)
          | (| CLK_220 := when C_394
             | CLK_220 ^= d_CLK_334 ^= XZX_1734
             | XZX_1734 := CostConst{__TC__#_logical}()
             |)
          | (| CLK_222 := when C_397
             | CLK_222 ^= d_CLK_336 ^= XZX_1642 ^= XZX_1697
             | ACT_CLK_222{}
             |)
          | (| biterate := CLK_d_0 default ((not stable) when CLK_207)
             | C := not biterate
             | C_y := next_stable and biterate
             | OK_354 := left_tt ( OK,stable )
             | C_d_364 := (C_d when CLK_bb) default (not CLK_222)
             | C__375 := (C_ when CLK_bb) default (not CLK_222)
             | C_cc_397 := (C_cc_391 when CLK_C_cc_391_0) default (not CLK_220)
             | C__429 := C_y or OK_354
             | C_x21 := C_y or C__375
             | C_x1 := C_x21 or C_cc_397
             | C_469 := (not C_y) and C__375
             | C_473 := (not C_x21) and C_cc_397
             | C_476 := not C_d_364
             | OK_238 := left_tt ( OK,stable )
             | C_d_247 := left_tt ( C_d,stable )
             | C__256 := left_tt ( C_,stable )
             | C_cc_268 := left_tt ( C_cc,stable )
             | C_cc_391_277 := left_tt ( C_cc_391,stable )
             | C_356 := C_469 and C__256
             | C_365 := C_473 and C_cc_391_277
             | C_375 := (not C_d_247) and C_476
             | C_378 := (not C_x21) and C_365
             | C_381 := (not C_y) and C_356
             | C_384 := (not C_335) and C_338
             | C_387 := (not biterate) and C
             | C_394 := not C_cc_268
             | C_397 := not OK_238
             | (XZX,done_1000) := CostWhen{__TC__#_logical}(d_err2_internal,d_CLK_332,NilHomoTypeValue when CLK_46)
             | (XZX_1011,done_1012) := CostWhen{__TC__#_event}(XZX_1022,d_CLK_24,NilHomoTypeValue when CLK_46)
             | (d_error_internal,done) := CostDefault{__TC__#_logical}(XZX_1011,XZX,d_CLK_error_1,done_996)
             | (XZX_1039,done_1040) := CostWhen{__TC__#_real}(d_x_internal,d_CLK_324,NilHomoTypeValue when CLK_x1_0)
             | (XZX_1051,done_1052) := CostWhen{__TC__#_real}(d_x21,d_CLK_x21_0,NilHomoTypeValue when CLK_x1_0)
             | (d_x1_internal,done_1029) := CostDefault{__TC__#_real}(XZX_1051,XZX_1039,d_CLK_x1_0,done_1036)
             | (d_x2_internal,done_1063) := CostRenaming{__TC__#_real}(d_x_185,d_CLK_x2_0,done_1069)
             | (d_OK_internal,done_1073) := CostNEQ{__TC__#_real,__TC__#_real}(d_a_internal,XZX_1085,d_CLK_c_0,done_1082)
             | (d_stable_internal,done_1093) := CostDelay{__TC__#_logical}(d_next_stable,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1111,done_1112) := CostWhen{__TC__#_real}(d_x0,d_CLK_326,NilHomoTypeValue when CLK_x21_0)
             | (XZX_1123,done_1124) := CostWhen{__TC__#_real}(d_x_194,d_CLK_x2_0,NilHomoTypeValue when CLK_x21_0)
             | (d_x21,done_1036) := CostDefault{__TC__#_real}(XZX_1123,XZX_1111,d_CLK_x21_0,done_1108)
             | (XZX_1153,done_1154) := CostUMinus{__TC__#_real}(d_XZX_109,d_CLK_x0_0,NilHomoTypeValue when CLK_x0_0)
             | (d_x0,done_1135) := CostDivi{__TC__#_real,__TC__#_real}(XZX_1153,XZX_1147,d_CLK_x0_0,NilHomoTypeValue when CLK_x0_0)
             | (XZX_1193,done_1194) := CostPlus{__TC__#_real,__TC__#_real}(d_bb_127,d_y,d_CLK_x2_0,NilHomoTypeValue when CLK_x2_0)
             | (XZX_1174,done_1175) := CostDivi{__TC__#_real,__TC__#_real}(XZX_1193,XZX_1187,d_CLK_x2_0,NilHomoTypeValue when CLK_x2_0)
             | (d_x_194,done_1165) := CostUMinus{__TC__#_real}(XZX_1174,d_CLK_x2_0,NilHomoTypeValue when CLK_x2_0)
             | (d_d,done_1210) := CostWhen{__TC__#_real}(d_dd,d_CLK_d_0,NilHomoTypeValue when CLK_d_0)
             | (d_bb,done_1220) := CostDivi{__TC__#_real,__TC__#_real}(d_XZX_99,d_aa,d_CLK_bb,done_1229)
             | (d_next_stable,done_1234) := CostLT{__TC__#_real,__TC__#_real}(d_s,d_epsilon,d_CLK_stable_0,done_1243)
             | (XZX_1257,done_1258) := CostWhen{__TC__#_real}(d_pre_next_yy,d_CLK_322,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1279,done_1280) := CostDivi{__TC__#_real,__TC__#_real}(d_d,XZX_1292,d_CLK_d_0,NilHomoTypeValue when CLK_d_0)
             | (XZX_1269,done_1270) := CostWhen{__TC__#_real}(XZX_1279,d_CLK_d_0,NilHomoTypeValue when CLK_stable_0)
             | (d_yy,done_1248) := CostDefault{__TC__#_real}(XZX_1269,XZX_1257,d_CLK_stable_0,done_1254)
             | (XZX_1311,done_1312) := CostWhen{__TC__#_real}(d_bb,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (d_XZX_181,done_1301) := CostCell{__TC__#_real}(XZX_1311,d_CLK_XZX_181_0,d_CLK_XZX_181_0,NilHomoTypeValue when CLK_XZX_181_0)
             | (d_pre_next_yy,done_1324) := CostDelay{__TC__#_real}(d_next_yy,d_CLK_stable_0,done_1093)
             | (XZX_1343,done_1344) := CostWhen{__TC__#_real}(d_d,d_CLK_d_0,NilHomoTypeValue when CLK_d_0)
             | (d_mx,done_1333) := CostCell{__TC__#_real}(XZX_1343,d_CLK_stable_0,d_CLK_stable_0,done_1339)
             | (XZX_1364,done_1365) := CostWhen{__TC__#_real}(d_yy,d_CLK_330,NilHomoTypeValue when CLK_stable_0)
             | XZX_1399 := CostConst{__TC__#_real}()
             | (XZX_1418,done_1419) := CostDivi{__TC__#_real,__TC__#_real}(d_mx,d_yy,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1405,done_1406) := CostPlus{__TC__#_real,__TC__#_real}(d_yy,XZX_1418,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1386,done_1387) := CostDivi{__TC__#_real,__TC__#_real}(XZX_1405,XZX_1399,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1376,done_1377) := CostWhen{__TC__#_real}(XZX_1386,d_CLK,NilHomoTypeValue when CLK_stable_0)
             | (d_next_yy,done_1355) := CostDefault{__TC__#_real}(XZX_1376,XZX_1364,d_CLK_stable_0,done_1361)
             | (XZX_1455,done_1456) := CostNot(d_stable_internal,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1445,done_1446) := CostWhen{__TC__#_logical}(XZX_1455,d_CLK_322,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1465,done_1466) := CostWhen{__TC__#_event}(XZX_1475,d_CLK_d_0,NilHomoTypeValue when CLK_stable_0)
             | (d_biterate,done_1361) := CostDefault{__TC__#_logical}(XZX_1465,XZX_1445,d_CLK_stable_0,done_1248)
             | (XZX_1500,done_1501) := CostUMinus{__TC__#_real}(d_XZX_164,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1490,done_1491) := CostWhen{__TC__#_real}(XZX_1500,d_CLK_328,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1513,done_1514) := CostWhen{__TC__#_real}(d_XZX_164,d_CLK_65,NilHomoTypeValue when CLK_stable_0)
             | (d_s,done_1243) := CostDefault{__TC__#_real}(XZX_1513,XZX_1490,d_CLK_stable_0,done_1487)
             | (d_XZX_164,done_1525) := CostMinus{__TC__#_real,__TC__#_real}(d_next_yy,d_yy,d_CLK_stable_0,done_1355)
             | (d_C,done_1538) := CostNot(d_biterate,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | XZX_1555 := CostConst{__TC__#_real}()
             | (d_C_335,done_1487) := CostGEQ{__TC__#_real,__TC__#_real}(d_XZX_164,XZX_1555,d_CLK_stable_0,done_1525)
             | XZX_1581 := CostConst{__TC__#_real}()
             | (XZX_1568,done_1569) := CostGEQ{__TC__#_real,__TC__#_real}(d_XZX_164,XZX_1581,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_338,done_1562) := CostNot(XZX_1568,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_y,done_1589) := CostAnd(d_next_stable,d_biterate,d_CLK_stable_0,done_1234)
             | (d_OK_354,done_1596) := CostLeftTT(d_OK_internal,d_stable_internal,d_CLK_stable_0,done_1599)
             | (d_C_d,done_1604) := CostGT{__TC__#_real,__TC__#_real}(d_dd,XZX_1616,d_CLK_bb,done_1613)
             | (XZX_1632,done_1633) := CostWhen{__TC__#_logical}(XZX_1642,d_CLK_336,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1649,done_1650) := CostWhen{__TC__#_logical}(d_C_d,d_CLK_bb,NilHomoTypeValue when CLK_stable_0)
             | (d_C_d_364,done_1623) := CostDefault{__TC__#_logical}(XZX_1649,XZX_1632,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_,done_1661) := CostEQ{__TC__#_real,__TC__#_real}(d_dd,XZX_1672,d_CLK_bb,done_1604)
             | (XZX_1687,done_1688) := CostWhen{__TC__#_logical}(XZX_1697,d_CLK_336,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1704,done_1705) := CostWhen{__TC__#_logical}(d_C_,d_CLK_bb,NilHomoTypeValue when CLK_stable_0)
             | (d_C__375,done_1254) := CostDefault{__TC__#_logical}(XZX_1704,XZX_1687,d_CLK_stable_0,done_1684)
             | (XZX_1724,done_1725) := CostWhen{__TC__#_logical}(XZX_1734,d_CLK_334,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1741,done_1742) := CostWhen{__TC__#_logical}(d_C_cc_391_internal,d_CLK_C_cc_391_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_cc_397,done_1684) := CostDefault{__TC__#_logical}(XZX_1741,XZX_1724,d_CLK_stable_0,done_1721)
             | (d_C__429,done_1753) := CostOr(d_C_y,d_OK_354,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_x21,done_1761) := CostOr(d_C_y,d_C__375,d_CLK_stable_0,done_1589)
             | (d_C_x1,done_1069) := CostOr(d_C_x21,d_C_cc_397,d_CLK_stable_0,done_1761)
             | (XZX_1781,done_1782) := CostNot(d_C_y,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_469,done_1774) := CostAnd(XZX_1781,d_C__375,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1797,done_1798) := CostNot(d_C_x21,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_473,done_1790) := CostAnd(XZX_1797,d_C_cc_397,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_476,done_1806) := CostNot(d_C_d_364,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_380,done_1813) := CostLT{__TC__#_real,__TC__#_real}(d_dd,XZX_1824,d_CLK_bb,done_1661)
             | (d_C_383,done_1831) := CostLeftTT(d_C_380,d_OK_internal,d_CLK_c_0,done_1813)
             | (XZX_1856,done_1857) := CostMult{__TC__#_real,__TC__#_real}(XZX_1870,d_cc,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (XZX_1877,done_1878) := CostMult{__TC__#_real,__TC__#_real}(d_bb,d_bb,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (d_dd,done_1613) := CostMinus{__TC__#_real,__TC__#_real}(XZX_1877,XZX_1856,d_CLK_bb,done_1220)
             | (d_aa,done_1893) := CostWhen{__TC__#_real}(d_a_internal,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (d_XZX_99,done_1903) := CostWhen{__TC__#_real}(d_b_internal,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (d_XZX_103,done_1913) := CostWhen{__TC__#_real}(d_c_internal,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (d_cc,done_1923) := CostDivi{__TC__#_real,__TC__#_real}(d_XZX_103,d_aa,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (d_XZX_109,done_1937) := CostWhen{__TC__#_real}(d_bb,d_CLK_x0_0,NilHomoTypeValue when CLK_x0_0)
             | (XZX_1975,done_1976) := CostMinus{__TC__#_real,__TC__#_real}(d_bb_127,d_y,d_CLK_x2_0,NilHomoTypeValue when CLK_x2_0)
             | (XZX_1956,done_1957) := CostDivi{__TC__#_real,__TC__#_real}(XZX_1975,XZX_1969,d_CLK_x2_0,NilHomoTypeValue when CLK_x2_0)
             | (d_x_185,done_1947) := CostUMinus{__TC__#_real}(XZX_1956,d_CLK_x2_0,NilHomoTypeValue when CLK_x2_0)
             | (d_y,done_1992) := CostWhen{__TC__#_real}(d_yy,d_CLK_x2_0,NilHomoTypeValue when CLK_x2_0)
             | (d_bb_127,done_2002) := CostWhen{__TC__#_real}(d_XZX_181,d_CLK_x2_0,NilHomoTypeValue when CLK_x2_0)
             | (d_OK_238,done_2012) := CostLeftTT(d_OK_internal,d_stable_internal,d_CLK_stable_0,done_1596)
             | (d_C_d_247,done_1339) := CostLeftTT(d_C_d,d_stable_internal,d_CLK_stable_0,done_2012)
             | (d_C__256,done_2025) := CostLeftTT(d_C_,d_stable_internal,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_380_262,done_2033) := CostLeftTT(d_C_380,d_OK_internal,d_CLK_c_0,done_1831)
             | (d_C_cc_268,done_1721) := CostLeftTT(d_C_cc_internal,d_stable_internal,d_CLK_stable_0,done_1333)
             | (d_C_cc_391_277,done_2046) := CostLeftTT(d_C_cc_391_internal,d_stable_internal,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_error_283,done_2054) := CostLeftTT(d_C_error_internal,d_C_cc_internal,d_CLK_c_0,done_2057)
             | (d_C_error_323,done_996) := CostOr(d_C_380_262,d_C_error_283,d_CLK_c_0,done_2054)
             | (d_C_356,done_2068) := CostAnd(d_C_469,d_C__256,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_365,done_2076) := CostAnd(d_C_473,d_C_cc_391_277,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_2091,done_2092) := CostNot(d_C_d_247,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_375,done_2084) := CostAnd(XZX_2091,d_C_476,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_2107,done_2108) := CostNot(d_C_x21,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_378,done_2100) := CostAnd(XZX_2107,d_C_365,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_2123,done_2124) := CostNot(d_C_y,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_381,done_2116) := CostAnd(XZX_2123,d_C_356,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_2139,done_2140) := CostNot(d_C_335,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_384,done_2132) := CostAnd(XZX_2139,d_C_338,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_2155,done_2156) := CostNot(d_biterate,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_387,done_2148) := CostAnd(XZX_2155,d_C,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_2171,done_2172) := CostNot(d_C_380_262,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_C_391,done_2164) := CostAnd(XZX_2171,d_C_error_283,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_C_394,done_2180) := CostNot(d_C_cc_268,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_397,done_2187) := CostNot(d_OK_238,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_CLK,done_2195) := CostWhen1(d_biterate,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_CLK_c_0,done_2203) := CostWhen1(d_stable_internal,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_CLK_bb,done_2211) := CostWhen1(d_OK_internal,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_CLK_d_0,done_2219) := CostWhen1(d_C_d,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (d_CLK_x0_0,done_2227) := CostWhen1(d_C_,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (d_CLK_24,done_2235) := CostWhen1(d_C_380,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (d_CLK_C_cc_391_0,done_2243) := CostWhen1(d_C_cc_internal,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_CLK_x_0,done_2251) := CostWhen1(d_C_cc_391_internal,d_CLK_C_cc_391_0,NilHomoTypeValue when CLK_C_cc_391_0)
             | (d_CLK_err2_0,done_2259) := CostWhen1(d_C_error_internal,d_CLK_C_cc_391_0,NilHomoTypeValue when CLK_C_cc_391_0)
             | (d_CLK_65,done_2275) := CostWhen1(d_C_335,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_CLK_x2_0,done_2283) := CostWhen1(d_C_y,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_CLK_XZX_181_0,done_2291) := CostWhen1(d_C__429,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_CLK_x21_0,done_2299) := CostWhen1(d_C_x21,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_CLK_x1_0,done_2307) := CostWhen1(d_C_x1,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | d_CLK_stable_0 := CostConst{__TC__#_event}()
             | (d_CLK_error_1,done_2319) := CostWhen1(d_C_error_323,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_CLK_322,done_2327) := CostWhen1(d_C_375,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_CLK_324,done_2335) := CostWhen1(d_C_378,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_CLK_326,done_2343) := CostWhen1(d_C_381,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_CLK_328,done_2351) := CostWhen1(d_C_384,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_CLK_330,done_2359) := CostWhen1(d_C_387,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_CLK_332,done_2367) := CostWhen1(d_C_391,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_CLK_334,done_2375) := CostWhen1(d_C_394,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_CLK_336,done_2383) := CostWhen1(d_C_397,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_c_internal,done_2392) := CostInput{__TC__#_real}(d_c,d_CLK_c_0,done_2398)
             | (d_b_internal,done_2404) := CostInput{__TC__#_real}(d_b,d_CLK_c_0,done_2392)
             | (d_a_internal,done_2415) := CostInput{__TC__#_real}(d_a,d_CLK_c_0,done_2404)
             | (d_x_internal,done_2426) := CostInput{__TC__#_real}(d_x,d_CLK_x_0,done_2432)
             | (d_err2_internal,done_2057) := CostInput{__TC__#_logical}(d_err2,d_CLK_err2_0,done_2426)
             | (d_C_cc_internal,done_2448) := CostInput{__TC__#_logical}(d_C_cc,d_CLK_c_0,done_2415)
             | (d_C_cc_391_internal,done_2459) := CostInput{__TC__#_logical}(d_C_cc_391,d_CLK_C_cc_391_0,done_2033)
             | (d_C_error_internal,done_2432) := CostInput{__TC__#_logical}(d_C_error,d_CLK_C_cc_391_0,done_2459)
             | (d_C_error_405_internal,done_1082) := CostInput{__TC__#_logical}(d_C_error_405,d_CLK_c_0,done_2448)
             | (d_error,done_1599) := CostOutput{__TC__#_logical}(d_error_internal,d_CLK_error_1,done)
             | (d_x1,done_2498) := CostOutput{__TC__#_real}(d_x1_internal,d_CLK_x1_0,done_1029)
             | (d_x2,done_1108) := CostOutput{__TC__#_real}(d_x2_internal,d_CLK_x2_0,done_1063)
             | (d_OK,done_1229) := CostOutput{__TC__#_logical}(d_OK_internal,d_CLK_c_0,done_1073)
             | (d_stable,done_2398) := CostOutput{__TC__#_logical}(d_stable_internal,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             |)
          |)
         where 
         event CLK_222, CLK_220, CLK_215, CLK_213, CLK_211, CLK_209, CLK_207, CLK_x1_0, CLK_x21_0, CLK_XZX_181_0, CLK_x2_0, CLK_65, CLK_46, CLK_C_cc_391_0, CLK_x0_0, CLK_d_0, CLK_bb, CLK_c_0, CLK;
         boolean biterate, C, C_y, OK_354, C_d_364, C__375, C_cc_397, C__429, C_x21, C_x1, C_469, C_473, C_476, OK_238, C_d_247, C__256, C_cc_268, C_cc_391_277, C_356, C_365, C_375, C_378, C_381, C_384, C_387, C_394, C_397;
         HomoType d_c_internal, d_b_internal, d_a_internal, d_x_internal, d_err2_internal, d_C_cc_internal, d_C_cc_391_internal, d_C_error_internal, d_C_error_405_internal, d_error_internal, d_x1_internal, d_x2_internal, d_OK_internal, d_stable_internal, 
                  d_x21, d_x0, d_x_194, d_d, d_bb, d_next_stable, d_yy, d_XZX_181, d_pre_next_yy, d_mx, d_next_yy, d_biterate, d_s, d_XZX_164, d_C, d_C_335, d_C_338, d_C_y, d_OK_354, d_C_d, d_C_d_364, d_C_, d_C__375, d_C_cc_397, d_C__429, d_C_x21, 
                  d_C_x1, d_C_469, d_C_473, d_C_476, d_C_380, d_C_383, d_dd, d_aa, d_XZX_99, d_XZX_103, d_cc, d_XZX_109, d_x_185, d_y, d_bb_127, d_OK_238, d_C_d_247, d_C__256, d_C_380_262, d_C_cc_268, d_C_cc_391_277, d_C_error_283, d_C_error_323, 
                  d_C_356, d_C_365, d_C_375, d_C_378, d_C_381, d_C_384, d_C_387, d_C_391, d_C_394, d_C_397, d_CLK, d_CLK_c_0, d_CLK_bb, d_CLK_d_0, d_CLK_x0_0, d_CLK_24, d_CLK_C_cc_391_0, d_CLK_x_0, d_CLK_err2_0, d_CLK_65, d_CLK_x2_0, d_CLK_XZX_181_0, 
                  d_CLK_x21_0, d_CLK_x1_0, d_CLK_stable_0, d_CLK_error_1, d_CLK_322, d_CLK_324, d_CLK_326, d_CLK_328, d_CLK_330, d_CLK_332, d_CLK_334, d_CLK_336, done, done_996, XZX, done_1000, XZX_1011, done_1012, XZX_1022, done_1029, done_1036, XZX_1039,
                  done_1040, XZX_1051, done_1052, done_1063, done_1069, done_1073, done_1082, XZX_1085, done_1093, done_1108, XZX_1111, done_1112, XZX_1123, done_1124, done_1135, XZX_1147, XZX_1153, done_1154, done_1165, XZX_1174, done_1175, XZX_1187, 
                  XZX_1193, done_1194, done_1210, done_1220, done_1229, done_1234, done_1243, done_1248, done_1254, XZX_1257, done_1258, XZX_1269, done_1270, XZX_1279, done_1280, XZX_1292, done_1301, XZX_1311, done_1312, done_1324, done_1333, done_1339, 
                  XZX_1343, done_1344, done_1355, done_1361, XZX_1364, done_1365, XZX_1376, done_1377, XZX_1386, done_1387, XZX_1399, XZX_1405, done_1406, XZX_1418, done_1419, XZX_1445, done_1446, XZX_1455, done_1456, XZX_1465, done_1466, XZX_1475, 
                  done_1487, XZX_1490, done_1491, XZX_1500, done_1501, XZX_1513, done_1514, done_1525, done_1538, XZX_1555, done_1562, XZX_1568, done_1569, XZX_1581, done_1589, done_1596, done_1599, done_1604, done_1613, XZX_1616, done_1623, XZX_1632, 
                  done_1633, XZX_1642, XZX_1649, done_1650, done_1661, XZX_1672, done_1684, XZX_1687, done_1688, XZX_1697, XZX_1704, done_1705, done_1721, XZX_1724, done_1725, XZX_1734, XZX_1741, done_1742, done_1753, done_1761, done_1774, XZX_1781, 
                  done_1782, done_1790, XZX_1797, done_1798, done_1806, done_1813, XZX_1824, done_1831, XZX_1856, done_1857, XZX_1870, XZX_1877, done_1878, done_1893, done_1903, done_1913, done_1923, done_1937, done_1947, XZX_1956, done_1957, XZX_1969, 
                  XZX_1975, done_1976, done_1992, done_2002, done_2012, done_2025, done_2033, done_2046, done_2054, done_2057, done_2068, done_2076, done_2084, XZX_2091, done_2092, done_2100, XZX_2107, done_2108, done_2116, XZX_2123, done_2124, done_2132, 
                  XZX_2139, done_2140, done_2148, XZX_2155, done_2156, done_2164, XZX_2171, done_2172, done_2180, done_2187, done_2195, done_2203, done_2211, done_2219, done_2227, done_2235, done_2243, done_2251, done_2259, done_2275, done_2283, done_2291,
                  done_2299, done_2307, done_2319, done_2327, done_2335, done_2343, done_2351, done_2359, done_2367, done_2375, done_2383, done_2392, done_2398, done_2404, done_2415, done_2426, done_2432, done_2448, done_2459, done_2498;
         process ACT_CLK_c_0 =
              ( )
            (| CLK_c_0 ^= C_383 ^= C_error_438 ^= C_380_262 ^= C_error_283 ^= C_error_323 ^= C_391
             | (| CLK_bb := when OK
                | CLK_bb ^= C_d ^= C_ ^= C_380 ^= d_bb ^= d_C_d ^= d_C_ ^= d_C_380 ^= d_dd ^= d_aa ^= d_XZX_99 ^= d_XZX_103 ^= d_cc ^= d_CLK_bb ^= XZX_1311 ^= XZX_1616 ^= XZX_1672 ^= XZX_1824 ^= XZX_1856 ^= XZX_1870 ^= XZX_1877
                | ACT_CLK_bb{}
                |)
             | (| CLK_C_cc_391_0 := when C_cc
                | CLK_C_cc_391_0 ^= C_cc_391 ^= C_error ^= d_C_cc_391 ^= d_C_error ^= d_C_cc_391_internal ^= d_C_error_internal ^= d_CLK_C_cc_391_0
                | ACT_CLK_C_cc_391_0{}
                |)
             | (| CLK_46 := when C_error_438
                | CLK_46 ^= XZX ^= XZX_1011
                |)
             | (| CLK_error_0 := when C_error_323
                | CLK_error_0 ^= d_error ^= d_error_internal ^= d_CLK_error_1
                |)
             | (| CLK_217 := when C_391
                | CLK_217 ^= d_CLK_332
                |)
             | (| C_383 := left_tt ( C_380,OK )
                | C_error_438 := C_383 or C_error_405
                | C_380_262 := left_tt ( C_380,OK )
                | C_error_283 := left_tt ( C_error,C_cc )
                | C_error_323 := C_380_262 or C_error_283
                | C_391 := (not C_380_262) and C_error_283
                | XZX_1085 := CostConst{__TC__#_real}()
                |)
             |)
            where 
            event CLK_217, CLK_error_0;
            boolean C_383, C_error_438, C_380_262, C_error_283, C_error_323, C_391;
            process ACT_CLK_bb =
                 ( )
               (| (| CLK_d_0 := when C_d
                   | CLK_d_0 ^= d_d ^= d_CLK_d_0 ^= XZX_1279 ^= XZX_1292 ^= XZX_1343 ^= XZX_1475
                   | ACT_CLK_d_0{}
                   |)
                | (| CLK_x0_0 := when C_
                   | CLK_x0_0 ^= d_x0 ^= d_XZX_109 ^= d_CLK_x0_0 ^= XZX_1147 ^= XZX_1153
                   | XZX_1147 := CostConst{__TC__#_real}()
                   |)
                | (| CLK_24 := when C_380
                   | CLK_24 ^= d_CLK_24 ^= XZX_1022
                   | XZX_1022 := CostConst{__TC__#_event}()
                   |)
                | (| XZX_1616 := CostConst{__TC__#_real}()
                   | XZX_1672 := CostConst{__TC__#_real}()
                   | XZX_1824 := CostConst{__TC__#_real}()
                   | XZX_1870 := CostConst{__TC__#_real}()
                   |)
                |)
               where 
               event CLK_24;
               process ACT_CLK_d_0 =
                    ( )
                  (| (| XZX_1292 := CostConst{__TC__#_real}()
                      | XZX_1475 := CostConst{__TC__#_event}()
                      |) |)
               %ACT_CLK_d_0%; 
               end
            %ACT_CLK_bb%; 
            process ACT_CLK_C_cc_391_0 =
                 ( )
               (| (| CLK_x_0 := when C_cc_391
                   | CLK_x_0 ^= d_x ^= d_x_internal ^= d_CLK_x_0
                   |)
                | (| CLK_err2_0 := when C_error
                   | CLK_err2_0 ^= err2 ^= d_err2 ^= d_err2_internal ^= d_CLK_err2_0
                   |)
                |)
               where 
               event CLK_err2_0, CLK_x_0;
               end
            %ACT_CLK_C_cc_391_0%; 
            end
         %ACT_CLK_c_0%; 
         process ACT_CLK_x2_0 =
              ( )
            (| (| XZX_1187 := CostConst{__TC__#_real}()
                | XZX_1969 := CostConst{__TC__#_real}()
                |) |)
         %ACT_CLK_x2_0%; 
         process ACT_CLK_222 =
              ( )
            (| (| XZX_1642 := CostConst{__TC__#_logical}()
                | XZX_1697 := CostConst{__TC__#_logical}()
                |) |)
         %ACT_CLK_222%; 
         end
      %ACT_CLK_stable_0%; 
      end
   %Q1_COST%; %(| (d_C_error_438,done_1838) := CostOr(d_C_383,d_C_error_405_internal,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
                | (d_CLK_46,done_2267) := CostWhen1(d_C_error_438,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
                |)***war: unused signals 
   *
   %
   use Cost_Context, STD, COSTBIB; 
end %M_Q1_COST%; 
