module M_equationSolving_COST_TRA =
   constant integer nbTypes = 11;
   constant integer NilHomoTypeValue = 0;
   constant integer _undef = -1;
   constant integer CST_COST_TEST = 2;
   constant integer CST_COST_AND = 2;
   constant integer CST_COST_OR = 2;
   constant integer d_CLK_stable = 0;
   constant integer d_cst_epsilon = external;
   type __TC__ = enum (_event, _logical, _short, _integer, _long, _real, _dpreal, _complex, _dcomplex, _char, _string);
   constant [nbTypes,nbTypes]integer TAB_COST_RELA = [{_I to (nbTypes-1) step 1, _I_25 to (nbTypes-1) step 1}:_undef,[2,2]:3,[2,3]:3,[2,4]:3,[3,2]:3,[3,3]:3,[3,4]:3,[4,2]:3,[4,3]:3,[4,4]:3,[5,5]:5,[5,6]:5,[6,5]:5,[6,6]:5];
   constant [11]integer TAB_ASSIGN = [{_I_98 to (nbTypes-1) step 1}:2];
   constant [11]integer TAB_COST_READ = [[0]:1,[1]:1,[2]:2,[3]:2,[4]:2,[5]:4,[6]:4,[7]:_undef,[8]:_undef,[9]:_undef,[10]:_undef];
   constant [11]integer TAB_COST_WRITE = [[0]:1,[1]:1,[2]:2,[3]:2,[4]:2,[5]:4,[6]:4,[7]:_undef,[8]:_undef,[9]:_undef,[10]:_undef];
   constant [11]integer TAB_UMINUS = [[0]:_undef,[1]:_undef,[2]:1,[3]:2,[4]:3,[5]:4,[6]:5,[7]:_undef,[8]:_undef,[9]:_undef,[10]:_undef];
   constant [nbTypes,nbTypes]integer TAB_PLUS = [{_I_161 to (nbTypes-1) step 1, _I_164 to (nbTypes-1) step 1}:_undef,[2,2]:3,[2,3]:3,[2,4]:3,[3,2]:3,[3,3]:3,[3,4]:3,[4,2]:3,[4,3]:3,[4,4]:3,[5,5]:5,[5,6]:5,[6,5]:5,[6,6]:5];
   constant [nbTypes,nbTypes]integer TAB_MINUS = [{_I_213 to (nbTypes-1) step 1, _I_216 to (nbTypes-1) step 1}:_undef,[2,2]:3,[2,3]:3,[2,4]:3,[3,2]:3,[3,3]:3,[3,4]:3,[4,2]:3,[4,3]:3,[4,4]:3,[5,5]:5,[5,6]:5,[6,5]:5,[6,6]:5];
   process P_COST =
        ( ? boolean stable, error_224, next_stable, OK, C_d, C_, C_370, C_cc_381, C_error, C_328, C_331;
            integer d_a, d_b, d_c;
          ! integer d_x2, d_x1, d_error;
        )
      pragmas 
         Defined_clock_hierarchy
      end pragmas
      (| (| CLK_stable_0 := ^stable
          | CLK_stable_0 ^= stable ^= next_stable ^= C_328 ^= C_331
          | ACT_CLK_stable_0{}
          |) |)
      where 
      event CLK_stable_0;
      process ACT_CLK_stable_0 =
           ( )
         (| CLK_stable_0 ^= biterate ^= C ^= C_y ^= OK_344 ^= C_d_357 ^= C__368 ^= C_cc_390 ^= C__416 ^= C_x ^= C_x1 ^= C_444 ^= C_448 ^= C_451 ^= d_yy ^= d_next_yy ^= d_biterate ^= d_mx ^= d_next_stable ^= d_s ^= d_XZX_147 ^= d_C ^= d_C_328 ^= d_C_331 ^= 
            d_C_y ^= d_OK_344 ^= d_C_d_357 ^= d_C__368 ^= d_C_cc_390 ^= d_C__416 ^= d_C_x ^= d_C_x1 ^= d_C_444 ^= d_C_448 ^= d_C_451 ^= done ^= done_973 ^= done_979 ^= done_983 ^= done_995 ^= done_1006 ^= done_1013 ^= done_1017 ^= done_1027 ^= done_1042 ^=
            done_1051 ^= done_1061 ^= done_1070 ^= done_1075 ^= done_1089 ^= done_1110 ^= done_1122 ^= done_1143 ^= done_1158 ^= done_1168 ^= done_1178 ^= done_1188 ^= done_1207 ^= done_1218 ^= done_1228 ^= done_1238 ^= XZX_1257 ^= XZX_1269 ^= done_1280 ^=
            XZX_1310 ^= XZX_1322 ^= XZX_1332 ^= XZX_1351 ^= XZX_1364 ^= XZX_1391 ^= XZX_1401 ^= XZX_1411 ^= done_1440 ^= XZX_1483 ^= XZX_1493 ^= XZX_1506 ^= done_1530 ^= done_1541 ^= done_1552 ^= done_1562 ^= done_1581 ^= done_1597 ^= done_1607 ^= 
            done_1626 ^= done_1647 ^= done_1651 ^= done_1663 ^= done_1674 ^= done_1684 ^= done_1694 ^= done_1700 ^= done_1704 ^= done_1724 ^= done_1734 ^= done_1749 ^= done_1753 ^= done_1765 ^= XZX_1813 ^= done_1844 ^= done_1854 ^= done_1878 ^= 
            done_1903 ^= done_1921 ^= done_1928 ^= done_1969 ^= XZX_2010 ^= XZX_2026 ^= done_2043 ^= done_2051 ^= done_2059 ^= done_2067 ^= done_2075 ^= done_2087 ^= done_2095 ^= done_2103 ^= done_2111 ^= done_2119 ^= done_2127 ^= done_2135 ^= done_2143 ^=
            done_2151 ^= done_2159 ^= done_2167 ^= done_2175 ^= done_2183 ^= done_2191 ^= done_2199 ^= done_2209 ^= done_2222 ^= done_2254 ^= VMAXDelay ^= c1_1206 ^= pre_d_next_stable ^= vc_1181 ^= VMAX_1191 ^= VMAXW_1735 ^= VMAXW_1830 ^= VMAX_1837 ^= 
            VMAXD_1873 ^= Y_1875 ^= VMAXW_1908 ^= VMAX_1915 ^= c1_1930 ^= c2_1931 ^= vc_1955 ^= VMAXB_1965 ^= X_1966 ^= vc_2006 ^= VMAXB_2015 ^= X_2016 ^= vc_2055 ^= VMAXB_2065 ^= X_2066 ^= VMAXW_2103 ^= VMAX_2110 ^= c1_2125 ^= c2_2126 ^= VMAXD_2146 ^= 
            Y_2148 ^= VMAXU_2189 ^= X_2190 ^= VMAXW_2222 ^= VMAXW_2265 ^= VMAX_2272 ^= VMAXD_2308 ^= Y_2310 ^= VMAXC ^= VMAX_2394 ^= VMAX_2400 ^= vc_2435 ^= d_pre_next_yy ^= c1_2479 ^= pre_d_next_yy ^= vc_2459 ^= VMAX_2465 ^= vc_2504 ^= VMAXB_2516 ^= 
            X_2517 ^= vc_2556 ^= VMAXU_2562 ^= X_2563 ^= VMAXW_2595 ^= VMAX_2602 ^= c1_2617 ^= c2_2618 ^= VMAXW_2638 ^= VMAX_2645 ^= c1_2660 ^= c2_2661 ^= VMAXD_2681 ^= Y_2683 ^= vc_2718 ^= VMAXB_2728 ^= X_2729 ^= VMAXU_3686 ^= X_3687 ^= vc_3723 ^= 
            VMAXB_3735 ^= X_3736 ^= vc_3776 ^= VMAXB_3788 ^= X_3789 ^= VMAXU_3832 ^= X_3833 ^= VMAXB_3872 ^= X_3873 ^= VMAXL ^= VMAX_3917 ^= VMAX_3923 ^= vc_3958 ^= vc_3960 ^= VMAXL_4071 ^= VMAX_4079 ^= VMAX_4085 ^= vc_4120 ^= vc_4122 ^= VMAXL_4189 ^= 
            VMAX_4197 ^= VMAX_4203 ^= vc_4238 ^= vc_4240 ^= VMAXL_4433 ^= VMAX_4441 ^= VMAX_4447 ^= vc_4482 ^= vc_4484 ^= VMAXB_4628 ^= X_4629 ^= VMAXB_4672 ^= X_4673 ^= VMAXB_4761 ^= X_4762 ^= VMAXU_4806 ^= X_4807 ^= VMAXB_4845 ^= X_4846 ^= VMAXU_4889 ^= 
            X_4890 ^= VMAXB_4928 ^= X_4929 ^= VMAXU_4972 ^= X_4973
          | (| CLK_d_CLK_66 := when biterate
             | CLK_d_CLK_66 ^= d_CLK_66
             | ACT_CLK_d_CLK_66{}
             | CLK := when (not biterate)
             |)
          | (| CLK_d_CLK_240 := when C
             | CLK_d_CLK_240 ^= d_CLK_240
             | ACT_CLK_d_CLK_240{}
             | CLK_12 := when (not C)
             |)
          | (| CLK_d_CLK_242 := when C_328
             | CLK_d_CLK_242 ^= d_CLK_242
             | ACT_CLK_d_CLK_242{}
             | CLK_15 := when (not C_328)
             |)
          | (| CLK_d_CLK_244 := when C_331
             | CLK_d_CLK_244 ^= d_CLK_244
             | ACT_CLK_d_CLK_244{}
             | CLK_18 := when (not C_331)
             |)
          | (| CLK_d_x2 := when C_y
             | CLK_d_x2 ^= d_x2 ^= d_x2_internal ^= d_y ^= d_bb_110 ^= d_x_168 ^= d_x_177 ^= d_CLK_x2_0 ^= XZX_1561 ^= XZX_1580 ^= XZX_1606 ^= XZX_1625 ^= VMAX_1699
             | ACT_CLK_d_x2{}
             | CLK_21 := when (not C_y)
             |)
          | (| CLK_OK := when stable
             | CLK_OK ^= OK ^= d_a ^= d_b ^= d_c ^= d_a_internal ^= d_b_internal ^= d_c_internal ^= d_OK ^= d_C_cc ^= d_C_376 ^= d_C_error_398 ^= d_C_err ^= d_CLK_a
             | ACT_CLK_OK{}
             | CLK_24 := when (not stable)
             |)
          | (| CLK_d_XZX_164 := when C__416
             | CLK_d_XZX_164 ^= d_XZX_164 ^= d_CLK_XZX_164_0 ^= VMAX_2817
             | ACT_CLK_d_XZX_164{}
             | CLK_72 := when (not C__416)
             |)
          | (| CLK_d_x21 := when C_x
             | CLK_d_x21 ^= d_x21 ^= d_CLK_x21_0 ^= XZX_1650 ^= XZX_1662 ^= VMAX_3163 ^= VMAX_3207
             | ACT_CLK_d_x21{}
             | CLK_75 := when (not C_x)
             |)
          | (| CLK_d_x1 := when C_x1
             | CLK_d_x1 ^= d_x1 ^= d_x1_internal ^= d_CLK_x1_0 ^= XZX ^= XZX_994 ^= VMAX_709 ^= VMAX_753
             | ACT_CLK_d_x1{}
             | CLK_78 := when (not C_x1)
             |)
          | (| CLK_d_CLK_324 := when C_444
             | CLK_d_CLK_324 ^= d_CLK_324
             | ACT_CLK_d_CLK_324{}
             | CLK_81 := when (not C_444)
             |)
          | (| CLK_d_CLK_326 := when C_448
             | CLK_d_CLK_326 ^= d_CLK_326
             | ACT_CLK_d_CLK_326{}
             | CLK_85 := when (not C_448)
             |)
          | (| CLK_d_CLK_328 := when C_451
             | CLK_d_CLK_328 ^= d_CLK_328
             | ACT_CLK_d_CLK_328{}
             | CLK_87 := when (not C_451)
             |)
          | (| CLK_628 := when (c1_1206>VMAX_1191)
             | CLK_629 := when (not (c1_1206>VMAX_1191))
             |)
          | (| CLK_1274 := when (XZX_1269>0)
             | CLK_1275 := when (not (XZX_1269>0))
             |)
          | (| CLK_1289 := when (Y_1875>d_C_cc_390)
             | CLK_1290 := when (not (Y_1875>d_C_cc_390))
             |)
          | (| CLK_1339 := when (c1_1930>c2_1931)
             | CLK_1340 := when (not (c1_1930>c2_1931))
             |)
          | (| CLK_1358 := when ((d_mx>d_yy) and (d_mx>0))
             | CLK_1359 := when (not ((d_mx>d_yy) and (d_mx>0)))
             |)
          | (| CLK_1362 := when (d_yy>0)
             | CLK_1363 := when (not (d_yy>0))
             |)
          | (| CLK_1383 := when (X_1966>0)
             | CLK_1384 := when (not (X_1966>0))
             |)
          | (| CLK_1403 := when ((d_yy>XZX_1364) and (d_yy>0))
             | CLK_1404 := when (not ((d_yy>XZX_1364) and (d_yy>0)))
             |)
          | (| CLK_1407 := when (XZX_1364>0)
             | CLK_1408 := when (not (XZX_1364>0))
             |)
          | (| CLK_1428 := when (X_2016>0)
             | CLK_1429 := when (not (X_2016>0))
             |)
          | (| CLK_1448 := when (XZX_1351>0)
             | CLK_1449 := when (not (XZX_1351>0))
             |)
          | (| CLK_1473 := when (X_2066>0)
             | CLK_1474 := when (not (X_2066>0))
             |)
          | (| CLK_1521 := when (c1_2125>c2_2126)
             | CLK_1522 := when (not (c1_2125>c2_2126))
             |)
          | (| CLK_1538 := when (XZX_1322>0)
             | CLK_1539 := when (not (XZX_1322>0))
             |)
          | (| CLK_1553 := when (Y_2148>d_biterate)
             | CLK_1554 := when (not (Y_2148>d_biterate))
             |)
          | (| CLK_1575 := when (VMAXDelay>0)
             | CLK_1576 := when (not (VMAXDelay>0))
             |)
          | (| CLK_1593 := when (X_2190>0)
             | CLK_1594 := when (not (X_2190>0))
             |)
          | (| CLK_1702 := when (XZX_1411>0)
             | CLK_1703 := when (not (XZX_1411>0))
             |)
          | (| CLK_1717 := when (Y_2310>d_yy)
             | CLK_1718 := when (not (Y_2310>d_yy))
             |)
          | (| CLK_1788 := when (0>d_C_d_357)
             | CLK_1789 := when (not (0>d_C_d_357))
             |)
          | (| CLK_1809 := when (0>VMAX_2400)
             | CLK_1810 := when (not (0>VMAX_2400))
             |)
          | (| CLK_1856 := when (0>VMAXDelay)
             | CLK_1857 := when (not (0>VMAXDelay))
             |)
          | (| CLK_1877 := when (c1_2479>VMAX_2465)
             | CLK_1878 := when (not (c1_2479>VMAX_2465))
             |)
          | (| CLK_1895 := when ((d_s>d_cst_epsilon) and (d_s>0))
             | CLK_1896 := when (not ((d_s>d_cst_epsilon) and (d_s>0)))
             |)
          | (| CLK_1899 := when (d_cst_epsilon>0)
             | CLK_1900 := when (not (d_cst_epsilon>0))
             |)
          | (| CLK_1919 := when (X_2517>d_s)
             | CLK_1920 := when (not (X_2517>d_s))
             |)
          | (| CLK_1939 := when (d_XZX_147>0)
             | CLK_1940 := when (not (d_XZX_147>0))
             |)
          | (| CLK_1957 := when (X_2563>0)
             | CLK_1958 := when (not (X_2563>0))
             |)
          | (| CLK_2005 := when (c1_2617>c2_2618)
             | CLK_2006 := when (not (c1_2617>c2_2618))
             |)
          | (| CLK_2052 := when (c1_2660>c2_2661)
             | CLK_2053 := when (not (c1_2660>c2_2661))
             |)
          | (| CLK_2069 := when (XZX_1506>0)
             | CLK_2070 := when (not (XZX_1506>0))
             |)
          | (| CLK_2084 := when (Y_2683>d_XZX_147)
             | CLK_2085 := when (not (Y_2683>d_XZX_147))
             |)
          | (| CLK_2104 := when ((d_next_yy>d_yy) and (d_next_yy>0))
             | CLK_2105 := when (not ((d_next_yy>d_yy) and (d_next_yy>0)))
             |)
          | (| CLK_2126 := when (X_2729>d_next_yy)
             | CLK_2127 := when (not (X_2729>d_next_yy))
             |)
          | (| CLK_3059 := when (d_biterate>0)
             | CLK_3060 := when (not (d_biterate>0))
             |)
          | (| CLK_3077 := when (X_3687>0)
             | CLK_3078 := when (not (X_3687>0))
             |)
          | (| CLK_3122 := when (X_3736>0)
             | CLK_3123 := when (not (X_3736>0))
             |)
          | (| CLK_3167 := when (X_3789>0)
             | CLK_3168 := when (not (X_3789>0))
             |)
          | (| CLK_3187 := when (XZX_1813>0)
             | CLK_3188 := when (not (XZX_1813>0))
             |)
          | (| CLK_3205 := when (X_3833>0)
             | CLK_3206 := when (not (X_3833>0))
             |)
          | (| CLK_3222 := when ((d_next_stable>d_biterate) and (d_next_stable>0))
             | CLK_3223 := when (not ((d_next_stable>d_biterate) and (d_next_stable>0)))
             |)
          | (| CLK_3244 := when (X_3873>d_next_stable)
             | CLK_3245 := when (not (X_3873>d_next_stable))
             |)
          | (| CLK_3268 := when (0>done_1844)
             | CLK_3269 := when (not (0>done_1844))
             |)
          | (| CLK_3289 := when (VMAXDelay>VMAX_3923)
             | CLK_3290 := when (not (VMAXDelay>VMAX_3923))
             |)
          | (| CLK_3415 := when (0>d_OK_344)
             | CLK_3416 := when (not (0>d_OK_344))
             |)
          | (| CLK_3436 := when (VMAXDelay>VMAX_4085)
             | CLK_3437 := when (not (VMAXDelay>VMAX_4085))
             |)
          | (| CLK_3526 := when (0>d_mx)
             | CLK_3527 := when (not (0>d_mx))
             |)
          | (| CLK_3547 := when (VMAXDelay>VMAX_4203)
             | CLK_3548 := when (not (VMAXDelay>VMAX_4203))
             |)
          | (| CLK_3751 := when (0>d_C__368)
             | CLK_3752 := when (not (0>d_C__368))
             |)
          | (| CLK_3772 := when (VMAXDelay>VMAX_4447)
             | CLK_3773 := when (not (VMAXDelay>VMAX_4447))
             |)
          | (| CLK_3925 := when ((d_C_y>d_OK_344) and (d_C_y>0))
             | CLK_3926 := when (not ((d_C_y>d_OK_344) and (d_C_y>0)))
             |)
          | (| CLK_3929 := when (d_OK_344>0)
             | CLK_3930 := when (not (d_OK_344>0))
             |)
          | (| CLK_3950 := when (X_4629>0)
             | CLK_3951 := when (not (X_4629>0))
             |)
          | (| CLK_3967 := when ((d_C_y>d_C__368) and (d_C_y>0))
             | CLK_3968 := when (not ((d_C_y>d_C__368) and (d_C_y>0)))
             |)
          | (| CLK_3971 := when (d_C__368>0)
             | CLK_3972 := when (not (d_C__368>0))
             |)
          | (| CLK_3992 := when (X_4673>d_C_y)
             | CLK_3993 := when (not (X_4673>d_C_y))
             |)
          | (| CLK_4051 := when ((d_C_x>d_C_cc_390) and (d_C_x>0))
             | CLK_4052 := when (not ((d_C_x>d_C_cc_390) and (d_C_x>0)))
             |)
          | (| CLK_4055 := when (d_C_cc_390>0)
             | CLK_4056 := when (not (d_C_cc_390>0))
             |)
          | (| CLK_4076 := when (X_4762>d_C_x)
             | CLK_4077 := when (not (X_4762>d_C_x))
             |)
          | (| CLK_4096 := when (d_C_y>0)
             | CLK_4097 := when (not (d_C_y>0))
             |)
          | (| CLK_4114 := when (X_4807>0)
             | CLK_4115 := when (not (X_4807>0))
             |)
          | (| CLK_4133 := when ((XZX_2010>d_C__368) and (XZX_2010>0))
             | CLK_4134 := when (not ((XZX_2010>d_C__368) and (XZX_2010>0)))
             |)
          | (| CLK_4155 := when (X_4846>0)
             | CLK_4156 := when (not (X_4846>0))
             |)
          | (| CLK_4175 := when (d_C_x>0)
             | CLK_4176 := when (not (d_C_x>0))
             |)
          | (| CLK_4193 := when (X_4890>0)
             | CLK_4194 := when (not (X_4890>0))
             |)
          | (| CLK_4212 := when ((XZX_2026>d_C_cc_390) and (XZX_2026>0))
             | CLK_4213 := when (not ((XZX_2026>d_C_cc_390) and (XZX_2026>0)))
             |)
          | (| CLK_4234 := when (X_4929>0)
             | CLK_4235 := when (not (X_4929>0))
             |)
          | (| CLK_4254 := when (d_C_d_357>0)
             | CLK_4255 := when (not (d_C_d_357>0))
             |)
          | (| CLK_4272 := when (X_4973>0)
             | CLK_4273 := when (not (X_4973>0))
             |)
          | (| CLK_5678 := CLK_4055 ^+ CLK_4212 |)
          | (| CLK_5680 := CLK_4051 ^+ CLK_4055 |)
          | (| CLK_5684 := CLK_3971 ^+ CLK_4133 |)
          | (| CLK_5686 := CLK_3967 ^+ CLK_3971 |)
          | (| CLK_5688 := CLK_3925 ^+ CLK_3929 |)
          | (| CLK_5692 := CLK_3059 ^+ CLK_3222 |)
          | (| CLK_5704 := CLK_1895 ^+ CLK_1899 |)
          | (| CLK_5706 := CLK_1403 ^+ CLK_1407 |)
          | (| CLK_5708 := CLK_1362 ^+ CLK_2104 |)
          | (| CLK_5710 := CLK_1358 ^+ CLK_1362 |)
          | (| CLK_c1_2849 := CLK_d_XZX_164 ^* CLK_C_d
             | ACT_CLK_c1_2849{}
             |)
          | (| CLK_c1_1713 := CLK_d_x2 ^* CLK_d_XZX_164
             | ACT_CLK_c1_1713{}
             |)
          | (| CLK_c1_3178 := CLK_d_x21 ^* CLK_d_x_1
             | ACT_CLK_c1_3178{}
             |)
          | (| CLK_5783 := CLK_d_x2 ^+ CLK_d_x21 |)
          | (| CLK_c1_3211 := CLK_d_x2 ^* CLK_d_x21
             | ACT_CLK_c1_3211{}
             |)
          | (| CLK_5795 := CLK_d_x21 ^+ CLK_d_x1 |)
          | (| CLK_c1_757 := CLK_d_x21 ^* CLK_d_x1
             | ACT_CLK_c1_757{}
             |)
          | (| CLK_c1_724 := CLK_d_x1 ^* CLK_d_x
             | ACT_CLK_c1_724{}
             |)
          | (| CLK_5808 := CLK_d_x21 ^+ CLK_d_CLK_324 |)
          | (| CLK_c1_3167 := CLK_d_x21 ^* CLK_d_CLK_324
             | ACT_CLK_c1_3167{}
             |)
          | (| CLK_5814 := CLK_d_x1 ^+ CLK_d_CLK_326 |)
          | (| CLK_c1_713 := CLK_d_x1 ^* CLK_d_CLK_326
             | ACT_CLK_c1_713{}
             |)
          | (| CLK_VMAX_1742 := CLK_d_CLK_328 ^+ CLK_d_d
             | CLK_VMAX_1742 ^= VMAX_1742 ^= VMAX_2229
             | ACT_CLK_VMAX_1742{}
             |)
          | (| CLK_5841 := CLK_5079 ^* CLK_d_d |)
          | (| CLK_5885 := CLK_1143 ^+ CLK_d_d |)
          | (| CLK_5905 := CLK_d_CLK_328 ^- CLK_d_d |)
          | (| CLK_5910 := CLK_d_x1 ^- CLK_159 |)
          | (| CLK_5912 := CLK_d_x1 ^- CLK_208 |)
          | (| CLK_5915 := CLK_d_x1 ^- CLK_181 |)
          | (| CLK_5917 := CLK_d_x1 ^- CLK_231 |)
          | (| CLK_5922 := CLK_d_x21 ^- CLK_2510 |)
          | (| CLK_5924 := CLK_d_x21 ^- CLK_2559 |)
          | (| CLK_5927 := CLK_d_x21 ^- CLK_2532 |)
          | (| CLK_5929 := CLK_d_x21 ^- CLK_2581 |)
          | (| CLK_5936 := CLK_d_XZX_164 ^- CLK_2241 |)
          | (| CLK_6072 := CLK_d_x2 ^- CLK_1117 |)
          | (| CLK_6090 := CLK_stable_0 ^- CLK_558 |)
          | (| CLK_6100 := CLK_1362 ^- CLK_2104 |)
          | (| CLK_6102 := CLK_1362 ^- CLK_1358 |)
          | (| CLK_6104 := CLK_1407 ^- CLK_1403 |)
          | (| CLK_6106 := CLK_1899 ^- CLK_1895 |)
          | (| CLK_6118 := CLK_3059 ^- CLK_3222 |)
          | (| CLK_6122 := CLK_3929 ^- CLK_3925 |)
          | (| CLK_6124 := CLK_3971 ^- CLK_4133 |)
          | (| CLK_6126 := CLK_3971 ^- CLK_3967 |)
          | (| CLK_6130 := CLK_4055 ^- CLK_4212 |)
          | (| CLK_6132 := CLK_4055 ^- CLK_4051 |)
          | (| CLK_6137 := CLK_stable_0 ^- CLK_3794 |)
          | (| CLK_6140 := CLK_stable_0 ^- CLK_3569 |)
          | (| CLK_6143 := CLK_stable_0 ^- CLK_3458 |)
          | (| CLK_6146 := CLK_stable_0 ^- CLK_3311 |)
          | (| CLK_6152 := CLK_stable_0 ^- CLK_1831 |)
          | (| CLK_6171 := CLK_stable_0 ^- CLK_1685 |)
          | (| CLK_6173 := CLK_stable_0 ^- CLK_1639 |)
          | (| CLK_6175 := CLK_stable_0 ^- CLK_1257 |)
          | (| CLK_6177 := CLK_stable_0 ^- CLK_1164 |)
          | (| CLK_6190 := CLK_stable_0 ^- CLK_5678 |)
          | (| CLK_6195 := CLK_stable_0 ^- CLK_5684 |)
          | (| CLK_6200 := CLK_stable_0 ^- CLK_5680 |)
          | (| CLK_6203 := CLK_stable_0 ^- CLK_5686 |)
          | (| CLK_6206 := CLK_stable_0 ^- CLK_5688 |)
          | (| CLK_6213 := CLK_stable_0 ^- CLK_5692 |)
          | (| CLK_6221 := CLK_stable_0 ^- CLK_error_224_0 |)
          | (| CLK_6225 := CLK_stable_0 ^- CLK_5708 |)
          | (| CLK_6229 := CLK_stable_0 ^- CLK_2031 |)
          | (| CLK_6231 := CLK_stable_0 ^- CLK_1984 |)
          | (| CLK_6236 := CLK_stable_0 ^- CLK_5704 |)
          | (| CLK_6246 := CLK_stable_0 ^- CLK_1500 |)
          | (| CLK_6250 := CLK_stable_0 ^- CLK_5706 |)
          | (| CLK_6253 := CLK_stable_0 ^- CLK_5710 |)
          | (| CLK_6255 := CLK_stable_0 ^- CLK_1318 |)
          | (| CLK_6259 := CLK_stable_0 ^- CLK_1143 |)
          | (| CLK_6262 := CLK_stable_0 ^- CLK_d_error |)
          | (| CLK_6266 := CLK_stable_0 ^- CLK_C_cc_381 |)
          | (| CLK_6268 := CLK_stable_0 ^- CLK_C_d |)
          | (| biterate := CLK_d_d default ((not stable) when CLK_5905)
             | C := not biterate
             | C_y := next_stable and biterate
             | OK_344 := (OK when CLK_OK) default (not CLK_24)
             | C_d_357 := (C_d when CLK_C_d) default (not CLK_6268)
             | C__368 := (C_ when CLK_C_d) default (not CLK_6268)
             | C_cc_390 := (C_cc_381 when CLK_C_cc_381) default (not CLK_6266)
             | C__416 := C_y or OK_344
             | C_x := C_y or C__368
             | C_x1 := C_x or C_cc_390
             | C_444 := (not C_y) and C__368
             | C_448 := (not C_x) and C_cc_390
             | C_451 := not C_d_357
             | d_yy := VMAXD_1873+2
             | d_next_yy := VMAXD_2146+2
             | d_biterate := VMAXD_2308+2
             | d_mx := VMAXC+vc_2435
             | d_next_stable := VMAXB_2516+vc_2504
             | d_s := VMAXD_2681+2
             | d_XZX_147 := VMAXB_2728+vc_2718
             | d_C := VMAXU_3686+1
             | d_C_328 := VMAXB_3735+vc_3723
             | d_C_331 := VMAXU_3832+1
             | d_C_y := VMAXB_3872+CST_COST_AND
             | d_OK_344 := VMAXL+vc_3958
             | d_C_d_357 := VMAXL_4071+vc_4120
             | d_C__368 := VMAXL_4189+vc_4238
             | d_C_cc_390 := VMAXL_4433+vc_4482
             | d_C__416 := VMAXB_4628+CST_COST_OR
             | d_C_x := VMAXB_4672+CST_COST_OR
             | d_C_x1 := VMAXB_4761+CST_COST_OR
             | d_C_444 := VMAXB_4845+CST_COST_AND
             | d_C_448 := VMAXB_4928+CST_COST_AND
             | d_C_451 := VMAXU_4972+1
             | done := (d_x2_internal when CLK_d_x2) default (d_C_x1 when CLK_21)
             | done_973 := (d_x1_internal when CLK_d_x1) default (done_979 when CLK_78)
             | done_979 := (d_x21 when CLK_d_x21) default (done_1647 when CLK_75)
             | done_983 := (XZX when CLK_d_x1) cell CLK_stable_0 init 0
             | done_995 := (XZX_994 when CLK_d_x1) cell CLK_stable_0 init 0
             | done_1006 := (d_error_internal when CLK_d_error) default (done_1013 when CLK_6262)
             | done_1013 := (d_err_235 when CLK_d_error) default (done_1749 when CLK_6262)
             | done_1017 := (d_x when CLK_d_x) cell CLK_stable_0 init 0
             | done_1027 := (XZX_1026 when CLK_d_x) cell CLK_stable_0 init 0
             | done_1042 := (d_OK when CLK_OK) default (done_1051 when CLK_24)
             | done_1051 := (d_c_internal when CLK_OK) default (done_2222 when CLK_24)
             | done_1061 := (d_bb when CLK_C_d) default (done_1070 when CLK_6268)
             | done_1070 := (d_C_cc when CLK_OK) default (done_1042 when CLK_24)
             | done_1075 := (d_cc when CLK_C_d) cell CLK_stable_0 init 0
             | done_1089 := (d_d when CLK_d_d) cell CLK_stable_0 init 0
             | done_1110 := (d_dd when CLK_C_d) default (done_1061 when CLK_6268)
             | done_1122 := (XZX_1121 when CLK_C_d) cell CLK_stable_0 init 0
             | done_1143 := (XZX_1142 when CLK_C_d) cell CLK_stable_0 init 0
             | done_1158 := (d_aa when CLK_C_d) cell CLK_stable_0 init 0
             | done_1168 := (d_XZX_80 when CLK_C_d) cell CLK_stable_0 init 0
             | done_1178 := (d_XZX_84 when CLK_C_d) cell CLK_stable_0 init 0
             | done_1188 := (d_x_1 when CLK_d_x_1) cell CLK_stable_0 init 0
             | done_1207 := (XZX_1206 when CLK_d_x_1) cell CLK_stable_0 init 0
             | done_1218 := (d_XZX_91 when CLK_d_x_1) cell CLK_stable_0 init 0
             | done_1228 := (d_y when CLK_d_x2) cell CLK_stable_0 init 0
             | done_1238 := (d_bb_110 when CLK_d_x2) cell CLK_stable_0 init 0
             | XZX_1257 := VMAXW_1735+CST_COST_TEST
             | XZX_1269 := VMAXW_1830+CST_COST_TEST
             | done_1280 := (XZX_1279 when CLK_d_d) cell CLK_stable_0 init 0
             | XZX_1310 := VMAXW_1908+CST_COST_TEST
             | XZX_1322 := VMAXW_2103+CST_COST_TEST
             | XZX_1332 := VMAXB_2065+vc_2055
             | XZX_1351 := VMAXB_2015+vc_2006
             | XZX_1364 := VMAXB_1965+vc_1955
             | XZX_1391 := VMAXW_2222+CST_COST_TEST
             | XZX_1401 := VMAXU_2189+1
             | XZX_1411 := VMAXW_2265+CST_COST_TEST
             | done_1440 := (XZX_1439 when CLK_d_d) cell CLK_stable_0 init 0
             | XZX_1483 := VMAXW_2595+CST_COST_TEST
             | XZX_1493 := VMAXU_2562+vc_2556
             | XZX_1506 := VMAXW_2638+CST_COST_TEST
             | done_1530 := (d_XZX_164 when CLK_d_XZX_164) cell CLK_stable_0 init 0
             | done_1541 := (XZX_1540 when CLK_C_d) cell CLK_stable_0 init 0
             | done_1552 := (d_x_168 when CLK_d_x2) cell CLK_stable_0 init 0
             | done_1562 := (XZX_1561 when CLK_d_x2) cell CLK_stable_0 init 0
             | done_1581 := (XZX_1580 when CLK_d_x2) cell CLK_stable_0 init 0
             | done_1597 := (d_x_177 when CLK_d_x2) cell CLK_stable_0 init 0
             | done_1607 := (XZX_1606 when CLK_d_x2) cell CLK_stable_0 init 0
             | done_1626 := (XZX_1625 when CLK_d_x2) cell CLK_stable_0 init 0
             | done_1647 := (d_x2 when CLK_d_x2) default (done when CLK_21)
             | done_1651 := (XZX_1650 when CLK_d_x21) cell CLK_stable_0 init 0
             | done_1663 := (XZX_1662 when CLK_d_x21) cell CLK_stable_0 init 0
             | done_1674 := (d_bb_212 when CLK_d_x) cell CLK_stable_0 init 0
             | done_1684 := (d_cc_213 when CLK_d_x) cell CLK_stable_0 init 0
             | done_1694 := (d_error_224 when CLK_error_224_0) default (done_1700 when CLK_6221)
             | done_1700 := (d_C_error when CLK_C_cc_381) default (done_1928 when CLK_6266)
             | done_1704 := (XZX_1703 when CLK_C_cc_381) cell CLK_stable_0 init 0
             | done_1724 := (d_bb_1 when CLK_C_cc_381) cell CLK_stable_0 init 0
             | done_1734 := (d_cc_2 when CLK_C_cc_381) cell CLK_stable_0 init 0
             | done_1749 := (d_C_err when CLK_OK) default (done_1969 when CLK_24)
             | done_1753 := (XZX_1752 when CLK_d_error) cell CLK_stable_0 init 0
             | done_1765 := (XZX_1764 when CLK_d_error) cell CLK_stable_0 init 0
             | XZX_1813 := VMAXB_3788+vc_3776
             | done_1844 := (d_error when CLK_d_error) default (done_1006 when CLK_6262)
             | done_1854 := (d_C_d when CLK_C_d) default (done_1110 when CLK_6268)
             | done_1878 := (d_C_ when CLK_C_d) default (done_1854 when CLK_6268)
             | done_1903 := (d_C_370 when CLK_C_d) default (done_1878 when CLK_6268)
             | done_1921 := (d_C_376 when CLK_OK) default (done_1903 when CLK_24)
             | done_1928 := (d_C_cc_381 when CLK_C_cc_381) default (done_1921 when CLK_6266)
             | done_1969 := (d_C_error_398 when CLK_OK) default (done_1694 when CLK_24)
             | XZX_2010 := VMAXU_4806+1
             | XZX_2026 := VMAXU_4889+1
             | done_2043 := ((d_CLK_bb when CLK_C_d) default (0 when CLK_27)) cell CLK_stable_0 init 0
             | done_2051 := ((d_CLK_bb_1_0 when CLK_C_cc_381) default (0 when CLK_44)) cell CLK_stable_0 init 0
             | done_2059 := ((d_CLK_d_0 when CLK_d_d) default (0 when CLK_30)) cell CLK_stable_0 init 0
             | done_2067 := ((d_CLK_x_1_0 when CLK_d_x_1) default (0 when CLK_33)) cell CLK_stable_0 init 0
             | done_2075 := ((d_CLK_276 when CLK_d_CLK_276) default (0 when CLK_36)) cell CLK_stable_0 init 0
             | done_2087 := (d_CLK_66 when CLK_d_CLK_66) default (0 when CLK)
             | done_2095 := (d_CLK_240 when CLK_d_CLK_240) default (0 when CLK_12)
             | done_2103 := (d_CLK_242 when CLK_d_CLK_242) default (0 when CLK_15)
             | done_2111 := (d_CLK_244 when CLK_d_CLK_244) default (0 when CLK_18)
             | done_2119 := (d_CLK_x2_0 when CLK_d_x2) default (0 when CLK_21)
             | done_2127 := (d_CLK_a when CLK_OK) default (0 when CLK_24)
             | done_2135 := ((d_CLK_x_0 when CLK_d_x) default (0 when CLK_47)) cell CLK_stable_0 init 0
             | done_2143 := ((d_CLK_error_224_0 when CLK_error_224_0) default (0 when CLK_50)) cell CLK_stable_0 init 0
             | done_2151 := (d_CLK_XZX_164_0 when CLK_d_XZX_164) default (0 when CLK_72)
             | done_2159 := (d_CLK_x21_0 when CLK_d_x21) default (0 when CLK_75)
             | done_2167 := ((d_CLK_error_0 when CLK_d_error) default (0 when CLK_57)) cell CLK_stable_0 init 0
             | done_2175 := (d_CLK_x1_0 when CLK_d_x1) default (0 when CLK_78)
             | done_2183 := (d_CLK_324 when CLK_d_CLK_324) default (0 when CLK_81)
             | done_2191 := (d_CLK_326 when CLK_d_CLK_326) default (0 when CLK_85)
             | done_2199 := (d_CLK_328 when CLK_d_CLK_328) default (0 when CLK_87)
             | done_2209 := (d_a_internal when CLK_OK) cell CLK_stable_0 init 0
             | done_2222 := (d_b_internal when CLK_OK) default (done_2209 when CLK_24)
             | done_2254 := (d_x1 when CLK_d_x1) default (done_973 when CLK_78)
             | VMAXDelay := (c1_1206 when CLK_628) default (VMAX_1191 when CLK_629)
             | c1_1206 := pre_d_next_stable+vc_1181
             | pre_d_next_stable := d_next_stable$1 init d_CLK_stable
             | vc_1181 := TAB_ASSIGN[integer(__TC__#_logical)] when CLK_stable_0
             | VMAX_1191 := (0 when (^0)) default (0 when CLK_stable_0)
             | VMAXW_1735 := (d_pre_next_yy when CLK_1164) default (VMAX_1742 when CLK_6177)
             | VMAXW_1830 := (XZX_1279 when CLK_1257) default (VMAX_1837 when CLK_6175)
             | VMAX_1837 := (d_CLK_d_0 when CLK_558) default (0 when CLK_6090)
             | VMAXD_1873 := (Y_1875 when CLK_1289) default (d_C_cc_390 when CLK_1290)
             | Y_1875 := (XZX_1269 when CLK_1274) default (0 when CLK_1275)
             | VMAXW_1908 := (d_yy when CLK_1339) default (VMAX_1915 when CLK_1340)
             | VMAX_1915 := (d_CLK_240 when CLK_1318) default (0 when CLK_6255)
             | c1_1930 := d_yy
             | c2_1931 := VMAX_1915
             | vc_1955 := TAB_PLUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_stable_0
             | VMAXB_1965 := (X_1966 when CLK_1383) default (0 when CLK_1384)
             | X_1966 := (d_mx when CLK_1358) default (d_yy when CLK_6102) default (0 when CLK_6253)
             | vc_2006 := TAB_PLUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_stable_0
             | VMAXB_2015 := (X_2016 when CLK_1428) default (0 when CLK_1429)
             | X_2016 := (d_yy when CLK_1403) default (XZX_1364 when CLK_6104) default (0 when CLK_6250)
             | vc_2055 := TAB_PLUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_stable_0
             | VMAXB_2065 := (X_2066 when CLK_1473) default (0 when CLK_1474)
             | X_2066 := (XZX_1351 when CLK_1448) default (0 when CLK_1449)
             | VMAXW_2103 := (XZX_1332 when CLK_1521) default (VMAX_2110 when CLK_1522)
             | VMAX_2110 := (d_CLK_66 when CLK_1500) default (0 when CLK_6246)
             | c1_2125 := XZX_1332
             | c2_2126 := VMAX_2110
             | VMAXD_2146 := (Y_2148 when CLK_1553) default (d_biterate when CLK_1554)
             | Y_2148 := (XZX_1322 when CLK_1538) default (0 when CLK_1539)
             | VMAXU_2189 := (X_2190 when CLK_1593) default (0 when CLK_1594)
             | X_2190 := (VMAXDelay when CLK_1575) default (0 when CLK_1576)
             | VMAXW_2222 := (XZX_1401 when CLK_1639) default (VMAX_2229 when CLK_6173)
             | VMAXW_2265 := (0 when CLK_1685) default (VMAX_2272 when CLK_6171)
             | VMAX_2272 := (d_CLK_d_0 when CLK_558) default (0 when CLK_6090)
             | VMAXD_2308 := (Y_2310 when CLK_1717) default (d_yy when CLK_1718)
             | Y_2310 := (XZX_1411 when CLK_1702) default (0 when CLK_1703)
             | VMAXC := (XZX_1439 when CLK_1831) default (VMAX_2394 when CLK_6152)
             | VMAX_2394 := (0 when CLK_1809) default (VMAX_2400 when CLK_1810)
             | VMAX_2400 := (0 when CLK_1788) default (d_C_d_357 when CLK_1789)
             | vc_2435 := TAB_ASSIGN[integer(__TC__#_real)] when CLK_stable_0
             | d_pre_next_yy := (c1_2479 when CLK_1877) default (VMAX_2465 when CLK_1878)
             | c1_2479 := pre_d_next_yy+vc_2459
             | pre_d_next_yy := d_next_yy$1 init d_CLK_stable
             | vc_2459 := TAB_ASSIGN[integer(__TC__#_real)] when CLK_stable_0
             | VMAX_2465 := (0 when CLK_1856) default (VMAXDelay when CLK_1857)
             | vc_2504 := TAB_COST_RELA[integer(__TC__#_real),integer(__TC__#_real)] when CLK_stable_0
             | VMAXB_2516 := (X_2517 when CLK_1919) default (d_s when CLK_1920)
             | X_2517 := (d_s when CLK_1895) default (d_cst_epsilon when CLK_6106) default (0 when CLK_6236)
             | vc_2556 := TAB_UMINUS[integer(__TC__#_real)] when CLK_stable_0
             | VMAXU_2562 := (X_2563 when CLK_1957) default (0 when CLK_1958)
             | X_2563 := (d_XZX_147 when CLK_1939) default (0 when CLK_1940)
             | VMAXW_2595 := (XZX_1493 when CLK_2005) default (VMAX_2602 when CLK_2006)
             | VMAX_2602 := (d_CLK_244 when CLK_1984) default (0 when CLK_6231)
             | c1_2617 := XZX_1493
             | c2_2618 := VMAX_2602
             | VMAXW_2638 := (d_XZX_147 when CLK_2052) default (VMAX_2645 when CLK_2053)
             | VMAX_2645 := (d_CLK_242 when CLK_2031) default (0 when CLK_6229)
             | c1_2660 := d_XZX_147
             | c2_2661 := VMAX_2645
             | VMAXD_2681 := (Y_2683 when CLK_2084) default (d_XZX_147 when CLK_2085)
             | Y_2683 := (XZX_1506 when CLK_2069) default (0 when CLK_2070)
             | vc_2718 := TAB_MINUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_stable_0
             | VMAXB_2728 := (X_2729 when CLK_2126) default (d_next_yy when CLK_2127)
             | X_2729 := (d_next_yy when CLK_2104) default (d_yy when CLK_6100) default (0 when CLK_6225)
             | VMAXU_3686 := (X_3687 when CLK_3077) default (0 when CLK_3078)
             | X_3687 := (d_biterate when CLK_3059) default (0 when CLK_3060)
             | vc_3723 := TAB_COST_RELA[integer(__TC__#_real),integer(__TC__#_real)] when CLK_stable_0
             | VMAXB_3735 := (X_3736 when CLK_3122) default (0 when CLK_3123)
             | X_3736 := (d_XZX_147 when CLK_1939) default (0 when (^0)) default (0 when CLK_1940)
             | vc_3776 := TAB_COST_RELA[integer(__TC__#_real),integer(__TC__#_real)] when CLK_stable_0
             | VMAXB_3788 := (X_3789 when CLK_3167) default (0 when CLK_3168)
             | X_3789 := (d_XZX_147 when CLK_1939) default (0 when (^0)) default (0 when CLK_1940)
             | VMAXU_3832 := (X_3833 when CLK_3205) default (0 when CLK_3206)
             | X_3833 := (XZX_1813 when CLK_3187) default (0 when CLK_3188)
             | VMAXB_3872 := (X_3873 when CLK_3244) default (d_next_stable when CLK_3245)
             | X_3873 := (d_next_stable when CLK_3222) default (d_biterate when CLK_6118) default (0 when CLK_6213)
             | VMAXL := (d_OK when CLK_3311) default (VMAX_3917 when CLK_6146)
             | VMAX_3917 := (VMAXDelay when CLK_3289) default (VMAX_3923 when CLK_3290)
             | VMAX_3923 := (0 when CLK_3268) default (done_1844 when CLK_3269)
             | vc_3958 := CST_COST_TEST+vc_3960
             | vc_3960 := TAB_ASSIGN[integer(__TC__#_logical)] when CLK_stable_0
             | VMAXL_4071 := (d_C_d when CLK_3458) default (VMAX_4079 when CLK_6143)
             | VMAX_4079 := (VMAXDelay when CLK_3436) default (VMAX_4085 when CLK_3437)
             | VMAX_4085 := (0 when CLK_3415) default (d_OK_344 when CLK_3416)
             | vc_4120 := CST_COST_TEST+vc_4122
             | vc_4122 := TAB_ASSIGN[integer(__TC__#_logical)] when CLK_stable_0
             | VMAXL_4189 := (d_C_ when CLK_3569) default (VMAX_4197 when CLK_6140)
             | VMAX_4197 := (VMAXDelay when CLK_3547) default (VMAX_4203 when CLK_3548)
             | VMAX_4203 := (0 when CLK_3526) default (d_mx when CLK_3527)
             | vc_4238 := CST_COST_TEST+vc_4240
             | vc_4240 := TAB_ASSIGN[integer(__TC__#_logical)] when CLK_stable_0
             | VMAXL_4433 := (d_C_cc_381 when CLK_3794) default (VMAX_4441 when CLK_6137)
             | VMAX_4441 := (VMAXDelay when CLK_3772) default (VMAX_4447 when CLK_3773)
             | VMAX_4447 := (0 when CLK_3751) default (d_C__368 when CLK_3752)
             | vc_4482 := CST_COST_TEST+vc_4484
             | vc_4484 := TAB_ASSIGN[integer(__TC__#_logical)] when CLK_stable_0
             | VMAXB_4628 := (X_4629 when CLK_3950) default (0 when CLK_3951)
             | X_4629 := (d_C_y when CLK_3925) default (d_OK_344 when CLK_6122) default (0 when CLK_6206)
             | VMAXB_4672 := (X_4673 when CLK_3992) default (d_C_y when CLK_3993)
             | X_4673 := (d_C_y when CLK_3967) default (d_C__368 when CLK_6126) default (0 when CLK_6203)
             | VMAXB_4761 := (X_4762 when CLK_4076) default (d_C_x when CLK_4077)
             | X_4762 := (d_C_x when CLK_4051) default (d_C_cc_390 when CLK_6132) default (0 when CLK_6200)
             | VMAXU_4806 := (X_4807 when CLK_4114) default (0 when CLK_4115)
             | X_4807 := (d_C_y when CLK_4096) default (0 when CLK_4097)
             | VMAXB_4845 := (X_4846 when CLK_4155) default (0 when CLK_4156)
             | X_4846 := (XZX_2010 when CLK_4133) default (d_C__368 when CLK_6124) default (0 when CLK_6195)
             | VMAXU_4889 := (X_4890 when CLK_4193) default (0 when CLK_4194)
             | X_4890 := (d_C_x when CLK_4175) default (0 when CLK_4176)
             | VMAXB_4928 := (X_4929 when CLK_4234) default (0 when CLK_4235)
             | X_4929 := (XZX_2026 when CLK_4212) default (d_C_cc_390 when CLK_6130) default (0 when CLK_6190)
             | VMAXU_4972 := (X_4973 when CLK_4272) default (0 when CLK_4273)
             | X_4973 := (d_C_d_357 when CLK_4254) default (0 when CLK_4255)
             |)
          |)
         where 
         event CLK_6268, CLK_6266, CLK_6262, CLK_6259, CLK_6255, CLK_6253, CLK_6250, CLK_6246, CLK_6236, CLK_6231, CLK_6229, CLK_6225, CLK_6221, CLK_6213, CLK_6206, CLK_6203, CLK_6200, CLK_6195, CLK_6190, CLK_6177, CLK_6175, CLK_6173, CLK_6171, CLK_6152, 
              CLK_6146, CLK_6143, CLK_6140, CLK_6137, CLK_6132, CLK_6130, CLK_6126, CLK_6124, CLK_6122, CLK_6118, CLK_6106, CLK_6104, CLK_6102, CLK_6100, CLK_6090, CLK_6072, CLK_5936, CLK_5929, CLK_5927, CLK_5924, CLK_5922, CLK_5917, CLK_5915, CLK_5912, 
              CLK_5910, CLK_5905, CLK_5885, CLK_5841, CLK_VMAX_1742, CLK_c1_713, CLK_5814, CLK_c1_3167, CLK_5808, CLK_c1_724, CLK_c1_757, CLK_5795, CLK_c1_3211, CLK_5783, CLK_c1_3178, CLK_c1_1713, CLK_c1_2849, CLK_5710, CLK_5708, CLK_5706, CLK_5704, 
              CLK_5692, CLK_5688, CLK_5686, CLK_5684, CLK_5680, CLK_5678, CLK_5079, CLK_4273, CLK_4272, CLK_4255, CLK_4254, CLK_4235, CLK_4234, CLK_4213, CLK_4212, CLK_4194, CLK_4193, CLK_4176, CLK_4175, CLK_4156, CLK_4155, CLK_4134, CLK_4133, CLK_4115, 
              CLK_4114, CLK_4097, CLK_4096, CLK_4077, CLK_4076, CLK_4056, CLK_4055, CLK_4052, CLK_4051, CLK_3993, CLK_3992, CLK_3972, CLK_3971, CLK_3968, CLK_3967, CLK_3951, CLK_3950, CLK_3930, CLK_3929, CLK_3926, CLK_3925, CLK_3794, CLK_3773, CLK_3772, 
              CLK_3752, CLK_3751, CLK_3569, CLK_3548, CLK_3547, CLK_3527, CLK_3526, CLK_3458, CLK_3437, CLK_3436, CLK_3416, CLK_3415, CLK_3311, CLK_3290, CLK_3289, CLK_3269, CLK_3268, CLK_3245, CLK_3244, CLK_3223, CLK_3222, CLK_3206, CLK_3205, CLK_3188, 
              CLK_3187, CLK_3168, CLK_3167, CLK_3123, CLK_3122, CLK_3078, CLK_3077, CLK_3060, CLK_3059, CLK_2581, CLK_2559, CLK_2532, CLK_2510, CLK_2241, CLK_2127, CLK_2126, CLK_2105, CLK_2104, CLK_2085, CLK_2084, CLK_2070, CLK_2069, CLK_2053, CLK_2052, 
              CLK_2031, CLK_2006, CLK_2005, CLK_1984, CLK_1958, CLK_1957, CLK_1940, CLK_1939, CLK_1920, CLK_1919, CLK_1900, CLK_1899, CLK_1896, CLK_1895, CLK_1878, CLK_1877, CLK_1857, CLK_1856, CLK_1831, CLK_1810, CLK_1809, CLK_1789, CLK_1788, CLK_1718, 
              CLK_1717, CLK_1703, CLK_1702, CLK_1685, CLK_1639, CLK_1594, CLK_1593, CLK_1576, CLK_1575, CLK_1554, CLK_1553, CLK_1539, CLK_1538, CLK_1522, CLK_1521, CLK_1500, CLK_1474, CLK_1473, CLK_1449, CLK_1448, CLK_1429, CLK_1428, CLK_1408, CLK_1407, 
              CLK_1404, CLK_1403, CLK_1384, CLK_1383, CLK_1363, CLK_1362, CLK_1359, CLK_1358, CLK_1340, CLK_1339, CLK_1318, CLK_1290, CLK_1289, CLK_1275, CLK_1274, CLK_1257, CLK_1164, CLK_1143, CLK_1117, CLK_629, CLK_628, CLK_558, CLK_231, CLK_208, 
              CLK_181, CLK_159, CLK_87, CLK_d_CLK_328, CLK_85, CLK_d_CLK_326, CLK_81, CLK_d_CLK_324, CLK_78, CLK_d_x1, CLK_75, CLK_d_x21, CLK_72, CLK_d_XZX_164, CLK_57, CLK_d_error, CLK_50, CLK_error_224_0, CLK_47, CLK_d_x, CLK_44, CLK_C_cc_381, CLK_36, 
              CLK_d_CLK_276, CLK_33, CLK_d_x_1, CLK_30, CLK_d_d, CLK_27, CLK_C_d, CLK_24, CLK_OK, CLK_21, CLK_d_x2, CLK_18, CLK_d_CLK_244, CLK_15, CLK_d_CLK_242, CLK_12, CLK_d_CLK_240, CLK, CLK_d_CLK_66;
         boolean biterate, C, C_y, OK_344, C_d_357, C__368, C_cc_390, C__416, C_x, C_x1, C_444, C_448, C_451;
         integer d_a_internal, d_b_internal, d_c_internal, d_x2_internal, d_x1_internal, d_error_internal, d_x, d_OK, d_bb, d_cc, d_d, d_dd, d_aa, d_XZX_80, d_XZX_84, d_x_1, d_XZX_91, d_y, d_bb_110, d_yy, d_next_yy, d_biterate, d_mx, d_next_stable, d_s, 
                d_XZX_147, d_XZX_164, d_x_168, d_x_177, d_x21, d_bb_212, d_cc_213, d_error_224, d_bb_1, d_cc_2, d_err_235, d_C, d_C_328, d_C_331, d_C_y, d_OK_344, d_C_cc, d_C_d, d_C_d_357, d_C_, d_C__368, d_C_370, d_C_376, d_C_cc_381, d_C_cc_390, 
                d_C_error, d_C_error_398, d_C__416, d_C_x, d_C_err, d_C_x1, d_C_444, d_C_448, d_C_451, d_CLK_bb, d_CLK_bb_1_0, d_CLK_d_0, d_CLK_x_1_0, d_CLK_276, d_CLK_66, d_CLK_240, d_CLK_242, d_CLK_244, d_CLK_x2_0, d_CLK_a, d_CLK_x_0, 
                d_CLK_error_224_0, d_CLK_XZX_164_0, d_CLK_x21_0, d_CLK_error_0, d_CLK_x1_0, d_CLK_324, d_CLK_326, d_CLK_328, done, done_973, done_979, XZX, done_983, XZX_994, done_995, done_1006, done_1013, done_1017, XZX_1026, done_1027, done_1042, 
                done_1051, done_1061, done_1070, done_1075, done_1089, done_1110, XZX_1121, done_1122, XZX_1142, done_1143, done_1158, done_1168, done_1178, done_1188, XZX_1206, done_1207, done_1218, done_1228, done_1238, XZX_1257, XZX_1269, XZX_1279, 
                done_1280, XZX_1310, XZX_1322, XZX_1332, XZX_1351, XZX_1364, XZX_1391, XZX_1401, XZX_1411, XZX_1439, done_1440, XZX_1483, XZX_1493, XZX_1506, done_1530, XZX_1540, done_1541, done_1552, XZX_1561, done_1562, XZX_1580, done_1581, done_1597, 
                XZX_1606, done_1607, XZX_1625, done_1626, done_1647, XZX_1650, done_1651, XZX_1662, done_1663, done_1674, done_1684, done_1694, done_1700, XZX_1703, done_1704, done_1724, done_1734, done_1749, XZX_1752, done_1753, XZX_1764, done_1765, 
                XZX_1813, done_1844, done_1854, done_1878, done_1903, done_1921, done_1928, done_1969, XZX_2010, XZX_2026, done_2043, done_2051, done_2059, done_2067, done_2075, done_2087, done_2095, done_2103, done_2111, done_2119, done_2127, done_2135, 
                done_2143, done_2151, done_2159, done_2167, done_2175, done_2183, done_2191, done_2199, done_2209, done_2222, done_2254, VMAX_709, VMAX_753, VMAXDelay, c1_1206, pre_d_next_stable, vc_1181, VMAX_1191, VMAX_1699, VMAXW_1735, VMAX_1742, 
                VMAXW_1830, VMAX_1837, VMAXD_1873, Y_1875, VMAXW_1908, VMAX_1915, c1_1930, c2_1931, vc_1955, VMAXB_1965, X_1966, vc_2006, VMAXB_2015, X_2016, vc_2055, VMAXB_2065, X_2066, VMAXW_2103, VMAX_2110, c1_2125, c2_2126, VMAXD_2146, Y_2148, 
                VMAXU_2189, X_2190, VMAXW_2222, VMAX_2229, VMAXW_2265, VMAX_2272, VMAXD_2308, Y_2310, VMAXC, VMAX_2394, VMAX_2400, vc_2435, d_pre_next_yy, c1_2479, pre_d_next_yy, vc_2459, VMAX_2465, vc_2504, VMAXB_2516, X_2517, vc_2556, VMAXU_2562, X_2563,
                VMAXW_2595, VMAX_2602, c1_2617, c2_2618, VMAXW_2638, VMAX_2645, c1_2660, c2_2661, VMAXD_2681, Y_2683, vc_2718, VMAXB_2728, X_2729, VMAX_2817, VMAX_3163, VMAX_3207, VMAXU_3686, X_3687, vc_3723, VMAXB_3735, X_3736, vc_3776, VMAXB_3788, 
                X_3789, VMAXU_3832, X_3833, VMAXB_3872, X_3873, VMAXL, VMAX_3917, VMAX_3923, vc_3958, vc_3960, VMAXL_4071, VMAX_4079, VMAX_4085, vc_4120, vc_4122, VMAXL_4189, VMAX_4197, VMAX_4203, vc_4238, vc_4240, VMAXL_4433, VMAX_4441, VMAX_4447, 
                vc_4482, vc_4484, VMAXB_4628, X_4629, VMAXB_4672, X_4673, VMAXB_4761, X_4762, VMAXU_4806, X_4807, VMAXB_4845, X_4846, VMAXU_4889, X_4890, VMAXB_4928, X_4929, VMAXU_4972, X_4973;
         process ACT_CLK_d_CLK_66 =
              ( )
            (| CLK_d_CLK_66 ^= VMAXW_5232 ^= c1_5249
             | (| CLK_1500 := when (d_CLK_66>0)
                | CLK_1501 := when (not (d_CLK_66>0))
                |)
             | (| CLK_4548 := when (c1_5249>0)
                | CLK_4549 := when (not (c1_5249>0))
                |)
             | (| d_CLK_66 := VMAXW_5232+CST_COST_TEST
                | VMAXW_5232 := (d_biterate when CLK_4548) default (0 when CLK_4549)
                | c1_5249 := d_biterate when CLK_d_CLK_66
                |)
             |)
            where 
            event CLK_4549, CLK_4548, CLK_1501;
            integer VMAXW_5232, c1_5249;
            end
         %ACT_CLK_d_CLK_66%; 
         process ACT_CLK_d_CLK_240 =
              ( )
            (| CLK_d_CLK_240 ^= VMAXW_5273 ^= c1_5290
             | (| CLK_1318 := when (d_CLK_240>0)
                | CLK_1319 := when (not (d_CLK_240>0))
                |)
             | (| CLK_4584 := when (c1_5290>0)
                | CLK_4585 := when (not (c1_5290>0))
                |)
             | (| d_CLK_240 := VMAXW_5273+CST_COST_TEST
                | VMAXW_5273 := (d_C when CLK_4584) default (0 when CLK_4585)
                | c1_5290 := d_C when CLK_d_CLK_240
                |)
             |)
            where 
            event CLK_4585, CLK_4584, CLK_1319;
            integer VMAXW_5273, c1_5290;
            end
         %ACT_CLK_d_CLK_240%; 
         process ACT_CLK_d_CLK_242 =
              ( )
            (| CLK_d_CLK_242 ^= VMAXW_5314 ^= c1_5331
             | (| CLK_2031 := when (d_CLK_242>0)
                | CLK_2032 := when (not (d_CLK_242>0))
                |)
             | (| CLK_4620 := when (c1_5331>0)
                | CLK_4621 := when (not (c1_5331>0))
                |)
             | (| d_CLK_242 := VMAXW_5314+CST_COST_TEST
                | VMAXW_5314 := (d_C_328 when CLK_4620) default (0 when CLK_4621)
                | c1_5331 := d_C_328 when CLK_d_CLK_242
                |)
             |)
            where 
            event CLK_4621, CLK_4620, CLK_2032;
            integer VMAXW_5314, c1_5331;
            end
         %ACT_CLK_d_CLK_242%; 
         process ACT_CLK_d_CLK_244 =
              ( )
            (| CLK_d_CLK_244 ^= VMAXW_5355 ^= c1_5372
             | (| CLK_1984 := when (d_CLK_244>0)
                | CLK_1985 := when (not (d_CLK_244>0))
                |)
             | (| CLK_4656 := when (c1_5372>0)
                | CLK_4657 := when (not (c1_5372>0))
                |)
             | (| d_CLK_244 := VMAXW_5355+CST_COST_TEST
                | VMAXW_5355 := (d_C_331 when CLK_4656) default (0 when CLK_4657)
                | c1_5372 := d_C_331 when CLK_d_CLK_244
                |)
             |)
            where 
            event CLK_4657, CLK_4656, CLK_1985;
            integer VMAXW_5355, c1_5372;
            end
         %ACT_CLK_d_CLK_244%; 
         process ACT_CLK_d_x2 =
              ( )
            (| CLK_d_x2 ^= VMAX ^= c2 ^= VMAXW_1648 ^= VMAX_1655 ^= c1_1670 ^= c2_1671 ^= VMAXW_1692 ^= vc_2877 ^= VMAXB_2887 ^= X_2888 ^= vc_2929 ^= VMAXB_2939 ^= X_2940 ^= vc_2980 ^= VMAXU_2986 ^= X_2987 ^= vc_3023 ^= VMAXB_3032 ^= X_3033 ^= vc_3065 ^= 
               VMAXB_3075 ^= X_3076 ^= vc_3116 ^= VMAXU_3122 ^= X_3123 ^= VMAXW_5396 ^= c1_5413 ^= VMAXO ^= c2_5954 ^= vc_5963
             | (| CLK_110 := when (d_CLK_x2_0>c2)
                | CLK_111 := when (not (d_CLK_x2_0>c2))
                |)
             | (| CLK_131 := when (d_x_168>VMAX)
                | CLK_132 := when (not (d_x_168>VMAX))
                |)
             | (| CLK_1049 := when (d_CLK_x2_0>0)
                | CLK_1050 := when (not (d_CLK_x2_0>0))
                |)
             | (| CLK_1071 := when (c1_1670>c2_1671)
                | CLK_1072 := when (not (c1_1670>c2_1671))
                |)
             | (| CLK_2262 := when ((d_bb_110>d_y) and (d_bb_110>d_CLK_x2_0))
                | CLK_2263 := when (not ((d_bb_110>d_y) and (d_bb_110>d_CLK_x2_0)))
                |)
             | (| CLK_2266 := when (d_y>d_CLK_x2_0)
                | CLK_2267 := when (not (d_y>d_CLK_x2_0))
                |)
             | (| CLK_2287 := when (X_2888>0)
                | CLK_2288 := when (not (X_2888>0))
                |)
             | (| CLK_2307 := when ((XZX_1580>0) and (XZX_1580>d_CLK_x2_0))
                | CLK_2308 := when (not ((XZX_1580>0) and (XZX_1580>d_CLK_x2_0)))
                |)
             | (| CLK_2311 := when (0>d_CLK_x2_0)
                | CLK_2312 := when (not (0>d_CLK_x2_0))
                |)
             | (| CLK_2332 := when (X_2940>0)
                | CLK_2333 := when (not (X_2940>0))
                |)
             | (| CLK_2352 := when (XZX_1561>d_CLK_x2_0)
                | CLK_2353 := when (not (XZX_1561>d_CLK_x2_0))
                |)
             | (| CLK_2370 := when (X_2987>0)
                | CLK_2371 := when (not (X_2987>0))
                |)
             | (| CLK_2401 := when (X_3033>0)
                | CLK_2402 := when (not (X_3033>0))
                |)
             | (| CLK_2419 := when ((XZX_1625>0) and (XZX_1625>d_CLK_x2_0))
                | CLK_2420 := when (not ((XZX_1625>0) and (XZX_1625>d_CLK_x2_0)))
                |)
             | (| CLK_2444 := when (X_3076>0)
                | CLK_2445 := when (not (X_3076>0))
                |)
             | (| CLK_2464 := when (XZX_1606>d_CLK_x2_0)
                | CLK_2465 := when (not (XZX_1606>d_CLK_x2_0))
                |)
             | (| CLK_2482 := when (X_3123>0)
                | CLK_2483 := when (not (X_3123>0))
                |)
             | (| CLK_4690 := when (c1_5413>0)
                | CLK_4691 := when (not (c1_5413>0))
                |)
             | (| CLK_5168 := when (d_x2_internal>c2_5954)
                | CLK_5169 := when (not (d_x2_internal>c2_5954))
                |)
             | (| CLK_5698 := CLK_2311 ^+ CLK_2419 |)
             | (| CLK_5700 := CLK_2307 ^+ CLK_2311 |)
             | (| CLK_5702 := CLK_2262 ^+ CLK_2266 |)
             | (| CLK_6053 := CLK_d_x2 ^- CLK_5702 |)
             | (| CLK_6056 := CLK_d_x2 ^- CLK_5700 |)
             | (| CLK_6062 := CLK_d_x2 ^- CLK_5698 |)
             | (| CLK_6108 := CLK_2266 ^- CLK_2262 |)
             | (| CLK_6110 := CLK_2311 ^- CLK_2307 |)
             | (| CLK_6112 := CLK_2311 ^- CLK_2419 |)
             | (| d_x2 := VMAXO+vc_5963
                | d_x2_internal := (d_x_168 when CLK_131) default (VMAX when CLK_132)
                | d_y := VMAXW_1648+CST_COST_TEST
                | d_bb_110 := VMAXW_1692+CST_COST_TEST
                | d_x_168 := VMAXU_2986+vc_2980
                | d_x_177 := VMAXU_3122+vc_3116
                | d_CLK_x2_0 := VMAXW_5396+CST_COST_TEST
                | XZX_1561 := VMAXB_2939+vc_2929
                | XZX_1580 := VMAXB_2887+vc_2877
                | XZX_1606 := VMAXB_3075+vc_3065
                | XZX_1625 := VMAXB_3032+vc_3023
                | VMAX := (d_CLK_x2_0 when CLK_110) default (d_C_x1 when CLK_111)
                | c2 := d_C_x1 when CLK_d_x2
                | VMAXW_1648 := (d_yy when CLK_1071) default (VMAX_1655 when CLK_1072)
                | VMAX_1655 := (d_CLK_x2_0 when CLK_1049) default (0 when CLK_1050)
                | c1_1670 := d_yy when CLK_d_x2
                | c2_1671 := VMAX_1655
                | VMAXW_1692 := (d_XZX_164 when CLK_1117) default (VMAX_1699 when CLK_6072)
                | VMAX_1699 := (d_CLK_x2_0 when CLK_1049) default (0 when CLK_1050)
                | vc_2877 := TAB_MINUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_d_x2
                | VMAXB_2887 := (X_2888 when CLK_2287) default (0 when CLK_2288)
                | X_2888 := (d_bb_110 when CLK_2262) default (d_y when CLK_6108) default (d_CLK_x2_0 when CLK_6053)
                | vc_2929 := TAB_PLUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_d_x2
                | VMAXB_2939 := (X_2940 when CLK_2332) default (0 when CLK_2333)
                | X_2940 := (XZX_1580 when CLK_2307) default (0 when CLK_6110) default (d_CLK_x2_0 when CLK_6056)
                | vc_2980 := TAB_UMINUS[integer(__TC__#_real)] when CLK_d_x2
                | VMAXU_2986 := (X_2987 when CLK_2370) default (0 when CLK_2371)
                | X_2987 := (XZX_1561 when CLK_2352) default (d_CLK_x2_0 when CLK_2353)
                | vc_3023 := TAB_PLUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_d_x2
                | VMAXB_3032 := (X_3033 when CLK_2401) default (0 when CLK_2402)
                | X_3033 := (d_bb_110 when CLK_2262) default (d_y when CLK_6108) default (d_CLK_x2_0 when CLK_6053)
                | vc_3065 := TAB_PLUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_d_x2
                | VMAXB_3075 := (X_3076 when CLK_2444) default (0 when CLK_2445)
                | X_3076 := (XZX_1625 when CLK_2419) default (0 when CLK_6112) default (d_CLK_x2_0 when CLK_6062)
                | vc_3116 := TAB_UMINUS[integer(__TC__#_real)] when CLK_d_x2
                | VMAXU_3122 := (X_3123 when CLK_2482) default (0 when CLK_2483)
                | X_3123 := (XZX_1606 when CLK_2464) default (d_CLK_x2_0 when CLK_2465)
                | VMAXW_5396 := (d_C_y when CLK_4690) default (0 when CLK_4691)
                | c1_5413 := d_C_y when CLK_d_x2
                | VMAXO := (d_x2_internal when CLK_5168) default (done when CLK_5169)
                | c2_5954 := done when CLK_d_x2
                | vc_5963 := TAB_COST_WRITE[integer(__TC__#_real)] when CLK_d_x2
                |)
             |)
            where 
            event CLK_6112, CLK_6110, CLK_6108, CLK_6062, CLK_6056, CLK_6053, CLK_5702, CLK_5700, CLK_5698, CLK_5169, CLK_5168, CLK_4691, CLK_4690, CLK_2483, CLK_2482, CLK_2465, CLK_2464, CLK_2445, CLK_2444, CLK_2420, CLK_2419, CLK_2402, CLK_2401, 
                 CLK_2371, CLK_2370, CLK_2353, CLK_2352, CLK_2333, CLK_2332, CLK_2312, CLK_2311, CLK_2308, CLK_2307, CLK_2288, CLK_2287, CLK_2267, CLK_2266, CLK_2263, CLK_2262, CLK_1072, CLK_1071, CLK_1050, CLK_1049, CLK_132, CLK_131, CLK_111, CLK_110;
            integer VMAX, c2, VMAXW_1648, VMAX_1655, c1_1670, c2_1671, VMAXW_1692, vc_2877, VMAXB_2887, X_2888, vc_2929, VMAXB_2939, X_2940, vc_2980, VMAXU_2986, X_2987, vc_3023, VMAXB_3032, X_3033, vc_3065, VMAXB_3075, X_3076, vc_3116, VMAXU_3122, X_3123,
                   VMAXW_5396, c1_5413, VMAXO, c2_5954, vc_5963;
            end
         %ACT_CLK_d_x2%; 
         process ACT_CLK_OK =
              ( )
            (| CLK_OK ^= C_cc ^= C_376 ^= C_error_398 ^= C_err ^= vc_972 ^= VMAXB_984 ^= X_985 ^= c2_1002 ^= c1_3948 ^= c2_3949 ^= VMAXU_3982 ^= X_3983 ^= c2_3995 ^= VMAXL_4309 ^= VMAX_4317 ^= VMAX_4323 ^= c2_4328 ^= vc_4359 ^= vc_4361 ^= VMAXL_4551 ^= 
               VMAX_4559 ^= VMAX_4565 ^= c2_4570 ^= vc_4600 ^= vc_4602 ^= VMAXB_4715 ^= X_4716 ^= c2_4733 ^= VMAXW_5435 ^= c1_5452 ^= VMAXI ^= vc_5870 ^= VMAXI_5885 ^= c2_5892 ^= vc_5901 ^= VMAXI_5916 ^= c2_5923 ^= vc_5932
             | (| CLK_C_d := when OK
                | CLK_C_d ^= C_d ^= C_ ^= C_370 ^= d_bb ^= d_cc ^= d_dd ^= d_aa ^= d_XZX_80 ^= d_XZX_84 ^= d_C_d ^= d_C_ ^= d_C_370 ^= d_CLK_bb ^= XZX_1121 ^= XZX_1142 ^= XZX_1540
                | ACT_CLK_C_d{}
                | CLK_27 := when (not OK)
                |)
             | (| CLK_C_cc_381 := when C_cc
                | CLK_C_cc_381 ^= C_cc_381 ^= C_error ^= d_bb_1 ^= d_cc_2 ^= d_C_cc_381 ^= d_C_error ^= d_CLK_bb_1_0 ^= XZX_1703
                | ACT_CLK_C_cc_381{}
                | CLK_44 := when (not C_cc)
                |)
             | (| CLK_d_error := when C_err
                | CLK_d_error ^= d_error ^= d_error_internal ^= d_err_235 ^= d_CLK_error_0 ^= XZX_1752 ^= XZX_1764 ^= VMAX_3561 ^= VMAX_3605
                | ACT_CLK_d_error{}
                | CLK_57 := when (not C_err)
                |)
             | (| CLK_420 := when ((d_a_internal>0) and (d_a_internal>d_CLK_a))
                | CLK_421 := when (not ((d_a_internal>0) and (d_a_internal>d_CLK_a)))
                |)
             | (| CLK_424 := when (0>d_CLK_a)
                | CLK_425 := when (not (0>d_CLK_a))
                |)
             | (| CLK_446 := when (X_985>c2_1002)
                | CLK_447 := when (not (X_985>c2_1002))
                |)
             | (| CLK_3311 := when (c1_3948>c2_3949)
                | CLK_3312 := when (not (c1_3948>c2_3949))
                |)
             | (| CLK_3330 := when (d_OK>d_CLK_a)
                | CLK_3331 := when (not (d_OK>d_CLK_a))
                |)
             | (| CLK_3348 := when (X_3983>c2_3995)
                | CLK_3349 := when (not (X_3983>c2_3995))
                |)
             | (| CLK_3639 := when (d_CLK_a>c2_4328)
                | CLK_3640 := when (not (d_CLK_a>c2_4328))
                |)
             | (| CLK_3660 := when (d_OK>VMAX_4323)
                | CLK_3661 := when (not (d_OK>VMAX_4323))
                |)
             | (| CLK_3862 := when (d_CLK_a>c2_4570)
                | CLK_3863 := when (not (d_CLK_a>c2_4570))
                |)
             | (| CLK_3883 := when (d_C_cc>VMAX_4565)
                | CLK_3884 := when (not (d_C_cc>VMAX_4565))
                |)
             | (| CLK_4009 := when ((d_C_376>d_C_error_398) and (d_C_376>d_CLK_a))
                | CLK_4010 := when (not ((d_C_376>d_C_error_398) and (d_C_376>d_CLK_a)))
                |)
             | (| CLK_4013 := when (d_C_error_398>d_CLK_a)
                | CLK_4014 := when (not (d_C_error_398>d_CLK_a))
                |)
             | (| CLK_4034 := when (X_4716>c2_4733)
                | CLK_4035 := when (not (X_4716>c2_4733))
                |)
             | (| CLK_4721 := when (c1_5452>0)
                | CLK_4722 := when (not (c1_5452>0))
                |)
             | (| CLK_5105 := when (d_a>0)
                | CLK_5106 := when (not (d_a>0))
                |)
             | (| CLK_5126 := when (d_b>c2_5892)
                | CLK_5127 := when (not (d_b>c2_5892))
                |)
             | (| CLK_5147 := when (d_c>c2_5923)
                | CLK_5148 := when (not (d_c>c2_5923))
                |)
             | (| CLK_5682 := CLK_4009 ^+ CLK_4013 |)
             | (| CLK_5724 := CLK_420 ^+ CLK_424 |)
             | (| CLK_5754 := CLK_d_error ^+ CLK_error_224_0 |)
             | (| CLK_c1_3565 := CLK_d_error ^* CLK_error_224_0
                | ACT_CLK_c1_3565{}
                |)
             | (| CLK_5758 := CLK_C_cc_381 ^+ CLK_d_error |)
             | (| CLK_5760 := CLK_d_error ^+ CLK_d_CLK_276 |)
             | (| CLK_c1_3609 := CLK_d_error ^* CLK_d_CLK_276
                | ACT_CLK_c1_3609{}
                |)
             | (| CLK_5769 := CLK_5758 ^+ CLK_C_d |)
             | (| CLK_5938 := CLK_d_error ^- CLK_2932 |)
             | (| CLK_5940 := CLK_d_error ^- CLK_2980 |)
             | (| CLK_5946 := CLK_d_error ^- CLK_2954 |)
             | (| CLK_5948 := CLK_d_error ^- CLK_3002 |)
             | (| CLK_6031 := CLK_OK ^- CLK_5724 |)
             | (| CLK_6034 := CLK_OK ^- CLK_5682 |)
             | (| CLK_6047 := CLK_OK ^- CLK_3682 |)
             | (| CLK_6050 := CLK_OK ^- CLK_3905 |)
             | (| CLK_6084 := CLK_424 ^- CLK_420 |)
             | (| CLK_6128 := CLK_4013 ^- CLK_4009 |)
             | (| d_a_internal := VMAXI+vc_5870
                | d_b_internal := VMAXI_5885+vc_5901
                | d_c_internal := VMAXI_5916+vc_5932
                | d_OK := VMAXB_984+vc_972
                | d_C_cc := VMAXU_3982+1
                | d_C_376 := VMAXL_4309+vc_4359
                | d_C_error_398 := VMAXL_4551+vc_4600
                | d_C_err := VMAXB_4715+CST_COST_OR
                | d_CLK_a := VMAXW_5435+CST_COST_TEST
                | C_cc := not OK
                | C_376 := (C_370 when CLK_C_d) default (not CLK_27)
                | C_error_398 := (C_error when CLK_C_cc_381) default (not CLK_44)
                | C_err := C_376 or C_error_398
                | vc_972 := TAB_COST_RELA[integer(__TC__#_real),integer(__TC__#_real)] when CLK_OK
                | VMAXB_984 := (X_985 when CLK_446) default (c2_1002 when CLK_447)
                | X_985 := (d_a_internal when CLK_420) default (0 when CLK_6084) default (d_CLK_a when CLK_6031)
                | c2_1002 := done_1051 when CLK_OK
                | c1_3948 := d_OK
                | c2_3949 := VMAX_3917 when CLK_OK
                | VMAXU_3982 := (X_3983 when CLK_3348) default (c2_3995 when CLK_3349)
                | X_3983 := (d_OK when CLK_3330) default (d_CLK_a when CLK_3331)
                | c2_3995 := done_1042 when CLK_OK
                | VMAXL_4309 := (d_C_370 when CLK_3682) default (VMAX_4317 when CLK_6047)
                | VMAX_4317 := (d_OK when CLK_3660) default (VMAX_4323 when CLK_3661)
                | VMAX_4323 := (d_CLK_a when CLK_3639) default (done_1903 when CLK_3640)
                | c2_4328 := done_1903 when CLK_OK
                | vc_4359 := CST_COST_TEST+vc_4361
                | vc_4361 := TAB_ASSIGN[integer(__TC__#_logical)] when CLK_OK
                | VMAXL_4551 := (d_C_error when CLK_3905) default (VMAX_4559 when CLK_6050)
                | VMAX_4559 := (d_C_cc when CLK_3883) default (VMAX_4565 when CLK_3884)
                | VMAX_4565 := (d_CLK_a when CLK_3862) default (done_1694 when CLK_3863)
                | c2_4570 := done_1694 when CLK_OK
                | vc_4600 := CST_COST_TEST+vc_4602
                | vc_4602 := TAB_ASSIGN[integer(__TC__#_logical)] when CLK_OK
                | VMAXB_4715 := (X_4716 when CLK_4034) default (c2_4733 when CLK_4035)
                | X_4716 := (d_C_376 when CLK_4009) default (d_C_error_398 when CLK_6128) default (d_CLK_a when CLK_6034)
                | c2_4733 := done_1969 when CLK_OK
                | VMAXW_5435 := (VMAXDelay when CLK_4721) default (0 when CLK_4722)
                | c1_5452 := VMAXDelay when CLK_OK
                | VMAXI := (d_a when CLK_5105) default (0 when CLK_5106)
                | vc_5870 := TAB_COST_READ[integer(__TC__#_real)] when CLK_OK
                | VMAXI_5885 := (d_b when CLK_5126) default (done_2209 when CLK_5127)
                | c2_5892 := done_2209 when CLK_OK
                | vc_5901 := TAB_COST_READ[integer(__TC__#_real)] when CLK_OK
                | VMAXI_5916 := (d_c when CLK_5147) default (done_2222 when CLK_5148)
                | c2_5923 := done_2222 when CLK_OK
                | vc_5932 := TAB_COST_READ[integer(__TC__#_real)] when CLK_OK
                |)
             |)
            where 
            event CLK_6128, CLK_6084, CLK_6050, CLK_6047, CLK_6034, CLK_6031, CLK_5948, CLK_5946, CLK_5940, CLK_5938, CLK_5769, CLK_c1_3609, CLK_5760, CLK_5758, CLK_c1_3565, CLK_5754, CLK_5724, CLK_5682, CLK_5148, CLK_5147, CLK_5127, CLK_5126, CLK_5106, 
                 CLK_5105, CLK_4722, CLK_4721, CLK_4035, CLK_4034, CLK_4014, CLK_4013, CLK_4010, CLK_4009, CLK_3905, CLK_3884, CLK_3883, CLK_3863, CLK_3862, CLK_3682, CLK_3661, CLK_3660, CLK_3640, CLK_3639, CLK_3349, CLK_3348, CLK_3331, CLK_3330, CLK_3312,
                 CLK_3002, CLK_2980, CLK_2954, CLK_2932, CLK_447, CLK_446, CLK_425, CLK_424, CLK_421, CLK_420;
            boolean C_cc, C_376, C_error_398, C_err;
            integer vc_972, VMAXB_984, X_985, c2_1002, VMAX_3561, VMAX_3605, c1_3948, c2_3949, VMAXU_3982, X_3983, c2_3995, VMAXL_4309, VMAX_4317, VMAX_4323, c2_4328, vc_4359, vc_4361, VMAXL_4551, VMAX_4559, VMAX_4565, c2_4570, vc_4600, vc_4602, 
                   VMAXB_4715, X_4716, c2_4733, VMAXW_5435, c1_5452, VMAXI, vc_5870, VMAXI_5885, c2_5892, vc_5901, VMAXI_5916, c2_5923, vc_5932;
            process ACT_CLK_C_d =
                 ( )
               (| CLK_C_d ^= vc_1026 ^= VMAXB_1036 ^= X_1037 ^= c2_1054 ^= vc_1079 ^= VMAXB_1089 ^= X_1090 ^= vc_1232 ^= VMAXB_1242 ^= X_1243 ^= vc_1284 ^= VMAXB_1294 ^= X_1295 ^= vc_1330 ^= VMAXB_1340 ^= X_1341 ^= c2_1358 ^= VMAXW_1380 ^= VMAX_1387 ^= 
                  c1_1402 ^= c2_1403 ^= VMAXW_1424 ^= VMAX_1431 ^= c1_1445 ^= c2_1446 ^= VMAXW_1467 ^= VMAX_1474 ^= c1_1488 ^= c2_1489 ^= VMAXW_2765 ^= VMAX_2772 ^= vc_4019 ^= VMAXB_4031 ^= X_4032 ^= c2_4049 ^= c1_4110 ^= c2_4111 ^= vc_4140 ^= VMAXB_4150 
                  ^= X_4151 ^= c2_4167 ^= c1_4228 ^= c2_4229 ^= vc_4258 ^= VMAXB_4270 ^= X_4271 ^= c2_4287 ^= c1_4349 ^= c2_4350 ^= VMAXW_5005 ^= VMAX_5012 ^= c1_5016 ^= c1_5027 ^= c2_5028
                | (| CLK_d_d := when C_d
                   | CLK_d_d ^= d_d ^= d_CLK_d_0 ^= XZX_1279 ^= XZX_1439
                   | ACT_CLK_d_d{}
                   | CLK_30 := when (not C_d)
                   |)
                | (| CLK_d_x_1 := when C_
                   | CLK_d_x_1 ^= d_x_1 ^= d_XZX_91 ^= d_CLK_x_1_0 ^= XZX_1206
                   | ACT_CLK_d_x_1{}
                   | CLK_33 := when (not C_)
                   |)
                | (| CLK_d_CLK_276 := when C_370
                   | CLK_d_CLK_276 ^= d_CLK_276
                   | ACT_CLK_d_CLK_276{}
                   | CLK_36 := when (not C_370)
                   |)
                | (| CLK_464 := when ((d_XZX_80>d_aa) and (d_XZX_80>d_CLK_bb))
                   | CLK_465 := when (not ((d_XZX_80>d_aa) and (d_XZX_80>d_CLK_bb)))
                   |)
                | (| CLK_468 := when (d_aa>d_CLK_bb)
                   | CLK_469 := when (not (d_aa>d_CLK_bb))
                   |)
                | (| CLK_490 := when (X_1037>c2_1054)
                   | CLK_491 := when (not (X_1037>c2_1054))
                   |)
                | (| CLK_510 := when ((d_XZX_84>d_aa) and (d_XZX_84>d_CLK_bb))
                   | CLK_511 := when (not ((d_XZX_84>d_aa) and (d_XZX_84>d_CLK_bb)))
                   |)
                | (| CLK_532 := when (X_1090>0)
                   | CLK_533 := when (not (X_1090>0))
                   |)
                | (| CLK_648 := when ((0>d_cc) and (0>d_CLK_bb))
                   | CLK_649 := when (not ((0>d_cc) and (0>d_CLK_bb)))
                   |)
                | (| CLK_652 := when (d_cc>d_CLK_bb)
                   | CLK_653 := when (not (d_cc>d_CLK_bb))
                   |)
                | (| CLK_673 := when (X_1243>0)
                   | CLK_674 := when (not (X_1243>0))
                   |)
                | (| CLK_693 := when (d_bb>d_CLK_bb)
                   | CLK_694 := when (not (d_bb>d_CLK_bb))
                   |)
                | (| CLK_711 := when (X_1295>0)
                   | CLK_712 := when (not (X_1295>0))
                   |)
                | (| CLK_729 := when ((XZX_1142>XZX_1121) and (XZX_1142>d_CLK_bb))
                   | CLK_730 := when (not ((XZX_1142>XZX_1121) and (XZX_1142>d_CLK_bb)))
                   |)
                | (| CLK_733 := when (XZX_1121>d_CLK_bb)
                   | CLK_734 := when (not (XZX_1121>d_CLK_bb))
                   |)
                | (| CLK_754 := when (X_1341>c2_1358)
                   | CLK_755 := when (not (X_1341>c2_1358))
                   |)
                | (| CLK_779 := when (d_CLK_bb>0)
                   | CLK_780 := when (not (d_CLK_bb>0))
                   |)
                | (| CLK_801 := when (c1_1402>c2_1403)
                   | CLK_802 := when (not (c1_1402>c2_1403))
                   |)
                | (| CLK_848 := when (c1_1445>c2_1446)
                   | CLK_849 := when (not (c1_1445>c2_1446))
                   |)
                | (| CLK_894 := when (c1_1488>c2_1489)
                   | CLK_895 := when (not (c1_1488>c2_1489))
                   |)
                | (| CLK_2172 := when (d_bb>VMAX_2772)
                   | CLK_2173 := when (not (d_bb>VMAX_2772))
                   |)
                | (| CLK_3366 := when ((d_dd>0) and (d_dd>d_CLK_bb))
                   | CLK_3367 := when (not ((d_dd>0) and (d_dd>d_CLK_bb)))
                   |)
                | (| CLK_3370 := when (0>d_CLK_bb)
                   | CLK_3371 := when (not (0>d_CLK_bb))
                   |)
                | (| CLK_3391 := when (X_4032>c2_4049)
                   | CLK_3392 := when (not (X_4032>c2_4049))
                   |)
                | (| CLK_3458 := when (c1_4110>c2_4111)
                   | CLK_3459 := when (not (c1_4110>c2_4111))
                   |)
                | (| CLK_3502 := when (X_4151>c2_4167)
                   | CLK_3503 := when (not (X_4151>c2_4167))
                   |)
                | (| CLK_3569 := when (c1_4228>c2_4229)
                   | CLK_3570 := when (not (c1_4228>c2_4229))
                   |)
                | (| CLK_3613 := when (X_4271>c2_4287)
                   | CLK_3614 := when (not (X_4271>c2_4287))
                   |)
                | (| CLK_3682 := when (c1_4349>c2_4350)
                   | CLK_3683 := when (not (c1_4349>c2_4350))
                   |)
                | (| CLK_4297 := when (c1_5016>0)
                   | CLK_4298 := when (not (c1_5016>0))
                   |)
                | (| CLK_4319 := when (c1_5027>c2_5028)
                   | CLK_4320 := when (not (c1_5027>c2_5028))
                   |)
                | (| CLK_5690 := CLK_3366 ^+ CLK_3370 |)
                | (| CLK_5716 := CLK_729 ^+ CLK_733 |)
                | (| CLK_5718 := CLK_648 ^+ CLK_652 |)
                | (| CLK_5720 := CLK_468 ^+ CLK_510 |)
                | (| CLK_5722 := CLK_464 ^+ CLK_468 |)
                | (| CLK_6000 := CLK_C_d ^- CLK_5722 |)
                | (| CLK_6002 := CLK_C_d ^- CLK_5720 |)
                | (| CLK_6005 := CLK_C_d ^- CLK_5718 |)
                | (| CLK_6010 := CLK_C_d ^- CLK_5716 |)
                | (| CLK_6013 := CLK_C_d ^- CLK_5690 |)
                | (| CLK_6086 := CLK_468 ^- CLK_510 |)
                | (| CLK_6088 := CLK_468 ^- CLK_464 |)
                | (| CLK_6092 := CLK_652 ^- CLK_648 |)
                | (| CLK_6094 := CLK_733 ^- CLK_729 |)
                | (| CLK_6120 := CLK_3370 ^- CLK_3366 |)
                | (| d_bb := VMAXB_1036+vc_1026
                   | d_cc := VMAXB_1089+vc_1079
                   | d_dd := VMAXB_1340+vc_1330
                   | d_aa := VMAXW_1380+CST_COST_TEST
                   | d_XZX_80 := VMAXW_1424+CST_COST_TEST
                   | d_XZX_84 := VMAXW_1467+CST_COST_TEST
                   | d_C_d := VMAXB_4031+vc_4019
                   | d_C_ := VMAXB_4150+vc_4140
                   | d_C_370 := VMAXB_4270+vc_4258
                   | d_CLK_bb := VMAXW_5005+CST_COST_TEST
                   | XZX_1121 := VMAXB_1242+vc_1232
                   | XZX_1142 := VMAXB_1294+vc_1284
                   | XZX_1540 := VMAXW_2765+CST_COST_TEST
                   | vc_1026 := TAB_PLUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_C_d
                   | VMAXB_1036 := (X_1037 when CLK_490) default (c2_1054 when CLK_491)
                   | X_1037 := (d_XZX_80 when CLK_464) default (d_aa when CLK_6088) default (d_CLK_bb when CLK_6000)
                   | c2_1054 := done_1070 when CLK_C_d
                   | vc_1079 := TAB_PLUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_C_d
                   | VMAXB_1089 := (X_1090 when CLK_532) default (0 when CLK_533)
                   | X_1090 := (d_XZX_84 when CLK_510) default (d_aa when CLK_6086) default (d_CLK_bb when CLK_6002)
                   | vc_1232 := TAB_PLUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_C_d
                   | VMAXB_1242 := (X_1243 when CLK_673) default (0 when CLK_674)
                   | X_1243 := (0 when CLK_648) default (d_cc when CLK_6092) default (d_CLK_bb when CLK_6005)
                   | vc_1284 := TAB_PLUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_C_d
                   | VMAXB_1294 := (X_1295 when CLK_711) default (0 when CLK_712)
                   | X_1295 := (d_bb when CLK_693) default (d_CLK_bb when CLK_694)
                   | vc_1330 := TAB_MINUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_C_d
                   | VMAXB_1340 := (X_1341 when CLK_754) default (c2_1358 when CLK_755)
                   | X_1341 := (XZX_1142 when CLK_729) default (XZX_1121 when CLK_6094) default (d_CLK_bb when CLK_6010)
                   | c2_1358 := done_1061 when CLK_C_d
                   | VMAXW_1380 := (d_a_internal when CLK_801) default (VMAX_1387 when CLK_802)
                   | VMAX_1387 := (d_CLK_bb when CLK_779) default (0 when CLK_780)
                   | c1_1402 := d_a_internal when CLK_C_d
                   | c2_1403 := VMAX_1387
                   | VMAXW_1424 := (d_b_internal when CLK_848) default (VMAX_1431 when CLK_849)
                   | VMAX_1431 := (d_CLK_bb when CLK_779) default (0 when CLK_780)
                   | c1_1445 := d_b_internal when CLK_C_d
                   | c2_1446 := VMAX_1431
                   | VMAXW_1467 := (d_c_internal when CLK_894) default (VMAX_1474 when CLK_895)
                   | VMAX_1474 := (d_CLK_bb when CLK_779) default (0 when CLK_780)
                   | c1_1488 := d_c_internal when CLK_C_d
                   | c2_1489 := VMAX_1474
                   | VMAXW_2765 := (d_bb when CLK_2172) default (VMAX_2772 when CLK_2173)
                   | VMAX_2772 := (d_CLK_bb when CLK_779) default (0 when CLK_780)
                   | vc_4019 := TAB_COST_RELA[integer(__TC__#_real),integer(__TC__#_real)] when CLK_C_d
                   | VMAXB_4031 := (X_4032 when CLK_3391) default (c2_4049 when CLK_3392)
                   | X_4032 := (d_dd when CLK_3366) default (0 when CLK_6120) default (d_CLK_bb when CLK_6013)
                   | c2_4049 := done_1110 when CLK_C_d
                   | c1_4110 := d_C_d
                   | c2_4111 := VMAX_4079 when CLK_C_d
                   | vc_4140 := TAB_COST_RELA[integer(__TC__#_real),integer(__TC__#_real)] when CLK_C_d
                   | VMAXB_4150 := (X_4151 when CLK_3502) default (c2_4167 when CLK_3503)
                   | X_4151 := (d_dd when CLK_3366) default (0 when CLK_6120) default (d_CLK_bb when CLK_6013)
                   | c2_4167 := done_1854 when CLK_C_d
                   | c1_4228 := d_C_
                   | c2_4229 := VMAX_4197 when CLK_C_d
                   | vc_4258 := TAB_COST_RELA[integer(__TC__#_real),integer(__TC__#_real)] when CLK_C_d
                   | VMAXB_4270 := (X_4271 when CLK_3613) default (c2_4287 when CLK_3614)
                   | X_4271 := (d_dd when CLK_3366) default (0 when CLK_6120) default (d_CLK_bb when CLK_6013)
                   | c2_4287 := done_1878 when CLK_C_d
                   | c1_4349 := d_C_370
                   | c2_4350 := VMAX_4317 when CLK_C_d
                   | VMAXW_5005 := (d_OK when CLK_4319) default (VMAX_5012 when CLK_4320)
                   | VMAX_5012 := (d_CLK_a when CLK_4297) default (0 when CLK_4298)
                   | c1_5016 := d_CLK_a when CLK_C_d
                   | c1_5027 := d_OK when CLK_C_d
                   | c2_5028 := VMAX_5012
                   |)
                |)
               where 
               event CLK_6120, CLK_6094, CLK_6092, CLK_6088, CLK_6086, CLK_6013, CLK_6010, CLK_6005, CLK_6002, CLK_6000, CLK_5722, CLK_5720, CLK_5718, CLK_5716, CLK_5690, CLK_4320, CLK_4319, CLK_4298, CLK_4297, CLK_3683, CLK_3614, CLK_3613, CLK_3570, 
                    CLK_3503, CLK_3502, CLK_3459, CLK_3392, CLK_3391, CLK_3371, CLK_3370, CLK_3367, CLK_3366, CLK_2173, CLK_2172, CLK_895, CLK_894, CLK_849, CLK_848, CLK_802, CLK_801, CLK_780, CLK_779, CLK_755, CLK_754, CLK_734, CLK_733, CLK_730, CLK_729, 
                    CLK_712, CLK_711, CLK_694, CLK_693, CLK_674, CLK_673, CLK_653, CLK_652, CLK_649, CLK_648, CLK_533, CLK_532, CLK_511, CLK_510, CLK_491, CLK_490, CLK_469, CLK_468, CLK_465, CLK_464;
               integer vc_1026, VMAXB_1036, X_1037, c2_1054, vc_1079, VMAXB_1089, X_1090, vc_1232, VMAXB_1242, X_1243, vc_1284, VMAXB_1294, X_1295, vc_1330, VMAXB_1340, X_1341, c2_1358, VMAXW_1380, VMAX_1387, c1_1402, c2_1403, VMAXW_1424, VMAX_1431, 
                      c1_1445, c2_1446, VMAXW_1467, VMAX_1474, c1_1488, c2_1489, VMAXW_2765, VMAX_2772, vc_4019, VMAXB_4031, X_4032, c2_4049, c1_4110, c2_4111, vc_4140, VMAXB_4150, X_4151, c2_4167, c1_4228, c2_4229, vc_4258, VMAXB_4270, X_4271, c2_4287, 
                      c1_4349, c2_4350, VMAXW_5005, VMAX_5012, c1_5016, c1_5027, c2_5028;
               process ACT_CLK_d_d =
                    ( )
                  (| CLK_d_d ^= VMAXW_1127 ^= VMAX_1134 ^= c1_1149 ^= c2_1150 ^= vc_1781 ^= VMAXB_1791 ^= X_1792 ^= c2_1853 ^= c2_2288 ^= VMAXW_2343 ^= VMAX_2350 ^= c2_2426 ^= VMAXW_5095 ^= VMAX_5102 ^= c1_5106 ^= c1_5117 ^= c2_5118
                   | (| CLK_558 := when (d_CLK_d_0>0)
                      | CLK_559 := when (not (d_CLK_d_0>0))
                      |)
                   | (| CLK_580 := when (c1_1149>c2_1150)
                      | CLK_581 := when (not (c1_1149>c2_1150))
                      |)
                   | (| CLK_1183 := when ((d_d>0) and (d_d>d_CLK_d_0))
                      | CLK_1184 := when (not ((d_d>0) and (d_d>d_CLK_d_0)))
                      |)
                   | (| CLK_1187 := when (0>d_CLK_d_0)
                      | CLK_1188 := when (not (0>d_CLK_d_0))
                      |)
                   | (| CLK_1208 := when (X_1792>0)
                      | CLK_1209 := when (not (X_1792>0))
                      |)
                   | (| CLK_1257 := when (XZX_1279>c2_1853)
                      | CLK_1258 := when (not (XZX_1279>c2_1853))
                      |)
                   | (| CLK_1685 := when (0>c2_2288)
                      | CLK_1686 := when (not (0>c2_2288))
                      |)
                   | (| CLK_1765 := when (d_d>VMAX_2350)
                      | CLK_1766 := when (not (d_d>VMAX_2350))
                      |)
                   | (| CLK_1831 := when (XZX_1439>c2_2426)
                      | CLK_1832 := when (not (XZX_1439>c2_2426))
                      |)
                   | (| CLK_4389 := when (c1_5106>0)
                      | CLK_4390 := when (not (c1_5106>0))
                      |)
                   | (| CLK_4411 := when (c1_5117>c2_5118)
                      | CLK_4412 := when (not (c1_5117>c2_5118))
                      |)
                   | (| CLK_5712 := CLK_1183 ^+ CLK_1187 |)
                   | (| CLK_5993 := CLK_d_d ^- CLK_5712 |)
                   | (| CLK_6098 := CLK_1187 ^- CLK_1183 |)
                   | (| d_d := VMAXW_1127+CST_COST_TEST
                      | d_CLK_d_0 := VMAXW_5095+CST_COST_TEST
                      | XZX_1279 := VMAXB_1791+vc_1781
                      | XZX_1439 := VMAXW_2343+CST_COST_TEST
                      | VMAXW_1127 := (d_dd when CLK_580) default (VMAX_1134 when CLK_581)
                      | VMAX_1134 := (d_CLK_d_0 when CLK_558) default (0 when CLK_559)
                      | c1_1149 := d_dd when CLK_d_d
                      | c2_1150 := VMAX_1134
                      | vc_1781 := TAB_PLUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_d_d
                      | VMAXB_1791 := (X_1792 when CLK_1208) default (0 when CLK_1209)
                      | X_1792 := (d_d when CLK_1183) default (0 when CLK_6098) default (d_CLK_d_0 when CLK_5993)
                      | c2_1853 := VMAX_1837 when CLK_d_d
                      | c2_2288 := VMAX_2272 when CLK_d_d
                      | VMAXW_2343 := (d_d when CLK_1765) default (VMAX_2350 when CLK_1766)
                      | VMAX_2350 := (d_CLK_d_0 when CLK_558) default (0 when CLK_559)
                      | c2_2426 := VMAX_2394 when CLK_d_d
                      | VMAXW_5095 := (d_C_d when CLK_4411) default (VMAX_5102 when CLK_4412)
                      | VMAX_5102 := (d_CLK_bb when CLK_4389) default (0 when CLK_4390)
                      | c1_5106 := d_CLK_bb when CLK_d_d
                      | c1_5117 := d_C_d when CLK_d_d
                      | c2_5118 := VMAX_5102
                      |)
                   |)
                  where 
                  event CLK_6098, CLK_5993, CLK_5712, CLK_4412, CLK_4411, CLK_4390, CLK_4389, CLK_1832, CLK_1766, CLK_1765, CLK_1686, CLK_1258, CLK_1209, CLK_1208, CLK_1188, CLK_1187, CLK_1184, CLK_1183, CLK_581, CLK_580, CLK_559;
                  integer VMAXW_1127, VMAX_1134, c1_1149, c2_1150, vc_1781, VMAXB_1791, X_1792, c2_1853, c2_2288, VMAXW_2343, VMAX_2350, c2_2426, VMAXW_5095, VMAX_5102, c1_5106, c1_5117, c2_5118;
                  end
               %ACT_CLK_d_d%; 
               process ACT_CLK_d_x_1 =
                    ( )
                  (| CLK_d_x_1 ^= vc_1512 ^= VMAXU_1518 ^= X_1519 ^= vc_1555 ^= VMAXB_1565 ^= X_1566 ^= VMAXW_1604 ^= VMAX_1611 ^= c1_1626 ^= c2_1627 ^= VMAXW_5140 ^= VMAX_5147 ^= c1_5151 ^= c1_5162 ^= c2_5163
                   | (| CLK_914 := when (d_XZX_91>d_CLK_x_1_0)
                      | CLK_915 := when (not (d_XZX_91>d_CLK_x_1_0))
                      |)
                   | (| CLK_932 := when (X_1519>0)
                      | CLK_933 := when (not (X_1519>0))
                      |)
                   | (| CLK_952 := when ((XZX_1206>0) and (XZX_1206>d_CLK_x_1_0))
                      | CLK_953 := when (not ((XZX_1206>0) and (XZX_1206>d_CLK_x_1_0)))
                      |)
                   | (| CLK_956 := when (0>d_CLK_x_1_0)
                      | CLK_957 := when (not (0>d_CLK_x_1_0))
                      |)
                   | (| CLK_977 := when (X_1566>0)
                      | CLK_978 := when (not (X_1566>0))
                      |)
                   | (| CLK_1002 := when (d_CLK_x_1_0>0)
                      | CLK_1003 := when (not (d_CLK_x_1_0>0))
                      |)
                   | (| CLK_1024 := when (c1_1626>c2_1627)
                      | CLK_1025 := when (not (c1_1626>c2_1627))
                      |)
                   | (| CLK_4438 := when (c1_5151>0)
                      | CLK_4439 := when (not (c1_5151>0))
                      |)
                   | (| CLK_4460 := when (c1_5162>c2_5163)
                      | CLK_4461 := when (not (c1_5162>c2_5163))
                      |)
                   | (| CLK_5714 := CLK_952 ^+ CLK_956 |)
                   | (| CLK_5985 := CLK_d_x_1 ^- CLK_5714 |)
                   | (| CLK_6096 := CLK_956 ^- CLK_952 |)
                   | (| d_x_1 := VMAXB_1565+vc_1555
                      | d_XZX_91 := VMAXW_1604+CST_COST_TEST
                      | d_CLK_x_1_0 := VMAXW_5140+CST_COST_TEST
                      | XZX_1206 := VMAXU_1518+vc_1512
                      | vc_1512 := TAB_UMINUS[integer(__TC__#_real)] when CLK_d_x_1
                      | VMAXU_1518 := (X_1519 when CLK_932) default (0 when CLK_933)
                      | X_1519 := (d_XZX_91 when CLK_914) default (d_CLK_x_1_0 when CLK_915)
                      | vc_1555 := TAB_PLUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_d_x_1
                      | VMAXB_1565 := (X_1566 when CLK_977) default (0 when CLK_978)
                      | X_1566 := (XZX_1206 when CLK_952) default (0 when CLK_6096) default (d_CLK_x_1_0 when CLK_5985)
                      | VMAXW_1604 := (d_bb when CLK_1024) default (VMAX_1611 when CLK_1025)
                      | VMAX_1611 := (d_CLK_x_1_0 when CLK_1002) default (0 when CLK_1003)
                      | c1_1626 := d_bb when CLK_d_x_1
                      | c2_1627 := VMAX_1611
                      | VMAXW_5140 := (d_C_ when CLK_4460) default (VMAX_5147 when CLK_4461)
                      | VMAX_5147 := (d_CLK_bb when CLK_4438) default (0 when CLK_4439)
                      | c1_5151 := d_CLK_bb when CLK_d_x_1
                      | c1_5162 := d_C_ when CLK_d_x_1
                      | c2_5163 := VMAX_5147
                      |)
                   |)
                  where 
                  event CLK_6096, CLK_5985, CLK_5714, CLK_4461, CLK_4460, CLK_4439, CLK_4438, CLK_1025, CLK_1024, CLK_1003, CLK_1002, CLK_978, CLK_977, CLK_957, CLK_956, CLK_953, CLK_952, CLK_933, CLK_932, CLK_915, CLK_914;
                  integer vc_1512, VMAXU_1518, X_1519, vc_1555, VMAXB_1565, X_1566, VMAXW_1604, VMAX_1611, c1_1626, c2_1627, VMAXW_5140, VMAX_5147, c1_5151, c1_5162, c2_5163;
                  end
               %ACT_CLK_d_x_1%; 
               process ACT_CLK_d_CLK_276 =
                    ( )
                  (| CLK_d_CLK_276 ^= VMAXW_5185 ^= VMAX_5192 ^= c1_5196 ^= c1_5207 ^= c2_5208
                   | (| CLK_4490 := when (c1_5196>0)
                      | CLK_4491 := when (not (c1_5196>0))
                      |)
                   | (| CLK_4512 := when (c1_5207>c2_5208)
                      | CLK_4513 := when (not (c1_5207>c2_5208))
                      |)
                   | (| d_CLK_276 := VMAXW_5185+CST_COST_TEST
                      | VMAXW_5185 := (d_C_370 when CLK_4512) default (VMAX_5192 when CLK_4513)
                      | VMAX_5192 := (d_CLK_bb when CLK_4490) default (0 when CLK_4491)
                      | c1_5196 := d_CLK_bb when CLK_d_CLK_276
                      | c1_5207 := d_C_370 when CLK_d_CLK_276
                      | c2_5208 := VMAX_5192
                      |)
                   |)
                  where 
                  event CLK_4513, CLK_4512, CLK_4491, CLK_4490;
                  integer VMAXW_5185, VMAX_5192, c1_5196, c1_5207, c2_5208;
                  end
               %ACT_CLK_d_CLK_276%; 
               end
            %ACT_CLK_C_d%; 
            process ACT_CLK_C_cc_381 =
                 ( )
               (| CLK_C_cc_381 ^= vc_3371 ^= VMAXB_3383 ^= X_3384 ^= VMAXW_3467 ^= VMAX_3474 ^= c1_3489 ^= c2_3490 ^= VMAXW_3511 ^= VMAX_3518 ^= c1_3532 ^= c2_3533 ^= vc_4381 ^= VMAXB_4393 ^= X_4394 ^= c2_4411 ^= c1_4472 ^= c2_4473 ^= vc_4502 ^= 
                  VMAXB_4512 ^= X_4513 ^= c2_4529 ^= c1_4590 ^= c2_4591 ^= VMAXW_5050 ^= VMAX_5057 ^= c1_5061 ^= c1_5072 ^= c2_5073
                | (| CLK_d_x := when C_cc_381
                   | CLK_d_x ^= d_x ^= d_bb_212 ^= d_cc_213 ^= d_CLK_x_0 ^= XZX_1026
                   | ACT_CLK_d_x{}
                   | CLK_47 := when (not C_cc_381)
                   |)
                | (| CLK_error_224_0 := when C_error
                   | CLK_error_224_0 ^= error_224 ^= d_error_224 ^= d_CLK_error_224_0
                   | ACT_CLK_error_224_0{}
                   | CLK_50 := when (not C_error)
                   |)
                | (| CLK_2734 := when ((d_cc_2>0) and (d_cc_2>d_CLK_bb_1_0))
                   | CLK_2735 := when (not ((d_cc_2>0) and (d_cc_2>d_CLK_bb_1_0)))
                   |)
                | (| CLK_2738 := when (0>d_CLK_bb_1_0)
                   | CLK_2739 := when (not (0>d_CLK_bb_1_0))
                   |)
                | (| CLK_2759 := when (X_3384>0)
                   | CLK_2760 := when (not (X_3384>0))
                   |)
                | (| CLK_2837 := when (d_CLK_bb_1_0>0)
                   | CLK_2838 := when (not (d_CLK_bb_1_0>0))
                   |)
                | (| CLK_2859 := when (c1_3489>c2_3490)
                   | CLK_2860 := when (not (c1_3489>c2_3490))
                   |)
                | (| CLK_2906 := when (c1_3532>c2_3533)
                   | CLK_2907 := when (not (c1_3532>c2_3533))
                   |)
                | (| CLK_3701 := when ((d_bb_1>0) and (d_bb_1>d_CLK_bb_1_0))
                   | CLK_3702 := when (not ((d_bb_1>0) and (d_bb_1>d_CLK_bb_1_0)))
                   |)
                | (| CLK_3727 := when (X_4394>c2_4411)
                   | CLK_3728 := when (not (X_4394>c2_4411))
                   |)
                | (| CLK_3794 := when (c1_4472>c2_4473)
                   | CLK_3795 := when (not (c1_4472>c2_4473))
                   |)
                | (| CLK_3838 := when (X_4513>c2_4529)
                   | CLK_3839 := when (not (X_4513>c2_4529))
                   |)
                | (| CLK_3905 := when (c1_4590>c2_4591)
                   | CLK_3906 := when (not (c1_4590>c2_4591))
                   |)
                | (| CLK_4343 := when (c1_5061>0)
                   | CLK_4344 := when (not (c1_5061>0))
                   |)
                | (| CLK_4365 := when (c1_5072>c2_5073)
                   | CLK_4366 := when (not (c1_5072>c2_5073))
                   |)
                | (| CLK_5694 := CLK_2738 ^+ CLK_3701 |)
                | (| CLK_5696 := CLK_2734 ^+ CLK_2738 |)
                | (| CLK_5967 := CLK_C_cc_381 ^- CLK_5696 |)
                | (| CLK_5971 := CLK_C_cc_381 ^- CLK_5694 |)
                | (| CLK_6114 := CLK_2738 ^- CLK_2734 |)
                | (| CLK_6116 := CLK_2738 ^- CLK_3701 |)
                | (| d_bb_1 := VMAXW_3467+CST_COST_TEST
                   | d_cc_2 := VMAXW_3511+CST_COST_TEST
                   | d_C_cc_381 := VMAXB_4393+vc_4381
                   | d_C_error := VMAXB_4512+vc_4502
                   | d_CLK_bb_1_0 := VMAXW_5050+CST_COST_TEST
                   | XZX_1703 := VMAXB_3383+vc_3371
                   | vc_3371 := TAB_COST_RELA[integer(__TC__#_real),integer(__TC__#_real)] when CLK_C_cc_381
                   | VMAXB_3383 := (X_3384 when CLK_2759) default (0 when CLK_2760)
                   | X_3384 := (d_cc_2 when CLK_2734) default (0 when CLK_6114) default (d_CLK_bb_1_0 when CLK_5967)
                   | VMAXW_3467 := (d_b_internal when CLK_2859) default (VMAX_3474 when CLK_2860)
                   | VMAX_3474 := (d_CLK_bb_1_0 when CLK_2837) default (0 when CLK_2838)
                   | c1_3489 := d_b_internal when CLK_C_cc_381
                   | c2_3490 := VMAX_3474
                   | VMAXW_3511 := (d_c_internal when CLK_2906) default (VMAX_3518 when CLK_2907)
                   | VMAX_3518 := (d_CLK_bb_1_0 when CLK_2837) default (0 when CLK_2838)
                   | c1_3532 := d_c_internal when CLK_C_cc_381
                   | c2_3533 := VMAX_3518
                   | vc_4381 := TAB_COST_RELA[integer(__TC__#_real),integer(__TC__#_real)] when CLK_C_cc_381
                   | VMAXB_4393 := (X_4394 when CLK_3727) default (c2_4411 when CLK_3728)
                   | X_4394 := (d_bb_1 when CLK_3701) default (0 when CLK_6116) default (d_CLK_bb_1_0 when CLK_5971)
                   | c2_4411 := done_1921 when CLK_C_cc_381
                   | c1_4472 := d_C_cc_381
                   | c2_4473 := VMAX_4441 when CLK_C_cc_381
                   | vc_4502 := TAB_COST_RELA[integer(__TC__#_real),integer(__TC__#_real)] when CLK_C_cc_381
                   | VMAXB_4512 := (X_4513 when CLK_3838) default (c2_4529 when CLK_3839)
                   | X_4513 := (d_bb_1 when CLK_3701) default (0 when CLK_6116) default (d_CLK_bb_1_0 when CLK_5971)
                   | c2_4529 := done_1928 when CLK_C_cc_381
                   | c1_4590 := d_C_error
                   | c2_4591 := VMAX_4559 when CLK_C_cc_381
                   | VMAXW_5050 := (d_C_cc when CLK_4365) default (VMAX_5057 when CLK_4366)
                   | VMAX_5057 := (d_CLK_a when CLK_4343) default (0 when CLK_4344)
                   | c1_5061 := d_CLK_a when CLK_C_cc_381
                   | c1_5072 := d_C_cc when CLK_C_cc_381
                   | c2_5073 := VMAX_5057
                   |)
                |)
               where 
               event CLK_6116, CLK_6114, CLK_5971, CLK_5967, CLK_5696, CLK_5694, CLK_4366, CLK_4365, CLK_4344, CLK_4343, CLK_3906, CLK_3839, CLK_3838, CLK_3795, CLK_3728, CLK_3727, CLK_3702, CLK_3701, CLK_2907, CLK_2906, CLK_2860, CLK_2859, CLK_2838, 
                    CLK_2837, CLK_2760, CLK_2759, CLK_2739, CLK_2738, CLK_2735, CLK_2734;
               integer vc_3371, VMAXB_3383, X_3384, VMAXW_3467, VMAX_3474, c1_3489, c2_3490, VMAXW_3511, VMAX_3518, c1_3532, c2_3533, vc_4381, VMAXB_4393, X_4394, c2_4411, c1_4472, c2_4473, vc_4502, VMAXB_4512, X_4513, c2_4529, c1_4590, c2_4591, 
                      VMAXW_5050, VMAX_5057, c1_5061, c1_5072, c2_5073;
               process ACT_CLK_d_x =
                    ( )
                  (| CLK_d_x ^= vc_876 ^= VMAXB ^= X_889 ^= vc_929 ^= VMAXU ^= X_937 ^= VMAXW_3281 ^= VMAX_3288 ^= c1_3303 ^= c2_3304 ^= VMAXW_3325 ^= VMAX_3332 ^= c1_3346 ^= c2_3347 ^= VMAXW_5475 ^= VMAX_5482 ^= c1_5486 ^= c1_5497 ^= c2_5498
                   | (| CLK_339 := when ((d_cc_213>d_bb_212) and (d_cc_213>d_CLK_x_0))
                      | CLK_340 := when (not ((d_cc_213>d_bb_212) and (d_cc_213>d_CLK_x_0)))
                      |)
                   | (| CLK_343 := when (d_bb_212>d_CLK_x_0)
                      | CLK_344 := when (not (d_bb_212>d_CLK_x_0))
                      |)
                   | (| CLK_364 := when (X_889>0)
                      | CLK_365 := when (not (X_889>0))
                      |)
                   | (| CLK_384 := when (XZX_1026>d_CLK_x_0)
                      | CLK_385 := when (not (XZX_1026>d_CLK_x_0))
                      |)
                   | (| CLK_402 := when (X_937>0)
                      | CLK_403 := when (not (X_937>0))
                      |)
                   | (| CLK_2646 := when (d_CLK_x_0>0)
                      | CLK_2647 := when (not (d_CLK_x_0>0))
                      |)
                   | (| CLK_2668 := when (c1_3303>c2_3304)
                      | CLK_2669 := when (not (c1_3303>c2_3304))
                      |)
                   | (| CLK_2715 := when (c1_3346>c2_3347)
                      | CLK_2716 := when (not (c1_3346>c2_3347))
                      |)
                   | (| CLK_4745 := when (c1_5486>0)
                      | CLK_4746 := when (not (c1_5486>0))
                      |)
                   | (| CLK_4767 := when (c1_5497>c2_5498)
                      | CLK_4768 := when (not (c1_5497>c2_5498))
                      |)
                   | (| CLK_5726 := CLK_339 ^+ CLK_343 |)
                   | (| CLK_5957 := CLK_d_x ^- CLK_5726 |)
                   | (| CLK_6082 := CLK_343 ^- CLK_339 |)
                   | (| d_x := VMAXU+vc_929
                      | d_bb_212 := VMAXW_3281+CST_COST_TEST
                      | d_cc_213 := VMAXW_3325+CST_COST_TEST
                      | d_CLK_x_0 := VMAXW_5475+CST_COST_TEST
                      | XZX_1026 := VMAXB+vc_876
                      | vc_876 := TAB_PLUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_d_x
                      | VMAXB := (X_889 when CLK_364) default (0 when CLK_365)
                      | X_889 := (d_cc_213 when CLK_339) default (d_bb_212 when CLK_6082) default (d_CLK_x_0 when CLK_5957)
                      | vc_929 := TAB_UMINUS[integer(__TC__#_real)] when CLK_d_x
                      | VMAXU := (X_937 when CLK_402) default (0 when CLK_403)
                      | X_937 := (XZX_1026 when CLK_384) default (d_CLK_x_0 when CLK_385)
                      | VMAXW_3281 := (d_bb_1 when CLK_2668) default (VMAX_3288 when CLK_2669)
                      | VMAX_3288 := (d_CLK_x_0 when CLK_2646) default (0 when CLK_2647)
                      | c1_3303 := d_bb_1 when CLK_d_x
                      | c2_3304 := VMAX_3288
                      | VMAXW_3325 := (d_cc_2 when CLK_2715) default (VMAX_3332 when CLK_2716)
                      | VMAX_3332 := (d_CLK_x_0 when CLK_2646) default (0 when CLK_2647)
                      | c1_3346 := d_cc_2 when CLK_d_x
                      | c2_3347 := VMAX_3332
                      | VMAXW_5475 := (d_C_cc_381 when CLK_4767) default (VMAX_5482 when CLK_4768)
                      | VMAX_5482 := (d_CLK_bb_1_0 when CLK_4745) default (0 when CLK_4746)
                      | c1_5486 := d_CLK_bb_1_0 when CLK_d_x
                      | c1_5497 := d_C_cc_381 when CLK_d_x
                      | c2_5498 := VMAX_5482
                      |)
                   |)
                  where 
                  event CLK_6082, CLK_5957, CLK_5726, CLK_4768, CLK_4767, CLK_4746, CLK_4745, CLK_2716, CLK_2715, CLK_2669, CLK_2668, CLK_2647, CLK_2646, CLK_403, CLK_402, CLK_385, CLK_384, CLK_365, CLK_364, CLK_344, CLK_343, CLK_340, CLK_339;
                  integer vc_876, VMAXB, X_889, vc_929, VMAXU, X_937, VMAXW_3281, VMAX_3288, c1_3303, c2_3304, VMAXW_3325, VMAX_3332, c1_3346, c2_3347, VMAXW_5475, VMAX_5482, c1_5486, c1_5497, c2_5498;
                  end
               %ACT_CLK_d_x%; 
               process ACT_CLK_error_224_0 =
                    ( )
                  (| CLK_error_224_0 ^= VMAXW_3421 ^= VMAX_3428 ^= c2_3433 ^= c1_3443 ^= c2_3444 ^= VMAXW_5520 ^= VMAX_5527 ^= c1_5531 ^= c1_5542 ^= c2_5543
                   | (| CLK_2787 := when (d_CLK_error_224_0>c2_3433)
                      | CLK_2788 := when (not (d_CLK_error_224_0>c2_3433))
                      |)
                   | (| CLK_2809 := when (c1_3443>c2_3444)
                      | CLK_2810 := when (not (c1_3443>c2_3444))
                      |)
                   | (| CLK_4795 := when (c1_5531>0)
                      | CLK_4796 := when (not (c1_5531>0))
                      |)
                   | (| CLK_4817 := when (c1_5542>c2_5543)
                      | CLK_4818 := when (not (c1_5542>c2_5543))
                      |)
                   | (| d_error_224 := VMAXW_3421+CST_COST_TEST
                      | d_CLK_error_224_0 := VMAXW_5520+CST_COST_TEST
                      | VMAXW_3421 := (XZX_1703 when CLK_2809) default (VMAX_3428 when CLK_2810)
                      | VMAX_3428 := (d_CLK_error_224_0 when CLK_2787) default (done_1700 when CLK_2788)
                      | c2_3433 := done_1700 when CLK_error_224_0
                      | c1_3443 := XZX_1703 when CLK_error_224_0
                      | c2_3444 := VMAX_3428
                      | VMAXW_5520 := (d_C_error when CLK_4817) default (VMAX_5527 when CLK_4818)
                      | VMAX_5527 := (d_CLK_bb_1_0 when CLK_4795) default (0 when CLK_4796)
                      | c1_5531 := d_CLK_bb_1_0 when CLK_error_224_0
                      | c1_5542 := d_C_error when CLK_error_224_0
                      | c2_5543 := VMAX_5527
                      |)
                   |)
                  where 
                  event CLK_4818, CLK_4817, CLK_4796, CLK_4795, CLK_2810, CLK_2809, CLK_2788, CLK_2787;
                  integer VMAXW_3421, VMAX_3428, c2_3433, c1_3443, c2_3444, VMAXW_5520, VMAX_5527, c1_5531, c1_5542, c2_5543;
                  end
               %ACT_CLK_error_224_0%; 
               end
            %ACT_CLK_C_cc_381%; 
            process ACT_CLK_d_error =
                 ( )
               (| CLK_d_error ^= VMAX_836 ^= c2_841 ^= VMAXW_3554 ^= VMAXW_3598 ^= VMAXD_3642 ^= Y_3644 ^= c1_3654 ^= c2_3655 ^= VMAXW_5645 ^= VMAX_5652 ^= c1_5656 ^= c1_5667 ^= c2_5668 ^= VMAXO_6010 ^= c2_6017 ^= vc_6026
                | (| CLK_297 := when (d_CLK_error_0>c2_841)
                   | CLK_298 := when (not (d_CLK_error_0>c2_841))
                   |)
                | (| CLK_318 := when (d_err_235>VMAX_836)
                   | CLK_319 := when (not (d_err_235>VMAX_836))
                   |)
                | (| CLK_3019 := when (XZX_1764>d_CLK_error_0)
                   | CLK_3020 := when (not (XZX_1764>d_CLK_error_0))
                   |)
                | (| CLK_3036 := when (c1_3654>c2_3655)
                   | CLK_3037 := when (not (c1_3654>c2_3655))
                   |)
                | (| CLK_4913 := when (c1_5656>0)
                   | CLK_4914 := when (not (c1_5656>0))
                   |)
                | (| CLK_4935 := when (c1_5667>c2_5668)
                   | CLK_4936 := when (not (c1_5667>c2_5668))
                   |)
                | (| CLK_5210 := when (d_error_internal>c2_6017)
                   | CLK_5211 := when (not (d_error_internal>c2_6017))
                   |)
                | (| d_error := VMAXO_6010+vc_6026
                   | d_error_internal := (d_err_235 when CLK_318) default (VMAX_836 when CLK_319)
                   | d_err_235 := VMAXD_3642+2
                   | d_CLK_error_0 := VMAXW_5645+CST_COST_TEST
                   | XZX_1752 := VMAXW_3554+CST_COST_TEST
                   | XZX_1764 := VMAXW_3598+CST_COST_TEST
                   | VMAX_836 := (d_CLK_error_0 when CLK_297) default (done_1013 when CLK_298)
                   | c2_841 := done_1013 when CLK_d_error
                   | VMAXW_3554 := (d_error_224 when CLK_2954) default (VMAX_3561 when CLK_5946)
                   | VMAX_3561 := (d_CLK_error_224_0 when CLK_2932) default (0 when CLK_5938)
                   | VMAXW_3598 := (0 when CLK_3002) default (VMAX_3605 when CLK_5948)
                   | VMAX_3605 := (d_CLK_276 when CLK_2980) default (0 when CLK_5940)
                   | VMAXD_3642 := (Y_3644 when CLK_3036) default (done_1749 when CLK_3037)
                   | Y_3644 := (XZX_1764 when CLK_3019) default (d_CLK_error_0 when CLK_3020)
                   | c1_3654 := Y_3644
                   | c2_3655 := done_1749 when CLK_d_error
                   | VMAXW_5645 := (d_C_err when CLK_4935) default (VMAX_5652 when CLK_4936)
                   | VMAX_5652 := (d_CLK_a when CLK_4913) default (0 when CLK_4914)
                   | c1_5656 := d_CLK_a when CLK_d_error
                   | c1_5667 := d_C_err when CLK_d_error
                   | c2_5668 := VMAX_5652
                   | VMAXO_6010 := (d_error_internal when CLK_5210) default (done_1006 when CLK_5211)
                   | c2_6017 := done_1006 when CLK_d_error
                   | vc_6026 := TAB_COST_WRITE[integer(__TC__#_logical)] when CLK_d_error
                   |)
                |)
               where 
               event CLK_5211, CLK_5210, CLK_4936, CLK_4935, CLK_4914, CLK_4913, CLK_3037, CLK_3036, CLK_3020, CLK_3019, CLK_319, CLK_318, CLK_298, CLK_297;
               integer VMAX_836, c2_841, VMAXW_3554, VMAXW_3598, VMAXD_3642, Y_3644, c1_3654, c2_3655, VMAXW_5645, VMAX_5652, c1_5656, c1_5667, c2_5668, VMAXO_6010, c2_6017, vc_6026;
               end
            %ACT_CLK_d_error%; 
            process ACT_CLK_c1_3565 =
                 ( )
               (| CLK_c1_3565 ^= c1_3565 ^= c1_3576 ^= c2_3577
                | (| CLK_2932 := when (c1_3565>0)
                   | CLK_2933 := when (not (c1_3565>0))
                   |)
                | (| CLK_2954 := when (c1_3576>c2_3577)
                   | CLK_2955 := when (not (c1_3576>c2_3577))
                   |)
                | (| c1_3565 := d_CLK_error_224_0 when CLK_c1_3565
                   | c1_3576 := d_error_224 when CLK_c1_3565
                   | c2_3577 := VMAX_3561 when CLK_c1_3565
                   |)
                |)
               where 
               event CLK_2955, CLK_2933;
               integer c1_3565, c1_3576, c2_3577;
               end
            %ACT_CLK_c1_3565%; 
            process ACT_CLK_c1_3609 =
                 ( )
               (| CLK_c1_3609 ^= c1_3609 ^= c2_3621
                | (| CLK_2980 := when (c1_3609>0)
                   | CLK_2981 := when (not (c1_3609>0))
                   |)
                | (| CLK_3002 := when (0>c2_3621)
                   | CLK_3003 := when (not (0>c2_3621))
                   |)
                | (| c1_3609 := d_CLK_276 when CLK_c1_3609
                   | c2_3621 := VMAX_3605 when CLK_c1_3609
                   |)
                |)
               where 
               event CLK_3003, CLK_2981;
               integer c1_3609, c2_3621;
               end
            %ACT_CLK_c1_3609%; 
            end
         %ACT_CLK_OK%; 
         process ACT_CLK_d_XZX_164 =
              ( )
            (| CLK_d_XZX_164 ^= VMAXC_2809 ^= VMAX_2823 ^= vc_2859 ^= VMAXW_5566 ^= c1_5583
             | (| CLK_2198 := when (d_CLK_XZX_164_0>0)
                | CLK_2199 := when (not (d_CLK_XZX_164_0>0))
                |)
             | (| CLK_2219 := when (d_CLK_XZX_164_0>VMAX_2823)
                | CLK_2220 := when (not (d_CLK_XZX_164_0>VMAX_2823))
                |)
             | (| CLK_4853 := when (c1_5583>0)
                | CLK_4854 := when (not (c1_5583>0))
                |)
             | (| d_XZX_164 := VMAXC_2809+vc_2859
                | d_CLK_XZX_164_0 := VMAXW_5566+CST_COST_TEST
                | VMAXC_2809 := (XZX_1540 when CLK_2241) default (VMAX_2817 when CLK_5936)
                | VMAX_2817 := (d_CLK_XZX_164_0 when CLK_2219) default (VMAX_2823 when CLK_2220)
                | VMAX_2823 := (d_CLK_XZX_164_0 when CLK_2198) default (0 when CLK_2199)
                | vc_2859 := TAB_ASSIGN[integer(__TC__#_real)] when CLK_d_XZX_164
                | VMAXW_5566 := (d_C__416 when CLK_4853) default (0 when CLK_4854)
                | c1_5583 := d_C__416 when CLK_d_XZX_164
                |)
             |)
            where 
            event CLK_4854, CLK_4853, CLK_2220, CLK_2219, CLK_2199, CLK_2198;
            integer VMAXC_2809, VMAX_2823, vc_2859, VMAXW_5566, c1_5583;
            end
         %ACT_CLK_d_XZX_164%; 
         process ACT_CLK_d_x21 =
              ( )
            (| CLK_d_x21 ^= VMAXW_3156 ^= VMAXW_3200 ^= VMAXD_3244 ^= Y_3246 ^= c1_3256 ^= c2_3257 ^= VMAXW_5605 ^= c1_5622
             | (| CLK_2598 := when (XZX_1662>d_CLK_x21_0)
                | CLK_2599 := when (not (XZX_1662>d_CLK_x21_0))
                |)
             | (| CLK_2616 := when (c1_3256>c2_3257)
                | CLK_2617 := when (not (c1_3256>c2_3257))
                |)
             | (| CLK_4888 := when (c1_5622>0)
                | CLK_4889 := when (not (c1_5622>0))
                |)
             | (| d_x21 := VMAXD_3244+2
                | d_CLK_x21_0 := VMAXW_5605+CST_COST_TEST
                | XZX_1650 := VMAXW_3156+CST_COST_TEST
                | XZX_1662 := VMAXW_3200+CST_COST_TEST
                | VMAXW_3156 := (d_x_1 when CLK_2532) default (VMAX_3163 when CLK_5927)
                | VMAX_3163 := (d_CLK_324 when CLK_2510) default (0 when CLK_5922)
                | VMAXW_3200 := (d_x_177 when CLK_2581) default (VMAX_3207 when CLK_5929)
                | VMAX_3207 := (d_CLK_x2_0 when CLK_2559) default (0 when CLK_5924)
                | VMAXD_3244 := (Y_3246 when CLK_2616) default (done_1647 when CLK_2617)
                | Y_3246 := (XZX_1662 when CLK_2598) default (d_CLK_x21_0 when CLK_2599)
                | c1_3256 := Y_3246
                | c2_3257 := done_1647 when CLK_d_x21
                | VMAXW_5605 := (d_C_x when CLK_4888) default (0 when CLK_4889)
                | c1_5622 := d_C_x when CLK_d_x21
                |)
             |)
            where 
            event CLK_4889, CLK_4888, CLK_2617, CLK_2616, CLK_2599, CLK_2598;
            integer VMAXW_3156, VMAXW_3200, VMAXD_3244, Y_3246, c1_3256, c2_3257, VMAXW_5605, c1_5622;
            end
         %ACT_CLK_d_x21%; 
         process ACT_CLK_d_x1 =
              ( )
            (| CLK_d_x1 ^= VMAXW ^= VMAXW_746 ^= VMAXD ^= Y ^= c1_802 ^= c2_803 ^= VMAXW_5691 ^= c1_5708 ^= VMAXO_5979 ^= c2_5986 ^= vc_5995
             | (| CLK_247 := when (XZX_994>d_CLK_x1_0)
                | CLK_248 := when (not (XZX_994>d_CLK_x1_0))
                |)
             | (| CLK_265 := when (c1_802>c2_803)
                | CLK_266 := when (not (c1_802>c2_803))
                |)
             | (| CLK_4970 := when (c1_5708>0)
                | CLK_4971 := when (not (c1_5708>0))
                |)
             | (| CLK_5189 := when (d_x1_internal>c2_5986)
                | CLK_5190 := when (not (d_x1_internal>c2_5986))
                |)
             | (| d_x1 := VMAXO_5979+vc_5995
                | d_x1_internal := VMAXD+2
                | d_CLK_x1_0 := VMAXW_5691+CST_COST_TEST
                | XZX := VMAXW+CST_COST_TEST
                | XZX_994 := VMAXW_746+CST_COST_TEST
                | VMAXW := (d_x when CLK_181) default (VMAX_709 when CLK_5915)
                | VMAX_709 := (d_CLK_326 when CLK_159) default (0 when CLK_5910)
                | VMAXW_746 := (d_x21 when CLK_231) default (VMAX_753 when CLK_5917)
                | VMAX_753 := (d_CLK_x21_0 when CLK_208) default (0 when CLK_5912)
                | VMAXD := (Y when CLK_265) default (done_979 when CLK_266)
                | Y := (XZX_994 when CLK_247) default (d_CLK_x1_0 when CLK_248)
                | c1_802 := Y
                | c2_803 := done_979 when CLK_d_x1
                | VMAXW_5691 := (d_C_x1 when CLK_4970) default (0 when CLK_4971)
                | c1_5708 := d_C_x1 when CLK_d_x1
                | VMAXO_5979 := (d_x1_internal when CLK_5189) default (done_973 when CLK_5190)
                | c2_5986 := done_973 when CLK_d_x1
                | vc_5995 := TAB_COST_WRITE[integer(__TC__#_real)] when CLK_d_x1
                |)
             |)
            where 
            event CLK_5190, CLK_5189, CLK_4971, CLK_4970, CLK_266, CLK_265, CLK_248, CLK_247;
            integer VMAXW, VMAXW_746, VMAXD, Y, c1_802, c2_803, VMAXW_5691, c1_5708, VMAXO_5979, c2_5986, vc_5995;
            end
         %ACT_CLK_d_x1%; 
         process ACT_CLK_d_CLK_324 =
              ( )
            (| CLK_d_CLK_324 ^= VMAXW_5731 ^= c1_5748
             | (| CLK_5005 := when (c1_5748>0)
                | CLK_5006 := when (not (c1_5748>0))
                |)
             | (| d_CLK_324 := VMAXW_5731+CST_COST_TEST
                | VMAXW_5731 := (d_C_444 when CLK_5005) default (0 when CLK_5006)
                | c1_5748 := d_C_444 when CLK_d_CLK_324
                |)
             |)
            where 
            event CLK_5006, CLK_5005;
            integer VMAXW_5731, c1_5748;
            end
         %ACT_CLK_d_CLK_324%; 
         process ACT_CLK_d_CLK_326 =
              ( )
            (| CLK_d_CLK_326 ^= VMAXW_5772 ^= c1_5789
             | (| CLK_5043 := when (c1_5789>0)
                | CLK_5044 := when (not (c1_5789>0))
                |)
             | (| d_CLK_326 := VMAXW_5772+CST_COST_TEST
                | VMAXW_5772 := (d_C_448 when CLK_5043) default (0 when CLK_5044)
                | c1_5789 := d_C_448 when CLK_d_CLK_326
                |)
             |)
            where 
            event CLK_5044, CLK_5043;
            integer VMAXW_5772, c1_5789;
            end
         %ACT_CLK_d_CLK_326%; 
         process ACT_CLK_d_CLK_328 =
              ( )
            (| CLK_d_CLK_328 ^= VMAXW_5813 ^= c1_5830
             | (| CLK_1143 := when (d_CLK_328>0)
                | CLK_1144 := when (not (d_CLK_328>0))
                |)
             | (| CLK_5079 := when (c1_5830>0)
                | CLK_5080 := when (not (c1_5830>0))
                |)
             | (| d_CLK_328 := VMAXW_5813+CST_COST_TEST
                | VMAXW_5813 := (d_C_451 when CLK_5079) default (0 when CLK_5080)
                | c1_5830 := d_C_451 when CLK_d_CLK_328
                |)
             |)
            where 
            event CLK_5080, CLK_1144;
            integer VMAXW_5813, c1_5830;
            end
         %ACT_CLK_d_CLK_328%; 
         process ACT_CLK_c1_2849 =
              ( )
            (| CLK_c1_2849 ^= c1_2849 ^= c2_2850
             | (| CLK_2241 := when (c1_2849>c2_2850)
                | CLK_2242 := when (not (c1_2849>c2_2850))
                |)
             | (| c1_2849 := XZX_1540 when CLK_c1_2849
                | c2_2850 := VMAX_2817 when CLK_c1_2849
                |)
             |)
            where 
            event CLK_2242;
            integer c1_2849, c2_2850;
            end
         %ACT_CLK_c1_2849%; 
         process ACT_CLK_c1_1713 =
              ( )
            (| CLK_c1_1713 ^= c1_1713 ^= c2_1714
             | (| CLK_1117 := when (c1_1713>c2_1714)
                | CLK_1118 := when (not (c1_1713>c2_1714))
                |)
             | (| c1_1713 := d_XZX_164 when CLK_c1_1713
                | c2_1714 := VMAX_1699 when CLK_c1_1713
                |)
             |)
            where 
            event CLK_1118;
            integer c1_1713, c2_1714;
            end
         %ACT_CLK_c1_1713%; 
         process ACT_CLK_c1_3178 =
              ( )
            (| CLK_c1_3178 ^= c1_3178 ^= c2_3179
             | (| CLK_2532 := when (c1_3178>c2_3179)
                | CLK_2533 := when (not (c1_3178>c2_3179))
                |)
             | (| c1_3178 := d_x_1 when CLK_c1_3178
                | c2_3179 := VMAX_3163 when CLK_c1_3178
                |)
             |)
            where 
            event CLK_2533;
            integer c1_3178, c2_3179;
            end
         %ACT_CLK_c1_3178%; 
         process ACT_CLK_c1_3211 =
              ( )
            (| CLK_c1_3211 ^= c1_3211 ^= c1_3222 ^= c2_3223
             | (| CLK_2559 := when (c1_3211>0)
                | CLK_2560 := when (not (c1_3211>0))
                |)
             | (| CLK_2581 := when (c1_3222>c2_3223)
                | CLK_2582 := when (not (c1_3222>c2_3223))
                |)
             | (| c1_3211 := d_CLK_x2_0 when CLK_c1_3211
                | c1_3222 := d_x_177 when CLK_c1_3211
                | c2_3223 := VMAX_3207 when CLK_c1_3211
                |)
             |)
            where 
            event CLK_2582, CLK_2560;
            integer c1_3211, c1_3222, c2_3223;
            end
         %ACT_CLK_c1_3211%; 
         process ACT_CLK_c1_757 =
              ( )
            (| CLK_c1_757 ^= c1_757 ^= c1_768 ^= c2_769
             | (| CLK_208 := when (c1_757>0)
                | CLK_209 := when (not (c1_757>0))
                |)
             | (| CLK_231 := when (c1_768>c2_769)
                | CLK_233 := when (not (c1_768>c2_769))
                |)
             | (| c1_757 := d_CLK_x21_0 when CLK_c1_757
                | c1_768 := d_x21 when CLK_c1_757
                | c2_769 := VMAX_753 when CLK_c1_757
                |)
             |)
            where 
            event CLK_233, CLK_209;
            integer c1_757, c1_768, c2_769;
            end
         %ACT_CLK_c1_757%; 
         process ACT_CLK_c1_724 =
              ( )
            (| CLK_c1_724 ^= c1_724 ^= c2_725
             | (| CLK_181 := when (c1_724>c2_725)
                | CLK_182 := when (not (c1_724>c2_725))
                |)
             | (| c1_724 := d_x when CLK_c1_724
                | c2_725 := VMAX_709 when CLK_c1_724
                |)
             |)
            where 
            event CLK_182;
            integer c1_724, c2_725;
            end
         %ACT_CLK_c1_724%; 
         process ACT_CLK_c1_3167 =
              ( )
            (| CLK_c1_3167 ^= c1_3167
             | (| CLK_2510 := when (c1_3167>0)
                | CLK_2511 := when (not (c1_3167>0))
                |)
             | (| c1_3167 := d_CLK_324 when CLK_c1_3167 |)
             |)
            where 
            event CLK_2511;
            integer c1_3167;
            end
         %ACT_CLK_c1_3167%; 
         process ACT_CLK_c1_713 =
              ( )
            (| CLK_c1_713 ^= c1_713
             | (| CLK_159 := when (c1_713>0)
                | CLK_160 := when (not (c1_713>0))
                |)
             | (| c1_713 := d_CLK_326 when CLK_c1_713 |)
             |)
            where 
            event CLK_160;
            integer c1_713;
            end
         %ACT_CLK_c1_713%; 
         process ACT_CLK_VMAX_1742 =
              ( )
            (| CLK_VMAX_1742 ^= c1_1757 ^= c2_1758 ^= c1_2244 ^= c2_2245
             | (| CLK_1164 := when (c1_1757>c2_1758)
                | CLK_1165 := when (not (c1_1757>c2_1758))
                |)
             | (| CLK_1639 := when (c1_2244>c2_2245)
                | CLK_1640 := when (not (c1_2244>c2_2245))
                |)
             | (| VMAX_1742 := (d_CLK_328 when CLK_1143) default (0 when CLK_6259)
                | c1_1757 := d_pre_next_yy when CLK_VMAX_1742
                | c2_1758 := VMAX_1742
                | VMAX_2229 := (d_CLK_328 when CLK_1143) default (0 when CLK_6259)
                | c1_2244 := XZX_1401 when CLK_VMAX_1742
                | c2_2245 := VMAX_2229
                |)
             |)
            where 
            event CLK_1640, CLK_1165;
            integer c1_1757, c2_1758, c1_2244, c2_2245;
            end
         %ACT_CLK_VMAX_1742%; 
         end
      %ACT_CLK_stable_0%; 
      end
   %P_COST%; 
end %M_equationSolving_COST_TRA%; 
