process TRAIN_BOOL_TRA =
     ( ? boolean H, HV11, HV12, HLW1, HNW1, HV21, HV22, HLW2, HNW2, HREPARER1, HPANNE1, HDEFAILLANCE1, HREPARER2, HPANNE2, HDEFAILLANCE2;
         real V11, V12, LW1;
         integer NW1;
         real V21, V22, LW2;
         integer NW2;
     )
   pragmas 
      Main
      DefinedClockHierarchy
   end pragmas
   (| (| Tick := true
       | when Tick ^= H
       | ACT_Tick{}
       |) |)
   where 
   constant real DMIN = 2500.0;
   constant real XT1 = 0.0;
   constant real XT2 = 10.0;
   constant real XT3 = 2480.0;
   constant real XT4 = 2520.0;
   constant real XT5 = 5000.0;
   constant integer DEL1 = 30;
   constant integer DEL2 = 15;
   constant integer DEL3 = 13;
   constant integer DEL_BARRIERE = 5;
   constant integer YV = 140;
   constant integer SENS = 1;
   constant integer NSLIDER = 1;
   constant integer NSLIDER_1744 = 2;
   constant integer YV2 = 120;
   constant integer YV2_1920 = 120;
   constant integer YV_2030 = 370;
   constant integer SENS_2033 = -1;
   constant integer NSLIDER_2036 = 3;
   constant integer NSLIDER_3367 = 4;
   constant integer YV2_3391 = 350;
   constant integer YV2_3487 = 350;
   constant integer XBAR = 520;
   constant integer YBAR = 310;
   constant integer XBAR_3960 = 520;
   constant integer YBAR_3961 = 80;
   constant real DIST1 = XT2-XT1;
   constant real DIST2 = XT3-XT2;
   constant integer X_4723 = 170;
   constant integer Y_4726 = 220;
   constant boolean INITIAL = true;
   constant boolean INITIAL_5009 = true;
   constant integer X_5399 = 170;
   constant integer Y_5400 = 200;
   constant boolean INITIAL_5438 = true;
   constant boolean INITIAL_5662 = true;
   constant boolean INITIAL_5773 = true;
   constant integer F_5850 = 1;
   constant integer X1_5851 = 498;
   constant integer Y1_5854 = 72;
   constant integer X2_5857 = 514;
   constant integer Y2_5860 = 88;
   constant integer F_6007 = 1;
   constant integer X1_6008 = 498;
   constant integer Y1_6009 = 302;
   constant integer X2_6012 = 514;
   constant integer Y2_6013 = 318;
   constant integer F_6158 = 0;
   constant integer Y_6159 = 60;
   constant integer X1_6162 = 120;
   constant integer X2_6165 = 240;
   constant integer X3_6168 = 360;
   constant integer XX2_6184 = 220;
   constant integer YY2 = 80;
   constant integer XX2_6242 = 340;
   constant integer YY2_6245 = 80;
   constant integer XX2_6295 = 460;
   constant integer YY2_6298 = 80;
   constant integer F_6351 = 0;
   constant integer Y_6352 = 100;
   constant integer X1_6354 = 120;
   constant integer X2_6355 = 240;
   constant integer X3_6356 = 360;
   constant integer XX2_6370 = 220;
   constant integer YY2_6373 = 120;
   constant integer XX2_6427 = 340;
   constant integer YY2_6430 = 120;
   constant integer XX2_6480 = 460;
   constant integer YY2_6483 = 120;
   constant integer F_6539 = 0;
   constant integer Y_6540 = 200;
   constant integer X1_6541 = 137;
   constant integer X2_6544 = 280;
   constant integer X3_6547 = 400;
   constant integer XX2_6569 = 187;
   constant integer YY2_6573 = 220;
   constant integer XX2_6633 = 380;
   constant integer YY2_6636 = 220;
   constant integer XX2_6686 = 500;
   constant integer YY2_6689 = 220;
   constant integer F_6745 = 0;
   constant integer Y_6746 = 240;
   constant integer X1_6747 = 137;
   constant integer X2_6748 = 280;
   constant integer X3_6749 = 400;
   constant integer XX2_6769 = 187;
   constant integer YY2_6772 = 260;
   constant integer XX2_6832 = 380;
   constant integer YY2_6835 = 260;
   constant integer XX2_6885 = 500;
   constant integer YY2_6888 = 260;
   constant integer M = 100;
   constant integer M_7038 = 40;
   boolean Tick;
   process ACT_Tick =
        ( )
      (| when Tick ^= ZXX2 ^= ZXX1 ^= ZX2 ^= ZX1 ^= VITESSE ^= ZVITESSE ^= VITESSE_1651 ^= ZVITESSE_1652 ^= Z_1691 ^= Z_1705 ^= Z_1719 ^= Z_1733 ^= ZXX2_3152 ^= ZXX1_3153 ^= ZX2_3154 ^= ZX1_3155 ^= VITESSE_3198 ^= ZVITESSE_3199 ^= VITESSE_3274 ^= 
         ZVITESSE_3275 ^= Z_3314 ^= Z_3328 ^= Z_3342 ^= Z_3356 ^= XZX ^= ZACTIF_1 ^= ACTIF_3793 ^= POS_THEORIQUE ^= ACTIF_3828 ^= ZACTIF_2 ^= ACTIF_3862 ^= MOUVEMENT ^= ACTIF_3896 ^= XZX_3997 ^= ZACTIF_4085 ^= ACTIF_4086 ^= ZACTIF_4119 ^= ACTIF_4120 ^= 
         ZACTIF_4152 ^= ACTIF_4154 ^= ZACTIF_4185 ^= ACTIF_4188 ^= ACTIF_4874 ^= ZACTIF_4875 ^= ACTIF_5542 ^= ZACTIF_5543 ^= N_7023 ^= ZN_7024 ^= N_7045 ^= ZN_7046 ^= C_STOP1 ^= C_CLK_825 ^= C_CLK_833 ^= C_STOP2 ^= C_CLK_888 ^= C_CLK_896 ^= C_STOP1_2974 ^=
         C_CLK_1754 ^= C_CLK_1762 ^= C_STOP2_2971 ^= C_CLK_1817 ^= C_CLK_1825 ^= C_CLK_1970 ^= C_CLK_2106 ^= C_CLK_2150 ^= C_CLK_2276 ^= C_HMOD100 ^= C_CLK_3837 ^= C_HV12 ^= C_CLK_3852 ^= HV11_19060 ^= HV12_19066 ^= HLW1_19072 ^= HNW1_19078 ^= HV21_19084 
         ^= HV22_19090 ^= HLW2_19096 ^= HNW2_19102 ^= HREPARER1_19108 ^= HPANNE1_19114 ^= HDEFAILLANCE1_19120 ^= HREPARER2_19126 ^= HPANNE2_19132 ^= HDEFAILLANCE2_19138 ^= C_X3 ^= C_NWAG ^= C_X3_19150 ^= C_NWAG_19153 ^= C_X3_19156 ^= C_NWAG_19159 ^= 
         C_X3_19162 ^= C_NWAG_19165 ^= C_CLK_4190 ^= C_CLK_4196 ^= C_L ^= C_L_19177 ^= C_N ^= C_N_19183 ^= C_CLK_4226 ^= C_CLK_4228 ^= C_L_19192 ^= C_L_19195 ^= C_N_19198 ^= C_N_19201 ^= C_CLK_4260_19207 ^= C_CLK_4263_19213 ^= C_CLK_4267_19219 ^= 
         C_CLK_4270_19225 ^= C_CLK_5279 ^= C_CLK_5281 ^= C_CLK_5283 ^= C_CLK_5285 ^= C_CLK_5287 ^= C_CLK_5289 ^= C_CLK_5291 ^= C_CLK_5293 ^= C_CLK_5295 ^= C_CLK_5303 ^= C_CLK_5305_19261 ^= C_CLK_5309_19267 ^= C_CLK_5311 ^= C_CLK_5313 ^= C_CLK_5315 ^= 
         C_CLK_5317 ^= C_CLK_5409 ^= C_CLK_5411 ^= C_CLK_5413 ^= C_CLK_5415 ^= C_CLK_5453 ^= C_CLK_5455 ^= C_CLK_5457 ^= C_CLK_5459 ^= C_EFFACE ^= C_EFFACE_19317 ^= C_XW0_19322 ^= ZACTIF_19328 ^= C_XW0_19335 ^= ZACTIF_19341 ^= C_XW0_19348 ^= ZACTIF_19354 
         ^= C_XW0_19361 ^= ZACTIF_19367 ^= C_XW0_19374 ^= ZACTIF_19380 ^= C_XW0_19387 ^= ZACTIF_19393 ^= C_XW0_19400 ^= ZACTIF_19406 ^= C_XW0_19413 ^= ZACTIF_19419 ^= C_XW0_19426 ^= ZACTIF_19432 ^= C_XW0_19439 ^= ZACTIF_19445 ^= C_XW0_19452 ^= 
         ZACTIF_19458 ^= C_XW0_19465 ^= ZACTIF_19471 ^= C_XW0_19478 ^= ZACTIF_19484 ^= C_XW0_19491 ^= ZACTIF_19497 ^= C_XW0_19504 ^= ZACTIF_19510 ^= C_XW0_19517 ^= ZACTIF_19523 ^= C_XW0_19530 ^= ZACTIF_19536 ^= C_XW0_19543 ^= ZACTIF_19549 ^= C_XW0_19556 ^=
         ZACTIF_19562 ^= C_XW0_19569 ^= ZACTIF_19575 ^= C_L2CO_19582 ^= C_B2SD_19590 ^= C_L1CO_19598 ^= C_B1SD_19606 ^= C_NXW ^= C_XW0_19615 ^= C_NXW_19618 ^= C_XW0_19621 ^= C_NXW_19624 ^= C_XW0_19627 ^= C_NXW_19630 ^= C_XW0_19633 ^= C_NXW_19636 ^= 
         C_COULEUR_19642 ^= C_COULEUR_19648 ^= C_XW0_19651 ^= C_XW0_19654 ^= C_XW0_19657 ^= C_XW0_19660 ^= C_XW0_19663 ^= C_XW0_19666 ^= C_NXW_19669 ^= C_ZXW ^= C_NXW_19675 ^= C_ZXW_19678 ^= C_NXW_19681 ^= C_ZXW_19684 ^= C_NXW_19687 ^= C_ZXW_19690 ^= 
         C_NXW_19693 ^= C_ZXW_19696 ^= C_CLK_5333 ^= C_CLK_5337 ^= C_CLK_5341 ^= C_CLK_5345 ^= C_CLK_5349 ^= C_CLK_5353 ^= C_CLK_5357 ^= C_CLK_5361 ^= C_CLK_5365 ^= C_CLK_5369 ^= C_CLK_5371 ^= C_CLK_5379 ^= C_CLK_5387 ^= C_CLK_5395 ^= C_CLK_5403 ^= 
         C_CLK_5417 ^= C_CLK_5425 ^= C_CLK_5431 ^= C_CLK_5439 ^= C_CLK_5447 ^= C_CLK_5697 ^= C_CLK_5699 ^= C_ZN ^= C_ZN_19802 ^= C_FIN_MV_4077 ^= C_FIN_MV ^= C_T1S40_19813 ^= C_T1S41_19821 ^= C_T1S30_19829 ^= C_T1S20_19837 ^= C_T1S10_19845 ^= 
         C_T2S10_19853 ^= C_T2S11_19861 ^= C_T2S20_19869 ^= C_T2S30_19877 ^= C_T2S40_19885 ^= C_CLK_2837_19893 ^= C_CLK_2848_19901 ^= C_CLK_2981_19909 ^= C_CLK_2992_19917 ^= C_CLK_4293 ^= C_ZXW_19932 ^= C_DN ^= C_CLK_4315 ^= C_CLK_4329 ^= C_ZXW_19944 ^= 
         C_CLK_4351 ^= C_DN_19950 ^= C_CLK_4370 ^= C_ZXW_19956 ^= C_ZN_19959 ^= C_CLK_4420 ^= C_ZXW_19965 ^= C_CLK_4444 ^= C_DN_19971 ^= C_CLK_4495 ^= C_ZXW_19977 ^= C_CLK_5091 ^= C_CLK_5093 ^= C_CLK_5095 ^= C_CLK_5097 ^= C_DN_19992 ^= C_CLK_5101 ^= 
         C_ZN_19998 ^= C_CLK_5105 ^= C_DN_20004 ^= C_CLK_5109 ^= C_DN_20010 ^= C_CLK_5113 ^= C_CLK_5331 ^= C_CLK_5335 ^= C_CLK_5339 ^= C_CLK_5343 ^= C_CLK_5347 ^= C_CLK_5351 ^= C_CLK_5355 ^= C_CLK_5359 ^= C_CLK_5363 ^= C_CLK_5367 ^= C_CLK_5373 ^= 
         C_CLK_5377 ^= C_CLK_5383 ^= C_CLK_5389 ^= C_CLK_5391 ^= C_CLK_5393 ^= C_CLK_5397 ^= C_CLK_5399 ^= C_CLK_5401 ^= C_CLK_5405 ^= C_CLK_5407 ^= C_CLK_5421 ^= C_CLK_5423 ^= C_CLK_5429 ^= C_CLK_5433 ^= C_CLK_5435 ^= C_CLK_5437 ^= C_CLK_5441 ^= 
         C_CLK_5443 ^= C_CLK_5445 ^= C_CLK_5449 ^= C_CLK_5451 ^= C_L1CH ^= C_L2CH ^= C_TSTABLE ^= C_TSTABLE_20153 ^= C_CLK_6176 ^= C_CLK_6192 ^= C_CLK_2593_20226 ^= C_CLK_2607_20234 ^= C_CLK_3084_20242 ^= C_CLK_3098_20250 ^= C_CLK_4395 ^= C_TOP_5430 ^= 
         C_ZPASSANT ^= C_ZPASSANT_20280 ^= C_TOP ^= C_ZPASSANT_20289 ^= C_ZPASSANT_20292 ^= C_CLK_5168 ^= C_CLK_5275 ^= C_CLK_5375 ^= C_CLK_5381 ^= C_CLK_5385 ^= C_CLK_5419 ^= C_CLK_5427 ^= C_CLK_5485 ^= C_CLK_5491 ^= ZPASSANT_20352 ^= ZPASSANT_20358 ^= 
         C_MONTER_1_20369 ^= ZPASSANT_20372 ^= ZPASSANT_20378 ^= C_MONTER_4_20389 ^= C_ ^= C_SORTIE_1_5431 ^= C_CLK_4471 ^= C_ZN_20413 ^= C__20416 ^= C_SORTIE_1 ^= C_CLK_5153 ^= C_ZN_20425 ^= C_CLK_5269 ^= C_CLK_5273 ^= C_CLK_5297 ^= C_CLK_5299 ^= 
         C_CLK_5321 ^= C_CLK_5323 ^= C_N0_20450 ^= C_CLK_2695_20458 ^= C_CLK_2704_20466 ^= C_N0_20474 ^= C_CLK_3186_20482 ^= C_CLK_3195_20490 ^= C_ZN_20496 ^= C_ZN_20499 ^= C_CLK_2674_20504 ^= C_CLK_2688_20512 ^= C_CLK_2698_20520 ^= C_CLK_3165_20528 ^= 
         C_CLK_3179_20536 ^= C_CLK_3189_20544 ^= C_T_5 ^= C_TOP_5589 ^= C_DESCENDRE_6 ^= C_CLK_4548 ^= C_TOP_4921 ^= C_DESCENDRE_3 ^= C_F ^= C_CLK_5203 ^= C_T_2 ^= C_CLK_5211 ^= C_CLK_5214 ^= C_ZN_20583 ^= C_CLK_5251 ^= C_CLK_5253 ^= C_CLK_5255 ^= 
         C_CLK_5257 ^= C_CLK_5267 ^= C_CLK_5487 ^= C_CLK_5493 ^= C_CLK_5495 ^= C_OUVRIR_20620 ^= C_ZPASSANT_20631 ^= C_CLK_5261 ^= C_CLK_5588 ^= C_ZN_20641 ^= C_CLK_5705 ^= C_ZN_20647 ^= C_CLK_5711 ^= C_CLK_6174 ^= C_CLK_6190 ^= C_CLK_2801_20661 ^= 
         C_CLK_2812_20669 ^= C_CLK_2945_20677 ^= C_CLK_2956_20685 ^= ZPASSANT_20691 ^= C_FERMER ^= C_CLK_5590 ^= C_CLK_5664 ^= C_L1CS ^= C_L2CS ^= C_ZN_20712 ^= C_ZN_20715 ^= C_CLK_5740 ^= C_EB1U ^= C_EB2U ^= C_CLK_5780 ^= C_ZACTIF ^= C_COULEUR_20733 ^= 
         C_B2CU ^= C_ZACTIF_20739 ^= C_CLK_5922 ^= C_COULEUR_20745 ^= C_B1CU ^= C_CLK_6086 ^= C_CLK_6088 ^= C_CLK_6102 ^= C_CLK_6116 ^= C_CLK_6126 ^= C_CLK_6128 ^= C_CLK_6138 ^= C_CLK_6140 ^= C_CLK_6158 ^= C_CLK_6164 ^= C_CLK_6168 ^= C_CLK_6180 ^= 
         C_CLK_6184 ^= C_CLK_6196 ^= C_CLK_2870_20806 ^= C_CLK_2881_20814 ^= C_CLK_3014_20822 ^= C_CLK_3025_20830 ^= ACTIF_20836 ^= ACTIF_20842 ^= C_CLK_5742 ^= C_CLK_5746 ^= C_EB1D ^= C_EB2D ^= C_B2CD ^= C_COULEUR_20869 ^= C_CLK_5767 ^= C_CLK_5769 ^= 
         C_COMMANDE ^= C_FIN_DEF ^= C_CLK_5835 ^= C_DEB_MV ^= C_CLK_5845 ^= C_CLK_5850 ^= C_B1CD ^= C_COULEUR_20899 ^= C_CLK_5895 ^= C_CLK_5897 ^= C_COMMANDE_4222 ^= C_FIN_DEF_4079 ^= C_CLK_5979 ^= C_DEB_MV_4078 ^= C_CLK_5990 ^= C_CLK_5995 ^= C_ZTCLIGNO ^=
         C_ZTCLIGNO_20929 ^= C_COULEUR_20932 ^= C_COULEUR_20935 ^= C_CLK_6090 ^= C_CLK_6092 ^= C_CLK_6094 ^= C_CLK_6104 ^= C_CLK_6108 ^= C_CLK_6118 ^= C_CLK_6122 ^= C_CLK_6124 ^= C_CLK_6130 ^= C_CLK_6132 ^= C_CLK_6134 ^= C_CLK_6136 ^= C_CLK_6154 ^= 
         C_CLK_6156 ^= C_CLK_6160 ^= C_CLK_6162 ^= C_CLK_6170 ^= C_CLK_6178 ^= C_CLK_6186 ^= C_CLK_6194 ^= C_CLK_6198 ^= C_CLK_6200 ^= C_CLK_6202 ^= C_CLK_6204 ^= C_CLK_6206 ^= C_CLK_6208
       | (| (| RAZSLIDER(1 when C_STOP1) |) |)
       | (| (| RAZSLIDER(2 when C_STOP2) |) |)
       | (| (| RAZSLIDER(3 when C_STOP1_2974) |) |)
       | (| (| RAZSLIDER(4 when C_STOP2_2971) |) |)
       | (| when C_HV12 ^= HV11 ^= HV12 ^= HLW1 ^= HNW1 ^= HV21 ^= HV22 ^= HLW2 ^= HNW2 ^= HREPARER1 ^= HPANNE1 ^= HDEFAILLANCE1 ^= HREPARER2 ^= HPANNE2 ^= HDEFAILLANCE2 ^= C_CLK_4260 ^= C_CLK_4263 ^= C_CLK_4267 ^= C_CLK_4270 ^= C_CLK_5305 ^= C_CLK_5309
          | ACT_C_HV12{}
          |)
       | (| when C_X3 ^= ZACTIF ^= ZACTIF_710 ^= ZACTIF_873 ^= ZACTIF_1035 ^= ZACTIF_1196 ^= X1 ^= XX1 ^= C_XW0 ^= C_XW0_19345 ^= C_XW0_19371 ^= C_XW0_19397 ^= C_XW0_19423
          | ACT_C_X3{}
          |)
       | (| when C_NWAG ^= L ^= LWAG1
          | ACT_C_NWAG{}
          |)
       | (| when C_X3_19150 ^= ZACTIF_588 ^= ZACTIF_754 ^= ZACTIF_916 ^= ZACTIF_1078 ^= ZACTIF_1239 ^= X2 ^= XX2 ^= C_XW0_19332 ^= C_XW0_19358 ^= C_XW0_19384 ^= C_XW0_19410 ^= C_XW0_19436
          | ACT_C_X3_19150{}
          |)
       | (| when C_NWAG_19153 ^= L_1447 ^= LWAG2
          | ACT_C_NWAG_19153{}
          |)
       | (| when C_X3_19156 ^= ZACTIF_2179 ^= ZACTIF_2344 ^= ZACTIF_2505 ^= ZACTIF_2665 ^= ZACTIF_2825 ^= X_2975 ^= XX_2976 ^= C_XW0_19449 ^= C_XW0_19475 ^= C_XW0_19501 ^= C_XW0_19527 ^= C_XW0_19553
          | ACT_C_X3_19156{}
          |)
       | (| when C_NWAG_19159 ^= L_3008 ^= LWAG_3158
          | ACT_C_NWAG_19159{}
          |)
       | (| when C_X3_19162 ^= ZACTIF_2225 ^= ZACTIF_2387 ^= ZACTIF_2547 ^= ZACTIF_2707 ^= ZACTIF_2867 ^= X_3040 ^= XX_3041 ^= C_XW0_19462 ^= C_XW0_19488 ^= C_XW0_19514 ^= C_XW0_19540 ^= C_XW0_19566
          | ACT_C_X3_19162{}
          |)
       | (| when C_NWAG_19165 ^= L_3073 ^= LWAG_3235
          | ACT_C_NWAG_19165{}
          |)
       | (| when C_L ^= L_1653
          | (| L_1653 := (LW1 when HLW1) cell C_L init 10.0e0 |)
          |)
       | (| when C_L_19177 ^= L_1576
          | (| L_1576 := (LW1 when HLW1) cell C_L_19177 init 10.0e0 |)
          |)
       | (| when C_N ^= N_1650
          | (| N_1650 := (NW1 when HNW1) cell C_N init 10 |)
          |)
       | (| when C_N_19183 ^= N
          | (| N := (NW1 when HNW1) cell C_N_19183 init 10 |)
          |)
       | (| when C_L_19192 ^= L_3276
          | (| L_3276 := (LW2 when HLW2) cell C_L_19192 init 10.0e0 |)
          |)
       | (| when C_L_19195 ^= L_3200
          | (| L_3200 := (LW2 when HLW2) cell C_L_19195 init 10.0e0 |)
          |)
       | (| when C_N_19198 ^= N_3273
          | (| N_3273 := (NW2 when HNW2) cell C_N_19198 init 10 |)
          |)
       | (| when C_N_19201 ^= N_3197
          | (| N_3197 := (NW2 when HNW2) cell C_N_19201 init 10 |)
          |)
       | (| when C_EFFACE ^= C_L1CO ^= C_B1SD ^= C_COULEUR_19645
          | ACT_C_EFFACE{}
          |)
       | (| when C_EFFACE_19317 ^= C_L2CO ^= C_B2SD ^= C_COULEUR
          | ACT_C_EFFACE_19317{}
          |)
       | (| when C_NXW ^= LGW_1156 ^= NXW_1283 ^= C_T1S10
          | ACT_C_NXW{}
          |)
       | (| when C_XW0_19615 ^= XW0_1157
          | (| XW0_1157 := (XW0_1176 when C_XW0_19423) default (XW0_1219 when C_CLK_5403) |)
          |)
       | (| when C_NXW_19618 ^= LGW_995 ^= NXW_1122 ^= C_T1S20
          | ACT_C_NXW_19618{}
          |)
       | (| when C_XW0_19621 ^= XW0_996
          | (| XW0_996 := (XW0_1015 when C_XW0_19397) default (XW0_1058 when C_CLK_5395) |)
          |)
       | (| when C_NXW_19624 ^= LGW_833 ^= NXW_960 ^= C_T1S30
          | ACT_C_NXW_19624{}
          |)
       | (| when C_XW0_19627 ^= XW0_834
          | (| XW0_834 := (XW0_853 when C_XW0_19371) default (XW0_896 when C_CLK_5387) |)
          |)
       | (| when C_NXW_19630 ^= LGW_669 ^= NXW_798 ^= C_T1S41
          | ACT_C_NXW_19630{}
          |)
       | (| when C_XW0_19633 ^= XW0_670
          | (| XW0_670 := (XW0_689 when C_XW0_19345) default (XW0_733 when C_CLK_5379) |)
          |)
       | (| when C_NXW_19636 ^= LGW ^= NXW ^= C_T1S40
          | ACT_C_NXW_19636{}
          |)
       | (| when C_XW0_19651 ^= XW0
          | (| XW0 := (XW0_3 when C_XW0) default (XW0_6 when C_CLK_5371) |)
          |)
       | (| when C_XW0_19654 ^= XW0_2786
          | (| XW0_2786 := (XW0_2805 when C_XW0_19553) default (XW0_2847 when C_CLK_5447) |)
          |)
       | (| when C_XW0_19657 ^= XW0_2626
          | (| XW0_2626 := (XW0_2645 when C_XW0_19527) default (XW0_2687 when C_CLK_5439) |)
          |)
       | (| when C_XW0_19660 ^= XW0_2466
          | (| XW0_2466 := (XW0_2485 when C_XW0_19501) default (XW0_2527 when C_CLK_5431) |)
          |)
       | (| when C_XW0_19663 ^= XW0_2304
          | (| XW0_2304 := (XW0_2323 when C_XW0_19475) default (XW0_2366 when C_CLK_5425) |)
          |)
       | (| when C_XW0_19666 ^= XW0_2136
          | (| XW0_2136 := (XW0_2155 when C_XW0_19449) default (XW0_2201 when C_CLK_5417) |)
          |)
       | (| when C_NXW_19669 ^= LGW_2135 ^= NXW_2269 ^= C_T2S10
          | ACT_C_NXW_19669{}
          |)
       | (| when C_ZXW ^= ZXW_2271
          | ACT_C_ZXW{}
          |)
       | (| when C_NXW_19675 ^= LGW_2303 ^= NXW_2431 ^= C_T2S11
          | ACT_C_NXW_19675{}
          |)
       | (| when C_ZXW_19678 ^= ZXW_2433
          | ACT_C_ZXW_19678{}
          |)
       | (| when C_NXW_19681 ^= LGW_2465 ^= NXW_2591 ^= C_T2S20
          | ACT_C_NXW_19681{}
          |)
       | (| when C_ZXW_19684 ^= ZXW_2593
          | ACT_C_ZXW_19684{}
          |)
       | (| when C_NXW_19687 ^= LGW_2625 ^= NXW_2751 ^= C_T2S30
          | ACT_C_NXW_19687{}
          |)
       | (| when C_ZXW_19690 ^= ZXW_2753
          | ACT_C_ZXW_19690{}
          |)
       | (| when C_NXW_19693 ^= LGW_2785 ^= NXW_2911 ^= C_T2S40
          | ACT_C_NXW_19693{}
          |)
       | (| when C_ZXW_19696 ^= ZXW_2913
          | ACT_C_ZXW_19696{}
          |)
       | (| when C_ZN ^= C_CLK_2837 ^= C_CLK_2848
          | ACT_C_ZN{}
          |)
       | (| when C_ZN_19802 ^= C_CLK_2981 ^= C_CLK_2992
          | ACT_C_ZN_19802{}
          |)
       | (| when C_ZXW_19932 ^= ZXW_1285
          | ACT_C_ZXW_19932{}
          |)
       | (| ACT_C_DN{} |)
       | (| when C_ZXW_19944 ^= ZXW_1124
          | ACT_C_ZXW_19944{}
          |)
       | (| when C_DN_19950 ^= C_COULEUR_20268
          | ACT_C_DN_19950{}
          |)
       | (| when C_ZXW_19956 ^= ZXW_962
          | ACT_C_ZXW_19956{}
          |)
       | (| when C_ZN_19959 ^= C_CLK_3084 ^= C_CLK_3098
          | ACT_C_ZN_19959{}
          |)
       | (| when C_ZXW_19965 ^= ZXW_800
          | ACT_C_ZXW_19965{}
          |)
       | (| ACT_C_DN_19971{} |)
       | (| when C_ZXW_19977 ^= ZXW
          | ACT_C_ZXW_19977{}
          |)
       | (| ACT_C_DN_19992{} |)
       | (| when C_ZN_19998 ^= C_CLK_2593 ^= C_CLK_2607
          | ACT_C_ZN_19998{}
          |)
       | (| when C_DN_20004 ^= C_COULEUR_20259
          | ACT_C_DN_20004{}
          |)
       | (| ACT_C_DN_20010{} |)
       | (| when C_TSTABLE ^= TSTABLE_6036
          | (| TSTABLE_6036 := (true when C_L2CH) default (false when C_CLK_6192) |)
          |)
       | (| when C_TSTABLE_20153 ^= TSTABLE
          | (| TSTABLE := (true when C_L1CH) default (false when C_CLK_6176) |)
          |)
       | (| when C_ZPASSANT ^= ZPASSANT_5672
          | ACT_C_ZPASSANT{}
          |)
       | (| when C_ZPASSANT_20280 ^= ZPASSANT_5448
          | ACT_C_ZPASSANT_20280{}
          |)
       | (| when C_ZPASSANT_20289 ^= ZPASSANT
          | ACT_C_ZPASSANT_20289{}
          |)
       | (| when C_ZPASSANT_20292 ^= ZPASSANT_5019
          | ACT_C_ZPASSANT_20292{}
          |)
       | (| when C_ ^= C_N0_20471 ^= C_CLK_3186 ^= C_CLK_3195
          | ACT_C_{}
          |)
       | (| when C_ZN_20413 ^= N_5573
          | ACT_C_ZN_20413{}
          |)
       | (| when C__20416 ^= C_N0 ^= C_CLK_2695 ^= C_CLK_2704
          | ACT_C__20416{}
          |)
       | (| when C_ZN_20425 ^= N_4905
          | ACT_C_ZN_20425{}
          |)
       | (| when C_ZN_20496 ^= C_CLK_3165 ^= C_CLK_3179 ^= C_CLK_3189
          | ACT_C_ZN_20496{}
          |)
       | (| when C_ZN_20499 ^= C_CLK_2674 ^= C_CLK_2688 ^= C_CLK_2698
          | ACT_C_ZN_20499{}
          |)
       | (| when C_ZN_20583 ^= C_OUVRIR
          | ACT_C_ZN_20583{}
          |)
       | (| when C_ZPASSANT_20631 ^= ZPASSANT_5782
          | ACT_C_ZPASSANT_20631{}
          |)
       | (| when C_ZN_20641 ^= C_CLK_2945 ^= C_CLK_2956
          | ACT_C_ZN_20641{}
          |)
       | (| when C_ZN_20647 ^= C_CLK_2801 ^= C_CLK_2812
          | ACT_C_ZN_20647{}
          |)
       | (| when C_ZN_20712 ^= C_CLK_3014 ^= C_CLK_3025
          | ACT_C_ZN_20712{}
          |)
       | (| when C_ZN_20715 ^= C_CLK_2870 ^= C_CLK_2881
          | ACT_C_ZN_20715{}
          |)
       | (| when C_ZACTIF ^= ACTIF_6037
          | ACT_C_ZACTIF{}
          |)
       | (| ACT_C_COULEUR_20733{} |)
       | (| when C_ZACTIF_20739 ^= ACTIF_5884
          | ACT_C_ZACTIF_20739{}
          |)
       | (| ACT_C_COULEUR_20745{} |)
       | (| ACT_C_COULEUR_20869{} |)
       | (| ACT_C_COULEUR_20899{} |)
       | (| when C_ZTCLIGNO ^= TCLIGNO_6040
          | ACT_C_ZTCLIGNO{}
          |)
       | (| when C_ZTCLIGNO_20929 ^= TCLIGNO
          | ACT_C_ZTCLIGNO_20929{}
          |)
       | (| ACT_C_COULEUR_20932{} |)
       | (| ACT_C_COULEUR_20935{} |)
       | (| ZXX2 := Z_1733$1 init XT1
          | ZXX1 := Z_1719$1 init XT1
          | ZX2 := Z_1705$1 init XT1
          | ZX1 := Z_1691$1 init XT1
          | VITESSE := (0.0e0 when C_STOP1) default (V11 when C_CLK_5317) default (ZVITESSE when C_CLK_5281)
          | ZVITESSE := VITESSE$1 init 0.0e0
          | VITESSE_1651 := (0.0e0 when C_STOP2) default (V12 when C_CLK_5315) default (ZVITESSE_1652 when C_CLK_5283)
          | ZVITESSE_1652 := VITESSE_1651$1 init 0.0e0
          | Z_1691 := (X1 when C_X3) default (ZX1 when C_CLK_5285)
          | Z_1705 := (X2 when C_X3_19150) default (ZX2 when C_CLK_5287)
          | Z_1719 := (XX1 when C_X3) default (ZXX1 when C_CLK_5285)
          | Z_1733 := (XX2 when C_X3_19150) default (ZXX2 when C_CLK_5287)
          | ZXX2_3152 := Z_3356$1 init XT1
          | ZXX1_3153 := Z_3342$1 init XT1
          | ZX2_3154 := Z_3328$1 init XT1
          | ZX1_3155 := Z_3314$1 init XT1
          | VITESSE_3198 := (0.0e0 when C_STOP1_2974) default (V21 when C_CLK_5313) default (ZVITESSE_3199 when C_CLK_5289)
          | ZVITESSE_3199 := VITESSE_3198$1 init 0.0e0
          | VITESSE_3274 := (0.0e0 when C_STOP2_2971) default (V22 when C_CLK_5311) default (ZVITESSE_3275 when C_CLK_5291)
          | ZVITESSE_3275 := VITESSE_3274$1 init 0.0e0
          | Z_3314 := (X_2975 when C_X3_19156) default (ZX1_3155 when C_CLK_5293)
          | Z_3328 := (X_3040 when C_X3_19162) default (ZX2_3154 when C_CLK_5295)
          | Z_3342 := (XX_2976 when C_X3_19156) default (ZXX1_3153 when C_CLK_5293)
          | Z_3356 := (XX_3041 when C_X3_19162) default (ZXX2_3152 when C_CLK_5295)
          | XZX := (1 when POS_THEORIQUE) default ((-1) when C_CLK_1970)
          | ZACTIF_1 := ACTIF_3793$1 init false
          | ACTIF_3793 := (true when HPANNE2) default (false when C_CLK_5305) default (ZACTIF_1 when C_CLK_5279)
          | POS_THEORIQUE := ACTIF_3828$1 init true
          | ACTIF_3828 := (true when C_B2CU) default (false when C_CLK_6118) default (POS_THEORIQUE when C_CLK_6200)
          | ZACTIF_2 := ACTIF_3862$1 init false
          | ACTIF_3862 := (true when HDEFAILLANCE2) default (false when C_CLK_6108) default (ZACTIF_2 when C_CLK_6198)
          | MOUVEMENT := ACTIF_3896$1 init false
          | ACTIF_3896 := (true when C_DEB_MV) default (false when C_CLK_6122) default (MOUVEMENT when C_CLK_6202)
          | XZX_3997 := (1 when ZACTIF_4119) default ((-1) when C_CLK_2150)
          | ZACTIF_4085 := ACTIF_4086$1 init false
          | ACTIF_4086 := (true when HPANNE1) default (false when C_CLK_5309) default (ZACTIF_4085 when C_CLK_5303)
          | ZACTIF_4119 := ACTIF_4120$1 init true
          | ACTIF_4120 := (true when C_B1CU) default (false when C_CLK_6104) default (ZACTIF_4119 when C_CLK_6204)
          | ZACTIF_4152 := ACTIF_4154$1 init false
          | ACTIF_4154 := (true when HDEFAILLANCE1) default (false when C_CLK_6094) default (ZACTIF_4152 when C_CLK_6208)
          | ZACTIF_4185 := ACTIF_4188$1 init false
          | ACTIF_4188 := (true when C_DEB_MV_4078) default (false when C_CLK_6124) default (ZACTIF_4185 when C_CLK_6206)
          | ACTIF_4874 := (true when C_SORTIE_1) default (false when C_CLK_5273) default (ZACTIF_4875 when C_CLK_5297)
          | ZACTIF_4875 := ACTIF_4874$1 init false
          | ACTIF_5542 := (true when C_SORTIE_1_5431) default (false when C_CLK_5323) default (ZACTIF_5543 when C_CLK_5299)
          | ZACTIF_5543 := ACTIF_5542$1 init false
          | N_7023 := (100 when C_HMOD100) default ((ZN_7024-1) when C_CLK_3837)
          | ZN_7024 := N_7023$1 init 1
          | N_7045 := (40 when C_HV12) default ((ZN_7046-1) when C_CLK_3852)
          | ZN_7046 := N_7045$1 init 1
          | C_STOP1 := ZXX1>XT5
          | C_CLK_825 := (VITESSE>0.0e0) and ((ZX1>=ZX2) or ((ZX1+DMIN)<ZXX2))
          | C_CLK_833 := ZXX1<=XT1
          | C_STOP2 := ZXX2>XT5
          | C_CLK_888 := (VITESSE_1651>0.0e0) and ((ZX2>=ZX1) or ((ZX2+DMIN)<ZXX1))
          | C_CLK_896 := ZXX2<=XT1
          | C_STOP1_2974 := ZXX1_3153>XT5
          | C_CLK_1754 := (VITESSE_3198>0.0e0) and ((ZX1_3155>=ZX2_3154) or ((ZX1_3155+DMIN)<ZXX2_3152))
          | C_CLK_1762 := ZXX1_3153<=XT1
          | C_STOP2_2971 := ZXX2_3152>XT5
          | C_CLK_1817 := (VITESSE_3274>0.0e0) and ((ZX2_3154>=ZX1_3155) or ((ZX2_3154+DMIN)<ZXX1_3153))
          | C_CLK_1825 := ZXX2_3152<=XT1
          | C_CLK_1970 := not POS_THEORIQUE
          | C_CLK_2106 := not (ZACTIF_1 or ZACTIF_2)
          | C_CLK_2150 := not ZACTIF_4119
          | C_CLK_2276 := not (ZACTIF_4085 or ZACTIF_4152)
          | C_HMOD100 := ZN_7024=1
          | C_CLK_3837 := not (ZN_7024=1)
          | C_HV12 := ZN_7046=1
          | C_CLK_3852 := not (ZN_7046=1)
          | HV11_19060 := left_tt ( HV11,C_HV12 )
          | HV12_19066 := left_tt ( HV12,C_HV12 )
          | HLW1_19072 := left_tt ( HLW1,C_HV12 )
          | HNW1_19078 := left_tt ( HNW1,C_HV12 )
          | HV21_19084 := left_tt ( HV21,C_HV12 )
          | HV22_19090 := left_tt ( HV22,C_HV12 )
          | HLW2_19096 := left_tt ( HLW2,C_HV12 )
          | HNW2_19102 := left_tt ( HNW2,C_HV12 )
          | HREPARER1_19108 := left_tt ( HREPARER1,C_HV12 )
          | HPANNE1_19114 := left_tt ( HPANNE1,C_HV12 )
          | HDEFAILLANCE1_19120 := left_tt ( HDEFAILLANCE1,C_HV12 )
          | HREPARER2_19126 := left_tt ( HREPARER2,C_HV12 )
          | HPANNE2_19132 := left_tt ( HPANNE2,C_HV12 )
          | HDEFAILLANCE2_19138 := left_tt ( HDEFAILLANCE2,C_HV12 )
          | C_X3 := C_STOP1 or C_CLK_825
          | C_NWAG := C_CLK_833 and C_X3
          | C_X3_19150 := C_STOP2 or C_CLK_888
          | C_NWAG_19153 := C_CLK_896 and C_X3_19150
          | C_X3_19156 := C_STOP1_2974 or C_CLK_1754
          | C_NWAG_19159 := C_X3_19156 and C_CLK_1762
          | C_X3_19162 := C_STOP2_2971 or C_CLK_1817
          | C_NWAG_19165 := C_CLK_1825 and C_X3_19162
          | C_CLK_4190 := C_STOP1 or HV11_19060
          | C_CLK_4196 := C_STOP2 or HV12_19066
          | C_L := C_NWAG_19153 or HLW1_19072
          | C_L_19177 := C_NWAG or HLW1_19072
          | C_N := C_NWAG_19153 or HNW1_19078
          | C_N_19183 := C_NWAG or HNW1_19078
          | C_CLK_4226 := C_STOP1_2974 or HV21_19084
          | C_CLK_4228 := C_STOP2_2971 or HV22_19090
          | C_L_19192 := C_NWAG_19165 or HLW2_19096
          | C_L_19195 := C_NWAG_19159 or HLW2_19096
          | C_N_19198 := C_NWAG_19165 or HNW2_19102
          | C_N_19201 := C_NWAG_19159 or HNW2_19102
          | C_CLK_4260_19207 := left_tt ( C_CLK_4260,C_HV12 )
          | C_CLK_4263_19213 := left_tt ( C_CLK_4263,C_HV12 )
          | C_CLK_4267_19219 := left_tt ( C_CLK_4267,C_HV12 )
          | C_CLK_4270_19225 := left_tt ( C_CLK_4270,C_HV12 )
          | C_CLK_5279 := not C_CLK_4267_19219
          | C_CLK_5281 := not C_CLK_4190
          | C_CLK_5283 := not C_CLK_4196
          | C_CLK_5285 := not C_X3
          | C_CLK_5287 := not C_X3_19150
          | C_CLK_5289 := not C_CLK_4226
          | C_CLK_5291 := not C_CLK_4228
          | C_CLK_5293 := not C_X3_19156
          | C_CLK_5295 := not C_X3_19162
          | C_CLK_5303 := not C_CLK_4260_19207
          | C_CLK_5305_19261 := left_tt ( C_CLK_5305,C_HV12 )
          | C_CLK_5309_19267 := left_tt ( C_CLK_5309,C_HV12 )
          | C_CLK_5311 := (not C_STOP2_2971) and HV22_19090
          | C_CLK_5313 := (not C_STOP1_2974) and HV21_19084
          | C_CLK_5315 := (not C_STOP2) and HV12_19066
          | C_CLK_5317 := (not C_STOP1) and HV11_19060
          | C_CLK_5409 := (not C_NWAG) and C_X3
          | C_CLK_5411 := (not C_STOP1) and C_CLK_825
          | C_CLK_5413 := (not C_NWAG_19153) and C_X3_19150
          | C_CLK_5415 := (not C_STOP2) and C_CLK_888
          | C_CLK_5453 := (not C_NWAG_19159) and C_X3_19156
          | C_CLK_5455 := (not C_STOP1_2974) and C_CLK_1754
          | C_CLK_5457 := (not C_NWAG_19165) and C_X3_19162
          | C_CLK_5459 := (not C_STOP2_2971) and C_CLK_1817
          | C_EFFACE := ZACTIF_4185 and C_HV12
          | C_EFFACE_19317 := MOUVEMENT and C_HV12
          | C_XW0_19322 := left_tt ( C_XW0,C_X3 )
          | ZACTIF_19328 := left_tt ( ZACTIF,C_X3 )
          | C_XW0_19335 := left_tt ( C_XW0_19332,C_X3_19150 )
          | ZACTIF_19341 := left_tt ( ZACTIF_588,C_X3_19150 )
          | C_XW0_19348 := left_tt ( C_XW0_19345,C_X3 )
          | ZACTIF_19354 := left_tt ( ZACTIF_710,C_X3 )
          | C_XW0_19361 := left_tt ( C_XW0_19358,C_X3_19150 )
          | ZACTIF_19367 := left_tt ( ZACTIF_754,C_X3_19150 )
          | C_XW0_19374 := left_tt ( C_XW0_19371,C_X3 )
          | ZACTIF_19380 := left_tt ( ZACTIF_873,C_X3 )
          | C_XW0_19387 := left_tt ( C_XW0_19384,C_X3_19150 )
          | ZACTIF_19393 := left_tt ( ZACTIF_916,C_X3_19150 )
          | C_XW0_19400 := left_tt ( C_XW0_19397,C_X3 )
          | ZACTIF_19406 := left_tt ( ZACTIF_1035,C_X3 )
          | C_XW0_19413 := left_tt ( C_XW0_19410,C_X3_19150 )
          | ZACTIF_19419 := left_tt ( ZACTIF_1078,C_X3_19150 )
          | C_XW0_19426 := left_tt ( C_XW0_19423,C_X3 )
          | ZACTIF_19432 := left_tt ( ZACTIF_1196,C_X3 )
          | C_XW0_19439 := left_tt ( C_XW0_19436,C_X3_19150 )
          | ZACTIF_19445 := left_tt ( ZACTIF_1239,C_X3_19150 )
          | C_XW0_19452 := left_tt ( C_XW0_19449,C_X3_19156 )
          | ZACTIF_19458 := left_tt ( ZACTIF_2179,C_X3_19156 )
          | C_XW0_19465 := left_tt ( C_XW0_19462,C_X3_19162 )
          | ZACTIF_19471 := left_tt ( ZACTIF_2225,C_X3_19162 )
          | C_XW0_19478 := left_tt ( C_XW0_19475,C_X3_19156 )
          | ZACTIF_19484 := left_tt ( ZACTIF_2344,C_X3_19156 )
          | C_XW0_19491 := left_tt ( C_XW0_19488,C_X3_19162 )
          | ZACTIF_19497 := left_tt ( ZACTIF_2387,C_X3_19162 )
          | C_XW0_19504 := left_tt ( C_XW0_19501,C_X3_19156 )
          | ZACTIF_19510 := left_tt ( ZACTIF_2505,C_X3_19156 )
          | C_XW0_19517 := left_tt ( C_XW0_19514,C_X3_19162 )
          | ZACTIF_19523 := left_tt ( ZACTIF_2547,C_X3_19162 )
          | C_XW0_19530 := left_tt ( C_XW0_19527,C_X3_19156 )
          | ZACTIF_19536 := left_tt ( ZACTIF_2665,C_X3_19156 )
          | C_XW0_19543 := left_tt ( C_XW0_19540,C_X3_19162 )
          | ZACTIF_19549 := left_tt ( ZACTIF_2707,C_X3_19162 )
          | C_XW0_19556 := left_tt ( C_XW0_19553,C_X3_19156 )
          | ZACTIF_19562 := left_tt ( ZACTIF_2825,C_X3_19156 )
          | C_XW0_19569 := left_tt ( C_XW0_19566,C_X3_19162 )
          | ZACTIF_19575 := left_tt ( ZACTIF_2867,C_X3_19162 )
          | C_L2CO_19582 := left_tt ( C_L2CO,C_EFFACE_19317 )
          | C_B2SD_19590 := left_tt ( C_B2SD,C_EFFACE_19317 )
          | C_L1CO_19598 := left_tt ( C_L1CO,C_EFFACE )
          | C_B1SD_19606 := left_tt ( C_B1SD,C_EFFACE )
          | C_NXW := ZACTIF_19432 or ZACTIF_19445
          | C_XW0_19615 := C_XW0_19426 or C_XW0_19439
          | C_NXW_19618 := ZACTIF_19406 or ZACTIF_19419
          | C_XW0_19621 := C_XW0_19400 or C_XW0_19413
          | C_NXW_19624 := ZACTIF_19380 or ZACTIF_19393
          | C_XW0_19627 := C_XW0_19374 or C_XW0_19387
          | C_NXW_19630 := ZACTIF_19354 or ZACTIF_19367
          | C_XW0_19633 := C_XW0_19348 or C_XW0_19361
          | C_NXW_19636 := ZACTIF_19328 or ZACTIF_19341
          | C_COULEUR_19642 := left_tt ( C_COULEUR,C_EFFACE_19317 )
          | C_COULEUR_19648 := left_tt ( C_COULEUR_19645,C_EFFACE )
          | C_XW0_19651 := C_XW0_19322 or C_XW0_19335
          | C_XW0_19654 := C_XW0_19556 or C_XW0_19569
          | C_XW0_19657 := C_XW0_19530 or C_XW0_19543
          | C_XW0_19660 := C_XW0_19504 or C_XW0_19517
          | C_XW0_19663 := C_XW0_19478 or C_XW0_19491
          | C_XW0_19666 := C_XW0_19452 or C_XW0_19465
          | C_NXW_19669 := ZACTIF_19458 or ZACTIF_19471
          | C_ZXW := C_NXW_19669 or C_XW0_19666
          | C_NXW_19675 := ZACTIF_19484 or ZACTIF_19497
          | C_ZXW_19678 := C_NXW_19675 or C_XW0_19663
          | C_NXW_19681 := ZACTIF_19510 or ZACTIF_19523
          | C_ZXW_19684 := C_NXW_19681 or C_XW0_19660
          | C_NXW_19687 := ZACTIF_19536 or ZACTIF_19549
          | C_ZXW_19690 := C_NXW_19687 or C_XW0_19657
          | C_NXW_19693 := ZACTIF_19562 or ZACTIF_19575
          | C_ZXW_19696 := C_NXW_19693 or C_XW0_19654
          | C_CLK_5333 := (not ZACTIF_19562) and ZACTIF_19575
          | C_CLK_5337 := (not ZACTIF_19536) and ZACTIF_19549
          | C_CLK_5341 := (not ZACTIF_19510) and ZACTIF_19523
          | C_CLK_5345 := (not ZACTIF_19484) and ZACTIF_19497
          | C_CLK_5349 := (not ZACTIF_19458) and ZACTIF_19471
          | C_CLK_5353 := (not ZACTIF_19432) and ZACTIF_19445
          | C_CLK_5357 := (not ZACTIF_19406) and ZACTIF_19419
          | C_CLK_5361 := (not ZACTIF_19380) and ZACTIF_19393
          | C_CLK_5365 := (not ZACTIF_19354) and ZACTIF_19367
          | C_CLK_5369 := (not ZACTIF_19328) and ZACTIF_19341
          | C_CLK_5371 := (not C_XW0_19322) and C_XW0_19335
          | C_CLK_5379 := (not C_XW0_19348) and C_XW0_19361
          | C_CLK_5387 := (not C_XW0_19374) and C_XW0_19387
          | C_CLK_5395 := (not C_XW0_19400) and C_XW0_19413
          | C_CLK_5403 := (not C_XW0_19426) and C_XW0_19439
          | C_CLK_5417 := (not C_XW0_19452) and C_XW0_19465
          | C_CLK_5425 := (not C_XW0_19478) and C_XW0_19491
          | C_CLK_5431 := (not C_XW0_19504) and C_XW0_19517
          | C_CLK_5439 := (not C_XW0_19530) and C_XW0_19543
          | C_CLK_5447 := (not C_XW0_19556) and C_XW0_19569
          | C_CLK_5697 := C_L2CO_19582 or C_CLK_4270_19225
          | C_CLK_5699 := C_L1CO_19598 or C_CLK_4263_19213
          | C_ZN := C_HMOD100 or C_B1SD_19606
          | C_ZN_19802 := C_HMOD100 or C_B2SD_19590
          | C_FIN_MV_4077 := C_CLK_5699 or C_B1SD_19606
          | C_FIN_MV := C_CLK_5697 or C_B2SD_19590
          | C_T1S40_19813 := left_tt ( C_T1S40,C_NXW_19636 )
          | C_T1S41_19821 := left_tt ( C_T1S41,C_NXW_19630 )
          | C_T1S30_19829 := left_tt ( C_T1S30,C_NXW_19624 )
          | C_T1S20_19837 := left_tt ( C_T1S20,C_NXW_19618 )
          | C_T1S10_19845 := left_tt ( C_T1S10,C_NXW )
          | C_T2S10_19853 := left_tt ( C_T2S10,C_NXW_19669 )
          | C_T2S11_19861 := left_tt ( C_T2S11,C_NXW_19675 )
          | C_T2S20_19869 := left_tt ( C_T2S20,C_NXW_19681 )
          | C_T2S30_19877 := left_tt ( C_T2S30,C_NXW_19687 )
          | C_T2S40_19885 := left_tt ( C_T2S40,C_NXW_19693 )
          | C_CLK_2837_19893 := left_tt ( C_CLK_2837,C_ZN )
          | C_CLK_2848_19901 := left_tt ( C_CLK_2848,C_ZN )
          | C_CLK_2981_19909 := left_tt ( C_CLK_2981,C_ZN_19802 )
          | C_CLK_2992_19917 := left_tt ( C_CLK_2992,C_ZN_19802 )
          | C_CLK_4293 := C_XW0_19615 or C_T1S10_19845
          | C_ZXW_19932 := C_CLK_4293 or C_NXW
          | C_DN := C_T1S20_19837 or C_T1S10_19845
          | C_CLK_4315 := C_T1S20_19837 and C_T1S10_19845
          | C_CLK_4329 := C_XW0_19621 or C_T1S20_19837
          | C_ZXW_19944 := C_CLK_4329 or C_NXW_19618
          | C_CLK_4351 := C_T1S30_19829 and C_T1S20_19837
          | C_DN_19950 := C_T1S30_19829 or C_T1S20_19837
          | C_CLK_4370 := C_XW0_19627 or C_T1S30_19829
          | C_ZXW_19956 := C_CLK_4370 or C_NXW_19624
          | C_ZN_19959 := C_HMOD100 or C_T1S41_19821
          | C_CLK_4420 := C_XW0_19633 or C_T1S41_19821
          | C_ZXW_19965 := C_CLK_4420 or C_NXW_19630
          | C_CLK_4444 := C_T1S40_19813 and C_T1S30_19829
          | C_DN_19971 := C_T1S40_19813 or C_T1S30_19829
          | C_CLK_4495 := C_XW0_19651 or C_T1S40_19813
          | C_ZXW_19977 := C_CLK_4495 or C_NXW_19636
          | C_CLK_5091 := C_T2S10_19853 and C_T2S20_19869
          | C_CLK_5093 := C_T2S20_19869 and C_T2S30_19877
          | C_CLK_5095 := C_T2S30_19877 and C_T2S40_19885
          | C_CLK_5097 := C_XW0_19666 or C_T2S10_19853
          | C_DN_19992 := C_T2S10_19853 or C_T2S20_19869
          | C_CLK_5101 := C_XW0_19663 or C_T2S11_19861
          | C_ZN_19998 := C_HMOD100 or C_T2S11_19861
          | C_CLK_5105 := C_XW0_19660 or C_T2S20_19869
          | C_DN_20004 := C_T2S20_19869 or C_T2S30_19877
          | C_CLK_5109 := C_XW0_19657 or C_T2S30_19877
          | C_DN_20010 := C_T2S30_19877 or C_T2S40_19885
          | C_CLK_5113 := C_XW0_19654 or C_T2S40_19885
          | C_CLK_5331 := (not C_CLK_5113) and C_NXW_19693
          | C_CLK_5335 := (not C_CLK_5109) and C_NXW_19687
          | C_CLK_5339 := (not C_CLK_5105) and C_NXW_19681
          | C_CLK_5343 := (not C_CLK_5101) and C_NXW_19675
          | C_CLK_5347 := (not C_CLK_5097) and C_NXW_19669
          | C_CLK_5351 := (not C_CLK_4293) and C_NXW
          | C_CLK_5355 := (not C_CLK_4329) and C_NXW_19618
          | C_CLK_5359 := (not C_CLK_4370) and C_NXW_19624
          | C_CLK_5363 := (not C_CLK_4420) and C_NXW_19630
          | C_CLK_5367 := (not C_CLK_4495) and C_NXW_19636
          | C_CLK_5373 := (not C_XW0_19651) and C_T1S40_19813
          | C_CLK_5377 := (not C_CLK_4444) and C_T1S40_19813
          | C_CLK_5383 := (not C_XW0_19633) and C_T1S41_19821
          | C_CLK_5389 := (not C_XW0_19627) and C_T1S30_19829
          | C_CLK_5391 := (not C_CLK_4351) and C_T1S30_19829
          | C_CLK_5393 := (not C_T1S40_19813) and C_T1S30_19829
          | C_CLK_5397 := (not C_XW0_19621) and C_T1S20_19837
          | C_CLK_5399 := (not C_CLK_4315) and C_T1S20_19837
          | C_CLK_5401 := (not C_T1S30_19829) and C_T1S20_19837
          | C_CLK_5405 := (not C_XW0_19615) and C_T1S10_19845
          | C_CLK_5407 := (not C_T1S20_19837) and C_T1S10_19845
          | C_CLK_5421 := (not C_CLK_5091) and C_T2S10_19853
          | C_CLK_5423 := (not C_XW0_19666) and C_T2S10_19853
          | C_CLK_5429 := (not C_XW0_19663) and C_T2S11_19861
          | C_CLK_5433 := (not C_CLK_5093) and C_T2S20_19869
          | C_CLK_5435 := (not C_T2S10_19853) and C_T2S20_19869
          | C_CLK_5437 := (not C_XW0_19660) and C_T2S20_19869
          | C_CLK_5441 := (not C_CLK_5095) and C_T2S30_19877
          | C_CLK_5443 := (not C_T2S20_19869) and C_T2S30_19877
          | C_CLK_5445 := (not C_XW0_19657) and C_T2S30_19877
          | C_CLK_5449 := (not C_T2S30_19877) and C_T2S40_19885
          | C_CLK_5451 := (not C_XW0_19654) and C_T2S40_19885
          | C_L1CH := C_HMOD100 and C_CLK_2848_19901
          | C_L2CH := C_HMOD100 and C_CLK_2992_19917
          | C_TSTABLE := C_L2CH or C_L2CO_19582
          | C_TSTABLE_20153 := C_L1CH or C_L1CO_19598
          | C_CLK_6176 := (not C_L1CH) and C_L1CO_19598
          | C_CLK_6192 := (not C_L2CH) and C_L2CO_19582
          | C_CLK_2593_20226 := left_tt ( C_CLK_2593,C_ZN_19998 )
          | C_CLK_2607_20234 := left_tt ( C_CLK_2607,C_ZN_19998 )
          | C_CLK_3084_20242 := left_tt ( C_CLK_3084,C_ZN_19959 )
          | C_CLK_3098_20250 := left_tt ( C_CLK_3098,C_ZN_19959 )
          | C_CLK_4395 := C_T1S41_19821 or C_CLK_3084_20242
          | C_TOP_5430 := C_HMOD100 and C_CLK_3098_20250
          | C_ZPASSANT := C_TOP_5430 or C_T1S41_19821
          | C_ZPASSANT_20280 := C_TOP_5430 or C_T1S40_19813
          | C_TOP := C_HMOD100 and C_CLK_2607_20234
          | C_ZPASSANT_20289 := C_TOP or C_T2S10_19853
          | C_ZPASSANT_20292 := C_TOP or C_T2S11_19861
          | C_CLK_5168 := C_T2S11_19861 or C_CLK_2593_20226
          | C_CLK_5275 := (not C_CLK_5168) and C_ZN_19998
          | C_CLK_5375 := (not C_TOP_5430) and C_T1S40_19813
          | C_CLK_5381 := (not C_CLK_4395) and C_ZN_19959
          | C_CLK_5385 := (not C_TOP_5430) and C_T1S41_19821
          | C_CLK_5419 := (not C_TOP) and C_T2S10_19853
          | C_CLK_5427 := (not C_TOP) and C_T2S11_19861
          | C_CLK_5485 := (not C_T2S11_19861) and C_CLK_2593_20226
          | C_CLK_5491 := (not C_T1S41_19821) and C_CLK_3084_20242
          | ZPASSANT_20352 := left_tt ( ZPASSANT,C_ZPASSANT_20289 )
          | ZPASSANT_20358 := left_tt ( ZPASSANT_5019,C_ZPASSANT_20292 )
          | C_MONTER_1_20369 := left_tt ( C_MONTER_1,C_DN_20004 )
          | ZPASSANT_20372 := left_tt ( ZPASSANT_5448,C_ZPASSANT_20280 )
          | ZPASSANT_20378 := left_tt ( ZPASSANT_5672,C_ZPASSANT )
          | C_MONTER_4_20389 := left_tt ( C_MONTER_4,C_DN_19950 )
          | C_ := C_T1S41_19821 and ZPASSANT_20378
          | C_SORTIE_1_5431 := C_T1S40_19813 and ZPASSANT_20372
          | C_CLK_4471 := C_SORTIE_1_5431 or C_
          | C_ZN_20413 := ACTIF_5542 or C_CLK_4471
          | C__20416 := C_T2S11_19861 and ZPASSANT_20358
          | C_SORTIE_1 := C_T2S10_19853 and ZPASSANT_20352
          | C_CLK_5153 := C__20416 or C_SORTIE_1
          | C_ZN_20425 := ACTIF_4874 or C_CLK_5153
          | C_CLK_5269 := (not C_SORTIE_1) and C_ZN_20425
          | C_CLK_5273 := (not C_SORTIE_1) and C__20416
          | C_CLK_5297 := not C_CLK_5153
          | C_CLK_5299 := not C_CLK_4471
          | C_CLK_5321 := (not C_SORTIE_1_5431) and C_ZN_20413
          | C_CLK_5323 := (not C_SORTIE_1_5431) and C_
          | C_N0_20450 := left_tt ( C_N0,C__20416 )
          | C_CLK_2695_20458 := left_tt ( C_CLK_2695,C__20416 )
          | C_CLK_2704_20466 := left_tt ( C_CLK_2704,C__20416 )
          | C_N0_20474 := left_tt ( C_N0_20471,C_ )
          | C_CLK_3186_20482 := left_tt ( C_CLK_3186,C_ )
          | C_CLK_3195_20490 := left_tt ( C_CLK_3195,C_ )
          | C_ZN_20496 := C_HMOD100 or C_N0_20474
          | C_ZN_20499 := C_HMOD100 or C_N0_20450
          | C_CLK_2674_20504 := left_tt ( C_CLK_2674,C_ZN_20499 )
          | C_CLK_2688_20512 := left_tt ( C_CLK_2688,C_ZN_20499 )
          | C_CLK_2698_20520 := left_tt ( C_CLK_2698,C_ZN_20499 )
          | C_CLK_3165_20528 := left_tt ( C_CLK_3165,C_ZN_20496 )
          | C_CLK_3179_20536 := left_tt ( C_CLK_3179,C_ZN_20496 )
          | C_CLK_3189_20544 := left_tt ( C_CLK_3189,C_ZN_20496 )
          | C_T_5 := C_CLK_3186_20482 or C_CLK_3189_20544
          | C_TOP_5589 := C_HMOD100 and C_CLK_3179_20536
          | C_DESCENDRE_6 := C_TOP_5589 or C_CLK_3195_20490
          | C_CLK_4548 := C_N0_20474 or C_CLK_3165_20528
          | C_TOP_4921 := C_HMOD100 and C_CLK_2688_20512
          | C_DESCENDRE_3 := C_TOP_4921 or C_CLK_2704_20466
          | C_F := C_DESCENDRE_3 or C_DESCENDRE_6
          | C_CLK_5203 := C_N0_20450 or C_CLK_2674_20504
          | C_T_2 := C_CLK_2695_20458 or C_CLK_2698_20520
          | C_CLK_5211 := C_T_2 or C_T_5
          | C_CLK_5214 := C_CLK_5211 or C_MONTER_4_20389
          | C_ZN_20583 := C_CLK_5214 or C_MONTER_1_20369
          | C_CLK_5251 := (not C_T_5) and C_ZN_20583
          | C_CLK_5253 := (not C_T_2) and C_ZN_20583
          | C_CLK_5255 := (not C_MONTER_4_20389) and C_ZN_20583
          | C_CLK_5257 := (not C_MONTER_1_20369) and C_ZN_20583
          | C_CLK_5267 := (not C_CLK_5203) and C_ZN_20499
          | C_CLK_5487 := (not C_N0_20450) and C_CLK_2674_20504
          | C_CLK_5493 := (not C_CLK_4548) and C_ZN_20496
          | C_CLK_5495 := (not C_N0_20474) and C_CLK_3165_20528
          | C_OUVRIR_20620 := left_tt ( C_OUVRIR,C_ZN_20583 )
          | C_ZPASSANT_20631 := C_F or C_OUVRIR_20620
          | C_CLK_5261 := (not C_OUVRIR_20620) and C_F
          | C_CLK_5588 := C_HMOD100 or C_OUVRIR_20620
          | C_ZN_20641 := C_CLK_5588 or C_L2CO_19582
          | C_CLK_5705 := C_L2CO_19582 or C_OUVRIR_20620
          | C_ZN_20647 := C_CLK_5588 or C_L1CO_19598
          | C_CLK_5711 := C_L1CO_19598 or C_OUVRIR_20620
          | C_CLK_6174 := (not C_OUVRIR_20620) and C_L1CO_19598
          | C_CLK_6190 := (not C_OUVRIR_20620) and C_L2CO_19582
          | C_CLK_2801_20661 := left_tt ( C_CLK_2801,C_ZN_20647 )
          | C_CLK_2812_20669 := left_tt ( C_CLK_2812,C_ZN_20647 )
          | C_CLK_2945_20677 := left_tt ( C_CLK_2945,C_ZN_20641 )
          | C_CLK_2956_20685 := left_tt ( C_CLK_2956,C_ZN_20641 )
          | ZPASSANT_20691 := left_tt ( ZPASSANT_5782,C_ZPASSANT_20631 )
          | C_FERMER := C_F and ZPASSANT_20691
          | C_CLK_5590 := C_HMOD100 or C_FERMER
          | C_CLK_5664 := C_HV12 or C_FERMER
          | C_L1CS := C_FERMER or C_B1SD_19606
          | C_L2CS := C_FERMER or C_B2SD_19590
          | C_ZN_20712 := C_CLK_5590 or C_B2SD_19590
          | C_ZN_20715 := C_CLK_5590 or C_B1SD_19606
          | C_CLK_5740 := C_L2CS or C_L2CO_19582
          | C_EB1U := C_HMOD100 and C_CLK_2812_20669
          | C_EB2U := C_HMOD100 and C_CLK_2956_20685
          | C_CLK_5780 := C_L2CH or C_CLK_5740
          | C_ZACTIF := C_L2CH or C_CLK_5664
          | C_COULEUR_20733 := C_EB2U or C_COULEUR_19642
          | C_B2CU := C_EB2U or C_OUVRIR_20620
          | C_ZACTIF_20739 := C_L1CH or C_CLK_5664
          | C_CLK_5922 := C_TSTABLE_20153 or C_L1CS
          | C_COULEUR_20745 := C_EB1U or C_COULEUR_19648
          | C_B1CU := C_EB1U or C_OUVRIR_20620
          | C_CLK_6086 := C_CLK_5705 or C_CLK_2945_20677
          | C_CLK_6088 := C_CLK_5711 or C_CLK_2801_20661
          | C_CLK_6102 := (not C_L1CS) and C_TSTABLE_20153
          | C_CLK_6116 := (not C_L2CS) and C_TSTABLE
          | C_CLK_6126 := (not C_CLK_6086) and C_ZN_20641
          | C_CLK_6128 := (not C_CLK_6088) and C_ZN_20647
          | C_CLK_6138 := (not C_CLK_5780) and C_HV12
          | C_CLK_6140 := (not C_CLK_5922) and C_HV12
          | C_CLK_6158 := (not C_CLK_5705) and C_CLK_2945_20677
          | C_CLK_6164 := (not C_CLK_5711) and C_CLK_2801_20661
          | C_CLK_6168 := (not C_FERMER) and C_B1SD_19606
          | C_CLK_6180 := (not C_EB1U) and C_COULEUR_19648
          | C_CLK_6184 := (not C_FERMER) and C_B2SD_19590
          | C_CLK_6196 := (not C_EB2U) and C_COULEUR_19642
          | C_CLK_2870_20806 := left_tt ( C_CLK_2870,C_ZN_20715 )
          | C_CLK_2881_20814 := left_tt ( C_CLK_2881,C_ZN_20715 )
          | C_CLK_3014_20822 := left_tt ( C_CLK_3014,C_ZN_20712 )
          | C_CLK_3025_20830 := left_tt ( C_CLK_3025,C_ZN_20712 )
          | ACTIF_20836 := left_tt ( ACTIF_5884,C_ZACTIF_20739 )
          | ACTIF_20842 := left_tt ( ACTIF_6037,C_ZACTIF )
          | C_CLK_5742 := C_L2CS or C_CLK_3014_20822
          | C_CLK_5746 := C_L1CS or C_CLK_2870_20806
          | C_EB1D := C_HMOD100 and C_CLK_2881_20814
          | C_EB2D := C_HMOD100 and C_CLK_3025_20830
          | C_B2CD := C_EB2D or C_FERMER
          | C_COULEUR_20869 := C_EB2D or C_COULEUR_19642
          | C_CLK_5767 := C_EB2D or C_B2SD_19590
          | C_CLK_5769 := C_CLK_5767 or C_CLK_2981_19909
          | C_COMMANDE := C_B2CU or C_B2CD
          | C_FIN_DEF := C_COMMANDE or HREPARER2_19126
          | C_CLK_5835 := C_COMMANDE and C_CLK_2106
          | C_DEB_MV := C_CLK_5835 or HREPARER2_19126
          | C_CLK_5845 := C_DEB_MV or C_FIN_MV
          | C_CLK_5850 := C_FIN_DEF or HDEFAILLANCE2_19138
          | C_B1CD := C_EB1D or C_FERMER
          | C_COULEUR_20899 := C_EB1D or C_COULEUR_19648
          | C_CLK_5895 := C_EB1D or C_B1SD_19606
          | C_CLK_5897 := C_CLK_5895 or C_CLK_2837_19893
          | C_COMMANDE_4222 := C_B1CU or C_B1CD
          | C_FIN_DEF_4079 := C_COMMANDE_4222 or HREPARER1_19108
          | C_CLK_5979 := C_COMMANDE_4222 and C_CLK_2276
          | C_DEB_MV_4078 := C_CLK_5979 or HREPARER1_19108
          | C_CLK_5990 := C_DEB_MV_4078 or C_FIN_MV_4077
          | C_CLK_5995 := C_FIN_DEF_4079 or HDEFAILLANCE1_19120
          | C_ZTCLIGNO := C_HV12 and ACTIF_20842
          | C_ZTCLIGNO_20929 := C_HV12 and ACTIF_20836
          | C_COULEUR_20932 := C_ZTCLIGNO_20929 or C_TSTABLE_20153
          | C_COULEUR_20935 := C_ZTCLIGNO or C_TSTABLE
          | C_CLK_6090 := (not C_TSTABLE) and C_ZTCLIGNO
          | C_CLK_6092 := (not C_TSTABLE_20153) and C_ZTCLIGNO_20929
          | C_CLK_6094 := (not HDEFAILLANCE1_19120) and C_FIN_DEF_4079
          | C_CLK_6104 := (not C_B1CU) and C_B1CD
          | C_CLK_6108 := (not HDEFAILLANCE2_19138) and C_FIN_DEF
          | C_CLK_6118 := (not C_B2CU) and C_B2CD
          | C_CLK_6122 := (not C_DEB_MV) and C_FIN_MV
          | C_CLK_6124 := (not C_DEB_MV_4078) and C_FIN_MV_4077
          | C_CLK_6130 := (not C_CLK_5897) and C_ZN
          | C_CLK_6132 := (not C_CLK_5746) and C_ZN_20715
          | C_CLK_6134 := (not C_CLK_5769) and C_ZN_19802
          | C_CLK_6136 := (not C_CLK_5742) and C_ZN_20712
          | C_CLK_6154 := (not C_L2CS) and C_CLK_3014_20822
          | C_CLK_6156 := (not C_CLK_5767) and C_CLK_2981_19909
          | C_CLK_6160 := (not C_L1CS) and C_CLK_2870_20806
          | C_CLK_6162 := (not C_CLK_5895) and C_CLK_2837_19893
          | C_CLK_6170 := (not C_EB1D) and C_B1SD_19606
          | C_CLK_6178 := (not C_EB1D) and C_COULEUR_19648
          | C_CLK_6186 := (not C_EB2D) and C_B2SD_19590
          | C_CLK_6194 := (not C_EB2D) and C_COULEUR_19642
          | C_CLK_6198 := not C_CLK_5850
          | C_CLK_6200 := not C_COMMANDE
          | C_CLK_6202 := not C_CLK_5845
          | C_CLK_6204 := not C_COMMANDE_4222
          | C_CLK_6206 := not C_CLK_5990
          | C_CLK_6208 := not C_CLK_5995
          |)
       |)
      where 
      integer N, N_1650, N_3197, N_3273, % value = [-1,1]
             %XZX, % value = [-1,1]
             %XZX_3997, N_4905, N0_4920, N_5573, N0_5588, N_7023, ZN_7024, N_7045, ZN_7046;
      boolean ZACTIF, ZACTIF_588, ZACTIF_710, ZACTIF_754, ZACTIF_873, ZACTIF_916, ZACTIF_1035, ZACTIF_1078, ZACTIF_1196, ZACTIF_1239, ZACTIF_2179, ZACTIF_2225, ZACTIF_2344, ZACTIF_2387, ZACTIF_2505, ZACTIF_2547, ZACTIF_2665, ZACTIF_2707, ZACTIF_2825, 
             ZACTIF_2867, ZACTIF_1, ACTIF_3793, POS_THEORIQUE, ACTIF_3828, ZACTIF_2, ACTIF_3862, MOUVEMENT, ACTIF_3896, ZACTIF_4085, ACTIF_4086, ZACTIF_4119, ACTIF_4120, ZACTIF_4152, ACTIF_4154, ZACTIF_4185, ACTIF_4188, ZPASSANT, ACTIF_4874, ZACTIF_4875, 
             ZPASSANT_5019, ZPASSANT_5448, ACTIF_5542, ZACTIF_5543, ZPASSANT_5672, ZPASSANT_5782, TSTABLE, ACTIF_5884, TCLIGNO, TSTABLE_6036, ACTIF_6037, TCLIGNO_6040, C_STOP1, C_CLK_825, C_CLK_833, C_STOP2, C_CLK_888, C_CLK_896, C_STOP1_2974, C_CLK_1754, 
             C_CLK_1762, C_STOP2_2971, C_CLK_1817, C_CLK_1825, C_CLK_1970, C_CLK_2106, C_CLK_2150, C_CLK_2276, C_HMOD100, C_CLK_3837, C_HV12, C_CLK_3852, HV11_19060, HV12_19066, HLW1_19072, HNW1_19078, HV21_19084, HV22_19090, HLW2_19096, HNW2_19102, 
             HREPARER1_19108, HPANNE1_19114, HDEFAILLANCE1_19120, HREPARER2_19126, HPANNE2_19132, HDEFAILLANCE2_19138, C_X3, C_NWAG, C_X3_19150, C_NWAG_19153, C_X3_19156, C_NWAG_19159, C_X3_19162, C_NWAG_19165, C_CLK_4190, C_CLK_4196, C_L, C_L_19177, C_N, 
             C_N_19183, C_CLK_4226, C_CLK_4228, C_L_19192, C_L_19195, C_N_19198, C_N_19201, C_CLK_4260, C_CLK_4260_19207, C_CLK_4263, C_CLK_4263_19213, C_CLK_4267, C_CLK_4267_19219, C_CLK_4270, C_CLK_4270_19225, C_CLK_5279, C_CLK_5281, C_CLK_5283, 
             C_CLK_5285, C_CLK_5287, C_CLK_5289, C_CLK_5291, C_CLK_5293, C_CLK_5295, C_CLK_5303, C_CLK_5305, C_CLK_5305_19261, C_CLK_5309, C_CLK_5309_19267, C_CLK_5311, C_CLK_5313, C_CLK_5315, C_CLK_5317, C_CLK_5409, C_CLK_5411, C_CLK_5413, C_CLK_5415, 
             C_CLK_5453, C_CLK_5455, C_CLK_5457, C_CLK_5459, C_EFFACE, C_EFFACE_19317, C_XW0, C_XW0_19322, ZACTIF_19328, C_XW0_19332, C_XW0_19335, ZACTIF_19341, C_XW0_19345, C_XW0_19348, ZACTIF_19354, C_XW0_19358, C_XW0_19361, ZACTIF_19367, C_XW0_19371, 
             C_XW0_19374, ZACTIF_19380, C_XW0_19384, C_XW0_19387, ZACTIF_19393, C_XW0_19397, C_XW0_19400, ZACTIF_19406, C_XW0_19410, C_XW0_19413, ZACTIF_19419, C_XW0_19423, C_XW0_19426, ZACTIF_19432, C_XW0_19436, C_XW0_19439, ZACTIF_19445, C_XW0_19449, 
             C_XW0_19452, ZACTIF_19458, C_XW0_19462, C_XW0_19465, ZACTIF_19471, C_XW0_19475, C_XW0_19478, ZACTIF_19484, C_XW0_19488, C_XW0_19491, ZACTIF_19497, C_XW0_19501, C_XW0_19504, ZACTIF_19510, C_XW0_19514, C_XW0_19517, ZACTIF_19523, C_XW0_19527, 
             C_XW0_19530, ZACTIF_19536, C_XW0_19540, C_XW0_19543, ZACTIF_19549, C_XW0_19553, C_XW0_19556, ZACTIF_19562, C_XW0_19566, C_XW0_19569, ZACTIF_19575, C_L2CO, C_L2CO_19582, C_B2SD, C_B2SD_19590, C_L1CO, C_L1CO_19598, C_B1SD, C_B1SD_19606, C_NXW, 
             C_XW0_19615, C_NXW_19618, C_XW0_19621, C_NXW_19624, C_XW0_19627, C_NXW_19630, C_XW0_19633, C_NXW_19636, C_COULEUR, C_COULEUR_19642, C_COULEUR_19645, C_COULEUR_19648, C_XW0_19651, C_XW0_19654, C_XW0_19657, C_XW0_19660, C_XW0_19663, C_XW0_19666,
             C_NXW_19669, C_ZXW, C_NXW_19675, C_ZXW_19678, C_NXW_19681, C_ZXW_19684, C_NXW_19687, C_ZXW_19690, C_NXW_19693, C_ZXW_19696, C_CLK_5333, C_CLK_5337, C_CLK_5341, C_CLK_5345, C_CLK_5349, C_CLK_5353, C_CLK_5357, C_CLK_5361, C_CLK_5365, C_CLK_5369,
             C_CLK_5371, C_CLK_5379, C_CLK_5387, C_CLK_5395, C_CLK_5403, C_CLK_5417, C_CLK_5425, C_CLK_5431, C_CLK_5439, C_CLK_5447, C_CLK_5697, C_CLK_5699, C_ZN, C_ZN_19802, C_FIN_MV_4077, C_FIN_MV, C_T1S40, C_T1S40_19813, C_T1S41, C_T1S41_19821, C_T1S30,
             C_T1S30_19829, C_T1S20, C_T1S20_19837, C_T1S10, C_T1S10_19845, C_T2S10, C_T2S10_19853, C_T2S11, C_T2S11_19861, C_T2S20, C_T2S20_19869, C_T2S30, C_T2S30_19877, C_T2S40, C_T2S40_19885, C_CLK_2837, C_CLK_2837_19893, C_CLK_2848, C_CLK_2848_19901, 
             C_CLK_2981, C_CLK_2981_19909, C_CLK_2992, C_CLK_2992_19917, C_CLK_4293, C_ZXW_19932, C_DN, C_CLK_4315, C_CLK_4329, C_ZXW_19944, C_CLK_4351, C_DN_19950, C_CLK_4370, C_ZXW_19956, C_ZN_19959, C_CLK_4420, C_ZXW_19965, C_CLK_4444, C_DN_19971, 
             C_CLK_4495, C_ZXW_19977, C_CLK_5091, C_CLK_5093, C_CLK_5095, C_CLK_5097, C_DN_19992, C_CLK_5101, C_ZN_19998, C_CLK_5105, C_DN_20004, C_CLK_5109, C_DN_20010, C_CLK_5113, C_CLK_5331, C_CLK_5335, C_CLK_5339, C_CLK_5343, C_CLK_5347, C_CLK_5351, 
             C_CLK_5355, C_CLK_5359, C_CLK_5363, C_CLK_5367, C_CLK_5373, C_CLK_5377, C_CLK_5383, C_CLK_5389, C_CLK_5391, C_CLK_5393, C_CLK_5397, C_CLK_5399, C_CLK_5401, C_CLK_5405, C_CLK_5407, C_CLK_5421, C_CLK_5423, C_CLK_5429, C_CLK_5433, C_CLK_5435, 
             C_CLK_5437, C_CLK_5441, C_CLK_5443, C_CLK_5445, C_CLK_5449, C_CLK_5451, C_L1CH, C_L2CH, C_TSTABLE, C_TSTABLE_20153, C_CLK_6176, C_CLK_6192, C_CLK_2593, C_CLK_2593_20226, C_CLK_2607, C_CLK_2607_20234, C_CLK_3084, C_CLK_3084_20242, C_CLK_3098, 
             C_CLK_3098_20250, C_COULEUR_20259, C_COULEUR_20268, C_CLK_4395, C_TOP_5430, C_ZPASSANT, C_ZPASSANT_20280, C_TOP, C_ZPASSANT_20289, C_ZPASSANT_20292, C_CLK_5168, C_CLK_5275, C_CLK_5375, C_CLK_5381, C_CLK_5385, C_CLK_5419, C_CLK_5427, 
             C_CLK_5485, C_CLK_5491, ZPASSANT_20352, ZPASSANT_20358, C_MONTER_1, C_MONTER_1_20369, ZPASSANT_20372, ZPASSANT_20378, C_MONTER_4, C_MONTER_4_20389, C_, C_SORTIE_1_5431, C_CLK_4471, C_ZN_20413, C__20416, C_SORTIE_1, C_CLK_5153, C_ZN_20425, 
             C_CLK_5269, C_CLK_5273, C_CLK_5297, C_CLK_5299, C_CLK_5321, C_CLK_5323, C_N0, C_N0_20450, C_CLK_2695, C_CLK_2695_20458, C_CLK_2704, C_CLK_2704_20466, C_N0_20471, C_N0_20474, C_CLK_3186, C_CLK_3186_20482, C_CLK_3195, C_CLK_3195_20490, 
             C_ZN_20496, C_ZN_20499, C_CLK_2674, C_CLK_2674_20504, C_CLK_2688, C_CLK_2688_20512, C_CLK_2698, C_CLK_2698_20520, C_CLK_3165, C_CLK_3165_20528, C_CLK_3179, C_CLK_3179_20536, C_CLK_3189, C_CLK_3189_20544, C_T_5, C_TOP_5589, C_DESCENDRE_6, 
             C_CLK_4548, C_TOP_4921, C_DESCENDRE_3, C_F, C_CLK_5203, C_T_2, C_CLK_5211, C_CLK_5214, C_ZN_20583, C_CLK_5251, C_CLK_5253, C_CLK_5255, C_CLK_5257, C_CLK_5267, C_CLK_5487, C_CLK_5493, C_CLK_5495, C_OUVRIR, C_OUVRIR_20620, C_ZPASSANT_20631, 
             C_CLK_5261, C_CLK_5588, C_ZN_20641, C_CLK_5705, C_ZN_20647, C_CLK_5711, C_CLK_6174, C_CLK_6190, C_CLK_2801, C_CLK_2801_20661, C_CLK_2812, C_CLK_2812_20669, C_CLK_2945, C_CLK_2945_20677, C_CLK_2956, C_CLK_2956_20685, ZPASSANT_20691, C_FERMER, 
             C_CLK_5590, C_CLK_5664, C_L1CS, C_L2CS, C_ZN_20712, C_ZN_20715, C_CLK_5740, C_EB1U, C_EB2U, C_CLK_5780, C_ZACTIF, C_COULEUR_20733, C_B2CU, C_ZACTIF_20739, C_CLK_5922, C_COULEUR_20745, C_B1CU, C_CLK_6086, C_CLK_6088, C_CLK_6102, C_CLK_6116, 
             C_CLK_6126, C_CLK_6128, C_CLK_6138, C_CLK_6140, C_CLK_6158, C_CLK_6164, C_CLK_6168, C_CLK_6180, C_CLK_6184, C_CLK_6196, C_CLK_2870, C_CLK_2870_20806, C_CLK_2881, C_CLK_2881_20814, C_CLK_3014, C_CLK_3014_20822, C_CLK_3025, C_CLK_3025_20830, 
             ACTIF_20836, ACTIF_20842, C_CLK_5742, C_CLK_5746, C_EB1D, C_EB2D, C_B2CD, C_COULEUR_20869, C_CLK_5767, C_CLK_5769, C_COMMANDE, C_FIN_DEF, C_CLK_5835, C_DEB_MV, C_CLK_5845, C_CLK_5850, C_B1CD, C_COULEUR_20899, C_CLK_5895, C_CLK_5897, 
             C_COMMANDE_4222, C_FIN_DEF_4079, C_CLK_5979, C_DEB_MV_4078, C_CLK_5990, C_CLK_5995, C_ZTCLIGNO, C_ZTCLIGNO_20929, C_COULEUR_20932, C_COULEUR_20935, C_CLK_6090, C_CLK_6092, C_CLK_6094, C_CLK_6104, C_CLK_6108, C_CLK_6118, C_CLK_6122, C_CLK_6124,
             C_CLK_6130, C_CLK_6132, C_CLK_6134, C_CLK_6136, C_CLK_6154, C_CLK_6156, C_CLK_6160, C_CLK_6162, C_CLK_6170, C_CLK_6178, C_CLK_6186, C_CLK_6194, C_CLK_6198, C_CLK_6200, C_CLK_6202, C_CLK_6204, C_CLK_6206, C_CLK_6208;
      real LGW, XW0, DX_1, LGW_2, XW0_3, DX_4, LGW_5, XW0_6, NXW, ZXW, LGW_669, XW0_670, DX_687, LGW_688, XW0_689, DX_731, LGW_732, XW0_733, NXW_798, ZXW_800, LGW_833, XW0_834, DX_851, LGW_852, XW0_853, DX_894, LGW_895, XW0_896, NXW_960, ZXW_962, LGW_995, 
          XW0_996, DX_1013, LGW_1014, XW0_1015, DX_1056, LGW_1057, XW0_1058, NXW_1122, ZXW_1124, LGW_1156, XW0_1157, DX_1174, LGW_1175, XW0_1176, DX_1217, LGW_1218, XW0_1219, NXW_1283, ZXW_1285, X1, XX1, L, X2, XX2, L_1447, ZXX2, ZXX1, ZX2, ZX1, LWAG1, 
          VITESSE, ZVITESSE, L_1576, LWAG2, VITESSE_1651, ZVITESSE_1652, L_1653, Z_1691, Z_1705, Z_1719, Z_1733, LGW_2135, XW0_2136, DX_2153, LGW_2154, XW0_2155, DX_2199, LGW_2200, XW0_2201, NXW_2269, ZXW_2271, LGW_2303, XW0_2304, DX_2321, LGW_2322, 
          XW0_2323, DX_2364, LGW_2365, XW0_2366, NXW_2431, ZXW_2433, LGW_2465, XW0_2466, DX_2483, LGW_2484, XW0_2485, DX_2525, LGW_2526, XW0_2527, NXW_2591, ZXW_2593, LGW_2625, XW0_2626, DX_2643, LGW_2644, XW0_2645, DX_2685, LGW_2686, XW0_2687, NXW_2751, 
          ZXW_2753, LGW_2785, XW0_2786, DX_2803, LGW_2804, XW0_2805, DX_2845, LGW_2846, XW0_2847, NXW_2911, ZXW_2913, X_2975, XX_2976, L_3008, X_3040, XX_3041, L_3073, ZXX2_3152, ZXX1_3153, ZX2_3154, ZX1_3155, LWAG_3158, VITESSE_3198, ZVITESSE_3199, 
          L_3200, LWAG_3235, VITESSE_3274, ZVITESSE_3275, L_3276, Z_3314, Z_3328, Z_3342, Z_3356;
      process ACT_C_HV12 =
           ( )
         (| (| when HV11 ^= V11 |)
          | (| when HV12 ^= V12 |)
          | (| when HLW1 ^= LW1 |)
          | (| when HNW1 ^= NW1 |)
          | (| when HV21 ^= V21 |)
          | (| when HV22 ^= V22 |)
          | (| when HLW2 ^= LW2 |)
          | (| when HNW2 ^= NW2 |)
          | (| C_CLK_4260 := HREPARER1 or HPANNE1
             | C_CLK_4263 := HPANNE1 or HDEFAILLANCE1
             | C_CLK_4267 := HREPARER2 or HPANNE2
             | C_CLK_4270 := HPANNE2 or HDEFAILLANCE2
             | C_CLK_5305 := (not HPANNE2) and HREPARER2
             | C_CLK_5309 := (not HPANNE1) and HREPARER1
             |)
          |)
      %ACT_C_HV12%; 
      process ACT_C_X3 =
           ( )
         (| when C_X3 ^= ACTIF ^= ACTIF_709 ^= ACTIF_872 ^= ACTIF_1034 ^= ACTIF_1195 ^= LWAGONS ^= ZX ^= LTRAIN ^= ZLTRAIN ^= ZLWAGONS ^= VIT1 ^= ZX1_1802 ^= ZX2_1803 ^= ZX3 ^= X1_1805 ^= X2_1806 ^= X3
          | (| when ZACTIF ^= DX_1 ^= LGW_2
             | ACT_ZACTIF{}
             |)
          | (| when ZACTIF_710 ^= DX_687 ^= LGW_688
             | ACT_ZACTIF_710{}
             |)
          | (| when ZACTIF_873 ^= DX_851 ^= LGW_852
             | ACT_ZACTIF_873{}
             |)
          | (| when ZACTIF_1035 ^= DX_1013 ^= LGW_1014
             | ACT_ZACTIF_1035{}
             |)
          | (| when ZACTIF_1196 ^= DX_1174 ^= LGW_1175
             | ACT_ZACTIF_1196{}
             |)
          | (| when C_XW0 ^= XW0_3
             | (| XW0_3 := (X1-XT1) when C_XW0 |)
             |)
          | (| when C_XW0_19345 ^= XW0_689
             | (| XW0_689 := (X1-XT2) when C_XW0_19345 |)
             |)
          | (| when C_XW0_19371 ^= XW0_853
             | (| XW0_853 := (X1-XT3) when C_XW0_19371 |)
             |)
          | (| when C_XW0_19397 ^= XW0_1015
             | (| XW0_1015 := (X1-XT4) when C_XW0_19397 |)
             |)
          | (| when C_XW0_19423 ^= XW0_1176
             | (| XW0_1176 := (X1-XT5) when C_XW0_19423 |)
             |)
          | (| ACTIF := (X1>XT1) and (XX1<=(XT1+1.0))
             | ZACTIF := ACTIF$1 init false
             | ACTIF_709 := (X1>XT2) and (XX1<=(XT2+1.0))
             | ZACTIF_710 := ACTIF_709$1 init false
             | ACTIF_872 := (X1>XT3) and (XX1<=(XT3+1.0))
             | ZACTIF_873 := ACTIF_872$1 init false
             | ACTIF_1034 := (X1>XT4) and (XX1<=(XT4+1.0))
             | ZACTIF_1035 := ACTIF_1034$1 init false
             | ACTIF_1195 := (X1>XT5) and (XX1<=(XT5+1.0))
             | ZACTIF_1196 := ACTIF_1195$1 init false
             | X1 := (XT1 when C_STOP1) default ((ZX+VIT1) when C_CLK_5411)
             | XX1 := X1-LTRAIN
             | LWAGONS := (LWAG1 when C_NWAG) default (ZLWAGONS when C_CLK_5409)
             | ZX := X1$1 init XT1
             | LTRAIN := (L when C_NWAG) default (ZLTRAIN when C_CLK_5409)
             | ZLTRAIN := LTRAIN$1 init 100.0e0
             | ZLWAGONS := LWAGONS$1 init 10.0e0
             | VIT1 := VITESSE when C_X3
             | ZX1_1802 := X1_1805$1 init 0
             | ZX2_1803 := X2_1806$1 init 0
             | ZX3 := X3$1 init 0
             | (X1_1805,X2_1806,X3) := DESSINERTRAIN(X1,XX1,LWAGONS,140 when C_X3,120 when C_X3,ZX1_1802,ZX2_1803,ZX3,1 when C_X3)
             | C_XW0 := ACTIF and (not ZACTIF)
             | C_XW0_19345 := ACTIF_709 and (not ZACTIF_710)
             | C_XW0_19371 := ACTIF_872 and (not ZACTIF_873)
             | C_XW0_19397 := ACTIF_1034 and (not ZACTIF_1035)
             | C_XW0_19423 := ACTIF_1195 and (not ZACTIF_1196)
             |)
          |)
         where 
         integer ZX1_1802, ZX2_1803, ZX3, X1_1805, X2_1806, X3;
         real LWAGONS, ZX, LTRAIN, ZLTRAIN, ZLWAGONS, VIT1;
         boolean ACTIF, ACTIF_709, ACTIF_872, ACTIF_1034, ACTIF_1195;
         process ACT_ZACTIF =
              ( )
            (| (| DX_1 := VIT1 when ZACTIF
                | LGW_2 := LWAGONS when ZACTIF
                |) |)
         %ACT_ZACTIF%; 
         process ACT_ZACTIF_710 =
              ( )
            (| (| DX_687 := VIT1 when ZACTIF_710
                | LGW_688 := LWAGONS when ZACTIF_710
                |) |)
         %ACT_ZACTIF_710%; 
         process ACT_ZACTIF_873 =
              ( )
            (| (| DX_851 := VIT1 when ZACTIF_873
                | LGW_852 := LWAGONS when ZACTIF_873
                |) |)
         %ACT_ZACTIF_873%; 
         process ACT_ZACTIF_1035 =
              ( )
            (| (| DX_1013 := VIT1 when ZACTIF_1035
                | LGW_1014 := LWAGONS when ZACTIF_1035
                |) |)
         %ACT_ZACTIF_1035%; 
         process ACT_ZACTIF_1196 =
              ( )
            (| (| DX_1174 := VIT1 when ZACTIF_1196
                | LGW_1175 := LWAGONS when ZACTIF_1196
                |) |)
         %ACT_ZACTIF_1196%; 
         end
      %ACT_C_X3%; 
      process ACT_C_NWAG =
           ( )
         (| when C_NWAG ^= NWAG1
          | (| L := LWAG1*real(NWAG1)
             | LWAG1 := L_1576 when C_NWAG
             | NWAG1 := N when C_NWAG
             |)
          |)
         where 
         integer NWAG1;
         end
      %ACT_C_NWAG%; 
      process ACT_C_X3_19150 =
           ( )
         (| when C_X3_19150 ^= ACTIF_587 ^= ACTIF_753 ^= ACTIF_915 ^= ACTIF_1077 ^= ACTIF_1238 ^= LWAGONS_1416 ^= ZX_1445 ^= LTRAIN_1448 ^= ZLTRAIN_1449 ^= ZLWAGONS_1450 ^= VIT2 ^= ZX1_1944 ^= ZX2_1945 ^= ZX3_1946 ^= X1_1947 ^= X2_1948 ^= X3_1949
          | (| when ZACTIF_588 ^= DX_4 ^= LGW_5
             | ACT_ZACTIF_588{}
             |)
          | (| when ZACTIF_754 ^= DX_731 ^= LGW_732
             | ACT_ZACTIF_754{}
             |)
          | (| when ZACTIF_916 ^= DX_894 ^= LGW_895
             | ACT_ZACTIF_916{}
             |)
          | (| when ZACTIF_1078 ^= DX_1056 ^= LGW_1057
             | ACT_ZACTIF_1078{}
             |)
          | (| when ZACTIF_1239 ^= DX_1217 ^= LGW_1218
             | ACT_ZACTIF_1239{}
             |)
          | (| when C_XW0_19332 ^= XW0_6
             | (| XW0_6 := (X2-XT1) when C_XW0_19332 |)
             |)
          | (| when C_XW0_19358 ^= XW0_733
             | (| XW0_733 := (X2-XT2) when C_XW0_19358 |)
             |)
          | (| when C_XW0_19384 ^= XW0_896
             | (| XW0_896 := (X2-XT3) when C_XW0_19384 |)
             |)
          | (| when C_XW0_19410 ^= XW0_1058
             | (| XW0_1058 := (X2-XT4) when C_XW0_19410 |)
             |)
          | (| when C_XW0_19436 ^= XW0_1219
             | (| XW0_1219 := (X2-XT5) when C_XW0_19436 |)
             |)
          | (| ACTIF_587 := (X2>XT1) and (XX2<=(XT1+1.0))
             | ZACTIF_588 := ACTIF_587$1 init false
             | ACTIF_753 := (X2>XT2) and (XX2<=(XT2+1.0))
             | ZACTIF_754 := ACTIF_753$1 init false
             | ACTIF_915 := (X2>XT3) and (XX2<=(XT3+1.0))
             | ZACTIF_916 := ACTIF_915$1 init false
             | ACTIF_1077 := (X2>XT4) and (XX2<=(XT4+1.0))
             | ZACTIF_1078 := ACTIF_1077$1 init false
             | ACTIF_1238 := (X2>XT5) and (XX2<=(XT5+1.0))
             | ZACTIF_1239 := ACTIF_1238$1 init false
             | X2 := (XT1 when C_STOP2) default ((ZX_1445+VIT2) when C_CLK_5415)
             | XX2 := X2-LTRAIN_1448
             | LWAGONS_1416 := (LWAG2 when C_NWAG_19153) default (ZLWAGONS_1450 when C_CLK_5413)
             | ZX_1445 := X2$1 init XT1
             | LTRAIN_1448 := (L_1447 when C_NWAG_19153) default (ZLTRAIN_1449 when C_CLK_5413)
             | ZLTRAIN_1449 := LTRAIN_1448$1 init 100.0e0
             | ZLWAGONS_1450 := LWAGONS_1416$1 init 10.0e0
             | VIT2 := VITESSE_1651 when C_X3_19150
             | ZX1_1944 := X1_1947$1 init 0
             | ZX2_1945 := X2_1948$1 init 0
             | ZX3_1946 := X3_1949$1 init 0
             | (X1_1947,X2_1948,X3_1949) := DESSINERTRAIN(X2,XX2,LWAGONS_1416,140 when C_X3_19150,120 when C_X3_19150,ZX1_1944,ZX2_1945,ZX3_1946,1 when C_X3_19150)
             | C_XW0_19332 := ACTIF_587 and (not ZACTIF_588)
             | C_XW0_19358 := ACTIF_753 and (not ZACTIF_754)
             | C_XW0_19384 := ACTIF_915 and (not ZACTIF_916)
             | C_XW0_19410 := ACTIF_1077 and (not ZACTIF_1078)
             | C_XW0_19436 := ACTIF_1238 and (not ZACTIF_1239)
             |)
          |)
         where 
         integer ZX1_1944, ZX2_1945, ZX3_1946, X1_1947, X2_1948, X3_1949;
         real LWAGONS_1416, ZX_1445, LTRAIN_1448, ZLTRAIN_1449, ZLWAGONS_1450, VIT2;
         boolean ACTIF_587, ACTIF_753, ACTIF_915, ACTIF_1077, ACTIF_1238;
         process ACT_ZACTIF_588 =
              ( )
            (| (| DX_4 := VIT2 when ZACTIF_588
                | LGW_5 := LWAGONS_1416 when ZACTIF_588
                |) |)
         %ACT_ZACTIF_588%; 
         process ACT_ZACTIF_754 =
              ( )
            (| (| DX_731 := VIT2 when ZACTIF_754
                | LGW_732 := LWAGONS_1416 when ZACTIF_754
                |) |)
         %ACT_ZACTIF_754%; 
         process ACT_ZACTIF_916 =
              ( )
            (| (| DX_894 := VIT2 when ZACTIF_916
                | LGW_895 := LWAGONS_1416 when ZACTIF_916
                |) |)
         %ACT_ZACTIF_916%; 
         process ACT_ZACTIF_1078 =
              ( )
            (| (| DX_1056 := VIT2 when ZACTIF_1078
                | LGW_1057 := LWAGONS_1416 when ZACTIF_1078
                |) |)
         %ACT_ZACTIF_1078%; 
         process ACT_ZACTIF_1239 =
              ( )
            (| (| DX_1217 := VIT2 when ZACTIF_1239
                | LGW_1218 := LWAGONS_1416 when ZACTIF_1239
                |) |)
         %ACT_ZACTIF_1239%; 
         end
      %ACT_C_X3_19150%; 
      process ACT_C_NWAG_19153 =
           ( )
         (| when C_NWAG_19153 ^= NWAG2
          | (| L_1447 := LWAG2*real(NWAG2)
             | LWAG2 := L_1653 when C_NWAG_19153
             | NWAG2 := N_1650 when C_NWAG_19153
             |)
          |)
         where 
         integer NWAG2;
         end
      %ACT_C_NWAG_19153%; 
      process ACT_C_X3_19156 =
           ( )
         (| when C_X3_19156 ^= ACTIF_2178 ^= ACTIF_2343 ^= ACTIF_2504 ^= ACTIF_2664 ^= ACTIF_2824 ^= LWAGONS_2977 ^= ZX_3006 ^= LTRAIN_3009 ^= ZLTRAIN_3010 ^= ZLWAGONS_3011 ^= V_3157 ^= ZX1_3418 ^= ZX2_3419 ^= ZX3_3420 ^= X1_3421 ^= X2_3422 ^= X3_3423
          | (| when ZACTIF_2179 ^= DX_2153 ^= LGW_2154
             | ACT_ZACTIF_2179{}
             |)
          | (| when ZACTIF_2344 ^= DX_2321 ^= LGW_2322
             | ACT_ZACTIF_2344{}
             |)
          | (| when ZACTIF_2505 ^= DX_2483 ^= LGW_2484
             | ACT_ZACTIF_2505{}
             |)
          | (| when ZACTIF_2665 ^= DX_2643 ^= LGW_2644
             | ACT_ZACTIF_2665{}
             |)
          | (| when ZACTIF_2825 ^= DX_2803 ^= LGW_2804
             | ACT_ZACTIF_2825{}
             |)
          | (| when C_XW0_19449 ^= XW0_2155
             | (| XW0_2155 := (X_2975-XT1) when C_XW0_19449 |)
             |)
          | (| when C_XW0_19475 ^= XW0_2323
             | (| XW0_2323 := (X_2975-XT2) when C_XW0_19475 |)
             |)
          | (| when C_XW0_19501 ^= XW0_2485
             | (| XW0_2485 := (X_2975-XT3) when C_XW0_19501 |)
             |)
          | (| when C_XW0_19527 ^= XW0_2645
             | (| XW0_2645 := (X_2975-XT4) when C_XW0_19527 |)
             |)
          | (| when C_XW0_19553 ^= XW0_2805
             | (| XW0_2805 := (X_2975-XT5) when C_XW0_19553 |)
             |)
          | (| ACTIF_2178 := (X_2975>XT1) and (XX_2976<=(XT1+1.0))
             | ZACTIF_2179 := ACTIF_2178$1 init false
             | ACTIF_2343 := (X_2975>XT2) and (XX_2976<=(XT2+1.0))
             | ZACTIF_2344 := ACTIF_2343$1 init false
             | ACTIF_2504 := (X_2975>XT3) and (XX_2976<=(XT3+1.0))
             | ZACTIF_2505 := ACTIF_2504$1 init false
             | ACTIF_2664 := (X_2975>XT4) and (XX_2976<=(XT4+1.0))
             | ZACTIF_2665 := ACTIF_2664$1 init false
             | ACTIF_2824 := (X_2975>XT5) and (XX_2976<=(XT5+1.0))
             | ZACTIF_2825 := ACTIF_2824$1 init false
             | X_2975 := (XT1 when C_STOP1_2974) default ((ZX_3006+V_3157) when C_CLK_5455)
             | XX_2976 := X_2975-LTRAIN_3009
             | LWAGONS_2977 := (LWAG_3158 when C_NWAG_19159) default (ZLWAGONS_3011 when C_CLK_5453)
             | ZX_3006 := X_2975$1 init XT1
             | LTRAIN_3009 := (L_3008 when C_NWAG_19159) default (ZLTRAIN_3010 when C_CLK_5453)
             | ZLTRAIN_3010 := LTRAIN_3009$1 init 100.0e0
             | ZLWAGONS_3011 := LWAGONS_2977$1 init 10.0e0
             | V_3157 := VITESSE_3198 when C_X3_19156
             | ZX1_3418 := X1_3421$1 init 0
             | ZX2_3419 := X2_3422$1 init 0
             | ZX3_3420 := X3_3423$1 init 0
             | (X1_3421,X2_3422,X3_3423) := DESSINERTRAIN(X_2975,XX_2976,LWAGONS_2977,370 when C_X3_19156,350 when C_X3_19156,ZX1_3418,ZX2_3419,ZX3_3420,(-1) when C_X3_19156)
             | C_XW0_19449 := ACTIF_2178 and (not ZACTIF_2179)
             | C_XW0_19475 := ACTIF_2343 and (not ZACTIF_2344)
             | C_XW0_19501 := ACTIF_2504 and (not ZACTIF_2505)
             | C_XW0_19527 := ACTIF_2664 and (not ZACTIF_2665)
             | C_XW0_19553 := ACTIF_2824 and (not ZACTIF_2825)
             |)
          |)
         where 
         integer ZX1_3418, ZX2_3419, ZX3_3420, X1_3421, X2_3422, X3_3423;
         real LWAGONS_2977, ZX_3006, LTRAIN_3009, ZLTRAIN_3010, ZLWAGONS_3011, V_3157;
         boolean ACTIF_2178, ACTIF_2343, ACTIF_2504, ACTIF_2664, ACTIF_2824;
         process ACT_ZACTIF_2179 =
              ( )
            (| (| DX_2153 := V_3157 when ZACTIF_2179
                | LGW_2154 := LWAGONS_2977 when ZACTIF_2179
                |) |)
         %ACT_ZACTIF_2179%; 
         process ACT_ZACTIF_2344 =
              ( )
            (| (| DX_2321 := V_3157 when ZACTIF_2344
                | LGW_2322 := LWAGONS_2977 when ZACTIF_2344
                |) |)
         %ACT_ZACTIF_2344%; 
         process ACT_ZACTIF_2505 =
              ( )
            (| (| DX_2483 := V_3157 when ZACTIF_2505
                | LGW_2484 := LWAGONS_2977 when ZACTIF_2505
                |) |)
         %ACT_ZACTIF_2505%; 
         process ACT_ZACTIF_2665 =
              ( )
            (| (| DX_2643 := V_3157 when ZACTIF_2665
                | LGW_2644 := LWAGONS_2977 when ZACTIF_2665
                |) |)
         %ACT_ZACTIF_2665%; 
         process ACT_ZACTIF_2825 =
              ( )
            (| (| DX_2803 := V_3157 when ZACTIF_2825
                | LGW_2804 := LWAGONS_2977 when ZACTIF_2825
                |) |)
         %ACT_ZACTIF_2825%; 
         end
      %ACT_C_X3_19156%; 
      process ACT_C_NWAG_19159 =
           ( )
         (| when C_NWAG_19159 ^= NWAG_3163
          | (| L_3008 := LWAG_3158*real(NWAG_3163)
             | LWAG_3158 := L_3200 when C_NWAG_19159
             | NWAG_3163 := N_3197 when C_NWAG_19159
             |)
          |)
         where 
         integer NWAG_3163;
         end
      %ACT_C_NWAG_19159%; 
      process ACT_C_X3_19162 =
           ( )
         (| when C_X3_19162 ^= ACTIF_2224 ^= ACTIF_2386 ^= ACTIF_2546 ^= ACTIF_2706 ^= ACTIF_2866 ^= LWAGONS_3042 ^= ZX_3071 ^= LTRAIN_3074 ^= ZLTRAIN_3075 ^= ZLWAGONS_3076 ^= V_3234 ^= ZX1_3511 ^= ZX2_3512 ^= ZX3_3513 ^= X1_3514 ^= X2_3515 ^= X3_3516
          | (| when ZACTIF_2225 ^= DX_2199 ^= LGW_2200
             | ACT_ZACTIF_2225{}
             |)
          | (| when ZACTIF_2387 ^= DX_2364 ^= LGW_2365
             | ACT_ZACTIF_2387{}
             |)
          | (| when ZACTIF_2547 ^= DX_2525 ^= LGW_2526
             | ACT_ZACTIF_2547{}
             |)
          | (| when ZACTIF_2707 ^= DX_2685 ^= LGW_2686
             | ACT_ZACTIF_2707{}
             |)
          | (| when ZACTIF_2867 ^= DX_2845 ^= LGW_2846
             | ACT_ZACTIF_2867{}
             |)
          | (| when C_XW0_19462 ^= XW0_2201
             | (| XW0_2201 := (X_3040-XT1) when C_XW0_19462 |)
             |)
          | (| when C_XW0_19488 ^= XW0_2366
             | (| XW0_2366 := (X_3040-XT2) when C_XW0_19488 |)
             |)
          | (| when C_XW0_19514 ^= XW0_2527
             | (| XW0_2527 := (X_3040-XT3) when C_XW0_19514 |)
             |)
          | (| when C_XW0_19540 ^= XW0_2687
             | (| XW0_2687 := (X_3040-XT4) when C_XW0_19540 |)
             |)
          | (| when C_XW0_19566 ^= XW0_2847
             | (| XW0_2847 := (X_3040-XT5) when C_XW0_19566 |)
             |)
          | (| ACTIF_2224 := (X_3040>XT1) and (XX_3041<=(XT1+1.0))
             | ZACTIF_2225 := ACTIF_2224$1 init false
             | ACTIF_2386 := (X_3040>XT2) and (XX_3041<=(XT2+1.0))
             | ZACTIF_2387 := ACTIF_2386$1 init false
             | ACTIF_2546 := (X_3040>XT3) and (XX_3041<=(XT3+1.0))
             | ZACTIF_2547 := ACTIF_2546$1 init false
             | ACTIF_2706 := (X_3040>XT4) and (XX_3041<=(XT4+1.0))
             | ZACTIF_2707 := ACTIF_2706$1 init false
             | ACTIF_2866 := (X_3040>XT5) and (XX_3041<=(XT5+1.0))
             | ZACTIF_2867 := ACTIF_2866$1 init false
             | X_3040 := (XT1 when C_STOP2_2971) default ((ZX_3071+V_3234) when C_CLK_5459)
             | XX_3041 := X_3040-LTRAIN_3074
             | LWAGONS_3042 := (LWAG_3235 when C_NWAG_19165) default (ZLWAGONS_3076 when C_CLK_5457)
             | ZX_3071 := X_3040$1 init XT1
             | LTRAIN_3074 := (L_3073 when C_NWAG_19165) default (ZLTRAIN_3075 when C_CLK_5457)
             | ZLTRAIN_3075 := LTRAIN_3074$1 init 100.0e0
             | ZLWAGONS_3076 := LWAGONS_3042$1 init 10.0e0
             | V_3234 := VITESSE_3274 when C_X3_19162
             | ZX1_3511 := X1_3514$1 init 0
             | ZX2_3512 := X2_3515$1 init 0
             | ZX3_3513 := X3_3516$1 init 0
             | (X1_3514,X2_3515,X3_3516) := DESSINERTRAIN(X_3040,XX_3041,LWAGONS_3042,370 when C_X3_19162,350 when C_X3_19162,ZX1_3511,ZX2_3512,ZX3_3513,(-1) when C_X3_19162)
             | C_XW0_19462 := ACTIF_2224 and (not ZACTIF_2225)
             | C_XW0_19488 := ACTIF_2386 and (not ZACTIF_2387)
             | C_XW0_19514 := ACTIF_2546 and (not ZACTIF_2547)
             | C_XW0_19540 := ACTIF_2706 and (not ZACTIF_2707)
             | C_XW0_19566 := ACTIF_2866 and (not ZACTIF_2867)
             |)
          |)
         where 
         integer ZX1_3511, ZX2_3512, ZX3_3513, X1_3514, X2_3515, X3_3516;
         real LWAGONS_3042, ZX_3071, LTRAIN_3074, ZLTRAIN_3075, ZLWAGONS_3076, V_3234;
         boolean ACTIF_2224, ACTIF_2386, ACTIF_2546, ACTIF_2706, ACTIF_2866;
         process ACT_ZACTIF_2225 =
              ( )
            (| (| DX_2199 := V_3234 when ZACTIF_2225
                | LGW_2200 := LWAGONS_3042 when ZACTIF_2225
                |) |)
         %ACT_ZACTIF_2225%; 
         process ACT_ZACTIF_2387 =
              ( )
            (| (| DX_2364 := V_3234 when ZACTIF_2387
                | LGW_2365 := LWAGONS_3042 when ZACTIF_2387
                |) |)
         %ACT_ZACTIF_2387%; 
         process ACT_ZACTIF_2547 =
              ( )
            (| (| DX_2525 := V_3234 when ZACTIF_2547
                | LGW_2526 := LWAGONS_3042 when ZACTIF_2547
                |) |)
         %ACT_ZACTIF_2547%; 
         process ACT_ZACTIF_2707 =
              ( )
            (| (| DX_2685 := V_3234 when ZACTIF_2707
                | LGW_2686 := LWAGONS_3042 when ZACTIF_2707
                |) |)
         %ACT_ZACTIF_2707%; 
         process ACT_ZACTIF_2867 =
              ( )
            (| (| DX_2845 := V_3234 when ZACTIF_2867
                | LGW_2846 := LWAGONS_3042 when ZACTIF_2867
                |) |)
         %ACT_ZACTIF_2867%; 
         end
      %ACT_C_X3_19162%; 
      process ACT_C_NWAG_19165 =
           ( )
         (| when C_NWAG_19165 ^= NWAG_3240
          | (| L_3073 := LWAG_3235*real(NWAG_3240)
             | LWAG_3235 := L_3276 when C_NWAG_19165
             | NWAG_3240 := N_3273 when C_NWAG_19165
             |)
          |)
         where 
         integer NWAG_3240;
         end
      %ACT_C_NWAG_19165%; 
      process ACT_C_EFFACE =
           ( )
         (| when C_EFFACE ^= DP_3993 ^= NP_3994 ^= P_3995 ^= ZP_3996 ^= EFFACE_4024 ^= C_CLK_5465 ^= C_CLK_5515
          | (| ACT_C_COULEUR_19645{} |)
          | (| DP_3993 := XZX_3997 when C_EFFACE
             | NP_3994 := ZP_3996+DP_3993
             | P_3995 := (9 when C_L1CO) default (0 when C_CLK_5465) default (NP_3994 when C_CLK_5515)
             | ZP_3996 := P_3995$1 init 9
             | EFFACE_4024 := EFFACE_BARRIERE(520 when C_EFFACE,80 when C_EFFACE,ZP_3996)
             | TRACE_BARRIERE(520 when C_EFFACE,80 when C_EFFACE,P_3995,EFFACE_4024)
             | C_L1CO := NP_3994>=9
             | C_B1SD := NP_3994<=0
             | C_COULEUR_19645 := C_L1CO or C_B1SD
             | C_CLK_5465 := (not C_L1CO) and C_B1SD
             | C_CLK_5515 := not C_COULEUR_19645
             |)
          |)
         where 
         boolean EFFACE_4024, C_CLK_5465, C_CLK_5515;
         integer% value = [-1,1]
                %DP_3993, NP_3994, P_3995, ZP_3996;
         process ACT_C_COULEUR_19645 =
              ( )
            (| when C_COULEUR_19645 ^= SB ^= COULEUR_6589 ^= C_CLK_3644
             | (| SB := (true when C_L1CO) default (false when C_CLK_5465)
                | COULEUR_6589 := (1 when SB) default (0 when C_CLK_3644)
                | RECTANGLE(0 when C_COULEUR_19645,137 when C_COULEUR_19645,200 when C_COULEUR_19645,187 when C_COULEUR_19645,220 when C_COULEUR_19645,COULEUR_6589)
                | C_CLK_3644 := not SB
                |)
             |)
            where 
            integer% value = [0,1]
                   %COULEUR_6589;
            boolean SB, C_CLK_3644;
            end
         %ACT_C_COULEUR_19645%; 
         end
      %ACT_C_EFFACE%; 
      process ACT_C_EFFACE_19317 =
           ( )
         (| when C_EFFACE_19317 ^= DP ^= NP ^= P ^= ZP ^= EFFACE ^= C_CLK_5462 ^= C_CLK_5517
          | (| ACT_C_COULEUR{} |)
          | (| DP := XZX when C_EFFACE_19317
             | NP := ZP+DP
             | P := (9 when C_L2CO) default (0 when C_CLK_5462) default (NP when C_CLK_5517)
             | ZP := P$1 init 9
             | EFFACE := EFFACE_BARRIERE(520 when C_EFFACE_19317,310 when C_EFFACE_19317,ZP)
             | TRACE_BARRIERE(520 when C_EFFACE_19317,310 when C_EFFACE_19317,P,EFFACE)
             | C_L2CO := NP>=9
             | C_B2SD := NP<=0
             | C_COULEUR := C_L2CO or C_B2SD
             | C_CLK_5462 := (not C_L2CO) and C_B2SD
             | C_CLK_5517 := not C_COULEUR
             |)
          |)
         where 
         boolean EFFACE, C_CLK_5462, C_CLK_5517;
         integer% value = [-1,1]
                %DP, NP, P, ZP;
         process ACT_C_COULEUR =
              ( )
            (| when C_COULEUR ^= SB2 ^= COULEUR_6788 ^= C_CLK_3735
             | (| SB2 := (true when C_L2CO) default (false when C_CLK_5462)
                | COULEUR_6788 := (1 when SB2) default (0 when C_CLK_3735)
                | RECTANGLE(0 when C_COULEUR,137 when C_COULEUR,240 when C_COULEUR,187 when C_COULEUR,260 when C_COULEUR,COULEUR_6788)
                | C_CLK_3735 := not SB2
                |)
             |)
            where 
            integer% value = [0,1]
                   %COULEUR_6788;
            boolean SB2, C_CLK_3735;
            end
         %ACT_C_COULEUR%; 
         end
      %ACT_C_EFFACE_19317%; 
      process ACT_C_NXW =
           ( )
         (| when C_NXW ^= DX_1155 ^= Z_1282
          | (| DX_1155 := (DX_1174 when ZACTIF_1196) default (DX_1217 when C_CLK_5353)
             | LGW_1156 := (LGW_1175 when ZACTIF_1196) default (LGW_1218 when C_CLK_5353)
             | Z_1282 := ZXW_1285 when C_NXW
             | NXW_1283 := Z_1282+DX_1155
             | C_T1S10 := NXW_1283>=LGW_1156
             |)
          |)
         where 
         real DX_1155, Z_1282;
         end
      %ACT_C_NXW%; 
      process ACT_C_NXW_19618 =
           ( )
         (| when C_NXW_19618 ^= DX_994 ^= Z_1121
          | (| DX_994 := (DX_1013 when ZACTIF_1035) default (DX_1056 when C_CLK_5357)
             | LGW_995 := (LGW_1014 when ZACTIF_1035) default (LGW_1057 when C_CLK_5357)
             | Z_1121 := ZXW_1124 when C_NXW_19618
             | NXW_1122 := Z_1121+DX_994
             | C_T1S20 := NXW_1122>=LGW_995
             |)
          |)
         where 
         real DX_994, Z_1121;
         end
      %ACT_C_NXW_19618%; 
      process ACT_C_NXW_19624 =
           ( )
         (| when C_NXW_19624 ^= DX_832 ^= Z_959
          | (| DX_832 := (DX_851 when ZACTIF_873) default (DX_894 when C_CLK_5361)
             | LGW_833 := (LGW_852 when ZACTIF_873) default (LGW_895 when C_CLK_5361)
             | Z_959 := ZXW_962 when C_NXW_19624
             | NXW_960 := Z_959+DX_832
             | C_T1S30 := NXW_960>=LGW_833
             |)
          |)
         where 
         real DX_832, Z_959;
         end
      %ACT_C_NXW_19624%; 
      process ACT_C_NXW_19630 =
           ( )
         (| when C_NXW_19630 ^= DX_668 ^= Z_797
          | (| DX_668 := (DX_687 when ZACTIF_710) default (DX_731 when C_CLK_5365)
             | LGW_669 := (LGW_688 when ZACTIF_710) default (LGW_732 when C_CLK_5365)
             | Z_797 := ZXW_800 when C_NXW_19630
             | NXW_798 := Z_797+DX_668
             | C_T1S41 := NXW_798>=LGW_669
             |)
          |)
         where 
         real DX_668, Z_797;
         end
      %ACT_C_NXW_19630%; 
      process ACT_C_NXW_19636 =
           ( )
         (| when C_NXW_19636 ^= DX ^= Z
          | (| DX := (DX_1 when ZACTIF) default (DX_4 when C_CLK_5369)
             | LGW := (LGW_2 when ZACTIF) default (LGW_5 when C_CLK_5369)
             | Z := ZXW when C_NXW_19636
             | NXW := Z+DX
             | C_T1S40 := NXW>=LGW
             |)
          |)
         where 
         real DX, Z;
         end
      %ACT_C_NXW_19636%; 
      process ACT_C_NXW_19669 =
           ( )
         (| when C_NXW_19669 ^= DX_2134 ^= Z_2268
          | (| DX_2134 := (DX_2153 when ZACTIF_2179) default (DX_2199 when C_CLK_5349)
             | LGW_2135 := (LGW_2154 when ZACTIF_2179) default (LGW_2200 when C_CLK_5349)
             | Z_2268 := ZXW_2271 when C_NXW_19669
             | NXW_2269 := Z_2268+DX_2134
             | C_T2S10 := NXW_2269>=LGW_2135
             |)
          |)
         where 
         real DX_2134, Z_2268;
         end
      %ACT_C_NXW_19669%; 
      process ACT_C_ZXW =
           ( )
         (| when C_ZXW ^= XW_2270
          | (| XW_2270 := (XW0_2136 when C_XW0_19666) default ((NXW_2269-LGW_2135) when C_CLK_5423) default (NXW_2269 when C_CLK_5347)
             | ZXW_2271 := XW_2270$1 init 0e0
             |)
          |)
         where 
         real XW_2270;
         end
      %ACT_C_ZXW%; 
      process ACT_C_NXW_19675 =
           ( )
         (| when C_NXW_19675 ^= DX_2302 ^= Z_2430
          | (| DX_2302 := (DX_2321 when ZACTIF_2344) default (DX_2364 when C_CLK_5345)
             | LGW_2303 := (LGW_2322 when ZACTIF_2344) default (LGW_2365 when C_CLK_5345)
             | Z_2430 := ZXW_2433 when C_NXW_19675
             | NXW_2431 := Z_2430+DX_2302
             | C_T2S11 := NXW_2431>=LGW_2303
             |)
          |)
         where 
         real DX_2302, Z_2430;
         end
      %ACT_C_NXW_19675%; 
      process ACT_C_ZXW_19678 =
           ( )
         (| when C_ZXW_19678 ^= XW_2432
          | (| XW_2432 := (XW0_2304 when C_XW0_19663) default ((NXW_2431-LGW_2303) when C_CLK_5429) default (NXW_2431 when C_CLK_5343)
             | ZXW_2433 := XW_2432$1 init 0e0
             |)
          |)
         where 
         real XW_2432;
         end
      %ACT_C_ZXW_19678%; 
      process ACT_C_NXW_19681 =
           ( )
         (| when C_NXW_19681 ^= DX_2464 ^= Z_2590
          | (| DX_2464 := (DX_2483 when ZACTIF_2505) default (DX_2525 when C_CLK_5341)
             | LGW_2465 := (LGW_2484 when ZACTIF_2505) default (LGW_2526 when C_CLK_5341)
             | Z_2590 := ZXW_2593 when C_NXW_19681
             | NXW_2591 := Z_2590+DX_2464
             | C_T2S20 := NXW_2591>=LGW_2465
             |)
          |)
         where 
         real DX_2464, Z_2590;
         end
      %ACT_C_NXW_19681%; 
      process ACT_C_ZXW_19684 =
           ( )
         (| when C_ZXW_19684 ^= XW_2592
          | (| XW_2592 := (XW0_2466 when C_XW0_19660) default ((NXW_2591-LGW_2465) when C_CLK_5437) default (NXW_2591 when C_CLK_5339)
             | ZXW_2593 := XW_2592$1 init 0e0
             |)
          |)
         where 
         real XW_2592;
         end
      %ACT_C_ZXW_19684%; 
      process ACT_C_NXW_19687 =
           ( )
         (| when C_NXW_19687 ^= DX_2624 ^= Z_2750
          | (| DX_2624 := (DX_2643 when ZACTIF_2665) default (DX_2685 when C_CLK_5337)
             | LGW_2625 := (LGW_2644 when ZACTIF_2665) default (LGW_2686 when C_CLK_5337)
             | Z_2750 := ZXW_2753 when C_NXW_19687
             | NXW_2751 := Z_2750+DX_2624
             | C_T2S30 := NXW_2751>=LGW_2625
             |)
          |)
         where 
         real DX_2624, Z_2750;
         end
      %ACT_C_NXW_19687%; 
      process ACT_C_ZXW_19690 =
           ( )
         (| when C_ZXW_19690 ^= XW_2752
          | (| XW_2752 := (XW0_2626 when C_XW0_19657) default ((NXW_2751-LGW_2625) when C_CLK_5445) default (NXW_2751 when C_CLK_5335)
             | ZXW_2753 := XW_2752$1 init 0e0
             |)
          |)
         where 
         real XW_2752;
         end
      %ACT_C_ZXW_19690%; 
      process ACT_C_NXW_19693 =
           ( )
         (| when C_NXW_19693 ^= DX_2784 ^= Z_2910
          | (| DX_2784 := (DX_2803 when ZACTIF_2825) default (DX_2845 when C_CLK_5333)
             | LGW_2785 := (LGW_2804 when ZACTIF_2825) default (LGW_2846 when C_CLK_5333)
             | Z_2910 := ZXW_2913 when C_NXW_19693
             | NXW_2911 := Z_2910+DX_2784
             | C_T2S40 := NXW_2911>=LGW_2785
             |)
          |)
         where 
         real DX_2784, Z_2910;
         end
      %ACT_C_NXW_19693%; 
      process ACT_C_ZXW_19696 =
           ( )
         (| when C_ZXW_19696 ^= XW_2912
          | (| XW_2912 := (XW0_2786 when C_XW0_19654) default ((NXW_2911-LGW_2785) when C_CLK_5451) default (NXW_2911 when C_CLK_5331)
             | ZXW_2913 := XW_2912$1 init 0e0
             |)
          |)
         where 
         real XW_2912;
         end
      %ACT_C_ZXW_19696%; 
      process ACT_C_ZN =
           ( )
         (| when C_ZN ^= N_5146 ^= ZN_5147
          | (| N_5146 := (5 when C_EB1D) default (0 when C_CLK_6170) default ((ZN_5147-1) when C_CLK_6162) default (ZN_5147 when C_CLK_6130)
             | ZN_5147 := N_5146$1 init 0
             | C_CLK_2837 := ZN_5147>0
             | C_CLK_2848 := ZN_5147=1
             |)
          |)
         where 
         integer N_5146, ZN_5147;
         end
      %ACT_C_ZN%; 
      process ACT_C_ZN_19802 =
           ( )
         (| when C_ZN_19802 ^= N_5324 ^= ZN_5325
          | (| N_5324 := (5 when C_EB2D) default (0 when C_CLK_6186) default ((ZN_5325-1) when C_CLK_6156) default (ZN_5325 when C_CLK_6134)
             | ZN_5325 := N_5324$1 init 0
             | C_CLK_2981 := ZN_5325>0
             | C_CLK_2992 := ZN_5325=1
             |)
          |)
         where 
         integer N_5324, ZN_5325;
         end
      %ACT_C_ZN_19802%; 
      process ACT_C_ZXW_19932 =
           ( )
         (| when C_ZXW_19932 ^= XW_1284
          | (| XW_1284 := (XW0_1157 when C_XW0_19615) default ((NXW_1283-LGW_1156) when C_CLK_5405) default (NXW_1283 when C_CLK_5351)
             | ZXW_1285 := XW_1284$1 init 0e0
             |)
          |)
         where 
         real XW_1284;
         end
      %ACT_C_ZXW_19932%; 
      process ACT_C_DN =
           ( )
         (| when C_DN ^= N_4477 ^= ZN_4478 ^= DN_4479 ^= C_CLK_2417 ^= C_CLK_2420 ^= C_COULEUR_20265 ^= C_CLK_5474
          | (| ACT_C_COULEUR_20265{} |)
          | (| N_4477 := ZN_4478+DN_4479
             | ZN_4478 := N_4477$1 init 0
             | DN_4479 := (0 when C_CLK_4315) default (1 when C_CLK_5399) default ((-1) when C_CLK_5407)
             | C_CLK_2417 := ZN_4478=0
             | C_CLK_2420 := N_4477=0
             | C_COULEUR_20265 := C_CLK_2417 or C_CLK_2420
             | C_CLK_5474 := (not C_CLK_2417) and C_CLK_2420
             |)
          |)
         where 
         boolean C_CLK_2417, C_CLK_2420, C_COULEUR_20265, C_CLK_5474;
         integer N_4477, ZN_4478, % value = [-1,1]
                %DN_4479;
         process ACT_C_COULEUR_20265 =
              ( )
            (| when C_COULEUR_20265 ^= EST ^= COULEUR_6312 ^= C_CLK_3529
             | (| EST := (true when C_CLK_2417) default (false when C_CLK_5474)
                | COULEUR_6312 := (1 when EST) default (0 when C_CLK_3529)
                | RECTANGLE(0 when C_COULEUR_20265,360 when C_COULEUR_20265,60 when C_COULEUR_20265,460 when C_COULEUR_20265,80 when C_COULEUR_20265,COULEUR_6312)
                | C_CLK_3529 := not EST
                |)
             |)
            where 
            integer% value = [0,1]
                   %COULEUR_6312;
            boolean EST, C_CLK_3529;
            end
         %ACT_C_COULEUR_20265%; 
         end
      %ACT_C_DN%; 
      process ACT_C_ZXW_19944 =
           ( )
         (| when C_ZXW_19944 ^= XW_1123
          | (| XW_1123 := (XW0_996 when C_XW0_19621) default ((NXW_1122-LGW_995) when C_CLK_5397) default (NXW_1122 when C_CLK_5355)
             | ZXW_1124 := XW_1123$1 init 0e0
             |)
          |)
         where 
         real XW_1123;
         end
      %ACT_C_ZXW_19944%; 
      process ACT_C_DN_19950 =
           ( )
         (| when C_DN_19950 ^= N_4449 ^= ZN_4450 ^= DN_4451 ^= C_CLK_2387 ^= C_CLK_2390 ^= C_CLK_5471
          | (| when C_COULEUR_20268 ^= C_MONTER_4
             | ACT_C_COULEUR_20268{}
             |)
          | (| N_4449 := ZN_4450+DN_4451
             | ZN_4450 := N_4449$1 init 0
             | DN_4451 := (0 when C_CLK_4351) default (1 when C_CLK_5391) default ((-1) when C_CLK_5401)
             | C_CLK_2387 := ZN_4450=0
             | C_CLK_2390 := N_4449=0
             | C_COULEUR_20268 := C_CLK_2387 or C_CLK_2390
             | C_CLK_5471 := (not C_CLK_2387) and C_CLK_2390
             |)
          |)
         where 
         boolean C_CLK_2387, C_CLK_2390, C_CLK_5471;
         integer N_4449, ZN_4450, % value = [-1,1]
                %DN_4451;
         process ACT_C_COULEUR_20268 =
              ( )
            (| when C_COULEUR_20268 ^= CENTRE ^= COULEUR_6259
             | (| CENTRE := (true when C_CLK_2387) default (false when C_CLK_5471)
                | COULEUR_6259 := (1 when CENTRE) default (0 when C_MONTER_4)
                | RECTANGLE(0 when C_COULEUR_20268,240 when C_COULEUR_20268,60 when C_COULEUR_20268,340 when C_COULEUR_20268,80 when C_COULEUR_20268,COULEUR_6259)
                | C_MONTER_4 := not CENTRE
                |)
             |)
            where 
            integer% value = [0,1]
                   %COULEUR_6259;
            boolean CENTRE;
            end
         %ACT_C_COULEUR_20268%; 
         end
      %ACT_C_DN_19950%; 
      process ACT_C_ZXW_19956 =
           ( )
         (| when C_ZXW_19956 ^= XW_961
          | (| XW_961 := (XW0_834 when C_XW0_19627) default ((NXW_960-LGW_833) when C_CLK_5389) default (NXW_960 when C_CLK_5359)
             | ZXW_962 := XW_961$1 init 0e0
             |)
          |)
         where 
         real XW_961;
         end
      %ACT_C_ZXW_19956%; 
      process ACT_C_ZN_19959 =
           ( )
         (| when C_ZN_19959 ^= N_5468 ^= ZN_5480
          | (| N_5468 := (13 when C_T1S41) default ((ZN_5480-1) when C_CLK_5491) default (ZN_5480 when C_CLK_5381)
             | ZN_5480 := N_5468$1 init 0
             | C_CLK_3084 := ZN_5480>0
             | C_CLK_3098 := ZN_5480=1
             |)
          |)
         where 
         integer N_5468, ZN_5480;
         end
      %ACT_C_ZN_19959%; 
      process ACT_C_ZXW_19965 =
           ( )
         (| when C_ZXW_19965 ^= XW_799
          | (| XW_799 := (XW0_670 when C_XW0_19633) default ((NXW_798-LGW_669) when C_CLK_5383) default (NXW_798 when C_CLK_5363)
             | ZXW_800 := XW_799$1 init 0e0
             |)
          |)
         where 
         real XW_799;
         end
      %ACT_C_ZXW_19965%; 
      process ACT_C_DN_19971 =
           ( )
         (| when C_DN_19971 ^= N_4421 ^= ZN ^= DN ^= C_CLK_2357 ^= C_CLK_2360 ^= C_COULEUR_20283 ^= C_CLK_5468
          | (| ACT_C_COULEUR_20283{} |)
          | (| N_4421 := ZN+DN
             | ZN := N_4421$1 init 0
             | DN := (0 when C_CLK_4444) default (1 when C_CLK_5377) default ((-1) when C_CLK_5393)
             | C_CLK_2357 := ZN=0
             | C_CLK_2360 := N_4421=0
             | C_COULEUR_20283 := C_CLK_2357 or C_CLK_2360
             | C_CLK_5468 := (not C_CLK_2357) and C_CLK_2360
             |)
          |)
         where 
         boolean C_CLK_2357, C_CLK_2360, C_COULEUR_20283, C_CLK_5468;
         integer N_4421, ZN, % value = [-1,1]
                %DN;
         process ACT_C_COULEUR_20283 =
              ( )
            (| when C_COULEUR_20283 ^= OCCUPE ^= COULEUR_6204 ^= C_CLK_3479
             | (| OCCUPE := (true when C_CLK_2357) default (false when C_CLK_5468)
                | COULEUR_6204 := (1 when OCCUPE) default (0 when C_CLK_3479)
                | RECTANGLE(0 when C_COULEUR_20283,120 when C_COULEUR_20283,60 when C_COULEUR_20283,220 when C_COULEUR_20283,80 when C_COULEUR_20283,COULEUR_6204)
                | C_CLK_3479 := not OCCUPE
                |)
             |)
            where 
            integer% value = [0,1]
                   %COULEUR_6204;
            boolean OCCUPE, C_CLK_3479;
            end
         %ACT_C_COULEUR_20283%; 
         end
      %ACT_C_DN_19971%; 
      process ACT_C_ZXW_19977 =
           ( )
         (| when C_ZXW_19977 ^= XW
          | (| XW := (XW0 when C_XW0_19651) default ((NXW-LGW) when C_CLK_5373) default (NXW when C_CLK_5367)
             | ZXW := XW$1 init 0e0
             |)
          |)
         where 
         real XW;
         end
      %ACT_C_ZXW_19977%; 
      process ACT_C_DN_19992 =
           ( )
         (| when C_DN_19992 ^= N_4536 ^= ZN_4537 ^= DN_4538 ^= C_CLK_2463 ^= C_CLK_2466 ^= C_COULEUR_20262 ^= C_CLK_5477
          | (| ACT_C_COULEUR_20262{} |)
          | (| N_4536 := ZN_4537+DN_4538
             | ZN_4537 := N_4536$1 init 0
             | DN_4538 := (0 when C_CLK_5091) default (1 when C_CLK_5421) default ((-1) when C_CLK_5435)
             | C_CLK_2463 := ZN_4537=0
             | C_CLK_2466 := N_4536=0
             | C_COULEUR_20262 := C_CLK_2463 or C_CLK_2466
             | C_CLK_5477 := (not C_CLK_2463) and C_CLK_2466
             |)
          |)
         where 
         boolean C_CLK_2463, C_CLK_2466, C_COULEUR_20262, C_CLK_5477;
         integer N_4536, ZN_4537, % value = [-1,1]
                %DN_4538;
         process ACT_C_COULEUR_20262 =
              ( )
            (| when C_COULEUR_20262 ^= TS2W ^= COULEUR_6497 ^= C_CLK_3610
             | (| TS2W := (true when C_CLK_2463) default (false when C_CLK_5477)
                | COULEUR_6497 := (1 when TS2W) default (0 when C_CLK_3610)
                | RECTANGLE(0 when C_COULEUR_20262,360 when C_COULEUR_20262,100 when C_COULEUR_20262,460 when C_COULEUR_20262,120 when C_COULEUR_20262,COULEUR_6497)
                | C_CLK_3610 := not TS2W
                |)
             |)
            where 
            integer% value = [0,1]
                   %COULEUR_6497;
            boolean TS2W, C_CLK_3610;
            end
         %ACT_C_COULEUR_20262%; 
         end
      %ACT_C_DN_19992%; 
      process ACT_C_ZN_19998 =
           ( )
         (| when C_ZN_19998 ^= N_4796 ^= ZN_4809
          | (| N_4796 := (13 when C_T2S11) default ((ZN_4809-1) when C_CLK_5485) default (ZN_4809 when C_CLK_5275)
             | ZN_4809 := N_4796$1 init 0
             | C_CLK_2593 := ZN_4809>0
             | C_CLK_2607 := ZN_4809=1
             |)
          |)
         where 
         integer N_4796, ZN_4809;
         end
      %ACT_C_ZN_19998%; 
      process ACT_C_DN_20004 =
           ( )
         (| when C_DN_20004 ^= N_4564 ^= ZN_4565 ^= DN_4566 ^= C_CLK_2493 ^= C_CLK_2496 ^= C_CLK_5480
          | (| when C_COULEUR_20259 ^= C_MONTER_1
             | ACT_C_COULEUR_20259{}
             |)
          | (| N_4564 := ZN_4565+DN_4566
             | ZN_4565 := N_4564$1 init 0
             | DN_4566 := (0 when C_CLK_5093) default (1 when C_CLK_5433) default ((-1) when C_CLK_5443)
             | C_CLK_2493 := ZN_4565=0
             | C_CLK_2496 := N_4564=0
             | C_COULEUR_20259 := C_CLK_2493 or C_CLK_2496
             | C_CLK_5480 := (not C_CLK_2493) and C_CLK_2496
             |)
          |)
         where 
         boolean C_CLK_2493, C_CLK_2496, C_CLK_5480;
         integer N_4564, ZN_4565, % value = [-1,1]
                %DN_4566;
         process ACT_C_COULEUR_20259 =
              ( )
            (| when C_COULEUR_20259 ^= TS2C ^= COULEUR_6444
             | (| TS2C := (true when C_CLK_2493) default (false when C_CLK_5480)
                | COULEUR_6444 := (1 when TS2C) default (0 when C_MONTER_1)
                | RECTANGLE(0 when C_COULEUR_20259,240 when C_COULEUR_20259,100 when C_COULEUR_20259,340 when C_COULEUR_20259,120 when C_COULEUR_20259,COULEUR_6444)
                | C_MONTER_1 := not TS2C
                |)
             |)
            where 
            integer% value = [0,1]
                   %COULEUR_6444;
            boolean TS2C;
            end
         %ACT_C_COULEUR_20259%; 
         end
      %ACT_C_DN_20004%; 
      process ACT_C_DN_20010 =
           ( )
         (| when C_DN_20010 ^= N_4592 ^= ZN_4593 ^= DN_4594 ^= C_CLK_2523 ^= C_CLK_2526 ^= C_COULEUR_20256 ^= C_CLK_5483
          | (| ACT_C_COULEUR_20256{} |)
          | (| N_4592 := ZN_4593+DN_4594
             | ZN_4593 := N_4592$1 init 0
             | DN_4594 := (0 when C_CLK_5095) default (1 when C_CLK_5441) default ((-1) when C_CLK_5449)
             | C_CLK_2523 := ZN_4593=0
             | C_CLK_2526 := N_4592=0
             | C_COULEUR_20256 := C_CLK_2523 or C_CLK_2526
             | C_CLK_5483 := (not C_CLK_2523) and C_CLK_2526
             |)
          |)
         where 
         boolean C_CLK_2523, C_CLK_2526, C_COULEUR_20256, C_CLK_5483;
         integer N_4592, ZN_4593, % value = [-1,1]
                %DN_4594;
         process ACT_C_COULEUR_20256 =
              ( )
            (| when C_COULEUR_20256 ^= TS2E ^= COULEUR_6389 ^= C_CLK_3560
             | (| TS2E := (true when C_CLK_2523) default (false when C_CLK_5483)
                | COULEUR_6389 := (1 when TS2E) default (0 when C_CLK_3560)
                | RECTANGLE(0 when C_COULEUR_20256,120 when C_COULEUR_20256,100 when C_COULEUR_20256,220 when C_COULEUR_20256,120 when C_COULEUR_20256,COULEUR_6389)
                | C_CLK_3560 := not TS2E
                |)
             |)
            where 
            integer% value = [0,1]
                   %COULEUR_6389;
            boolean TS2E, C_CLK_3560;
            end
         %ACT_C_COULEUR_20256%; 
         end
      %ACT_C_DN_20010%; 
      process ACT_C_ZPASSANT =
           ( )
         (| when C_ZPASSANT ^= PASSANT_5671
          | (| PASSANT_5671 := (true when C_TOP_5430) default (false when C_CLK_5385)
             | ZPASSANT_5672 := PASSANT_5671$1 init INITIAL_5662
             |)
          |)
         where 
         boolean PASSANT_5671;
         end
      %ACT_C_ZPASSANT%; 
      process ACT_C_ZPASSANT_20280 =
           ( )
         (| when C_ZPASSANT_20280 ^= PASSANT_5447
          | (| PASSANT_5447 := (true when C_TOP_5430) default (false when C_CLK_5375)
             | ZPASSANT_5448 := PASSANT_5447$1 init INITIAL_5438
             |)
          |)
         where 
         boolean PASSANT_5447;
         end
      %ACT_C_ZPASSANT_20280%; 
      process ACT_C_ZPASSANT_20289 =
           ( )
         (| when C_ZPASSANT_20289 ^= PASSANT
          | (| PASSANT := (true when C_TOP) default (false when C_CLK_5419)
             | ZPASSANT := PASSANT$1 init INITIAL
             |)
          |)
         where 
         boolean PASSANT;
         end
      %ACT_C_ZPASSANT_20289%; 
      process ACT_C_ZPASSANT_20292 =
           ( )
         (| when C_ZPASSANT_20292 ^= PASSANT_5018
          | (| PASSANT_5018 := (true when C_TOP) default (false when C_CLK_5427)
             | ZPASSANT_5019 := PASSANT_5018$1 init INITIAL_5009
             |)
          |)
         where 
         boolean PASSANT_5018;
         end
      %ACT_C_ZPASSANT_20292%; 
      process ACT_C_ =
           ( )
         (| when C_ ^= DUREE_5523 ^= ATTENTE_5587 ^= XZX_5590
          | (| when C_N0_20471 ^= N0_5588
             | (| N0_5588 := ATTENTE_5587 when C_N0_20471 |)
             |)
          | (| DUREE_5523 := N_5573 when C_
             | ATTENTE_5587 := (integer(XZX_5590)-30) when C_
             | XZX_5590 := ((real(DUREE_5523)*(DIST2/DIST1))/100.0) when C_
             | C_N0_20471 := ATTENTE_5587>0
             | C_CLK_3186 := ATTENTE_5587<=15
             | C_CLK_3195 := ATTENTE_5587<=0
             |)
          |)
         where 
         real XZX_5590;
         integer DUREE_5523, ATTENTE_5587;
         end
      %ACT_C_%; 
      process ACT_C_ZN_20413 =
           ( )
         (| when C_ZN_20413 ^= ZN_5574
          | (| N_5573 := (0 when C_SORTIE_1_5431) default ((ZN_5574+1) when C_CLK_5321)
             | ZN_5574 := N_5573$1 init 0
             |)
          |)
         where 
         integer ZN_5574;
         end
      %ACT_C_ZN_20413%; 
      process ACT_C__20416 =
           ( )
         (| when C__20416 ^= DUREE ^= ATTENTE ^= XZX_4922
          | (| when C_N0 ^= N0_4920
             | (| N0_4920 := ATTENTE when C_N0 |)
             |)
          | (| DUREE := N_4905 when C__20416
             | ATTENTE := (integer(XZX_4922)-30) when C__20416
             | XZX_4922 := ((real(DUREE)*(DIST2/DIST1))/100.0) when C__20416
             | C_N0 := ATTENTE>0
             | C_CLK_2695 := ATTENTE<=15
             | C_CLK_2704 := ATTENTE<=0
             |)
          |)
         where 
         real XZX_4922;
         integer DUREE, ATTENTE;
         end
      %ACT_C__20416%; 
      process ACT_C_ZN_20425 =
           ( )
         (| when C_ZN_20425 ^= ZN_4906
          | (| N_4905 := (0 when C_SORTIE_1) default ((ZN_4906+1) when C_CLK_5269)
             | ZN_4906 := N_4905$1 init 0
             |)
          |)
         where 
         integer ZN_4906;
         end
      %ACT_C_ZN_20425%; 
      process ACT_C_ZN_20496 =
           ( )
         (| when C_ZN_20496 ^= N_5522 ^= ZN_5614
          | (| N_5522 := (N0_5588 when C_N0_20471) default ((ZN_5614-1) when C_CLK_5495) default (ZN_5614 when C_CLK_5493)
             | ZN_5614 := N_5522$1 init 0
             | AFFENTIER(N_5522,170 when C_ZN_20496,200 when C_ZN_20496)
             | C_CLK_3165 := ZN_5614>0
             | C_CLK_3179 := ZN_5614=1
             | C_CLK_3189 := N_5522=15
             |)
          |)
         where 
         integer N_5522, ZN_5614;
         end
      %ACT_C_ZN_20496%; 
      process ACT_C_ZN_20499 =
           ( )
         (| when C_ZN_20499 ^= N_4853 ^= ZN_4948
          | (| N_4853 := (N0_4920 when C_N0) default ((ZN_4948-1) when C_CLK_5487) default (ZN_4948 when C_CLK_5267)
             | ZN_4948 := N_4853$1 init 0
             | AFFENTIER(N_4853,170 when C_ZN_20499,220 when C_ZN_20499)
             | C_CLK_2674 := ZN_4948>0
             | C_CLK_2688 := ZN_4948=1
             | C_CLK_2698 := N_4853=15
             |)
          |)
         where 
         integer N_4853, ZN_4948;
         end
      %ACT_C_ZN_20499%; 
      process ACT_C_ZN_20583 =
           ( )
         (| when C_ZN_20583 ^= DN1 ^= DN2 ^= DN3 ^= DN4 ^= N_5729 ^= ZN_5730 ^= C_ERREUR
          | (| (| ALERTE(true when C_ERREUR) |) |)
          | (| DN1 := (1 when C_T_5) default (0 when C_CLK_5251)
             | DN2 := (1 when C_T_2) default (0 when C_CLK_5253)
             | DN3 := ((-1) when C_MONTER_4) default (0 when C_CLK_5255)
             | DN4 := ((-1) when C_MONTER_1) default (0 when C_CLK_5257)
             | N_5729 := ZN_5730+DN1+DN2+DN3+DN4
             | ZN_5730 := N_5729$1 init 0
             | C_OUVRIR := N_5729=0
             | C_ERREUR := N_5729<0
             |)
          |)
         where 
         boolean C_ERREUR;
         integer% value = [0,1]
                %DN1, % value = [0,1]
                %DN2, % value = [-1,0]
                %DN3, % value = [-1,0]
                %DN4, N_5729, ZN_5730;
         end
      %ACT_C_ZN_20583%; 
      process ACT_C_ZPASSANT_20631 =
           ( )
         (| when C_ZPASSANT_20631 ^= PASSANT_5781
          | (| PASSANT_5781 := (true when C_OUVRIR) default (false when C_CLK_5261)
             | ZPASSANT_5782 := PASSANT_5781$1 init INITIAL_5773
             |)
          |)
         where 
         boolean PASSANT_5781;
         end
      %ACT_C_ZPASSANT_20631%; 
      process ACT_C_ZN_20641 =
           ( )
         (| when C_ZN_20641 ^= N_5287 ^= ZN_5288
          | (| N_5287 := (5 when C_OUVRIR) default (0 when C_CLK_6190) default ((ZN_5288-1) when C_CLK_6158) default (ZN_5288 when C_CLK_6126)
             | ZN_5288 := N_5287$1 init 0
             | C_CLK_2945 := ZN_5288>0
             | C_CLK_2956 := ZN_5288=1
             |)
          |)
         where 
         integer N_5287, ZN_5288;
         end
      %ACT_C_ZN_20641%; 
      process ACT_C_ZN_20647 =
           ( )
         (| when C_ZN_20647 ^= N_5108 ^= ZN_5109
          | (| N_5108 := (5 when C_OUVRIR) default (0 when C_CLK_6174) default ((ZN_5109-1) when C_CLK_6164) default (ZN_5109 when C_CLK_6128)
             | ZN_5109 := N_5108$1 init 0
             | C_CLK_2801 := ZN_5109>0
             | C_CLK_2812 := ZN_5109=1
             |)
          |)
         where 
         integer N_5108, ZN_5109;
         end
      %ACT_C_ZN_20647%; 
      process ACT_C_ZN_20712 =
           ( )
         (| when C_ZN_20712 ^= N_5361 ^= ZN_5362
          | (| N_5361 := (5 when C_FERMER) default (0 when C_CLK_6184) default ((ZN_5362-1) when C_CLK_6154) default (ZN_5362 when C_CLK_6136)
             | ZN_5362 := N_5361$1 init 0
             | C_CLK_3014 := ZN_5362>0
             | C_CLK_3025 := ZN_5362=1
             |)
          |)
         where 
         integer N_5361, ZN_5362;
         end
      %ACT_C_ZN_20712%; 
      process ACT_C_ZN_20715 =
           ( )
         (| when C_ZN_20715 ^= N_5184 ^= ZN_5185
          | (| N_5184 := (5 when C_FERMER) default (0 when C_CLK_6168) default ((ZN_5185-1) when C_CLK_6160) default (ZN_5185 when C_CLK_6132)
             | ZN_5185 := N_5184$1 init 0
             | C_CLK_2870 := ZN_5185>0
             | C_CLK_2881 := ZN_5185=1
             |)
          |)
         where 
         integer N_5184, ZN_5185;
         end
      %ACT_C_ZN_20715%; 
      process ACT_C_ZACTIF =
           ( )
         (| when C_ZACTIF ^= ZACTIF_6038
          | (| ACTIF_6037 := (true when C_L2CS) default (false when C_CLK_6116) default (ZACTIF_6038 when C_CLK_6138)
             | ZACTIF_6038 := ACTIF_6037$1 init false
             |)
          |)
         where 
         boolean ZACTIF_6038;
         end
      %ACT_C_ZACTIF%; 
      process ACT_C_COULEUR_20733 =
           ( )
         (| when C_COULEUR_20733 ^= T1_6766 ^= COULEUR_6849 ^= C_CLK_3767
          | (| T1_6766 := (true when C_EB2U) default (false when C_CLK_6196)
             | COULEUR_6849 := (1 when T1_6766) default (0 when C_CLK_3767)
             | RECTANGLE(0 when C_COULEUR_20733,280 when C_COULEUR_20733,240 when C_COULEUR_20733,380 when C_COULEUR_20733,260 when C_COULEUR_20733,COULEUR_6849)
             | C_CLK_3767 := not T1_6766
             |)
          |)
         where 
         integer% value = [0,1]
                %COULEUR_6849;
         boolean T1_6766, C_CLK_3767;
         end
      %ACT_C_COULEUR_20733%; 
      process ACT_C_ZACTIF_20739 =
           ( )
         (| when C_ZACTIF_20739 ^= ZACTIF_5885
          | (| ACTIF_5884 := (true when C_L1CS) default (false when C_CLK_6102) default (ZACTIF_5885 when C_CLK_6140)
             | ZACTIF_5885 := ACTIF_5884$1 init false
             |)
          |)
         where 
         boolean ZACTIF_5885;
         end
      %ACT_C_ZACTIF_20739%; 
      process ACT_C_COULEUR_20745 =
           ( )
         (| when C_COULEUR_20745 ^= T1_6566 ^= COULEUR_6650 ^= C_CLK_3676
          | (| T1_6566 := (true when C_EB1U) default (false when C_CLK_6180)
             | COULEUR_6650 := (1 when T1_6566) default (0 when C_CLK_3676)
             | RECTANGLE(0 when C_COULEUR_20745,280 when C_COULEUR_20745,200 when C_COULEUR_20745,380 when C_COULEUR_20745,220 when C_COULEUR_20745,COULEUR_6650)
             | C_CLK_3676 := not T1_6566
             |)
          |)
         where 
         integer% value = [0,1]
                %COULEUR_6650;
         boolean T1_6566, C_CLK_3676;
         end
      %ACT_C_COULEUR_20745%; 
      process ACT_C_COULEUR_20869 =
           ( )
         (| when C_COULEUR_20869 ^= T2_6765 ^= COULEUR_6902 ^= C_CLK_3792
          | (| T2_6765 := (true when C_EB2D) default (false when C_CLK_6194)
             | COULEUR_6902 := (1 when T2_6765) default (0 when C_CLK_3792)
             | RECTANGLE(0 when C_COULEUR_20869,400 when C_COULEUR_20869,240 when C_COULEUR_20869,500 when C_COULEUR_20869,260 when C_COULEUR_20869,COULEUR_6902)
             | C_CLK_3792 := not T2_6765
             |)
          |)
         where 
         integer% value = [0,1]
                %COULEUR_6902;
         boolean T2_6765, C_CLK_3792;
         end
      %ACT_C_COULEUR_20869%; 
      process ACT_C_COULEUR_20899 =
           ( )
         (| when C_COULEUR_20899 ^= T2_6565 ^= COULEUR_6703 ^= C_CLK_3701
          | (| T2_6565 := (true when C_EB1D) default (false when C_CLK_6178)
             | COULEUR_6703 := (1 when T2_6565) default (0 when C_CLK_3701)
             | RECTANGLE(0 when C_COULEUR_20899,400 when C_COULEUR_20899,200 when C_COULEUR_20899,500 when C_COULEUR_20899,220 when C_COULEUR_20899,COULEUR_6703)
             | C_CLK_3701 := not T2_6565
             |)
          |)
         where 
         integer% value = [0,1]
                %COULEUR_6703;
         boolean T2_6565, C_CLK_3701;
         end
      %ACT_C_COULEUR_20899%; 
      process ACT_C_ZTCLIGNO =
           ( )
         (| when C_ZTCLIGNO ^= ZTCLIGNO_6041
          | (| TCLIGNO_6040 := not ZTCLIGNO_6041
             | ZTCLIGNO_6041 := TCLIGNO_6040$1 init false
             |)
          |)
         where 
         boolean ZTCLIGNO_6041;
         end
      %ACT_C_ZTCLIGNO%; 
      process ACT_C_ZTCLIGNO_20929 =
           ( )
         (| when C_ZTCLIGNO_20929 ^= ZTCLIGNO
          | (| TCLIGNO := not ZTCLIGNO
             | ZTCLIGNO := TCLIGNO$1 init false
             |)
          |)
         where 
         boolean ZTCLIGNO;
         end
      %ACT_C_ZTCLIGNO_20929%; 
      process ACT_C_COULEUR_20932 =
           ( )
         (| when C_COULEUR_20932 ^= T_5889 ^= COULEUR ^= C_CLK_3371
          | (| T_5889 := (TSTABLE when C_TSTABLE_20153) default (TCLIGNO when C_CLK_6092)
             | COULEUR := (1 when T_5889) default (0 when C_CLK_3371)
             | RECTANGLE(1 when C_COULEUR_20932,498 when C_COULEUR_20932,72 when C_COULEUR_20932,514 when C_COULEUR_20932,88 when C_COULEUR_20932,COULEUR)
             | C_CLK_3371 := not T_5889
             |)
          |)
         where 
         integer% value = [0,1]
                %COULEUR;
         boolean T_5889, C_CLK_3371;
         end
      %ACT_C_COULEUR_20932%; 
      process ACT_C_COULEUR_20935 =
           ( )
         (| when C_COULEUR_20935 ^= T_6042 ^= COULEUR_6091 ^= C_CLK_3441
          | (| T_6042 := (TSTABLE_6036 when C_TSTABLE) default (TCLIGNO_6040 when C_CLK_6090)
             | COULEUR_6091 := (1 when T_6042) default (0 when C_CLK_3441)
             | RECTANGLE(1 when C_COULEUR_20935,498 when C_COULEUR_20935,302 when C_COULEUR_20935,514 when C_COULEUR_20935,318 when C_COULEUR_20935,COULEUR_6091)
             | C_CLK_3441 := not T_6042
             |)
          |)
         where 
         integer% value = [0,1]
                %COULEUR_6091;
         boolean T_6042, C_CLK_3441;
         end
      %ACT_C_COULEUR_20935%; 
      end
   %ACT_Tick%; 
   process RAZSLIDER =
        ( ? integer NS;
        )
   
   %RAZSLIDER%; 
   process DESSINERTRAIN =
        ( ? real XDEB, XFIN, L;
            integer Y1, Y2, ZX1, ZX2, ZX3, S;
          ! integer X1, X2, X3;
        )
        spec (| XDEB ^= XFIN ^= L ^= Y1 ^= Y2 ^= ZX1 ^= ZX2 ^= ZX3 ^= S ^= X1 ^= X2 ^= X3 |)
   
   %DESSINERTRAIN%; 
   process RECTANGLE =
        ( ? integer FEN;
            integer X1, Y1, X2, Y2, COULEUR;
        )
        spec (| FEN ^= X1 ^= Y1 ^= X2 ^= Y2 ^= COULEUR |)
   
   %RECTANGLE%; 
   process EFFACE_BARRIERE =
        ( ? integer X, Y, ZP;
          ! boolean EFFACE;
        )
        spec (| X ^= Y ^= ZP ^= EFFACE |)
   
   %EFFACE_BARRIERE%; 
   process TRACE_BARRIERE =
        ( ? integer X, Y, P;
            boolean EFFACE;
        )
        spec (| X ^= Y ^= P ^= EFFACE |)
   
   %TRACE_BARRIERE%; 
   process AFFENTIER =
        ( ? integer N, X1, Y1;
        )
        spec (| N ^= X1 ^= Y1 |)
   
   %AFFENTIER%; 
   process ALERTE =
        ( ? boolean ERREUR;
        )
   
   %ALERTE%; 
   end
%TRAIN_BOOL_TRA%; %(| Tick := true when Tick
                    | C_CLK_813 := not (ZXX1>XT5)
                    | C_CLK_826 := not ((VITESSE>0.0e0) and ((ZX1>=ZX2) or ((ZX1+DMIN)<ZXX2)))
                    | C_CLK_834 := not (ZXX1<=XT1)
                    | C_CLK_875 := not (ZXX2>XT5)
                    | C_CLK_889 := not ((VITESSE_1651>0.0e0) and ((ZX2>=ZX1) or ((ZX2+DMIN)<ZXX1)))
                    | C_CLK_897 := not (ZXX2<=XT1)
                    | C_CLK_1741 := not (ZXX1_3153>XT5)
                    | C_CLK_1755 := not ((VITESSE_3198>0.0e0) and ((ZX1_3155>=ZX2_3154) or ((ZX1_3155+DMIN)<ZXX2_3152)))
                    | C_CLK_1763 := not (ZXX1_3153<=XT1)
                    | C_CLK_1804 := not (ZXX2_3152>XT5)
                    | C_CLK_1818 := not ((VITESSE_3274>0.0e0) and ((ZX2_3154>=ZX1_3155) or ((ZX2_3154+DMIN)<ZXX1_3153)))
                    | C_CLK_1826 := not (ZXX2_3152<=XT1)
                    | C_CLK_1967 := not MOUVEMENT
                    | C_CLK_2105 := ZACTIF_1 or ZACTIF_2
                    | C_CLK_2147 := not ZACTIF_4185
                    | C_CLK_2275 := ZACTIF_4085 or ZACTIF_4152
                    | C_CLK_2640 := not ACTIF_4874
                    | C_CLK_3131 := not ACTIF_5542
                    | C_CLK_3872 := not HV11
                    | C_CLK_3876 := not HV12
                    | C_CLK_3880 := not HLW1
                    | C_CLK_3884 := not HNW1
                    | C_CLK_3911 := not HV21
                    | C_CLK_3915 := not HV22
                    | C_CLK_3919 := not HLW2
                    | C_CLK_3923 := not HNW2
                    | C_CLK_3949 := not HREPARER1
                    | C_CLK_3952 := not HPANNE1
                    | C_CLK_3955 := not HDEFAILLANCE1
                    | C_CLK_3973 := not HREPARER2
                    | C_CLK_3976 := not HPANNE2
                    | C_CLK_3979 := not HDEFAILLANCE2
                    | C_CLK_133 := not (ACTIF and (not ZACTIF))
                    | C_CLK_137 := not ZACTIF
                    | C_CLK_166 := not (ACTIF_587 and (not ZACTIF_588))
                    | C_CLK_170 := not ZACTIF_588
                    | C_CLK_252 := not (ACTIF_709 and (not ZACTIF_710))
                    | C_CLK_256 := not ZACTIF_710
                    | C_CLK_285 := not (ACTIF_753 and (not ZACTIF_754))
                    | C_CLK_289 := not ZACTIF_754
                    | C_CLK_371 := not (ACTIF_872 and (not ZACTIF_873))
                    | C_CLK_375 := not ZACTIF_873
                    | C_CLK_404 := not (ACTIF_915 and (not ZACTIF_916))
                    | C_CLK_408 := not ZACTIF_916
                    | C_CLK_490 := not (ACTIF_1034 and (not ZACTIF_1035))
                    | C_CLK_494 := not ZACTIF_1035
                    | C_CLK_523 := not (ACTIF_1077 and (not ZACTIF_1078))
                    | C_CLK_527 := not ZACTIF_1078
                    | C_CLK_609 := not (ACTIF_1195 and (not ZACTIF_1196))
                    | C_CLK_613 := not ZACTIF_1196
                    | C_CLK_642 := not (ACTIF_1238 and (not ZACTIF_1239))
                    | C_CLK_646 := not ZACTIF_1239
                    | C_CLK_1061 := not (ACTIF_2178 and (not ZACTIF_2179))
                    | C_CLK_1065 := not ZACTIF_2179
                    | C_CLK_1094 := not (ACTIF_2224 and (not ZACTIF_2225))
                    | C_CLK_1098 := not ZACTIF_2225
                    | C_CLK_1180 := not (ACTIF_2343 and (not ZACTIF_2344))
                    | C_CLK_1184 := not ZACTIF_2344
                    | C_CLK_1213 := not (ACTIF_2386 and (not ZACTIF_2387))
                    | C_CLK_1217 := not ZACTIF_2387
                    | C_CLK_1299 := not (ACTIF_2504 and (not ZACTIF_2505))
                    | C_CLK_1303 := not ZACTIF_2505
                    | C_CLK_1332 := not (ACTIF_2546 and (not ZACTIF_2547))
                    | C_CLK_1336 := not ZACTIF_2547
                    | C_CLK_1418 := not (ACTIF_2664 and (not ZACTIF_2665))
                    | C_CLK_1422 := not ZACTIF_2665
                    | C_CLK_1451 := not (ACTIF_2706 and (not ZACTIF_2707))
                    | C_CLK_1455 := not ZACTIF_2707
                    | C_CLK_1537 := not (ACTIF_2824 and (not ZACTIF_2825))
                    | C_CLK_1541 := not ZACTIF_2825
                    | C_CLK_1570 := not (ACTIF_2866 and (not ZACTIF_2867))
                    | C_CLK_1574 := not ZACTIF_2867
                    | C_CLK_1981 := not (NP>=9)
                    | C_CLK_1984 := not (NP<=0)
                    | C_CLK_2161 := not (NP_3994>=9)
                    | C_CLK_2164 := not (NP_3994<=0)
                    | C_CLK_211 := not (NXW>=LGW)
                    | C_CLK_330 := not (NXW_798>=LGW_669)
                    | C_CLK_449 := not (NXW_960>=LGW_833)
                    | C_CLK_568 := not (NXW_1122>=LGW_995)
                    | C_CLK_687 := not (NXW_1283>=LGW_1156)
                    | C_CLK_1139 := not (NXW_2269>=LGW_2135)
                    | C_CLK_1258 := not (NXW_2431>=LGW_2303)
                    | C_CLK_1377 := not (NXW_2591>=LGW_2465)
                    | C_CLK_1496 := not (NXW_2751>=LGW_2625)
                    | C_CLK_1615 := not (NXW_2911>=LGW_2785)
                    | C_CLK_2838 := not (ZN_5147>0)
                    | C_CLK_2849 := not (ZN_5147=1)
                    | C_CLK_2982 := not (ZN_5325>0)
                    | C_CLK_2993 := not (ZN_5325=1)
                    | C_CLK_2358 := not (ZN=0)
                    | C_CLK_2361 := not (N_4421=0)
                    | C_CLK_2388 := not (ZN_4450=0)
                    | C_CLK_2391 := not (N_4449=0)
                    | C_CLK_2418 := not (ZN_4478=0)
                    | C_CLK_2421 := not (N_4477=0)
                    | C_CLK_2464 := not (ZN_4537=0)
                    | C_CLK_2467 := not (N_4536=0)
                    | C_CLK_2494 := not (ZN_4565=0)
                    | C_CLK_2497 := not (N_4564=0)
                    | C_CLK_2524 := not (ZN_4593=0)
                    | C_CLK_2527 := not (N_4592=0)
                    | C_CLK_2594 := not (ZN_4809>0)
                    | C_CLK_2608 := not (ZN_4809=1)
                    | C_CLK_3085 := not (ZN_5480>0)
                    | C_CLK_3099 := not (ZN_5480=1)
                    | C_CLK_2577 := not ZPASSANT
                    | C_CLK_2735 := not ZPASSANT_5019
                    | C_MONTER_1_20366 := left_tt ( C_MONTER_1,C_COULEUR_20259 )
                    | C_CLK_3068 := not ZPASSANT_5448
                    | C_CLK_3222 := not ZPASSANT_5672
                    | C_MONTER_4_20386 := left_tt ( C_MONTER_4,C_COULEUR_20268 )
                    | C_CLK_2667 := not (ATTENTE>0)
                    | C_CLK_2696 := not (ATTENTE<=15)
                    | C_CLK_2705 := not (ATTENTE<=0)
                    | C_CLK_3158 := not (ATTENTE_5587>0)
                    | C_CLK_3187 := not (ATTENTE_5587<=15)
                    | C_CLK_3196 := not (ATTENTE_5587<=0)
                    | C_CLK_2675 := not (ZN_4948>0)
                    | C_CLK_2689 := not (ZN_4948=1)
                    | C_CLK_2699 := not (N_4853=15)
                    | C_CLK_3166 := not (ZN_5614>0)
                    | C_CLK_3180 := not (ZN_5614=1)
                    | C_CLK_3190 := not (N_5522=15)
                    | C_CLK_3286 := not (N_5729=0)
                    | C_CLK_3290 := not (N_5729<0)
                    | C_CLK_2802 := not (ZN_5109>0)
                    | C_CLK_2813 := not (ZN_5109=1)
                    | C_CLK_2946 := not (ZN_5288>0)
                    | C_CLK_2957 := not (ZN_5288=1)
                    | C_CLK_3313 := not ZPASSANT_5782
                    | C_CLK_2871 := not (ZN_5185>0)
                    | C_CLK_2882 := not (ZN_5185=1)
                    | C_CLK_3015 := not (ZN_5362>0)
                    | C_CLK_3026 := not (ZN_5362=1)
                    | C_CLK_3360 := not ACTIF_5884
                    | C_CLK_3430 := not ACTIF_6037
                    |)**WARNING: unused signals 

%
