/*-------------------------------------------------------------------

   Gestion du panneau de boutons du metronome et de son chronogramme.

 -------------------------------------------------------------------*/

static bool CA = false, CY = false; /* valeur des boutons OK_A et OK_Y */
static int v_A = 0;

void inter_A(Widget widget, caddr_t client_data, caddr_t call_data)
  /*********** X11 Callback function  */
{
  XmScaleCallbackStruct *data;

  data = (XmScaleCallbackStruct *)call_data;
  v_A = data->value;
}

extern int RA() 
/*********** Called by the SIGNAL program to get clicks */
{
  return(v_A);
}


extern bool RCA()
{
  bool b;
  b = CA;
  CA = FALSE;
  return(b);
}


extern bool RCY()
{
  bool b;

  b = CY;
  CY = FALSE;
  return(b);
}


void inter_OK_A(Widget widget, caddr_t client_data, caddr_t call_data)
/*********** X11 Callback function  */
{
  CA = TRUE;
}

void inter_OK_Y(Widget widget, caddr_t client_data, caddr_t call_data)
  /*********** X11 Callback function  */
{
  CY = TRUE;
}


/*
|-----------------|
| TIME DISPLAYING |
|-----------------|
*/

struct display_descr basic_clock;

struct display_descr *GET_DISPLAY()
/**********************************Initialization called by the SIGNAL program 
                                   to get the window descriptor */

{
   make_display_descr(&basic_clock,CANVAS_HALF_HEIGHT);
   return(&basic_clock);
}

canvas_creat(Widget widget)
 {
  basic_clock.ecran = widget;
 }


