process VTMOUSE_P2_TRA =
     ( ? event H;
     )
   pragmas 
      Main
      Sigali "&o1: &n(S,&i1);"
      Comment "Will compute the set of states where boolean A is true"
      Comment "Compute  the set of states where boolean A is false"
      Sigali "&o1: &n(&i1, &i2);"
      Comment "Perform the or between two set of states: "
              " e.g. B_Or(B_True(A),B_False(B) will compute the "
              " set of states where A is true whereas B is false"
      Sigali "&n(S,&i1);"
      Comment "Never(SYSTEM,  SET)  ->  BOOLEAN  :   Never(syst,  p)  is  True"
              " whenever no state of V(p) can be reached from the initial states of the system"
      Sigali ""
      Comment "In case of verification the E expression  will be evaluated by the sigali tool."
              "In case of synthesis, the sigali tool will produce the controlled system according to the E expression."
              "In case of controllable, the E input variable will be considered as controllable."
              "In case of simulation, see Simul comment."
   end pragmas
   (| (| ^H ^= H
       | H ^= H
       | ACT_H{}
       |)
    | (| nlabel_2500 :: VTMOUSE_P2_otherPart{}
       | nlabel_2500 ^= H
       |)
    | (| CLK_RESULT := ^PROP
       | CLK_RESULT ^= PROP
       | CLK_RESULT ^= RESULT
       |)
    | (| CLK := CLK_RESULT ^+ CLK_C1 |)
    | (| nlabel :: VTMOUSE_P2_booleanPart{} |)
    |)
   where 
   constant integer N = 2;
   constant integer M = 10;
   constant integer NUL_CODE = 0;
   constant integer LIN_CODE = 2;
   constant integer TICK_NUMBER = 80;
   constant integer FRONT_NUMBER = 5;
   constant integer TICK_HEIGHT = 20;
   constant integer DELTA = 4;
   constant integer TICK_WIDTH = 2;
   constant boolean INIT_INTERVAL = false;
   constant integer PHY_0 = 0;
   constant integer PHY_0_233 = 0;
   constant integer PI_0_234 = 1;
   constant integer V_0 = 1;
   constant integer PHY_0_598 = 0;
   constant integer DY = 60;
   constant integer TS = 10;
   constant integer V_BOUND = 800;
   constant integer V_INIT = 40;
   constant integer V_BOUND_738 = 800;
   constant integer V_INIT_739 = 790;
   constant integer Y_POS = -20;
   constant integer BOOL_HEIGHT = 40;
   constant integer DELTA_772 = 10;
   constant integer BOOL_HEIGHT_938 = 20;
   constant integer DELTA_941 = 10;
   constant integer Y_POS_1034 = -20;
   constant integer BOOL_HEIGHT_1035 = -15;
   constant integer Y_POS_1138 = -20;
   constant integer BOOL_HEIGHT_1139 = -20;
   constant integer BOOL_HEIGHT_1238 = -20;
   constant integer Y_POS_1337 = 40;
   constant integer BOOL_HEIGHT_1338 = -20;
   type setOfStates = boolean;
   type setOfStates_0 = boolean;
   label nlabel; 
   boolean RESULT;
   label nlabel_2500; 
   event CLK_C1, CLK, CLK_RESULT;
   setOfStates PROP_1516, PROP_1521;
   setOfStates_0 PROP;
   process ACT_H =
        ( )
      (| H ^= ADR_COUNT ^= CODE_CHANGE ^= XZX_413 ^= AUTOMOD ^= C_SW_AUTO ^= C_TICK ^= CINIT ^= C_2489
       | (| CLK_C_UP_DOWN := when (not C_2489)
          | ACT_CLK_C_UP_DOWN{}
          |)
       | (| CLK_301 := when C_SW_AUTO |)
       | (| CLK_MAX_246 := when AUTOMOD
          | ACT_CLK_MAX_246{}
          | CLK_C_STOP := when (not AUTOMOD)
          | ACT_CLK_C_STOP{}
          |)
       | (| TICK_216 := when C_TICK |)
       | (| CLK_PI_0 := when CINIT
          | CLK_PI_0 ^= PI_0 ^= DESCR ^= ECRAN_1441
          |)
       | (| CLK_ZAUTO := CLK_301 ^+ CLK_PI_0
          | CLK_ZAUTO ^= NEXTAUTO
          | CLK_ZAUTO ^= ZAUTO
          |)
       | (| CLK_812 := CLK_PI_0 ^+ CLK_NEW_BOUND_2 |)
       | (| CLK_815 := CLK_812 ^+ CLK_NEW_BOUND_1 |)
       | (| CLK_NEW_BOUND := CLK_C_UP_DOWN ^+ CLK_PI_0
          | CLK_NEW_BOUND ^= XZX_251 ^= OLD_BOUND
          | ACT_CLK_NEW_BOUND{}
          |)
       | (| CLK_CLICK_585 := TICK_216 ^+ HS_1_214
          | ACT_CLK_CLICK_585{}
          |)
       | (| CLK_MAX1_245 := CLK_NEW_BOUND ^+ CLK_MAX_246
          | CLK_MAX1_245 ^= MAX1_245
          |)
       | (| CLK_SCREEN := CLK_PI_0 ^+ CLK_S1
          | CLK_SCREEN ^= SCREEN
          |)
       | (| CLK_889 := CLK_NEW_BOUND ^- CLK_815 |)
       | (| CLK_893 := CLK_NEW_BOUND_2 ^- CLK_PI_0 |)
       | (| CLK_895 := CLK_NEW_BOUND_1 ^- CLK_812 |)
       |)
      where 
      event CLK_895, CLK_893, CLK_889, CLK_SCREEN, CLK_MAX1_245, CLK_CLICK_585, CLK_NEW_BOUND, CLK_815, CLK_812, CLK_NEW_BOUND_2, CLK_NEW_BOUND_1, CLK_S1, CLK_ZAUTO, CLK_PI_0, TICK_216, CLK_C_STOP, CLK_MAX_246, CLK_301, CLK_C_UP_DOWN, HS_1_214;
      boolean AUTOMOD, C_SW_AUTO, NEXTAUTO, C_TICK, CINIT, C_2489, ZAUTO;
      integer PI_0, ADR_COUNT, MAX1_245, XZX_251, OLD_BOUND, NEW_BOUND_1, NEW_BOUND_2, CODE_CHANGE, XZX_413, DESCR, SCREEN, ECRAN_1441;
      process ACT_CLK_C_UP_DOWN =
           ( )
         (| CLK_C_UP_DOWN ^= C_UP_DOWN ^= C_LIN_EXP ^= XZX_431
          | (| CLK_XZX_338 := when C_LIN_EXP
             | ACT_CLK_XZX_338{}
             | CLK_XZX_313 := when (not C_LIN_EXP)
             | ACT_CLK_XZX_313{}
             |)
          |)
         where 
         event CLK_XZX_313, CLK_XZX_338;
         integer XZX_431;
         boolean C_UP_DOWN, C_LIN_EXP;
         process ACT_CLK_XZX_338 =
              ( )
            (| CLK_XZX_338 ^= XZX_338 ^= XZX_341 ^= DELTA_346 ^= C_2483 ^= C_2485
             | (| CLK_215 := when C_2483
                | CLK_216 := when (not C_2483)
                |)
             | (| CLK_224 := when XZX_341
                | CLK_VD_347 := when (not XZX_341)
                | CLK_VD_347 ^= VD_347
                | ACT_CLK_VD_347{}
                |)
             | (| CLK_230 := when C_2485 |)
             | (| CLK_VU_348 := CLK_224 ^* CLK_230
                | CLK_VU_348 ^= VU_348
                |)
             | (| CLK_NEW_BOUND_2 := CLK_VU_348 ^+ CLK_235
                | CLK_NEW_BOUND_2 ^= NEW_BOUND_2
                |)
             |)
            where 
            event CLK_VU_348, CLK_235, CLK_230, CLK_VD_347, CLK_224, CLK_216, CLK_215;
            boolean XZX_341, C_2483, C_2485;
            integer XZX_338, DELTA_346, VD_347, VU_348;
            process ACT_CLK_VD_347 =
                 ( )
               (| CLK_VD_347 ^= C_2487
                | (| CLK_235 := when C_2487 |)
                |)
               where 
               boolean C_2487;
               end
            %ACT_CLK_VD_347%; 
            end
         %ACT_CLK_XZX_338%; 
         process ACT_CLK_XZX_313 =
              ( )
            (| CLK_XZX_313 ^= XZX_313 ^= XZX_317 ^= C_2479
             | (| CLK_186 := when XZX_317
                | CLK_VD := when (not XZX_317)
                | CLK_VD ^= VD
                | ACT_CLK_VD{}
                |)
             | (| CLK_192 := when C_2479 |)
             | (| CLK_VU := CLK_186 ^* CLK_192
                | CLK_VU ^= VU
                |)
             | (| CLK_NEW_BOUND_1 := CLK_VU ^+ CLK_197
                | CLK_NEW_BOUND_1 ^= NEW_BOUND_1
                |)
             |)
            where 
            event CLK_VU, CLK_197, CLK_192, CLK_VD, CLK_186;
            boolean XZX_317, C_2479;
            integer XZX_313, VD, VU;
            process ACT_CLK_VD =
                 ( )
               (| CLK_VD ^= C_2481
                | (| CLK_197 := when C_2481 |)
                |)
               where 
               boolean C_2481;
               end
            %ACT_CLK_VD%; 
            end
         %ACT_CLK_XZX_313%; 
         end
      %ACT_CLK_C_UP_DOWN%; 
      process ACT_CLK_MAX_246 =
           ( )
         (| CLK_MAX_246 ^= MAX_246 ^= ZV_249 ^= V_250 ^= C_2475 ^= C_2477
          | (| CLK_141 := when C_2475
             | CLK_142 := when (not C_2475)
             |)
          | (| HS_1_214 := when C_2477 |)
          |)
         where 
         event CLK_142, CLK_141;
         boolean C_2475, C_2477;
         integer MAX_246, ZV_249, V_250;
         end
      %ACT_CLK_MAX_246%; 
      process ACT_CLK_C_STOP =
           ( )
         (| CLK_C_STOP ^= C_STOP
          | (| STOP_398 := when C_STOP |)
          |)
         where 
         event STOP_398;
         boolean C_STOP;
         end
      %ACT_CLK_C_STOP%; 
      process ACT_CLK_NEW_BOUND =
           ( )
         (| CLK_NEW_BOUND ^= NEW_BOUND ^= XZX_562 ^= C_2473
          | (| CLK_118 := when C_2473
             | CLK_119 := when (not C_2473)
             |)
          |)
         where 
         event CLK_119, CLK_118;
         boolean C_2473;
         integer NEW_BOUND, XZX_562;
         end
      %ACT_CLK_NEW_BOUND%; 
      process ACT_CLK_CLICK_585 =
           ( )
         (| CLK_CLICK_585 ^= CLICK_585 ^= ZV_613 ^= V_614 ^= C_2491 ^= C_2493
          | (| CLK_XZX_163 := when CLICK_585
             | CLK_XZX_163 ^= XZX_163
             | CLK_XZX_163 ^= X0_1147 ^= X1_1148 ^= Y2_1149 ^= X2_1150 ^= ECRAN_1151 ^= XZX_1171 ^= XZX_1221
             |)
          | (| CLK_409 := when C_2491
             | CLK_410 := when (not C_2491)
             |)
          | (| CLK_X0_1047 := when C_2493
             | CLK_X0_1047 ^= X0_1047 ^= X1_1048 ^= Y2_1049 ^= X2_1050 ^= ECRAN_1051 ^= XZX_1071 ^= XZX_1121
             |)
          | (| CLK_S1 := CLK_XZX_163 ^+ CLK_X0_1047
             | CLK_S1 ^= X
             | ACT_CLK_S1{}
             |)
          | (| CLK_CSTART := CLK_XZX_163 ^* CLK_18
             | CLK_CSTART ^= PROP_1521
             | CLK_CSTART ^= CSTART
             |)
          | (| SX_165 := CLK_XZX_163 ^* CLK_17 |)
          | (| SX := CLK_X0_1047 ^* CLK_17 |)
          | (| CLK_ZV := CLK_CSTART ^+ SX
             | ACT_CLK_ZV{}
             |)
          | (| CLK_CRELAX := SX ^* CLK_74
             | CLK_CRELAX ^= PROP_1516
             | CLK_CRELAX ^= CRELAX
             |)
          | (| CLK_DOUBLE_CLICK := CLK_CRELAX ^+ CLK_XZX_163
             | ACT_CLK_DOUBLE_CLICK{}
             |)
          | (| CLK_C1 := CLK_CRELAX ^+ CLK_CSTART
             | CLK_C1 ^= C1 ^= ALTERN
             | ACT_CLK_C1{}
             |)
          | (| CLK_X0_1246 := CLK_CRELAX ^* CLK_94
             | CLK_X0_1246 ^= X0_1246 ^= X1_1247 ^= Y2_1248 ^= X2_1249 ^= ECRAN_1250 ^= XZX_1270 ^= XZX_1320
             |)
          | (| CLK_X0_1346 := CLK_CRELAX ^* CLK_93
             | CLK_X0_1346 ^= X0_1346 ^= X1_1347 ^= Y2_1348 ^= X2_1349 ^= ECRAN_1350 ^= XZX_1370 ^= XZX_1420
             |)
          | (| CLK_854 := CLK_CSTART ^+ CLK_65 |)
          | (| CLK_897 := CLK_ZV ^- CLK_854 |)
          | (| CLK_905 := CLK_S1 ^- CLK_C1 |)
          | (| CLK_916 := CLK_65 ^- CLK_CSTART |)
          |)
         where 
         event CLK_916, CLK_905, CLK_897, CLK_854, CLK_X0_1346, CLK_X0_1246, CLK_DOUBLE_CLICK, CLK_CRELAX, CLK_ZV, SX, SX_165, CLK_CSTART, CLK_X0_1047, CLK_410, CLK_409, CLK_XZX_163, CLK_94, CLK_93, CLK_74, CLK_65, CLK_18, CLK_17;
         integer ZV_613, V_614, X, X0_1147, X1_1148, Y2_1149% value = [-40,0]
                %, X2_1150, ECRAN_1151, XZX_1171% value = -20
                %, XZX_1221, X0_1047, X1_1048, Y2_1049% value = [-35,-5]
                %, X2_1050, ECRAN_1051, XZX_1071% value = 15
                %, XZX_1121, X0_1246, X1_1247, Y2_1248% value = [0,40]
                %, X2_1249, ECRAN_1250, XZX_1270% value = 20
                %, XZX_1320, X0_1346, X1_1347, Y2_1348% value = [20,60]
                %, X2_1349, ECRAN_1350, XZX_1370% value = 20
                %, XZX_1420;
         boolean C1, XZX_163, CLICK_585, ALTERN, C_2491, C_2493, CSTART, CRELAX;
         process ACT_CLK_S1 =
              ( )
            (| CLK_S1 ^= S1 ^= WBI ^= BTI ^= V_681 ^= V1 ^= ZV_695 ^= XZX_708 ^= V1_746 ^= ZV_747 ^= XZX_783 ^= X2_950 ^= Y1 ^= Y2_956 ^= Y3 ^= ECRAN_960 ^= XZX_970 ^= XZX_994 ^= XZX_1016 ^= NS ^= C_2495 ^= C_2497
             | (| CLK_17 := when BTI
                | CLK_18 := when (not BTI)
                |)
             | (| CLK_441 := when C_2495
                | CLK_442 := when (not C_2495)
                |)
             | (| CLK_459 := when C_2497
                | CLK_460 := when (not C_2497)
                |)
             | (| CLK_X1 := when XZX_783
                | CLK_X1 ^= X1 ^= ECRAN ^= XZX_789
                |)
             | (| CLK_529 := when S1
                | CLK_530 := when (not S1)
                |)
             |)
            where 
            event CLK_530, CLK_529, CLK_X1, CLK_460, CLK_459, CLK_442, CLK_441;
            integer V_681, V1, ZV_695, XZX_708, V1_746, ZV_747, X2_950, Y1% value = [-40,0]
                   %, Y2_956% value = [-41,1]
                   %, Y3% value = [-42,2]
                   %, ECRAN_960, XZX_970% value = [-20,20]
                   %, XZX_994% value = [-21,21]
                   %, XZX_1016% value = [-22,22]
                   %, X1, ECRAN, XZX_789;
            boolean S1, WBI, BTI, XZX_783, NS, C_2495, C_2497;
            end
         %ACT_CLK_S1%; 
         process ACT_CLK_ZV =
              ( )
            (| CLK_ZV ^= ZV ^= V ^= C ^= C_2471
             | (| CLK_65 := when C |)
             | (| CLK_74 := when C_2471 |)
             |)
            where 
            boolean C, C_2471;
            integer ZV, V;
            end
         %ACT_CLK_ZV%; 
         process ACT_CLK_DOUBLE_CLICK =
              ( )
            (| CLK_DOUBLE_CLICK ^= DOUBLE_CLICK
             | (| CLK_93 := when DOUBLE_CLICK
                | CLK_94 := when (not DOUBLE_CLICK)
                |)
             |)
            where 
            boolean DOUBLE_CLICK;
            end
         %ACT_CLK_DOUBLE_CLICK%; 
         process ACT_CLK_C1 =
              ( )
            (| CLK_C1 ^= X0 ^= X1_831 ^= Y2 ^= X2 ^= ECRAN_834 ^= XZX_854 ^= XZX_921 ^= NALTERN
             | (| CLK_499 := when C1
                | CLK_500 := when (not C1)
                |)
             |)
            where 
            event CLK_500, CLK_499;
            boolean NALTERN;
            integer X0, X1_831, Y2% value = [-60,20]
                   %, X2, ECRAN_834, XZX_854% value = [-40,40]
                   %, XZX_921;
            end
         %ACT_CLK_C1%; 
         end
      %ACT_CLK_CLICK_585%; 
      end
   %ACT_H%; 
   process VTMOUSE_P2_otherPart =
        ( ? boolean NEXTAUTO;
          ! integer ZV, V;
            boolean C_UP_DOWN, C_LIN_EXP;
            integer PI_0, NEW_BOUND, ADR_COUNT, MAX1_245, MAX_246, ZV_249, V_250, XZX_251, OLD_BOUND, NEW_BOUND_1, XZX_313, VD, VU, NEW_BOUND_2, XZX_338, DELTA_346, VD_347, VU_348, CODE_CHANGE, XZX_413, XZX_431;
            boolean C_SW_AUTO, C_STOP, C_TICK;
            integer DESCR, XZX_562;
            boolean CLICK_585;
            integer ZV_613, V_614, X, SCREEN, V_681, V1, ZV_695, XZX_708, V1_746, ZV_747, X1, ECRAN, XZX_789, X0, X1_831, Y2% value = [-60,20]
                   %, X2, ECRAN_834, XZX_854% value = [-40,40]
                   %, XZX_921, X2_950, Y1% value = [-40,0]
                   %, Y2_956% value = [-41,1]
                   %, Y3% value = [-42,2]
                   %, ECRAN_960, XZX_970% value = [-20,20]
                   %, XZX_994% value = [-21,21]
                   %, XZX_1016% value = [-22,22]
                   %, X0_1047, X1_1048, Y2_1049% value = [-35,-5]
                   %, X2_1050, ECRAN_1051, XZX_1071% value = 15
                   %, XZX_1121, X0_1147, X1_1148, Y2_1149% value = [-40,0]
                   %, X2_1150, ECRAN_1151, XZX_1171% value = -20
                   %, XZX_1221, X0_1246, X1_1247, Y2_1248% value = [0,40]
                   %, X2_1249, ECRAN_1250, XZX_1270% value = 20
                   %, XZX_1320, X0_1346, X1_1347, Y2_1348% value = [20,60]
                   %, X2_1349, ECRAN_1350, XZX_1370% value = 20
                   %, XZX_1420, ECRAN_1441;
            boolean C, C_2471, C_2473, C_2475, C_2477, C_2479, C_2481, C_2483, C_2485, C_2487, C_2489, C_2491, C_2493, C_2495, C_2497;
        )
      pragmas 
         Partition "otherPart"
      end pragmas
      (| (| H ^= ADR_COUNT ^= CODE_CHANGE ^= XZX_413 ^= C_SW_AUTO ^= C_TICK ^= C_2489
          | CLK_XZX_338 ^= XZX_338 ^= DELTA_346 ^= C_2483 ^= C_2485
          | CLK_XZX_313 ^= XZX_313 ^= C_2479
          | CLK_VD ^= VD ^= C_2481
          | CLK_VD_347 ^= VD_347 ^= C_2487
          | CLK_C_UP_DOWN ^= C_UP_DOWN ^= C_LIN_EXP ^= XZX_431
          | CLK_MAX_246 ^= MAX_246 ^= ZV_249 ^= V_250 ^= C_2475 ^= C_2477
          | CLK_C_STOP ^= C_STOP
          | CLK_PI_0 ^= PI_0 ^= DESCR ^= ECRAN_1441
          | CLK_XZX_163 ^= X0_1147 ^= X1_1148 ^= Y2_1149 ^= X2_1150 ^= ECRAN_1151 ^= XZX_1171 ^= XZX_1221
          | CLK_X0_1047 ^= X0_1047 ^= X1_1048 ^= Y2_1049 ^= X2_1050 ^= ECRAN_1051 ^= XZX_1071 ^= XZX_1121
          | CLK_X1 ^= X1 ^= ECRAN ^= XZX_789
          | CLK_ZAUTO ^= NEXTAUTO
          | CLK_S1 ^= X ^= V_681 ^= V1 ^= ZV_695 ^= XZX_708 ^= V1_746 ^= ZV_747 ^= X2_950 ^= Y1 ^= Y2_956 ^= Y3 ^= ECRAN_960 ^= XZX_970 ^= XZX_994 ^= XZX_1016 ^= C_2495 ^= C_2497
          | CLK_ZV ^= ZV ^= V ^= C ^= C_2471
          | CLK_VU_348 ^= VU_348
          | CLK_VU ^= VU
          | CLK_NEW_BOUND_1 ^= NEW_BOUND_1
          | CLK_NEW_BOUND_2 ^= NEW_BOUND_2
          | CLK_C1 ^= X0 ^= X1_831 ^= Y2 ^= X2 ^= ECRAN_834 ^= XZX_854 ^= XZX_921
          | CLK_X0_1246 ^= X0_1246 ^= X1_1247 ^= Y2_1248 ^= X2_1249 ^= ECRAN_1250 ^= XZX_1270 ^= XZX_1320
          | CLK_X0_1346 ^= X0_1346 ^= X1_1347 ^= Y2_1348 ^= X2_1349 ^= ECRAN_1350 ^= XZX_1370 ^= XZX_1420
          | CLK_NEW_BOUND ^= NEW_BOUND ^= XZX_251 ^= OLD_BOUND ^= XZX_562 ^= C_2473
          | CLK_CLICK_585 ^= CLICK_585 ^= ZV_613 ^= V_614 ^= C_2491 ^= C_2493
          | CLK_MAX1_245 ^= MAX1_245
          | CLK_SCREEN ^= SCREEN
          |)
       | ZV := V$1 init 10
       | V := (0 when CLK_CSTART) default (0 when CLK_916) default ((ZV+1) when CLK_897)
       | C_LIN_EXP := (CODE_CHANGE=2) when CLK_C_UP_DOWN
       | NEW_BOUND := (PI_0 when CLK_PI_0) default (NEW_BOUND_2 when CLK_893) default (NEW_BOUND_1 when CLK_895) default (OLD_BOUND when CLK_889)
       | ADR_COUNT := (DESCR when CLK_PI_0) cell H init 0
       | MAX1_245 := (XZX_251 when CLK_NEW_BOUND) cell CLK_MAX1_245 init 0
       | MAX_246 := MAX1_245 when CLK_MAX_246
       | ZV_249 := V_250$1 init 1
       | V_250 := (0 when CLK_141) default ((ZV_249+1) when CLK_142)
       | XZX_251 := (0 when CLK_118) default ((NEW_BOUND-1) when CLK_119)
       | OLD_BOUND := NEW_BOUND$1 init 1
       | NEW_BOUND_1 := (VU when CLK_VU) default (VD when CLK_197)
       | XZX_313 := OLD_BOUND when CLK_XZX_313
       | VD := (XZX_313+XZX_313) when CLK_VD
       | VU := (XZX_313/2) when CLK_VU
       | NEW_BOUND_2 := (VU_348 when CLK_VU_348) default (VD_347 when CLK_235)
       | XZX_338 := OLD_BOUND when CLK_XZX_338
       | DELTA_346 := ((XZX_338/16) when CLK_215) default (1 when CLK_216)
       | VD_347 := (XZX_338+DELTA_346) when CLK_VD_347
       | VU_348 := (XZX_338-DELTA_346) when CLK_VU_348
       | XZX_413 := ADR_COUNT
       | CODE_CHANGE := RCHANGE(XZX_413)
       | XZX_431 := ADR_COUNT when CLK_C_UP_DOWN
       | C_UP_DOWN := RUPDOWN(XZX_431)
       | C_SW_AUTO := RAUTO()
       | C_STOP := RSTOP()
       | C_TICK := RTICK()
       | RESET_PANEL(NEXTAUTO)
       | WSTOP(STOP_398)
       | DESCR := GET_DESCR_PACEMAKER()
       | PI_0 := GET_PI_PACEMAKER()
       | XZX_562 := ADR_COUNT when CLK_NEW_BOUND
       | WIWRITE(XZX_562,NEW_BOUND)
       | CLICK_585 := RCLICK()
       | ZV_613 := V_614$1 init 2
       | V_614 := (0 when CLK_409) default ((ZV_613+1) when CLK_410)
       | X := (0 when CLK_459) default (V1_746 when CLK_460)
       | SCREEN := (ECRAN_1441 when CLK_PI_0) cell CLK_SCREEN init 0
       | V_681 := (0 when CLK_441) default (V1 when CLK_442)
       | V1 := ZV_695+10
       | ZV_695 := V_681$1 init 40
       | XZX_708 := SCREEN when CLK_S1
       | WEFFACE(XZX_708,V_681,10,60)
       | V1_746 := ZV_747+10
       | ZV_747 := X$1 init 790
       | X1 := X when CLK_X1
       | ECRAN := SCREEN when CLK_X1
       | XZX_789 := X1+10
       | WHLINE(ECRAN,X1,Y_POS,XZX_789)
       | X0 := X when CLK_C1
       | X1_831 := X0+4
       | Y2 := Y_POS+XZX_854
       | X2 := X1_831+2
       | ECRAN_834 := SCREEN when CLK_C1
       | WHLINE(ECRAN_834,X0,Y_POS,X1_831)
       | XZX_854 := (40 when CLK_499) default ((-40) when CLK_500)
       | WVLINE(ECRAN_834,X1_831,Y_POS,Y2)
       | WHLINE(ECRAN_834,X1_831,Y2,X2)
       | WVLINE(ECRAN_834,X2,Y_POS,Y2)
       | XZX_921 := X2+4
       | WHLINE(ECRAN_834,X2,Y_POS,XZX_921)
       | X2_950 := X+10
       | Y1 := Y_POS+XZX_970
       | Y2_956 := Y_POS+XZX_994
       | Y3 := Y_POS+XZX_1016
       | ECRAN_960 := SCREEN when CLK_S1
       | XZX_970 := ((-20) when CLK_529) default (20 when CLK_530)
       | WHLINE(ECRAN_960,X,Y1,X2_950)
       | XZX_994 := ((-21) when CLK_529) default (21 when CLK_530)
       | WHLINE(ECRAN_960,X,Y2_956,X2_950)
       | XZX_1016 := ((-22) when CLK_529) default (22 when CLK_530)
       | WHLINE(ECRAN_960,X,Y3,X2_950)
       | X0_1047 := X when CLK_X0_1047
       | X1_1048 := X0_1047+4
       | Y2_1049 := Y_POS_1034+XZX_1071
       | X2_1050 := X1_1048+2
       | ECRAN_1051 := SCREEN when CLK_X0_1047
       | WHLINE(ECRAN_1051,X0_1047,Y_POS_1034,X1_1048)
       | XZX_1071 := 15 when CLK_X0_1047
       | WVLINE(ECRAN_1051,X1_1048,Y_POS_1034,Y2_1049)
       | WHLINE(ECRAN_1051,X1_1048,Y2_1049,X2_1050)
       | WVLINE(ECRAN_1051,X2_1050,Y_POS_1034,Y2_1049)
       | XZX_1121 := X2_1050+4
       | WHLINE(ECRAN_1051,X2_1050,Y_POS_1034,XZX_1121)
       | X0_1147 := X when CLK_XZX_163
       | X1_1148 := X0_1147+4
       | Y2_1149 := Y_POS_1138+XZX_1171
       | X2_1150 := X1_1148+2
       | ECRAN_1151 := SCREEN when CLK_XZX_163
       | WHLINE(ECRAN_1151,X0_1147,Y_POS_1138,X1_1148)
       | XZX_1171 := BOOL_HEIGHT_1139 when CLK_XZX_163
       | WVLINE(ECRAN_1151,X1_1148,Y_POS_1138,Y2_1149)
       | WHLINE(ECRAN_1151,X1_1148,Y2_1149,X2_1150)
       | WVLINE(ECRAN_1151,X2_1150,Y_POS_1138,Y2_1149)
       | XZX_1221 := X2_1150+4
       | WHLINE(ECRAN_1151,X2_1150,Y_POS_1138,XZX_1221)
       | X0_1246 := X when CLK_X0_1246
       | X1_1247 := X0_1246+4
       | Y2_1248 := 20+XZX_1270
       | X2_1249 := X1_1247+2
       | ECRAN_1250 := SCREEN when CLK_X0_1246
       | WHLINE(ECRAN_1250,X0_1246,20,X1_1247)
       | XZX_1270 := 20 when CLK_X0_1246
       | WVLINE(ECRAN_1250,X1_1247,20,Y2_1248)
       | WHLINE(ECRAN_1250,X1_1247,Y2_1248,X2_1249)
       | WVLINE(ECRAN_1250,X2_1249,20,Y2_1248)
       | XZX_1320 := X2_1249+4
       | WHLINE(ECRAN_1250,X2_1249,20,XZX_1320)
       | X0_1346 := X when CLK_X0_1346
       | X1_1347 := X0_1346+4
       | Y2_1348 := 40+XZX_1370
       | X2_1349 := X1_1347+2
       | ECRAN_1350 := SCREEN when CLK_X0_1346
       | WHLINE(ECRAN_1350,X0_1346,40,X1_1347)
       | XZX_1370 := 20 when CLK_X0_1346
       | WVLINE(ECRAN_1350,X1_1347,40,Y2_1348)
       | WHLINE(ECRAN_1350,X1_1347,Y2_1348,X2_1349)
       | WVLINE(ECRAN_1350,X2_1349,40,Y2_1348)
       | XZX_1420 := X2_1349+4
       | WHLINE(ECRAN_1350,X2_1349,40,XZX_1420)
       | ECRAN_1441 := GET_DISPLAY()
       | C := ZV>=9
       | C_2471 := V=0
       | C_2473 := NEW_BOUND<=1
       | C_2475 := ZV_249>=MAX_246
       | C_2477 := V_250=0
       | C_2479 := XZX_313>1
       | C_2481 := VD>0
       | C_2483 := XZX_338>=16
       | C_2485 := XZX_338>1
       | C_2487 := VD_347>0
       | C_2489 := CODE_CHANGE=0
       | C_2491 := ZV_613>=1
       | C_2493 := V_614=0
       | C_2495 := V1>=800
       | C_2497 := V1_746>=800
       |)
   %VTMOUSE_P2_otherPart%; 
   process VTMOUSE_P2_booleanPart =
        ( ? event CLK_905, CLK_CLICK_585, CLK_C1, CLK_DOUBLE_CLICK, CLK_CRELAX, SX_165, CLK_CSTART, CLK_S1, CLK_ZAUTO, CLK, CLK_RESULT, CLK_XZX_163, CLK_C_UP_DOWN, CLK_XZX_313, CLK_XZX_338, H;
            event H;
            boolean C_UP_DOWN;
          ! boolean C1, S1, CSTART, CRELAX, DOUBLE_CLICK, WBI, BTI, XZX_163, XZX_317, XZX_341, AUTOMOD, ZAUTO, NEXTAUTO, CINIT, XZX_783, NS, ALTERN, NALTERN, RESULT;
            setOfStates_0 PROP;
            setOfStates PROP_1516, PROP_1521;
        )
      pragmas 
         Partition "booleanPart"
      end pragmas
      (| (| H ^= H ^= AUTOMOD ^= CINIT
          | CLK_XZX_338 ^= XZX_341
          | CLK_XZX_313 ^= XZX_317
          | CLK_C_UP_DOWN ^= C_UP_DOWN
          | CLK_XZX_163 ^= XZX_163
          | CLK_RESULT ^= RESULT ^= PROP
          | CLK_ZAUTO ^= ZAUTO ^= NEXTAUTO
          | CLK_S1 ^= S1 ^= WBI ^= BTI ^= XZX_783 ^= NS
          | CLK_CSTART ^= CSTART ^= PROP_1521
          | CLK_CRELAX ^= CRELAX ^= PROP_1516
          | CLK_DOUBLE_CLICK ^= DOUBLE_CLICK
          | CLK_C1 ^= C1 ^= ALTERN ^= NALTERN
          |)
       | C1 := (not CLK_CRELAX) default CLK_CSTART
       | S1 := NS$1 init false
       | CSTART := ALTERN when CLK_CSTART
       | CRELAX := ALTERN when CLK_CRELAX
       | DOUBLE_CLICK := (XZX_163 when CLK_XZX_163) cell CLK_DOUBLE_CLICK init false
       | WBI := (not CLK_CRELAX) default CLK_CSTART default (BTI when CLK_905)
       | BTI := WBI$1 init INIT_INTERVAL
       | XZX_163 := (not CLK_CSTART) default SX_165
       | XZX_317 := C_UP_DOWN when CLK_XZX_313
       | XZX_341 := C_UP_DOWN when CLK_XZX_338
       | AUTOMOD := (NEXTAUTO when CLK_ZAUTO) cell H init true
       | ZAUTO := NEXTAUTO$1 init true
       | NEXTAUTO := not ZAUTO
       | CINIT := (false when H)$1 init true
       | XZX_783 := (not CLK_C1) default CLK_905
       | NS := (C1 when CLK_C1) default (S1 when CLK_905)
       | ALTERN := NALTERN$1 init true
       | NALTERN := not ALTERN
       | PROP_1516 := B_True(CRELAX)
       | PROP_1521 := B_False(CSTART)
       | PROP := B_Or(PROP_1521,PROP_1516)
       | RESULT := Never(PROP)
       | Sigali(RESULT)
       |)
   %VTMOUSE_P2_booleanPart%; 
   process RCHANGE =
        ( ? integer ADRCOUNT;
          ! integer CODE;
        )
        spec (| ADRCOUNT ^= CODE |)
   
   %RCHANGE%; 
   process RUPDOWN =
        ( ? integer ADRCOUNT;
          ! boolean UPDOWN;
        )
        spec (| ADRCOUNT ^= UPDOWN |)
   
   %RUPDOWN%; 
   process RAUTO =
        ( ! boolean AUTO;
        )
   
   %RAUTO%; 
   process RSTOP =
        ( ! boolean STOP;
        )
   
   %RSTOP%; 
   process RTICK =
        ( ! boolean TICK;
        )
   
   %RTICK%; 
   process RESET_PANEL =
        ( ? boolean AUTO;
        )
   
   %RESET_PANEL%; 
   process WSTOP =
        ( ? event DOWN;
        )
   
   %WSTOP%; 
   process GET_DESCR_PACEMAKER =
        ( ! integer DESCR;
        )
   
   %GET_DESCR_PACEMAKER%; 
   process GET_PI_PACEMAKER =
        ( ! integer DESCR;
        )
   
   %GET_PI_PACEMAKER%; 
   process WIWRITE =
        ( ? integer ADR_COUNT;
            integer V;
        )
        spec (| ADR_COUNT ^= V |)
   
   %WIWRITE%; 
   process RCLICK =
        ( ! boolean CLICK;
        )
   
   %RCLICK%; 
   process WEFFACE =
        ( ? integer SCREEN;
            integer X1;
            integer DX;
            integer DY;
        )
        spec (| SCREEN ^= X1 ^= DX ^= DY |)
   
   %WEFFACE%; 
   process WHLINE =
        ( ? integer SCREEN;
            integer X1;
            integer Y1;
            integer X2;
        )
        spec (| SCREEN ^= X1 ^= Y1 ^= X2 |)
   
   %WHLINE%; 
   process WVLINE =
        ( ? integer SCREEN;
            integer X1;
            integer Y1;
            integer Y2;
        )
        spec (| SCREEN ^= X1 ^= Y1 ^= Y2 |)
   
   %WVLINE%; 
   process GET_DISPLAY =
        ( ! integer DESCR;
        )
   
   %GET_DISPLAY%; 
   process B_Or =
        ( ? setOfStates PROP1, PROP2;
          ! setOfStates PROP;
        )
      pragmas 
         Sigali "&o1: &n(&i1, &i2);"
         Comment "Perform the or between two set of states: "
                 " e.g. B_Or(B_True(A),B_False(B) will compute the "
                 " set of states where A is true whereas B is false"
      end pragmas
   
   %B_Or%; 
   process Sigali =
        ( ? boolean E;
        )
      pragmas 
         Sigali ""
         Comment "In case of verification the E expression  will be evaluated by the sigali tool."
                 "In case of synthesis, the sigali tool will produce the controlled system according to the E expression."
                 "In case of controllable, the E input variable will be considered as controllable."
                 "In case of simulation, see Simul comment."
      end pragmas
   
   %Sigali%; 
   function B_True =
        ( ? boolean CRELAX;
          ! setOfStates PROP_1516;
        )
      pragmas 
         Sigali "&o1: &n(S,&i1);"
         Comment "Will compute the set of states where boolean A is true"
      end pragmas
      external
   %B_True%; 
   function B_False =
        ( ? boolean CSTART;
          ! setOfStates PROP_1521;
        )
      pragmas 
         Sigali "&o1: &n(S,&i1);"
         Comment "Compute  the set of states where boolean A is false"
      end pragmas
      external
   %B_False%; 
   function Never =
        ( ? setOfStates_0 PROP;
          ! boolean RESULT;
        )
      pragmas 
         Sigali "&n(S,&i1);"
         Comment "Never(SYSTEM,  SET)  ->  BOOLEAN  :   Never(syst,  p)  is  True"
                 " whenever no state of V(p) can be reached from the initial states of the system"
      end pragmas
      external
   %Never%; 
   end
%VTMOUSE_P2_TRA%; 
