process vtSimpleWatch_BOOL_TRA =
     ( )
   pragmas 
      Main
      COMMENT "Definition of a graphical pace-maker with the following buttons:"
              "  - AUTO/MANU  : switches the mode (AUTOMATIC/MANUAL)"
              "  - TICK       : gives the ticks in MANUAL mode"
              "                 and gives supplementary ticks in AUTOMATIC mode"
              "  - QUIT       : quits the program in MANUAL mode"
              "  - +          : decreases the period of the clock program"
              "                 (basic frequency in AUTOMATIC mode)"
              "  - -          : increases the period of the clock program"
              "  - /          : divides by 2 the period of the clock program"
              "  - *          : doubles the period of the clock program"
              " (buttons +, -, /, * can be depressed in both AUTOMATIC and MANUAL modes)"
              " HE : Master Clock of the simulation."
              " frame: the window of the created object."
              " HES : sub-clock of HE obtained through the command buttons."
              " H_0 : clock of the initial instant."
      COMMENT "Getting of the state of a button."
              "w: window assigned to the button."
              "b: true if the button has been clicked, false otherwise."
      Java_Code "&o1=sim.&n(&i1)"
      COMMENT "Getting of the state of a button."
              "w: window assigned to the button."
              "b: true if the button has been clicked, false otherwise."
      COMMENT "Getting of the state of a button."
              "w: window assigned to the button."
              "b: true if the button has been clicked, false otherwise."
      COMMENT "Getting of the state of a button."
              "w: window assigned to the button."
              "b: true if the button has been clicked, false otherwise."
      COMMENT "Getting of the state of a checkbox."
              "w: window assigned to the button to be checked."
              "b: true if the button is checked, false otherwise."
      COMMENT "Getting of the state of a button."
              "w: window assigned to the button."
              "b: true if the button has been clicked, false otherwise."
      COMMENT "Getting of the state of a button."
              "w: window assigned to the button."
              "b: true if the button has been clicked, false otherwise."
      COMMENT "Exiting function:it terminates the simulation."
              "h: the activation clock."
      Java_Code "sim.&n()"
      COMMENT "It creates a frame, where all the graphics will be built(buttons, canvas)."
              "width: width of the frame; height: heigth of the frame."
              "win: the window of the created object."
              "The call to createFrame is obligatory; if you use the pacemaker, this call is already done"
      Java_Code "&o1 = sim.&n(&i1, &i2)"
      COMMENT "It creates a panel, that means a window where others graphical components can be put."
              "win: mother window;  d: the direction (horizontal and vertical)"
              "panel: the window of the created object."
      Java_Code "&o1 = sim.&n(&i1,&i2)"
      COMMENT "It creates a text area that can be modified."
              "win: mother window,  width: the width of the area, height: height of the area."
              "text:the window of the created object."
      Java_Code "&o1=sim.&n(&i1,&i2,&i3)"
      COMMENT "It creates a button."
              "win: mother window."
              "but: the window of the created object."
      COMMENT "It creates a button."
              "win: mother window."
              "but: the window of the created object."
      COMMENT "It creates a button."
              "win: mother window."
              "but: the window of the created object."
      COMMENT "It creates a button."
              "win: mother window."
              "but: the window of the created object."
      COMMENT "It creates a button."
              "win: mother window."
              "but: the window of the created object."
      COMMENT "It creates a button with a box to check."
              "win: mother window, b: initial state (check or uncheck)"
              "cB: the window of the created object."
      Java_Code "&o1=sim.&n(&i1,&i2)"
      COMMENT "It creates a button."
              "win: mother window."
              "but: the window of the created object."
      COMMENT "Writing an integer"
              "w:window of the text area, val: integer value to be writen."
      Java_Code "sim.&n(&i1,&i2)"
      COMMENT "Getting of the state of a button."
              "w: window assigned to the button."
              "b: true if the button has been clicked, false otherwise."
      COMMENT "It creates a panel, that means a window where others graphical components can be put."
              "win: mother window;  d: the direction (horizontal and vertical)"
              "panel: the window of the created object."
      Java_Code "&o1 = sim.&n(&i1,&i2)"
      COMMENT "It creates a canvas (to draw curves or patterns)"
              "win: mother window, width: the width of the canvas, height: height of the canvas"
              "canvas: the window of the created object."
      Java_Code "&o1=sim.&n(&i1,&i2,&i3)"
      COMMENT "It creates a panel, that means a window where others graphical components can be put."
              "win: mother window;  d: the direction (horizontal and vertical)"
              "panel: the window of the created object."
      Java_Code "&o1 = sim.&n(&i1,&i2)"
      COMMENT "It creates a button."
              "win: mother window."
              "but: the window of the created object."
      Java_CODE "&o1=true"
      COMMENT "Resetting a rectangular area in a canvas"
              "w: window of the canvas, x1:the X-coordinate of the start point,"
              "dx: the X-coordinate of the arrival point, dy: the Y-coordinate"
      Java_Code "sim.&n(&i1,&i2,&i3,&i4)"
      COMMENT "Writing a full rectangle in black color in a canvas"
              "w: window of the canvas,"
              "x, y:the X (resp. Y-coordinate) of the start point,"
              "dx,dy: the X (resp. Y-coordinate) of the arrival point.??? length???"
      Java_Code "sim.&n(&i1,&i2,&i3,&i4,&i5, &i6)"
      COMMENT "Writing an integer in a canvas"
              "w: window of the canvas, val: the value to be written,"
              "x: position in X-coordinate,y: position in Y-coordinate"
      Java_Code "sim.drawInteger(&i1,&i2,&i3,&i4)"
      COMMENT "Writing a full rectangle in black color in a canvas"
              "w: window of the canvas,"
              "x, y:the X (resp. Y-coordinate) of the start point,"
              "dx,dy: the X (resp. Y-coordinate) of the arrival point.??? length???"
      Java_Code "sim.&n(&i1,&i2,&i3,&i4,&i5, &i6)"
      COMMENT "Writing an integer in a canvas"
              "w: window of the canvas, val: the value to be written,"
              "x: position in X-coordinate,y: position in Y-coordinate"
      Java_Code "sim.drawInteger(&i1,&i2,&i3,&i4)"
      COMMENT "Writing a full rectangle in black color in a canvas"
              "w: window of the canvas,"
              "x, y:the X (resp. Y-coordinate) of the start point,"
              "dx,dy: the X (resp. Y-coordinate) of the arrival point.??? length???"
      Java_Code "sim.&n(&i1,&i2,&i3,&i4,&i5, &i6)"
      COMMENT "Writing an integer in a canvas"
              "w: window of the canvas, val: the value to be written,"
              "x: position in X-coordinate,y: position in Y-coordinate"
      Java_Code "sim.drawInteger(&i1,&i2,&i3,&i4)"
      COMMENT "Writing a full rectangle in black color in a canvas"
              "w: window of the canvas,"
              "x, y:the X (resp. Y-coordinate) of the start point,"
              "dx,dy: the X (resp. Y-coordinate) of the arrival point.??? length???"
      Java_Code "sim.&n(&i1,&i2,&i3,&i4,&i5, &i6)"
      COMMENT "Writing an integer in a canvas"
              "w: window of the canvas, val: the value to be written,"
              "x: position in X-coordinate,y: position in Y-coordinate"
      Java_Code "sim.drawInteger(&i1,&i2,&i3,&i4)"
      DefinedClockHierarchy
   end pragmas
   (| (| Tick := true
       | ACT_Tick{}
       |)
    | (| {canvas --> P2} when CINIT |)
    |)
   where 
   constant integer TICK_NUMBER = 15;
   constant integer FRONT_NUMBER = 2;
   constant integer TICK_HEIGHT = 10;
   constant integer DELTA = 20;
   constant integer TICK_WIDTH = 4;
   constant integer ESP_HEIGHT = 5;
   constant integer STRING_HEIGHT = 10;
   constant integer MIN_A = 0;
   constant integer MAX_A = 60;
   constant integer L_C = 500;
   constant integer H_C = 300;
   constant integer V0 = 60;
   constant integer V0_168 = 60;
   constant integer V0_193 = 24;
   constant integer CST_COEF_INIT_PACE = 4;
   constant integer CST_Frame_V1 = 900;
   constant integer CST_Frame_V2 = 530;
   constant integer CST_TextArea_V1 = 100;
   constant integer CST_TextArea_V2 = 30;
   constant integer PHY_0 = 0;
   constant integer PI_0_324 = 1;
   constant integer V_0 = 1;
   constant integer TS = 44;
   constant integer V_BOUND = 660;
   constant integer V_INIT = 44;
   constant integer V_BOUND_1053 = 660;
   constant integer V_INIT_1054 = 616;
   constant integer Y_POS = 220;
   constant integer Y_POS_1231 = 200;
   constant integer Y_POS_1333 = 170;
   constant integer Y_POS_1434 = 150;
   type TWindow = integer;
   type TColor = integer;
   constant TColor red = 0;
   constant TColor green = 1;
   constant TColor blue = 2;
   constant TColor black = 3;
   constant TColor white = 4;
   constant TColor cyan = 5;
   constant TColor darkGray = 6;
   constant TColor gray = 7;
   constant TColor lightGray = 8;
   constant TColor magenta = 9;
   constant TColor orange = 10;
   constant TColor pink = 11;
   constant TColor yellow = 12;
   constant TColor vc = black;
   boolean Tick;
   process ACT_Tick =
        ( )
      (| when Tick ^= canvas ^= frame ^= butERESET ^= textArea ^= butPlus ^= butMoins ^= butMult ^= butDiv ^= butAuto ^= butTick ^= butQuit ^= bPlus ^= bMoins ^= bMult ^= bDiv ^= XZX_518 ^= XZX_535 ^= XZX_542 ^= XZX_549 ^= AUTOMOD ^= C_STOP ^= C_TICK ^= 
         CINIT ^= C_ERESET ^= C_CLK_285 ^= C_CLK_288 ^= C_CLK_294 ^= C_CLK_297 ^= C_C_UP_DOWN ^= C_C_LIN_EXP ^= C_ ^= C_MAX1 ^= C_CLK_892 ^= C_CLK_894 ^= C_HSP_302_2807 ^= C_LIN_EXP_2813 ^= C__2818 ^= C_CLK_183_2826 ^= C_CLK_221_2842 ^= C__2848 ^= C__2851 
         ^= C_TOPS_91 ^= C__2857 ^= C_NOUV_MINUTE_2862 ^= XZX_2868 ^= C_CLK_188_2878 ^= XZX_2884 ^= C_CLK_226_2894 ^= C_VU ^= C_NEW_BOUND ^= C_VU_2972 ^= C_NEW_BOUND_2975 ^= C_ZVCPT ^= C_CLK_820 ^= C_CLK_826 ^= C_CLK_860 ^= C_CLK_862 ^= C_CLK_879 ^= 
         C_CLK_881 ^= C_NOUV_HEURE_3020 ^= C_ZVCPT_3026 ^= C_CLK_857 ^= C_NOUV_JOUR_3035 ^= C_RESET_HEURE ^= C_CLK_855 ^= C_CLK_864 ^= C_CLK_888
       | (| when AUTOMOD ^= C_HSP_302
          | ACT_AUTOMOD{}
          |)
       | (| (| quitAppli(true when C_STOP) |) |)
       | (| when CINIT ^= Frame ^= TextArea ^= ButQuit ^= ButTick ^= ButAuto ^= ButPlus ^= ButMoins ^= ButMult ^= ButDiv ^= P2 ^= canvas_898 ^= but
          | ACT_CINIT{}
          |)
       | (| when C_C_UP_DOWN ^= C_UP_DOWN
          | (| C_UP_DOWN := (true when C_CLK_294) default (false when C_CLK_894) |)
          |)
       | (| when C_C_LIN_EXP ^= C_LIN_EXP ^= C__2815
          | ACT_C_C_LIN_EXP{}
          |)
       | (| when C_ ^= XZX_340 ^= OLD_BOUND
          | ACT_C_{}
          |)
       | (| when C_MAX1 ^= MAX1
          | (| MAX1 := (XZX_340 when C_) cell C_MAX1 init 0 |)
          |)
       | (| when C__2848 ^= XZX_406 ^= C_VD
          | ACT_C__2848{}
          |)
       | (| when C__2851 ^= XZX_430 ^= C_VD_2886
          | ACT_C__2851{}
          |)
       | (| when C__2857 ^= C_NOUV_MINUTE
          | ACT_C__2857{}
          |)
       | (| when C_VU ^= VU
          | (| VU := (XZX_402/2) when C_VU |)
          |)
       | (| when C_NEW_BOUND ^= NEW_BOUND_1
          | (| NEW_BOUND_1 := (VU when C_VU) default (VD when C_CLK_188) |)
          |)
       | (| when C_VU_2972 ^= VU_437
          | (| VU_437 := (XZX_427-DELTA_435) when C_VU_2972 |)
          |)
       | (| when C_NEW_BOUND_2975 ^= NEW_BOUND_2
          | (| NEW_BOUND_2 := (VU_437 when C_VU_2972) default (VD_436 when C_CLK_226) |)
          |)
       | (| when C_ZVCPT ^= VMINUTE ^= C_NOUV_HEURE
          | ACT_C_ZVCPT{}
          |)
       | (| when C_ZVCPT_3026 ^= VHEURE ^= C_NOUV_JOUR
          | ACT_C_ZVCPT_3026{}
          |)
       | (| canvas := (canvas_898 when CINIT) cell Tick init 0
          | frame := (Frame when CINIT) cell Tick init 0
          | butERESET := (but when CINIT) cell Tick init 0
          | textArea := (TextArea when CINIT) cell Tick init 0
          | butPlus := (ButPlus when CINIT) cell Tick init 0
          | butMoins := (ButMoins when CINIT) cell Tick init 0
          | butMult := (ButMult when CINIT) cell Tick init 0
          | butDiv := (ButDiv when CINIT) cell Tick init 0
          | butAuto := (ButAuto when CINIT) cell Tick init 0
          | butTick := (ButTick when CINIT) cell Tick init 0
          | butQuit := (ButQuit when CINIT) cell Tick init 0
          | XZX_518 := butPlus
          | bPlus := readButton(XZX_518)
          | XZX_535 := butMoins
          | bMoins := readButton(XZX_535)
          | XZX_542 := butMult
          | bMult := readButton(XZX_542)
          | XZX_549 := butDiv
          | bDiv := readButton(XZX_549)
          | AUTOMOD := readCheckBox(butAuto)
          | C_STOP := readButton(butQuit)
          | C_TICK := readButton(butTick)
          | CINIT := (false when Tick)$1 init true
          | C_ERESET := readButton(butERESET)
          | C_CLK_285 := bPlus or bMoins
          | C_CLK_288 := bMult or bDiv
          | C_CLK_294 := bPlus or bMult
          | C_CLK_297 := bMoins or bDiv
          | C_C_UP_DOWN := C_CLK_294 or C_CLK_297
          | C_C_LIN_EXP := C_CLK_285 or C_CLK_288
          | C_ := CINIT or C_C_LIN_EXP
          | C_MAX1 := C_ or AUTOMOD
          | C_CLK_892 := (not C_CLK_285) and C_CLK_288
          | C_CLK_894 := (not C_CLK_294) and C_CLK_297
          | C_HSP_302_2807 := left_tt ( C_HSP_302,AUTOMOD )
          | C_LIN_EXP_2813 := left_tt ( C_LIN_EXP,C_C_LIN_EXP )
          | C__2818 := left_tt ( C__2815,C_C_LIN_EXP )
          | C_CLK_183_2826 := left_tt ( C_CLK_183,C_C_LIN_EXP )
          | C_CLK_221_2842 := left_tt ( C_CLK_221,C_C_LIN_EXP )
          | C__2848 := C_C_UP_DOWN and C__2818
          | C__2851 := C_C_UP_DOWN and C_LIN_EXP_2813
          | C_TOPS_91 := C_TICK or C_HSP_302_2807
          | C__2857 := C_ERESET or C_TOPS_91
          | C_NOUV_MINUTE_2862 := left_tt ( C_NOUV_MINUTE,C__2857 )
          | XZX_2868 := left_tt ( XZX_406,C__2848 )
          | C_CLK_188_2878 := left_tt ( C_CLK_188,C__2848 )
          | XZX_2884 := left_tt ( XZX_430,C__2851 )
          | C_CLK_226_2894 := left_tt ( C_CLK_226,C__2851 )
          | C_VU := XZX_2868 and C_CLK_183_2826
          | C_NEW_BOUND := C_VU or C_CLK_188_2878
          | C_VU_2972 := XZX_2884 and C_CLK_221_2842
          | C_NEW_BOUND_2975 := C_VU_2972 or C_CLK_226_2894
          | C_ZVCPT := C_ERESET or C_NOUV_MINUTE_2862
          | C_CLK_820 := CINIT or C_NEW_BOUND_2975
          | C_CLK_826 := C_CLK_820 or C_NEW_BOUND
          | C_CLK_860 := (not C_CLK_826) and C_
          | C_CLK_862 := (not C_ZVCPT) and C__2857
          | C_CLK_879 := (not CINIT) and C_NEW_BOUND_2975
          | C_CLK_881 := (not C_CLK_820) and C_NEW_BOUND
          | C_NOUV_HEURE_3020 := left_tt ( C_NOUV_HEURE,C_ZVCPT )
          | C_ZVCPT_3026 := C_ERESET or C_NOUV_HEURE_3020
          | C_CLK_857 := (not C_ZVCPT_3026) and C_ZVCPT
          | C_NOUV_JOUR_3035 := left_tt ( C_NOUV_JOUR,C_ZVCPT_3026 )
          | C_RESET_HEURE := C_ERESET or C_NOUV_JOUR_3035
          | C_CLK_855 := (not C_RESET_HEURE) and C_ZVCPT_3026
          | C_CLK_864 := (not C_RESET_HEURE) and C__2857
          | C_CLK_888 := (not C_ERESET) and C_NOUV_JOUR_3035
          |)
       |)
      where 
      boolean C_LIN_EXP, C_UP_DOWN, XZX_406, XZX_430, bPlus, bMoins, bMult, bDiv, AUTOMOD, C_STOP, C_TICK, CINIT, C_ERESET, C_CLK_285, C_CLK_288, C_CLK_294, C_CLK_297, C_C_UP_DOWN, C_C_LIN_EXP, C_, C_MAX1, C_CLK_892, C_CLK_894, C_HSP_302, C_HSP_302_2807, 
             C_LIN_EXP_2813, C__2815, C__2818, C_CLK_183, C_CLK_183_2826, C_CLK_221, C_CLK_221_2842, C__2848, C__2851, C_TOPS_91, C__2857, C_NOUV_MINUTE, C_NOUV_MINUTE_2862, XZX_2868, C_VD, C_CLK_188, C_CLK_188_2878, XZX_2884, C_VD_2886, C_CLK_226, 
             C_CLK_226_2894, C_VU, C_NEW_BOUND, C_VU_2972, C_NEW_BOUND_2975, C_ZVCPT, C_CLK_820, C_CLK_826, C_CLK_860, C_CLK_862, C_CLK_879, C_CLK_881, C_NOUV_HEURE, C_NOUV_HEURE_3020, C_ZVCPT_3026, C_CLK_857, C_NOUV_JOUR, C_NOUV_JOUR_3035, C_RESET_HEURE, 
             C_CLK_855, C_CLK_864, C_CLK_888;
      integer VHEURE, VMINUTE, MAX1, XZX_340, OLD_BOUND, NEW_BOUND_1, XZX_402, VD, VU, NEW_BOUND_2, XZX_427, DELTA_435, VD_436, VU_437;
      TWindow canvas, frame, butERESET, textArea, butPlus, butMoins, butMult, butDiv, butAuto, butTick, butQuit, XZX_518, XZX_535, XZX_542, XZX_549, Frame, TextArea, ButQuit, ButTick, ButAuto, ButPlus, ButMoins, ButMult, ButDiv, P2, canvas_898, but;
      process ACT_AUTOMOD =
           ( )
         (| when AUTOMOD ^= MAX ^= ZV ^= V ^= C_CLK_132 ^= C_CLK_133
          | (| MAX := MAX1 when AUTOMOD
             | ZV := V$1 init 1
             | V := (0 when C_CLK_132) default ((ZV+1) when C_CLK_133)
             | C_CLK_132 := ZV>=MAX
             | C_CLK_133 := not (ZV>=MAX)
             | C_HSP_302 := V=0
             |)
          |)
         where 
         boolean C_CLK_132, C_CLK_133;
         integer MAX, ZV, V;
         end
      %ACT_AUTOMOD%; 
      process ACT_CINIT =
           ( )
         (| when CINIT ^= p1 ^= P1 ^= fr
          | (| Frame := createFrame(900,530)
             | p1 := createPanelWithCustomLayout(Frame,1 when CINIT)
             | TextArea := createTextArea(p1,100,30)
             | ButPlus := createButton(p1)
             | ButMoins := createButton(p1)
             | ButDiv := createButton(p1)
             | ButMult := createButton(p1)
             | ButTick := createButton(p1)
             | ButAuto := createCheckBox(p1,false when CINIT)
             | ButQuit := createButton(p1)
             | fr := frame when CINIT
             | P1 := createPanelWithCustomLayout(fr,1 when CINIT)
             | canvas_898 := createCanvas(P1,300,500)
             | P2 := createPanelWithCustomLayout(fr,0 when CINIT)
             | but := createButton(P2)
             |)
          |)
         where 
         TWindow p1, P1, fr;
         end
      %ACT_CINIT%; 
      process ACT_C_C_LIN_EXP =
           ( )
         (| (| when C_LIN_EXP ^= XZX_427 ^= DELTA_435 ^= C_CLK_221
             | ACT_C_LIN_EXP{}
             | when C__2815 ^= XZX_402 ^= C_CLK_183
             | ACT_C__2815{}
             |)
          | (| C_LIN_EXP := (true when C_CLK_285) default (false when C_CLK_892)
             | C__2815 := not C_LIN_EXP
             |)
          |)
         where 
         process ACT_C_LIN_EXP =
              ( )
            (| when C_LIN_EXP ^= C_CLK_206 ^= C_CLK_207
             | (| XZX_427 := OLD_BOUND when C_LIN_EXP
                | DELTA_435 := ((XZX_427/16) when C_CLK_206) default (1 when C_CLK_207)
                | C_CLK_206 := XZX_427>=16
                | C_CLK_207 := not (XZX_427>=16)
                | C_CLK_221 := XZX_427>1
                |)
             |)
            where 
            boolean C_CLK_206, C_CLK_207;
            end
         %ACT_C_LIN_EXP%; 
         process ACT_C__2815 =
              ( )
            (| (| XZX_402 := OLD_BOUND when C__2815
                | C_CLK_183 := XZX_402>1
                |) |)
         %ACT_C__2815%; 
         end
      %ACT_C_C_LIN_EXP%; 
      process ACT_C_ =
           ( )
         (| when C_ ^= NEW_BOUND ^= XZX_848 ^= C_CLK_109 ^= C_CLK_110
          | (| NEW_BOUND := (4 when CINIT) default (NEW_BOUND_2 when C_CLK_879) default (NEW_BOUND_1 when C_CLK_881) default (OLD_BOUND when C_CLK_860)
             | XZX_340 := (0 when C_CLK_109) default ((NEW_BOUND-1) when C_CLK_110)
             | OLD_BOUND := NEW_BOUND$1 init 1
             | XZX_848 := textArea when C_
             | setTextArea(XZX_848,NEW_BOUND)
             | C_CLK_109 := NEW_BOUND<=1
             | C_CLK_110 := not (NEW_BOUND<=1)
             |)
          |)
         where 
         boolean C_CLK_109, C_CLK_110;
         TWindow XZX_848;
         integer NEW_BOUND;
         end
      %ACT_C_%; 
      process ACT_C__2848 =
           ( )
         (| (| when C_VD ^= VD ^= C_CLK_188
             | ACT_C_VD{}
             |)
          | (| XZX_406 := C_UP_DOWN when C__2848
             | C_VD := not XZX_406
             |)
          |)
         where 
         process ACT_C_VD =
              ( )
            (| (| VD := (XZX_402+XZX_402) when C_VD
                | C_CLK_188 := VD>0
                |) |)
         %ACT_C_VD%; 
         end
      %ACT_C__2848%; 
      process ACT_C__2851 =
           ( )
         (| (| when C_VD_2886 ^= VD_436 ^= C_CLK_226
             | ACT_C_VD_2886{}
             |)
          | (| XZX_430 := C_UP_DOWN when C__2851
             | C_VD_2886 := not XZX_430
             |)
          |)
         where 
         process ACT_C_VD_2886 =
              ( )
            (| (| VD_436 := (XZX_427+DELTA_435) when C_VD_2886
                | C_CLK_226 := VD_436>0
                |) |)
         %ACT_C_VD_2886%; 
         end
      %ACT_C__2851%; 
      process ACT_C__2857 =
           ( )
         (| when C__2857 ^= H ^= M ^= ZJOUR ^= VJOUR ^= VSECONDE ^= ZVCPT ^= X ^= V_991 ^= V1 ^= ZV_1005 ^= XZX_1020 ^= V1_1061 ^= ZV_1062 ^= ECRAN ^= Y1 ^= C_aff ^= prop ^= Y1_rel ^= XZX_1143 ^= ECRAN_1250 ^= Y1_1253 ^= C_aff_1256 ^= prop_1257 ^= 
            Y1_rel_1259 ^= XZX_1292 ^= ECRAN_1351 ^= Y1_1354 ^= C_aff_1357 ^= prop_1358 ^= Y1_rel_1360 ^= XZX_1393 ^= ECRAN_1451 ^= Y1_1454 ^= C_aff_1457 ^= prop_1458 ^= Y1_rel_1460 ^= XZX_1493 ^= C_CLK_496 ^= C_CLK_497 ^= C_CLK_516 ^= C_CLK_517 ^= 
            C_CLK_535 ^= C_CLK_536 ^= C_CLK_538 ^= C_CLK_539 ^= C_CLK_592 ^= C_CLK_593 ^= C_CLK_595 ^= C_CLK_596 ^= C_CLK_637 ^= C_CLK_638 ^= C_CLK_640 ^= C_CLK_641 ^= C_CLK_682 ^= C_CLK_683 ^= C_CLK_685 ^= C_CLK_686 ^= C_CLK_741 ^= C_CLK_743 ^= C_CLK_747 
            ^= C_CLK_749 ^= C_CLK_753 ^= C_CLK_755 ^= C_CLK_759 ^= C_CLK_761 ^= C_CLK_896 ^= C_CLK_899 ^= C_CLK_902 ^= C_CLK_905
          | (| H := (VHEURE when C_ZVCPT_3026) cell C__2857 init 0
             | M := (VMINUTE when C_ZVCPT) cell C__2857 init 0
             | ZJOUR := VJOUR$1 init 0
             | VJOUR := (0 when C_ERESET) default ((ZJOUR+1) when C_CLK_888) default (ZJOUR when C_CLK_864)
             | VSECONDE := (0 when C_ZVCPT) default ((ZVCPT+1) when C_CLK_862)
             | ZVCPT := VSECONDE$1 init 60
             | X := (0 when C_CLK_516) default (V1_1061 when C_CLK_517)
             | V_991 := (0 when C_CLK_496) default (V1 when C_CLK_497)
             | V1 := ZV_1005+44
             | ZV_1005 := V_991$1 init 44
             | XZX_1020 := canvas when C__2857
             | clearCanvas(XZX_1020,V_991,44 when C__2857,300)
             | V1_1061 := ZV_1062+44
             | ZV_1062 := X$1 init 616
             | ECRAN := canvas when C__2857
             | C_aff := (VJOUR when C_CLK_759) default (60 when C_CLK_539) default (0 when C_CLK_896)
             | Y1_rel := real(C_aff)/prop
             | prop := real(6 when C__2857)
             | Y1 := integer(Y1_rel)
             | XZX_1143 := 220-Y1
             | fillRect(ECRAN,X,XZX_1143,44 when C__2857,Y1,vc)
             | drawInteger(ECRAN,C_aff,X,230 when C__2857)
             | ECRAN_1250 := canvas when C__2857
             | C_aff_1256 := (H when C_CLK_753) default (60 when C_CLK_596) default (0 when C_CLK_899)
             | Y1_rel_1259 := real(C_aff_1256)/prop_1257
             | prop_1257 := real(6 when C__2857)
             | Y1_1253 := integer(Y1_rel_1259)
             | XZX_1292 := 200-Y1_1253
             | fillRect(ECRAN_1250,X,XZX_1292,44 when C__2857,Y1_1253,vc)
             | drawInteger(ECRAN_1250,C_aff_1256,X,210 when C__2857)
             | ECRAN_1351 := canvas when C__2857
             | C_aff_1357 := (M when C_CLK_747) default (60 when C_CLK_641) default (0 when C_CLK_902)
             | Y1_rel_1360 := real(C_aff_1357)/prop_1358
             | prop_1358 := real(6 when C__2857)
             | Y1_1354 := integer(Y1_rel_1360)
             | XZX_1393 := 170-Y1_1354
             | fillRect(ECRAN_1351,X,XZX_1393,44 when C__2857,Y1_1354,vc)
             | drawInteger(ECRAN_1351,C_aff_1357,X,180 when C__2857)
             | ECRAN_1451 := canvas when C__2857
             | C_aff_1457 := (VSECONDE when C_CLK_741) default (60 when C_CLK_686) default (0 when C_CLK_905)
             | Y1_rel_1460 := real(C_aff_1457)/prop_1458
             | prop_1458 := real(6 when C__2857)
             | Y1_1454 := integer(Y1_rel_1460)
             | XZX_1493 := 150-Y1_1454
             | fillRect(ECRAN_1451,X,XZX_1493,44 when C__2857,Y1_1454,vc)
             | drawInteger(ECRAN_1451,C_aff_1457,X,160 when C__2857)
             | C_NOUV_MINUTE := ZVCPT>=60
             | C_CLK_496 := V1>=660
             | C_CLK_497 := not (V1>=660)
             | C_CLK_516 := V1_1061>=660
             | C_CLK_517 := not (V1_1061>=660)
             | C_CLK_535 := VJOUR>0
             | C_CLK_536 := not (VJOUR>0)
             | C_CLK_538 := VJOUR<60
             | C_CLK_539 := not (VJOUR<60)
             | C_CLK_592 := H>0
             | C_CLK_593 := not (H>0)
             | C_CLK_595 := H<60
             | C_CLK_596 := not (H<60)
             | C_CLK_637 := M>0
             | C_CLK_638 := not (M>0)
             | C_CLK_640 := M<60
             | C_CLK_641 := not (M<60)
             | C_CLK_682 := VSECONDE>0
             | C_CLK_683 := not (VSECONDE>0)
             | C_CLK_685 := VSECONDE<60
             | C_CLK_686 := not (VSECONDE<60)
             | C_CLK_741 := C_CLK_682 and C_CLK_685
             | C_CLK_743 := C_CLK_741 or C_CLK_686
             | C_CLK_747 := C_CLK_637 and C_CLK_640
             | C_CLK_749 := C_CLK_747 or C_CLK_641
             | C_CLK_753 := C_CLK_592 and C_CLK_595
             | C_CLK_755 := C_CLK_753 or C_CLK_596
             | C_CLK_759 := C_CLK_535 and C_CLK_538
             | C_CLK_761 := C_CLK_759 or C_CLK_539
             | C_CLK_896 := (not C_CLK_761) and C_CLK_536
             | C_CLK_899 := (not C_CLK_755) and C_CLK_593
             | C_CLK_902 := (not C_CLK_749) and C_CLK_638
             | C_CLK_905 := (not C_CLK_743) and C_CLK_683
             |)
          |)
         where 
         boolean C_CLK_496, C_CLK_497, C_CLK_516, C_CLK_517, C_CLK_535, C_CLK_536, C_CLK_538, C_CLK_539, C_CLK_592, C_CLK_593, C_CLK_595, C_CLK_596, C_CLK_637, C_CLK_638, C_CLK_640, C_CLK_641, C_CLK_682, C_CLK_683, C_CLK_685, C_CLK_686, C_CLK_741, 
                C_CLK_743, C_CLK_747, C_CLK_749, C_CLK_753, C_CLK_755, C_CLK_759, C_CLK_761, C_CLK_896, C_CLK_899, C_CLK_902, C_CLK_905;
         real prop, Y1_rel, prop_1257, Y1_rel_1259, prop_1358, Y1_rel_1360, prop_1458, Y1_rel_1460;
         TWindow XZX_1020, ECRAN, ECRAN_1250, ECRAN_1351, ECRAN_1451;
         integer H, M, ZJOUR, VJOUR, VSECONDE, ZVCPT, X, V_991, V1, ZV_1005, V1_1061, ZV_1062, Y1, C_aff, XZX_1143, Y1_1253, C_aff_1256, XZX_1292, Y1_1354, C_aff_1357, XZX_1393, Y1_1454, C_aff_1457, XZX_1493;
         end
      %ACT_C__2857%; 
      process ACT_C_ZVCPT =
           ( )
         (| when C_ZVCPT ^= ZVCPT_173
          | (| VMINUTE := (0 when C_ZVCPT_3026) default ((ZVCPT_173+1) when C_CLK_857)
             | ZVCPT_173 := VMINUTE$1 init 60
             | C_NOUV_HEURE := ZVCPT_173>=60
             |)
          |)
         where 
         integer ZVCPT_173;
         end
      %ACT_C_ZVCPT%; 
      process ACT_C_ZVCPT_3026 =
           ( )
         (| when C_ZVCPT_3026 ^= ZVCPT_200
          | (| VHEURE := (0 when C_RESET_HEURE) default ((ZVCPT_200+1) when C_CLK_855)
             | ZVCPT_200 := VHEURE$1 init 24
             | C_NOUV_JOUR := ZVCPT_200>=24
             |)
          |)
         where 
         integer ZVCPT_200;
         end
      %ACT_C_ZVCPT_3026%; 
      end
   %ACT_Tick%; 
   process quitAppli =
        ( ? event h;
        )
      pragmas 
         COMMENT "Exiting function:it terminates the simulation."
                 "h: the activation clock."
         Java_Code "sim.&n()"
      end pragmas
   
   %quitAppli%; 
   process createFrame =
        ( ? integer width, height;
          ! TWindow win;
        )
        spec (| width ^= height ^= win |)
      pragmas 
         COMMENT "It creates a frame, where all the graphics will be built(buttons, canvas)."
                 "width: width of the frame; height: heigth of the frame."
                 "win: the window of the created object."
                 "The call to createFrame is obligatory; if you use the pacemaker, this call is already done"
         Java_Code "&o1 = sim.&n(&i1, &i2)"
      end pragmas
   
   %createFrame%; 
   process createPanelWithCustomLayout =
        ( ? TWindow win;
            integer d;
          ! TWindow panel;
        )
        spec (| win ^= d ^= panel |)
      pragmas 
         COMMENT "It creates a panel, that means a window where others graphical components can be put."
                 "win: mother window;  d: the direction (horizontal and vertical)"
                 "panel: the window of the created object."
         Java_Code "&o1 = sim.&n(&i1,&i2)"
      end pragmas
   
   %createPanelWithCustomLayout%; 
   process createTextArea =
        ( ? TWindow win;
            integer width, height;
          ! TWindow text;
        )
        spec (| win ^= width ^= height ^= text |)
      pragmas 
         COMMENT "It creates a text area that can be modified."
                 "win: mother window,  width: the width of the area, height: height of the area."
                 "text:the window of the created object."
         Java_Code "&o1=sim.&n(&i1,&i2,&i3)"
      end pragmas
   
   %createTextArea%; 
   process createButton =
        ( ? TWindow win;
          ! TWindow but;
        )
        spec (| win ^= but |)
      pragmas 
         COMMENT "It creates a button."
                 "win: mother window."
                 "but: the window of the created object."
         Java_Code "&o1=sim.&n(&i1)"
      end pragmas
   
   %createButton%; 
   process createCheckBox =
        ( ? TWindow win;
            boolean b;
          ! TWindow cB;
        )
        spec (| win ^= b ^= cB |)
      pragmas 
         COMMENT "It creates a button with a box to check."
                 "win: mother window, b: initial state (check or uncheck)"
                 "cB: the window of the created object."
         Java_Code "&o1=sim.&n(&i1,&i2)"
      end pragmas
   
   %createCheckBox%; 
   process createCanvas =
        ( ? TWindow win;
            integer width, height;
          ! TWindow canvas;
        )
        spec (| win ^= width ^= height ^= canvas |)
      pragmas 
         COMMENT "It creates a canvas (to draw curves or patterns)"
                 "win: mother window, width: the width of the canvas, height: height of the canvas"
                 "canvas: the window of the created object."
         Java_Code "&o1=sim.&n(&i1,&i2,&i3)"
      end pragmas
   
   %createCanvas%; 
   process setTextArea =
        ( ? TWindow w;
            integer val;
        )
        spec (| w ^= val |)
      pragmas 
         COMMENT "Writing an integer"
                 "w:window of the text area, val: integer value to be writen."
         Java_Code "sim.&n(&i1,&i2)"
      end pragmas
   
   %setTextArea%; 
   process clearCanvas =
        ( ? TWindow w;
            integer x1, dx, dy;
        )
        spec (| w ^= x1 ^= dy ^= dx |)
      pragmas 
         COMMENT "Resetting a rectangular area in a canvas"
                 "w: window of the canvas, x1:the X-coordinate of the start point,"
                 "dx: the X-coordinate of the arrival point, dy: the Y-coordinate"
         Java_Code "sim.&n(&i1,&i2,&i3,&i4)"
      end pragmas
   
   %clearCanvas%; 
   process fillRect =
        ( ? TWindow w;
            integer x, y;
            integer dx, dy;
            TColor vcolor;
        )
        spec (| w ^= x ^= y ^= dx ^= dy |)
      pragmas 
         COMMENT "Writing a full rectangle in black color in a canvas"
                 "w: window of the canvas,"
                 "x, y:the X (resp. Y-coordinate) of the start point,"
                 "dx,dy: the X (resp. Y-coordinate) of the arrival point.??? length???"
         Java_Code "sim.&n(&i1,&i2,&i3,&i4,&i5, &i6)"
      end pragmas
   
   %fillRect%; 
   process drawInteger =
        ( ? TWindow w;
            integer val;
            integer x, y;
        )
        spec (| w ^= val ^= y ^= x |)
      pragmas 
         COMMENT "Writing an integer in a canvas"
                 "w: window of the canvas, val: the value to be written,"
                 "x: position in X-coordinate,y: position in Y-coordinate"
         Java_Code "sim.drawInteger(&i1,&i2,&i3,&i4)"
      end pragmas
   
   %drawInteger%; 
   process readButton =
        ( ? TWindow w;
          ! boolean b;
        )
        spec (| w ^= b |)
      pragmas 
         COMMENT "Getting of the state of a button."
                 "w: window assigned to the button."
                 "b: true if the button has been clicked, false otherwise."
         Java_Code "&o1=sim.&n(&i1)"
      end pragmas
   
   %readButton%; 
   process readCheckBox =
        ( ? TWindow w;
          ! boolean b;
        )
        spec (| w ^= b |)
      pragmas 
         COMMENT "Getting of the state of a checkbox."
                 "w: window assigned to the button to be checked."
                 "b: true if the button is checked, false otherwise."
         Java_Code "&o1=sim.&n(&i1)"
      end pragmas
   
   %readCheckBox%; 
   end
%vtSimpleWatch_BOOL_TRA%; %(| HE_264 := readClock()
                            | Z_VJ := VJOUR$1 init 0
                            | Z_VH := H$1 init 0
                            | Z_VM := M$1 init 0
                            | Z_VS := VSECONDE$1 init 0
                            | Tick := true when Tick
                            | C_CLK_286 := not (bPlus or bMoins)
                            | C_CLK_289 := not (bMult or bDiv)
                            | C_CLK_295 := not (bPlus or bMult)
                            | C_CLK_298 := not (bMoins or bDiv)
                            | C_CLK_321 := not AUTOMOD
                            | C_CLK_331 := not C_STOP
                            | C_CLK_338 := not C_TICK
                            | C_CLK_361 := not CINIT
                            | C_CLK_448 := not C_ERESET
                            | C_CLK_139 := not (V=0)
                            | C_CLK_183_2823 := left_tt ( C_CLK_183,C__2815 )
                            | C_CLK_184 := not (XZX_402>1)
                            | C_CLK_221_2839 := left_tt ( C_CLK_221,C_LIN_EXP )
                            | C_CLK_222 := not (XZX_427>1)
                            | C_CLK := not (ZVCPT>=60)
                            | C_CLK_188_2875 := left_tt ( C_CLK_188,C_VD )
                            | C_CLK_189 := not (VD>0)
                            | C_CLK_226_2891 := left_tt ( C_CLK_226,C_VD_2886 )
                            | C_CLK_227 := not (VD_436>0)
                            | C_CLK_49 := not (ZVCPT_173>=60)
                            | C_CLK_68 := not (ZVCPT_200>=24)
                            |)**WARNING: unused signals 

%
