# ---------------------------------------------------
# CMAKE file.
# It generates the file: makeSignalData[.bat]
# This command is used to rebuild the compiler data.
# ---------------------------------------------------

GET_STD_CONFIG_NAME(${Signal_bin} CONFIG_FILE)
GET_STD_BUILDCOMMAND(makeSignalData CMD OPTIONS DEFAULT_OPTIONS)
SET(OPTIONS ${GLOB_PK_MAKE_OPTIONS})
SET(DEFAULT_OPTIONS "data")

SET(CMD_FILE ${Signal_bin}/${CMD})
GEN_HEADER_SCRIPT(${CMD_FILE})
GEN_REQUIRE_SHELL_VAR(${CMD_FILE} pK_ROOT)
GEN_REQUIRE_DIR(${CMD_FILE} SignalBin_data)
GEN_CMAKE_CMD(${CMD_FILE} "${OPTIONS}" "${DEFAULT_OPTIONS}" ${CMD} Signal_bin)

DEFINE_CMD_IN_CONFIG_FILE(${CONFIG_FILE} ${CMD} "${OPTIONS}" ${CMD_FILE} "compiler data version")
