
#ifndef __FIFOTYPES_H__
#define __FIFOTYPES_H__

#include <cstring> 
#include <cstdlib>
#include <cstdio>

#include "APEX_common_types.h"
#include "APEX_Message_types.h"

#define MAX_QUEUE_SIZE 30
typedef int Data_type; // ????

struct FIFOStatus_type
{
  MessageRange_type Nb_Message;
  MessageRange_type Max_Message;
  MessageSize_type Message_Size;
  WaitingRange_type Waiting_Processes; 
};

struct FIFO_type
{
  pK_String name;
  int size; 
  int nbmsg; 
  Data_type fifo_queue[MAX_QUEUE_SIZE]; 
};

#include "APEX_QueuingPort_types.h"

#endif
  
