module AADL_CONNECTIONS =

use SIGNALLIB;
use AADL_PROPERTY;

process Connection = 
{integer min_offset, max_offset}
(? event Latency_Time, unit1, unit2; input;
 ! output;)
(| Reference_Time := when ^input
 | Between{min_offset, max_offset}(Latency_Time, Reference_Time, unit1, unit2)
 | output := Transmisson(input, Latency_Time)
 |)
where
  event Reference_Time;
end;

process Transmisson =
(? input; event Latency_time_event;
 ! output;)
(| output := AT(input, Latency_time_event)
 |)

end;

