#include <stdio.h>
#include <stdlib.h>

#include <X11/StringDefs.h>
#include <X11/Intrinsic.h>
#include <X11/cursorfont.h>
#include <Xm/MainW.h>
#include <Xm/Form.h>
#include <Xm/DrawingA.h>
#include <Xm/Label.h>
#include <Xm/PushB.h>
#include <Xm/Scale.h>

typedef int logical;
#include "ansi.h"
#include "VTON_FLIGHT_body.h"

#define true 1
#define false 0

#include "appli_def.h"
#include "graphical_const.h"

#include "common.c"    
#include "evton_flight.c"    
#include "pacemaker.c"
#include "on_flight.c"
#include "mkwindows.c"


/*----------------
  X11 Declarations
  ----------------*/
XtAppContext app_context;
Widget toplevel,frame_widg;

static logical vh = TRUE;

logical iter(logical *vh)
{
  *vh = PROG_ITERATE;
  return(FALSE);
}

 
/*-------------------------------------------------------------------*/
int main()
  /******/
{
  static int argc;
  static char *argv[] = {PROGNAME};

  /*----------------
    Windows creation
    ----------------*/
  // MrmInitialize(); 
  argc = 1;
  toplevel = XtVaAppInitialize(&app_context, PROGNAME, NULL, 0, &argc, argv, NULL, NULL);
  creation_fenetre_principale(toplevel);
  XtRealizeWidget(toplevel);


  /*-----------------------------------
    Initializations and loop activation 
    *-----------------------------------*/
  XtAppAddWorkProc(app_context, (void *)iter,&vh); 
  PROG_INITIALIZE;
  XtAppMainLoop(app_context);
}

/*-------------------
  Program termination
  -------------------*/
void WSTOP(long int *b)
{
  exit(0);
}











