process VTMOUSE_P3_TRA =
     ( ? event H;
       ! event SINGLE, DOUBLE;
     )
   pragmas 
      Main
   end pragmas
   (| (| ^H ^= H
       | H ^= H
       | ACT_H{}
       |)
    | (| nlabel :: VTMOUSE_P3_booleanPart{}
       | nlabel ^= H
       |)
    | (| nlabel_2402 :: VTMOUSE_P3_otherPart{}
       | nlabel_2402 ^= H
       |)
    |)
   where 
   constant integer N = 2;
   constant integer M = 10;
   constant integer NUL_CODE = 0;
   constant integer LIN_CODE = 2;
   constant integer TICK_NUMBER = 80;
   constant integer FRONT_NUMBER = 5;
   constant integer TICK_HEIGHT = 20;
   constant integer DELTA = 4;
   constant integer TICK_WIDTH = 2;
   constant boolean INIT_INTERVAL = false;
   constant integer PHY_0 = 0;
   constant integer PHY_0_242 = 0;
   constant integer PI_0_243 = 1;
   constant integer V_0 = 1;
   constant integer PHY_0_607 = 0;
   constant integer DY = 60;
   constant integer TS = 10;
   constant integer V_BOUND = 800;
   constant integer V_INIT = 40;
   constant integer V_BOUND_747 = 800;
   constant integer V_INIT_748 = 790;
   constant integer Y_POS = -20;
   constant integer BOOL_HEIGHT = 40;
   constant integer DELTA_781 = 10;
   constant integer BOOL_HEIGHT_947 = 20;
   constant integer DELTA_950 = 10;
   constant integer Y_POS_1043 = -20;
   constant integer BOOL_HEIGHT_1044 = -15;
   constant integer Y_POS_1147 = -20;
   constant integer BOOL_HEIGHT_1148 = -20;
   constant integer BOOL_HEIGHT_1247 = -20;
   constant integer Y_POS_1346 = 40;
   constant integer BOOL_HEIGHT_1347 = -20;
   label nlabel, nlabel_2402; 
   process ACT_H =
        ( )
      (| H ^= ADR_COUNT ^= CODE_CHANGE ^= XZX_422 ^= AUTOMOD ^= C_SW_AUTO ^= C_TICK ^= CINIT ^= C_2391
       | (| CLK_C_UP_DOWN := when (not C_2391)
          | ACT_CLK_C_UP_DOWN{}
          |)
       | (| CLK_301 := when C_SW_AUTO |)
       | (| CLK_MAX_255 := when AUTOMOD
          | ACT_CLK_MAX_255{}
          | CLK_C_STOP := when (not AUTOMOD)
          | ACT_CLK_C_STOP{}
          |)
       | (| TICK_225 := when C_TICK |)
       | (| CLK_PI_0 := when CINIT
          | CLK_PI_0 ^= PI_0 ^= DESCR ^= ECRAN_1450
          |)
       | (| CLK_ZAUTO := CLK_301 ^+ CLK_PI_0
          | CLK_ZAUTO ^= NEXTAUTO
          | CLK_ZAUTO ^= ZAUTO
          |)
       | (| CLK_784 := CLK_PI_0 ^+ CLK_NEW_BOUND_2 |)
       | (| CLK_787 := CLK_784 ^+ CLK_NEW_BOUND_1 |)
       | (| CLK_NEW_BOUND := CLK_C_UP_DOWN ^+ CLK_PI_0
          | CLK_NEW_BOUND ^= XZX_260 ^= OLD_BOUND
          | ACT_CLK_NEW_BOUND{}
          |)
       | (| CLK_CLICK_594 := TICK_225 ^+ HS_1_223
          | ACT_CLK_CLICK_594{}
          |)
       | (| CLK_MAX1_254 := CLK_NEW_BOUND ^+ CLK_MAX_255
          | CLK_MAX1_254 ^= MAX1_254
          |)
       | (| CLK_SCREEN := CLK_PI_0 ^+ CLK_S1
          | CLK_SCREEN ^= SCREEN
          |)
       | (| CLK_857 := CLK_NEW_BOUND ^- CLK_787 |)
       | (| CLK_860 := CLK_NEW_BOUND_2 ^- CLK_PI_0 |)
       | (| CLK_862 := CLK_NEW_BOUND_1 ^- CLK_784 |)
       |)
      where 
      event CLK_862, CLK_860, CLK_857, CLK_SCREEN, CLK_MAX1_254, CLK_CLICK_594, CLK_NEW_BOUND, CLK_787, CLK_784, CLK_NEW_BOUND_2, CLK_NEW_BOUND_1, CLK_S1, CLK_ZAUTO, CLK_PI_0, TICK_225, CLK_C_STOP, CLK_MAX_255, CLK_301, CLK_C_UP_DOWN, HS_1_223;
      boolean AUTOMOD, C_SW_AUTO, NEXTAUTO, C_TICK, CINIT, C_2391, ZAUTO;
      integer PI_0, ADR_COUNT, MAX1_254, XZX_260, OLD_BOUND, NEW_BOUND_1, NEW_BOUND_2, CODE_CHANGE, XZX_422, DESCR, SCREEN, ECRAN_1450;
      process ACT_CLK_C_UP_DOWN =
           ( )
         (| CLK_C_UP_DOWN ^= C_UP_DOWN ^= C_LIN_EXP ^= XZX_440
          | (| CLK_XZX_347 := when C_LIN_EXP
             | ACT_CLK_XZX_347{}
             | CLK_XZX_322 := when (not C_LIN_EXP)
             | ACT_CLK_XZX_322{}
             |)
          |)
         where 
         event CLK_XZX_322, CLK_XZX_347;
         integer XZX_440;
         boolean C_UP_DOWN, C_LIN_EXP;
         process ACT_CLK_XZX_347 =
              ( )
            (| CLK_XZX_347 ^= XZX_347 ^= XZX_350 ^= DELTA_355 ^= C_2385 ^= C_2387
             | (| CLK_215 := when C_2385
                | CLK_216 := when (not C_2385)
                |)
             | (| CLK_224 := when XZX_350
                | CLK_VD_356 := when (not XZX_350)
                | CLK_VD_356 ^= VD_356
                | ACT_CLK_VD_356{}
                |)
             | (| CLK_230 := when C_2387 |)
             | (| CLK_VU_357 := CLK_224 ^* CLK_230
                | CLK_VU_357 ^= VU_357
                |)
             | (| CLK_NEW_BOUND_2 := CLK_VU_357 ^+ CLK_235
                | CLK_NEW_BOUND_2 ^= NEW_BOUND_2
                |)
             |)
            where 
            event CLK_VU_357, CLK_235, CLK_230, CLK_VD_356, CLK_224, CLK_216, CLK_215;
            boolean XZX_350, C_2385, C_2387;
            integer XZX_347, DELTA_355, VD_356, VU_357;
            process ACT_CLK_VD_356 =
                 ( )
               (| CLK_VD_356 ^= C_2389
                | (| CLK_235 := when C_2389 |)
                |)
               where 
               boolean C_2389;
               end
            %ACT_CLK_VD_356%; 
            end
         %ACT_CLK_XZX_347%; 
         process ACT_CLK_XZX_322 =
              ( )
            (| CLK_XZX_322 ^= XZX_322 ^= XZX_326 ^= C_2381
             | (| CLK_186 := when XZX_326
                | CLK_VD := when (not XZX_326)
                | CLK_VD ^= VD
                | ACT_CLK_VD{}
                |)
             | (| CLK_192 := when C_2381 |)
             | (| CLK_VU := CLK_186 ^* CLK_192
                | CLK_VU ^= VU
                |)
             | (| CLK_NEW_BOUND_1 := CLK_VU ^+ CLK_197
                | CLK_NEW_BOUND_1 ^= NEW_BOUND_1
                |)
             |)
            where 
            event CLK_VU, CLK_197, CLK_192, CLK_VD, CLK_186;
            boolean XZX_326, C_2381;
            integer XZX_322, VD, VU;
            process ACT_CLK_VD =
                 ( )
               (| CLK_VD ^= C_2383
                | (| CLK_197 := when C_2383 |)
                |)
               where 
               boolean C_2383;
               end
            %ACT_CLK_VD%; 
            end
         %ACT_CLK_XZX_322%; 
         end
      %ACT_CLK_C_UP_DOWN%; 
      process ACT_CLK_MAX_255 =
           ( )
         (| CLK_MAX_255 ^= MAX_255 ^= ZV_258 ^= V_259 ^= C_2377 ^= C_2379
          | (| CLK_141 := when C_2377
             | CLK_142 := when (not C_2377)
             |)
          | (| HS_1_223 := when C_2379 |)
          |)
         where 
         event CLK_142, CLK_141;
         boolean C_2377, C_2379;
         integer MAX_255, ZV_258, V_259;
         end
      %ACT_CLK_MAX_255%; 
      process ACT_CLK_C_STOP =
           ( )
         (| CLK_C_STOP ^= C_STOP
          | (| STOP_407 := when C_STOP |)
          |)
         where 
         event STOP_407;
         boolean C_STOP;
         end
      %ACT_CLK_C_STOP%; 
      process ACT_CLK_NEW_BOUND =
           ( )
         (| CLK_NEW_BOUND ^= NEW_BOUND ^= XZX_571 ^= C_2375
          | (| CLK_118 := when C_2375
             | CLK_119 := when (not C_2375)
             |)
          |)
         where 
         event CLK_119, CLK_118;
         boolean C_2375;
         integer NEW_BOUND, XZX_571;
         end
      %ACT_CLK_NEW_BOUND%; 
      process ACT_CLK_CLICK_594 =
           ( )
         (| CLK_CLICK_594 ^= CLICK_594 ^= ZV_622 ^= V_623 ^= C_2393 ^= C_2395
          | (| CLK_XZX_172 := when CLICK_594
             | CLK_XZX_172 ^= XZX_172
             | CLK_XZX_172 ^= X0_1156 ^= X1_1157 ^= Y2_1158 ^= X2_1159 ^= ECRAN_1160 ^= XZX_1180 ^= XZX_1230
             |)
          | (| CLK_409 := when C_2393
             | CLK_410 := when (not C_2393)
             |)
          | (| CLK_X0_1056 := when C_2395
             | CLK_X0_1056 ^= X0_1056 ^= X1_1057 ^= Y2_1058 ^= X2_1059 ^= ECRAN_1060 ^= XZX_1080 ^= XZX_1130
             |)
          | (| CLK_S1 := CLK_XZX_172 ^+ CLK_X0_1056
             | CLK_S1 ^= X
             | ACT_CLK_S1{}
             |)
          | (| START_59 := CLK_XZX_172 ^* CLK_18 |)
          | (| SX_174 := CLK_XZX_172 ^* CLK |)
          | (| SX := CLK_X0_1056 ^* CLK |)
          | (| CLK_ZV := START_59 ^+ SX
             | ACT_CLK_ZV{}
             |)
          | (| RELAX_60 := SX ^* CLK_74 |)
          | (| CLK_DOUBLE_CLICK := RELAX_60 ^+ CLK_XZX_172
             | ACT_CLK_DOUBLE_CLICK{}
             |)
          | (| CLK_C1 := RELAX_60 ^+ START_59
             | CLK_C1 ^= C1
             | ACT_CLK_C1{}
             |)
          | (| SINGLE := RELAX_60 ^* CLK_94
             | SINGLE ^= SINGLE
             | SINGLE ^= X0_1255 ^= X1_1256 ^= Y2_1257 ^= X2_1258 ^= ECRAN_1259 ^= XZX_1279 ^= XZX_1329
             |)
          | (| DOUBLE := RELAX_60 ^* CLK_93
             | DOUBLE ^= DOUBLE
             | DOUBLE ^= X0_1355 ^= X1_1356 ^= Y2_1357 ^= X2_1358 ^= ECRAN_1359 ^= XZX_1379 ^= XZX_1429
             |)
          | (| CLK_822 := START_59 ^+ CLK_65 |)
          | (| CLK_864 := CLK_ZV ^- CLK_822 |)
          | (| CLK_872 := CLK_S1 ^- CLK_C1 |)
          | (| CLK_883 := CLK_65 ^- START_59 |)
          |)
         where 
         event CLK_883, CLK_872, CLK_864, CLK_822, CLK_C1, CLK_DOUBLE_CLICK, RELAX_60, CLK_ZV, SX, SX_174, START_59, CLK_X0_1056, CLK_410, CLK_409, CLK_XZX_172, CLK_94, CLK_93, CLK_74, CLK_65, CLK_18, CLK;
         integer ZV_622, V_623, X, X0_1156, X1_1157, Y2_1158% value = [-40,0]
                %, X2_1159, ECRAN_1160, XZX_1180% value = -20
                %, XZX_1230, X0_1056, X1_1057, Y2_1058% value = [-35,-5]
                %, X2_1059, ECRAN_1060, XZX_1080% value = 15
                %, XZX_1130, X0_1255, X1_1256, Y2_1257% value = [0,40]
                %, X2_1258, ECRAN_1259, XZX_1279% value = 20
                %, XZX_1329, X0_1355, X1_1356, Y2_1357% value = [20,60]
                %, X2_1358, ECRAN_1359, XZX_1379% value = 20
                %, XZX_1429;
         boolean C1, XZX_172, CLICK_594, C_2393, C_2395;
         process ACT_CLK_S1 =
              ( )
            (| CLK_S1 ^= S1 ^= WBI ^= BTI ^= V_690 ^= V1 ^= ZV_704 ^= XZX_717 ^= V1_755 ^= ZV_756 ^= XZX_792 ^= X2_959 ^= Y1 ^= Y2_965 ^= Y3 ^= ECRAN_969 ^= XZX_979 ^= XZX_1003 ^= XZX_1025 ^= NS ^= C_2397 ^= C_2399
             | (| CLK := when BTI
                | CLK_18 := when (not BTI)
                |)
             | (| CLK_441 := when C_2397
                | CLK_442 := when (not C_2397)
                |)
             | (| CLK_459 := when C_2399
                | CLK_460 := when (not C_2399)
                |)
             | (| CLK_X1 := when XZX_792
                | CLK_X1 ^= X1 ^= ECRAN ^= XZX_798
                |)
             | (| CLK_529 := when S1
                | CLK_530 := when (not S1)
                |)
             |)
            where 
            event CLK_530, CLK_529, CLK_X1, CLK_460, CLK_459, CLK_442, CLK_441;
            integer V_690, V1, ZV_704, XZX_717, V1_755, ZV_756, X2_959, Y1% value = [-40,0]
                   %, Y2_965% value = [-41,1]
                   %, Y3% value = [-42,2]
                   %, ECRAN_969, XZX_979% value = [-20,20]
                   %, XZX_1003% value = [-21,21]
                   %, XZX_1025% value = [-22,22]
                   %, X1, ECRAN, XZX_798;
            boolean S1, WBI, BTI, XZX_792, NS, C_2397, C_2399;
            end
         %ACT_CLK_S1%; 
         process ACT_CLK_ZV =
              ( )
            (| CLK_ZV ^= ZV ^= V ^= C ^= C_2373
             | (| CLK_65 := when C |)
             | (| CLK_74 := when C_2373 |)
             |)
            where 
            boolean C, C_2373;
            integer ZV, V;
            end
         %ACT_CLK_ZV%; 
         process ACT_CLK_DOUBLE_CLICK =
              ( )
            (| CLK_DOUBLE_CLICK ^= DOUBLE_CLICK
             | (| CLK_93 := when DOUBLE_CLICK
                | CLK_94 := when (not DOUBLE_CLICK)
                |)
             |)
            where 
            boolean DOUBLE_CLICK;
            end
         %ACT_CLK_DOUBLE_CLICK%; 
         process ACT_CLK_C1 =
              ( )
            (| CLK_C1 ^= X0 ^= X1_840 ^= Y2 ^= X2 ^= ECRAN_843 ^= XZX_863 ^= XZX_930
             | (| CLK_499 := when C1
                | CLK_500 := when (not C1)
                |)
             |)
            where 
            event CLK_500, CLK_499;
            integer X0, X1_840, Y2% value = [-60,20]
                   %, X2, ECRAN_843, XZX_863% value = [-40,40]
                   %, XZX_930;
            end
         %ACT_CLK_C1%; 
         end
      %ACT_CLK_CLICK_594%; 
      end
   %ACT_H%; 
   process VTMOUSE_P3_booleanPart =
        ( ? event CLK_872, CLK_CLICK_594, DOUBLE, SINGLE, CLK_C1, CLK_DOUBLE_CLICK, RELAX_60, SX_174, START_59, CLK_S1, CLK_ZAUTO, CLK_XZX_172, CLK_C_UP_DOWN, CLK_XZX_322, CLK_XZX_347, H;
            boolean C_UP_DOWN;
          ! event SINGLE, DOUBLE;
            boolean C1, S1, DOUBLE_CLICK, WBI, BTI, XZX_172, XZX_326, XZX_350, AUTOMOD, ZAUTO, NEXTAUTO, CINIT, XZX_792, NS;
        )
      pragmas 
         Partition "booleanPart"
      end pragmas
      (| (| H ^= AUTOMOD ^= CINIT
          | CLK_XZX_347 ^= XZX_350
          | CLK_XZX_322 ^= XZX_326
          | CLK_C_UP_DOWN ^= C_UP_DOWN
          | CLK_XZX_172 ^= XZX_172
          | CLK_ZAUTO ^= ZAUTO ^= NEXTAUTO
          | CLK_S1 ^= S1 ^= WBI ^= BTI ^= XZX_792 ^= NS
          | CLK_DOUBLE_CLICK ^= DOUBLE_CLICK
          | CLK_C1 ^= C1
          | SINGLE ^= SINGLE
          | DOUBLE ^= DOUBLE
          |)
       | C1 := (not RELAX_60) default START_59
       | S1 := NS$1 init false
       | DOUBLE_CLICK := (XZX_172 when CLK_XZX_172) cell CLK_DOUBLE_CLICK init false
       | WBI := (not RELAX_60) default START_59 default (BTI when CLK_872)
       | BTI := WBI$1 init INIT_INTERVAL
       | XZX_172 := (not START_59) default SX_174
       | XZX_326 := C_UP_DOWN when CLK_XZX_322
       | XZX_350 := C_UP_DOWN when CLK_XZX_347
       | AUTOMOD := (NEXTAUTO when CLK_ZAUTO) cell H init true
       | ZAUTO := NEXTAUTO$1 init true
       | NEXTAUTO := not ZAUTO
       | CINIT := (false when H)$1 init true
       | XZX_792 := (not CLK_C1) default CLK_872
       | NS := (C1 when CLK_C1) default (S1 when CLK_872)
       |)
   %VTMOUSE_P3_booleanPart%; 
   process VTMOUSE_P3_otherPart =
        ( ? boolean NEXTAUTO;
          ! integer ZV, V;
            boolean C_UP_DOWN, C_LIN_EXP;
            integer PI_0, NEW_BOUND, ADR_COUNT, MAX1_254, MAX_255, ZV_258, V_259, XZX_260, OLD_BOUND, NEW_BOUND_1, XZX_322, VD, VU, NEW_BOUND_2, XZX_347, DELTA_355, VD_356, VU_357, CODE_CHANGE, XZX_422, XZX_440;
            boolean C_SW_AUTO, C_STOP, C_TICK;
            integer DESCR, XZX_571;
            boolean CLICK_594;
            integer ZV_622, V_623, X, SCREEN, V_690, V1, ZV_704, XZX_717, V1_755, ZV_756, X1, ECRAN, XZX_798, X0, X1_840, Y2% value = [-60,20]
                   %, X2, ECRAN_843, XZX_863% value = [-40,40]
                   %, XZX_930, X2_959, Y1% value = [-40,0]
                   %, Y2_965% value = [-41,1]
                   %, Y3% value = [-42,2]
                   %, ECRAN_969, XZX_979% value = [-20,20]
                   %, XZX_1003% value = [-21,21]
                   %, XZX_1025% value = [-22,22]
                   %, X0_1056, X1_1057, Y2_1058% value = [-35,-5]
                   %, X2_1059, ECRAN_1060, XZX_1080% value = 15
                   %, XZX_1130, X0_1156, X1_1157, Y2_1158% value = [-40,0]
                   %, X2_1159, ECRAN_1160, XZX_1180% value = -20
                   %, XZX_1230, X0_1255, X1_1256, Y2_1257% value = [0,40]
                   %, X2_1258, ECRAN_1259, XZX_1279% value = 20
                   %, XZX_1329, X0_1355, X1_1356, Y2_1357% value = [20,60]
                   %, X2_1358, ECRAN_1359, XZX_1379% value = 20
                   %, XZX_1429, ECRAN_1450;
            boolean C, C_2373, C_2375, C_2377, C_2379, C_2381, C_2383, C_2385, C_2387, C_2389, C_2391, C_2393, C_2395, C_2397, C_2399;
        )
      pragmas 
         Partition "otherPart"
      end pragmas
      (| (| H ^= ADR_COUNT ^= CODE_CHANGE ^= XZX_422 ^= C_SW_AUTO ^= C_TICK ^= C_2391
          | CLK_XZX_347 ^= XZX_347 ^= DELTA_355 ^= C_2385 ^= C_2387
          | CLK_XZX_322 ^= XZX_322 ^= C_2381
          | CLK_VD ^= VD ^= C_2383
          | CLK_VD_356 ^= VD_356 ^= C_2389
          | CLK_C_UP_DOWN ^= C_UP_DOWN ^= C_LIN_EXP ^= XZX_440
          | CLK_MAX_255 ^= MAX_255 ^= ZV_258 ^= V_259 ^= C_2377 ^= C_2379
          | CLK_C_STOP ^= C_STOP
          | CLK_PI_0 ^= PI_0 ^= DESCR ^= ECRAN_1450
          | CLK_XZX_172 ^= X0_1156 ^= X1_1157 ^= Y2_1158 ^= X2_1159 ^= ECRAN_1160 ^= XZX_1180 ^= XZX_1230
          | CLK_X0_1056 ^= X0_1056 ^= X1_1057 ^= Y2_1058 ^= X2_1059 ^= ECRAN_1060 ^= XZX_1080 ^= XZX_1130
          | CLK_X1 ^= X1 ^= ECRAN ^= XZX_798
          | CLK_ZAUTO ^= NEXTAUTO
          | CLK_S1 ^= X ^= V_690 ^= V1 ^= ZV_704 ^= XZX_717 ^= V1_755 ^= ZV_756 ^= X2_959 ^= Y1 ^= Y2_965 ^= Y3 ^= ECRAN_969 ^= XZX_979 ^= XZX_1003 ^= XZX_1025 ^= C_2397 ^= C_2399
          | CLK_ZV ^= ZV ^= V ^= C ^= C_2373
          | CLK_VU_357 ^= VU_357
          | CLK_VU ^= VU
          | CLK_NEW_BOUND_1 ^= NEW_BOUND_1
          | CLK_NEW_BOUND_2 ^= NEW_BOUND_2
          | CLK_C1 ^= X0 ^= X1_840 ^= Y2 ^= X2 ^= ECRAN_843 ^= XZX_863 ^= XZX_930
          | SINGLE ^= X0_1255 ^= X1_1256 ^= Y2_1257 ^= X2_1258 ^= ECRAN_1259 ^= XZX_1279 ^= XZX_1329
          | DOUBLE ^= X0_1355 ^= X1_1356 ^= Y2_1357 ^= X2_1358 ^= ECRAN_1359 ^= XZX_1379 ^= XZX_1429
          | CLK_NEW_BOUND ^= NEW_BOUND ^= XZX_260 ^= OLD_BOUND ^= XZX_571 ^= C_2375
          | CLK_CLICK_594 ^= CLICK_594 ^= ZV_622 ^= V_623 ^= C_2393 ^= C_2395
          | CLK_MAX1_254 ^= MAX1_254
          | CLK_SCREEN ^= SCREEN
          |)
       | ZV := V$1 init 10
       | V := (0 when START_59) default (0 when CLK_883) default ((ZV+1) when CLK_864)
       | C_LIN_EXP := (CODE_CHANGE=2) when CLK_C_UP_DOWN
       | NEW_BOUND := (PI_0 when CLK_PI_0) default (NEW_BOUND_2 when CLK_860) default (NEW_BOUND_1 when CLK_862) default (OLD_BOUND when CLK_857)
       | ADR_COUNT := (DESCR when CLK_PI_0) cell H init 0
       | MAX1_254 := (XZX_260 when CLK_NEW_BOUND) cell CLK_MAX1_254 init 0
       | MAX_255 := MAX1_254 when CLK_MAX_255
       | ZV_258 := V_259$1 init 1
       | V_259 := (0 when CLK_141) default ((ZV_258+1) when CLK_142)
       | XZX_260 := (0 when CLK_118) default ((NEW_BOUND-1) when CLK_119)
       | OLD_BOUND := NEW_BOUND$1 init 1
       | NEW_BOUND_1 := (VU when CLK_VU) default (VD when CLK_197)
       | XZX_322 := OLD_BOUND when CLK_XZX_322
       | VD := (XZX_322+XZX_322) when CLK_VD
       | VU := (XZX_322/2) when CLK_VU
       | NEW_BOUND_2 := (VU_357 when CLK_VU_357) default (VD_356 when CLK_235)
       | XZX_347 := OLD_BOUND when CLK_XZX_347
       | DELTA_355 := ((XZX_347/16) when CLK_215) default (1 when CLK_216)
       | VD_356 := (XZX_347+DELTA_355) when CLK_VD_356
       | VU_357 := (XZX_347-DELTA_355) when CLK_VU_357
       | XZX_422 := ADR_COUNT
       | CODE_CHANGE := RCHANGE(XZX_422)
       | XZX_440 := ADR_COUNT when CLK_C_UP_DOWN
       | C_UP_DOWN := RUPDOWN(XZX_440)
       | C_SW_AUTO := RAUTO()
       | C_STOP := RSTOP()
       | C_TICK := RTICK()
       | RESET_PANEL(NEXTAUTO)
       | WSTOP(STOP_407)
       | DESCR := GET_DESCR_PACEMAKER()
       | PI_0 := GET_PI_PACEMAKER()
       | XZX_571 := ADR_COUNT when CLK_NEW_BOUND
       | WIWRITE(XZX_571,NEW_BOUND)
       | CLICK_594 := RCLICK()
       | ZV_622 := V_623$1 init 2
       | V_623 := (0 when CLK_409) default ((ZV_622+1) when CLK_410)
       | X := (0 when CLK_459) default (V1_755 when CLK_460)
       | SCREEN := (ECRAN_1450 when CLK_PI_0) cell CLK_SCREEN init 0
       | V_690 := (0 when CLK_441) default (V1 when CLK_442)
       | V1 := ZV_704+10
       | ZV_704 := V_690$1 init 40
       | XZX_717 := SCREEN when CLK_S1
       | WEFFACE(XZX_717,V_690,10,60)
       | V1_755 := ZV_756+10
       | ZV_756 := X$1 init 790
       | X1 := X when CLK_X1
       | ECRAN := SCREEN when CLK_X1
       | XZX_798 := X1+10
       | WHLINE(ECRAN,X1,Y_POS,XZX_798)
       | X0 := X when CLK_C1
       | X1_840 := X0+4
       | Y2 := Y_POS+XZX_863
       | X2 := X1_840+2
       | ECRAN_843 := SCREEN when CLK_C1
       | WHLINE(ECRAN_843,X0,Y_POS,X1_840)
       | XZX_863 := (40 when CLK_499) default ((-40) when CLK_500)
       | WVLINE(ECRAN_843,X1_840,Y_POS,Y2)
       | WHLINE(ECRAN_843,X1_840,Y2,X2)
       | WVLINE(ECRAN_843,X2,Y_POS,Y2)
       | XZX_930 := X2+4
       | WHLINE(ECRAN_843,X2,Y_POS,XZX_930)
       | X2_959 := X+10
       | Y1 := Y_POS+XZX_979
       | Y2_965 := Y_POS+XZX_1003
       | Y3 := Y_POS+XZX_1025
       | ECRAN_969 := SCREEN when CLK_S1
       | XZX_979 := ((-20) when CLK_529) default (20 when CLK_530)
       | WHLINE(ECRAN_969,X,Y1,X2_959)
       | XZX_1003 := ((-21) when CLK_529) default (21 when CLK_530)
       | WHLINE(ECRAN_969,X,Y2_965,X2_959)
       | XZX_1025 := ((-22) when CLK_529) default (22 when CLK_530)
       | WHLINE(ECRAN_969,X,Y3,X2_959)
       | X0_1056 := X when CLK_X0_1056
       | X1_1057 := X0_1056+4
       | Y2_1058 := Y_POS_1043+XZX_1080
       | X2_1059 := X1_1057+2
       | ECRAN_1060 := SCREEN when CLK_X0_1056
       | WHLINE(ECRAN_1060,X0_1056,Y_POS_1043,X1_1057)
       | XZX_1080 := 15 when CLK_X0_1056
       | WVLINE(ECRAN_1060,X1_1057,Y_POS_1043,Y2_1058)
       | WHLINE(ECRAN_1060,X1_1057,Y2_1058,X2_1059)
       | WVLINE(ECRAN_1060,X2_1059,Y_POS_1043,Y2_1058)
       | XZX_1130 := X2_1059+4
       | WHLINE(ECRAN_1060,X2_1059,Y_POS_1043,XZX_1130)
       | X0_1156 := X when CLK_XZX_172
       | X1_1157 := X0_1156+4
       | Y2_1158 := Y_POS_1147+XZX_1180
       | X2_1159 := X1_1157+2
       | ECRAN_1160 := SCREEN when CLK_XZX_172
       | WHLINE(ECRAN_1160,X0_1156,Y_POS_1147,X1_1157)
       | XZX_1180 := BOOL_HEIGHT_1148 when CLK_XZX_172
       | WVLINE(ECRAN_1160,X1_1157,Y_POS_1147,Y2_1158)
       | WHLINE(ECRAN_1160,X1_1157,Y2_1158,X2_1159)
       | WVLINE(ECRAN_1160,X2_1159,Y_POS_1147,Y2_1158)
       | XZX_1230 := X2_1159+4
       | WHLINE(ECRAN_1160,X2_1159,Y_POS_1147,XZX_1230)
       | X0_1255 := X when SINGLE
       | X1_1256 := X0_1255+4
       | Y2_1257 := 20+XZX_1279
       | X2_1258 := X1_1256+2
       | ECRAN_1259 := SCREEN when SINGLE
       | WHLINE(ECRAN_1259,X0_1255,20,X1_1256)
       | XZX_1279 := 20 when SINGLE
       | WVLINE(ECRAN_1259,X1_1256,20,Y2_1257)
       | WHLINE(ECRAN_1259,X1_1256,Y2_1257,X2_1258)
       | WVLINE(ECRAN_1259,X2_1258,20,Y2_1257)
       | XZX_1329 := X2_1258+4
       | WHLINE(ECRAN_1259,X2_1258,20,XZX_1329)
       | X0_1355 := X when DOUBLE
       | X1_1356 := X0_1355+4
       | Y2_1357 := 40+XZX_1379
       | X2_1358 := X1_1356+2
       | ECRAN_1359 := SCREEN when DOUBLE
       | WHLINE(ECRAN_1359,X0_1355,40,X1_1356)
       | XZX_1379 := 20 when DOUBLE
       | WVLINE(ECRAN_1359,X1_1356,40,Y2_1357)
       | WHLINE(ECRAN_1359,X1_1356,Y2_1357,X2_1358)
       | WVLINE(ECRAN_1359,X2_1358,40,Y2_1357)
       | XZX_1429 := X2_1358+4
       | WHLINE(ECRAN_1359,X2_1358,40,XZX_1429)
       | ECRAN_1450 := GET_DISPLAY()
       | C := ZV>=9
       | C_2373 := V=0
       | C_2375 := NEW_BOUND<=1
       | C_2377 := ZV_258>=MAX_255
       | C_2379 := V_259=0
       | C_2381 := XZX_322>1
       | C_2383 := VD>0
       | C_2385 := XZX_347>=16
       | C_2387 := XZX_347>1
       | C_2389 := VD_356>0
       | C_2391 := CODE_CHANGE=0
       | C_2393 := ZV_622>=1
       | C_2395 := V_623=0
       | C_2397 := V1>=800
       | C_2399 := V1_755>=800
       |)
   %VTMOUSE_P3_otherPart%; 
   process RCHANGE =
        ( ? integer ADRCOUNT;
          ! integer CODE;
        )
        spec (| ADRCOUNT ^= CODE |)
   
   %RCHANGE%; 
   process RUPDOWN =
        ( ? integer ADRCOUNT;
          ! boolean UPDOWN;
        )
        spec (| ADRCOUNT ^= UPDOWN |)
   
   %RUPDOWN%; 
   process RAUTO =
        ( ! boolean AUTO;
        )
   
   %RAUTO%; 
   process RSTOP =
        ( ! boolean STOP;
        )
   
   %RSTOP%; 
   process RTICK =
        ( ! boolean TICK;
        )
   
   %RTICK%; 
   process RESET_PANEL =
        ( ? boolean AUTO;
        )
   
   %RESET_PANEL%; 
   process WSTOP =
        ( ? event DOWN;
        )
   
   %WSTOP%; 
   process GET_DESCR_PACEMAKER =
        ( ! integer DESCR;
        )
   
   %GET_DESCR_PACEMAKER%; 
   process GET_PI_PACEMAKER =
        ( ! integer DESCR;
        )
   
   %GET_PI_PACEMAKER%; 
   process WIWRITE =
        ( ? integer ADR_COUNT;
            integer V;
        )
        spec (| ADR_COUNT ^= V |)
   
   %WIWRITE%; 
   process RCLICK =
        ( ! boolean CLICK;
        )
   
   %RCLICK%; 
   process WEFFACE =
        ( ? integer SCREEN;
            integer X1;
            integer DX;
            integer DY;
        )
        spec (| SCREEN ^= X1 ^= DX ^= DY |)
   
   %WEFFACE%; 
   process WHLINE =
        ( ? integer SCREEN;
            integer X1;
            integer Y1;
            integer X2;
        )
        spec (| SCREEN ^= X1 ^= Y1 ^= X2 |)
   
   %WHLINE%; 
   process WVLINE =
        ( ? integer SCREEN;
            integer X1;
            integer Y1;
            integer Y2;
        )
        spec (| SCREEN ^= X1 ^= Y1 ^= Y2 |)
   
   %WVLINE%; 
   process GET_DISPLAY =
        ( ! integer DESCR;
        )
   
   %GET_DISPLAY%; 
   end
%VTMOUSE_P3_TRA%; 
