
#include "CONTROLLER_types.h"
#include "CONTROLLER_externals.h"

static int i7=1;
static logical B_TRACE= FALSE /*TRUE*/; 

/* sortie des commandes selon leur encodage numerique */
static void affichage_double(char *chaine)
{
  /*  fprintf(stderr, "%s",chaine); fflush(stderr); */
  printf("%s",chaine);
  fflush(stdout);
} 

static void print_sensors(float sensors_1[14])
{
 int i1;

 if (B_TRACE)
   {
     /* ---- Affichage des valeurs de capteurs --- */
    for (i1 = 0; i1< 14;i1++)
    fprintf(stderr,"sensor[%d] : %f", i1, sensors_1[i1]);
    fprintf(stderr,"%f\n");
    fflush(stderr);
   }
}

extern void CONTROLLER_OpenIO(void)
{  
  /* Demarrage de l'interaction avec le simulateur */ 
  printf("blank_add\n");
  printf("belt1_start\n");
  printf("belt2_start\n");
  printf("crane_to_belt2\n");
  printf("crane_lower\n");
  printf("get_status\n");
  printf("react\n");
  fflush(stdout);
}

extern void CONTROLLER_CloseIO(void)
{ }

extern logical r_CONTROLLER_SENSORS(float sensors_1[14])
{ 
  logical h_4_h;
  float sensors_others;
  char sensors_car;
  int i1;

  /*   perdre du temps (un peu) : sleep(1);*/
  /*   lire les valeurs de capteurs */ 
  for (i1 = 0; i1< 14;i1++) h_4_h = (scanf("%f",&sensors_1[i1])!=EOF);

  /* lire des valeurs, mais de quoi ??????????????? une dizaine de zeros, 
     semble-t-il (exactement dix, en fait)
  */ 
  for (i1 = 1;i1<=10;i1++) { h_4_h = (scanf("%f",&sensors_others)!=EOF); };    

  /* passer la derniere ligne : celle des messages d'erreur  */ 
  do
    h_4_h = (scanf("%c",&sensors_car)!=EOF);
  while (sensors_car != '\n');

  print_sensors(sensors_1);

  /*  Je ne comprends pas, mais sans le test pb de simulation (lBesnard) */
  if ((sensors_1[0] == 1) && ( i7 == 1))
    {
      printf("blank_add\n");
      fflush(stdout);
      i7++;
    };

  return TRUE;
}

extern void w_CONTROLLER_REACT_CLOCK(logical b)
{
  /* replaced by SEND_COMMAND(35)
    printf("get_status\n");
    printf("react\n");
    fflush(stdout);
  */
}


extern void SEND_COMMAND(int ENTREE)
{
  switch (ENTREE)
    {
    case 1 : affichage_double("belt2_start\n"); break;
    case 2 : affichage_double("belt2_stop\n"); break;
    case 3 : affichage_double("belt1_start\n"); break;
    case 4 : affichage_double("belt1_stop\n"); break;
    case 5 : affichage_double("crane_lower\n"); break;
    case 6 : affichage_double("crane_lift\n"); break;
    case 7 : affichage_double("crane_stop_v\n"); break;
    case 8 : affichage_double("crane_to_belt2\n"); break;
    case 9 : affichage_double("crane_to_belt1\n"); break;
    case 10 : affichage_double("crane_stop_h\n"); break;
    case 11 : affichage_double("crane_mag_on\n"); break;
    case 12 : affichage_double("crane_mag_off\n"); break;
    case 13 : affichage_double("table_upward\n"); break;
    case 14 : affichage_double("table_downward\n"); break;
    case 15 : affichage_double("table_stop_v\n"); break;
    case 16 : affichage_double("table_left\n"); break;
    case 17 : affichage_double("table_right\n"); break;
    case 18 : affichage_double("table_stop_h\n"); break;
    case 19 : affichage_double("press_upward\n"); break;
    case 20 : affichage_double("press_downward\n"); break;
    case 21 : affichage_double("press_stop\n"); break;
    case 22 : affichage_double("arm1_stop\n"); break;
    case 23 : affichage_double("arm2_stop\n"); break;
    case 24 : affichage_double("arm1_mag_on\n"); break;
    case 25 : affichage_double("arm1_mag_off\n");break;
    case 26 : affichage_double("arm1_backward\n"); break;
    case 27 : affichage_double("arm1_forward\n"); break;
    case 28 : affichage_double("robot_stop\n"); break;
    case 29 : affichage_double("robot_right\n"); break;
    case 30 : affichage_double("robot_left\n"); break;
    case 31 : affichage_double("arm2_mag_on\n"); break;
    case 32 : affichage_double("arm2_mag_off\n");  break; 
    case 33 : affichage_double("arm2_backward\n"); break;
    case 34 : affichage_double("arm2_forward\n"); break;
    case 35:
      printf("get_status\n");
      printf("react\n");
      fflush(stdout);
      break;

    default : fprintf(stderr,"\nunknown command  %d\n",ENTREE);
    };
}

void SORTIR(int PAR)
{
 if (B_TRACE)
   {
     switch (PAR)
       {
       case  0: fprintf(stderr,"%s","SORTIR 0"); break;
       case  1: fprintf(stderr,"%s","SORTIR 1"); break;
       case  2: fprintf(stderr,"%s","SORTIR 2"); break;
       default : fprintf(stderr,"\nunknown command  %d\n",PAR);
       };
     fflush(stderr);
   }
}

EXTERN void CONTROLLER_stepIO_begin()
{
 
}

EXTERN void CONTROLLER_stepIO_end()
{
}
