process vtSimpleWatch_TRA =
     ( )
   pragmas 
      Main
      COMMENT "Definition of a graphical pace-maker with the following buttons:"
              "  - AUTO/MANU  : switches the mode (AUTOMATIC/MANUAL)"
              "  - TICK       : gives the ticks in MANUAL mode"
              "                 and gives supplementary ticks in AUTOMATIC mode"
              "  - QUIT       : quits the program in MANUAL mode"
              "  - +          : decreases the period of the clock program"
              "                 (basic frequency in AUTOMATIC mode)"
              "  - -          : increases the period of the clock program"
              "  - /          : divides by 2 the period of the clock program"
              "  - *          : doubles the period of the clock program"
              " (buttons +, -, /, * can be depressed in both AUTOMATIC and MANUAL modes)"
              " HE : Master Clock of the simulation."
              " frame: the window of the created object."
              " HES : sub-clock of HE obtained through the command buttons."
              " H_0 : clock of the initial instant."
      COMMENT "Getting of the state of a button."
              "w: window assigned to the button."
              "b: true if the button has been clicked, false otherwise."
      Java_Code "&o1=sim.&n(&i1)"
      COMMENT "Getting of the state of a button."
              "w: window assigned to the button."
              "b: true if the button has been clicked, false otherwise."
      COMMENT "Getting of the state of a button."
              "w: window assigned to the button."
              "b: true if the button has been clicked, false otherwise."
      COMMENT "Getting of the state of a button."
              "w: window assigned to the button."
              "b: true if the button has been clicked, false otherwise."
      COMMENT "Getting of the state of a checkbox."
              "w: window assigned to the button to be checked."
              "b: true if the button is checked, false otherwise."
      COMMENT "Getting of the state of a button."
              "w: window assigned to the button."
              "b: true if the button has been clicked, false otherwise."
      COMMENT "Getting of the state of a button."
              "w: window assigned to the button."
              "b: true if the button has been clicked, false otherwise."
      COMMENT "Exiting function:it terminates the simulation."
              "h: the activation clock."
      Java_Code "sim.&n()"
      COMMENT "It creates a frame, where all the graphics will be built(buttons, canvas)."
              "width: width of the frame; height: heigth of the frame."
              "win: the window of the created object."
              "The call to createFrame is obligatory; if you use the pacemaker, this call is already done"
      Java_Code "&o1 = sim.&n(&i1, &i2)"
      COMMENT "It creates a panel, that means a window where others graphical components can be put."
              "win: mother window;  d: the direction (horizontal and vertical)"
              "panel: the window of the created object."
      Java_Code "&o1 = sim.&n(&i1,&i2)"
      COMMENT "It creates a text area that can be modified."
              "win: mother window,  width: the width of the area, height: height of the area."
              "text:the window of the created object."
      Java_Code "&o1=sim.&n(&i1,&i2,&i3)"
      COMMENT "It creates a button."
              "win: mother window."
              "but: the window of the created object."
      COMMENT "It creates a button."
              "win: mother window."
              "but: the window of the created object."
      COMMENT "It creates a button."
              "win: mother window."
              "but: the window of the created object."
      COMMENT "It creates a button."
              "win: mother window."
              "but: the window of the created object."
      COMMENT "It creates a button."
              "win: mother window."
              "but: the window of the created object."
      COMMENT "It creates a button with a box to check."
              "win: mother window, b: initial state (check or uncheck)"
              "cB: the window of the created object."
      Java_Code "&o1=sim.&n(&i1,&i2)"
      COMMENT "It creates a button."
              "win: mother window."
              "but: the window of the created object."
      COMMENT "Writing an integer"
              "w:window of the text area, val: integer value to be writen."
      Java_Code "sim.&n(&i1,&i2)"
      COMMENT "Getting of the state of a button."
              "w: window assigned to the button."
              "b: true if the button has been clicked, false otherwise."
      COMMENT "It creates a panel, that means a window where others graphical components can be put."
              "win: mother window;  d: the direction (horizontal and vertical)"
              "panel: the window of the created object."
      Java_Code "&o1 = sim.&n(&i1,&i2)"
      COMMENT "It creates a canvas (to draw curves or patterns)"
              "win: mother window, width: the width of the canvas, height: height of the canvas"
              "canvas: the window of the created object."
      Java_Code "&o1=sim.&n(&i1,&i2,&i3)"
      COMMENT "It creates a panel, that means a window where others graphical components can be put."
              "win: mother window;  d: the direction (horizontal and vertical)"
              "panel: the window of the created object."
      Java_Code "&o1 = sim.&n(&i1,&i2)"
      COMMENT "It creates a button."
              "win: mother window."
              "but: the window of the created object."
      Java_CODE "&o1=true"
      COMMENT "Resetting a rectangular area in a canvas"
              "w: window of the canvas, x1:the X-coordinate of the start point,"
              "dx: the X-coordinate of the arrival point, dy: the Y-coordinate"
      Java_Code "sim.&n(&i1,&i2,&i3,&i4)"
      COMMENT "Writing a full rectangle in black color in a canvas"
              "w: window of the canvas,"
              "x, y:the X (resp. Y-coordinate) of the start point,"
              "dx,dy: the X (resp. Y-coordinate) of the arrival point.??? length???"
      Java_Code "sim.&n(&i1,&i2,&i3,&i4,&i5, &i6)"
      COMMENT "Writing an integer in a canvas"
              "w: window of the canvas, val: the value to be written,"
              "x: position in X-coordinate,y: position in Y-coordinate"
      Java_Code "sim.drawInteger(&i1,&i2,&i3,&i4)"
      COMMENT "Writing a full rectangle in black color in a canvas"
              "w: window of the canvas,"
              "x, y:the X (resp. Y-coordinate) of the start point,"
              "dx,dy: the X (resp. Y-coordinate) of the arrival point.??? length???"
      Java_Code "sim.&n(&i1,&i2,&i3,&i4,&i5, &i6)"
      COMMENT "Writing an integer in a canvas"
              "w: window of the canvas, val: the value to be written,"
              "x: position in X-coordinate,y: position in Y-coordinate"
      Java_Code "sim.drawInteger(&i1,&i2,&i3,&i4)"
      COMMENT "Writing a full rectangle in black color in a canvas"
              "w: window of the canvas,"
              "x, y:the X (resp. Y-coordinate) of the start point,"
              "dx,dy: the X (resp. Y-coordinate) of the arrival point.??? length???"
      Java_Code "sim.&n(&i1,&i2,&i3,&i4,&i5, &i6)"
      COMMENT "Writing an integer in a canvas"
              "w: window of the canvas, val: the value to be written,"
              "x: position in X-coordinate,y: position in Y-coordinate"
      Java_Code "sim.drawInteger(&i1,&i2,&i3,&i4)"
      COMMENT "Writing a full rectangle in black color in a canvas"
              "w: window of the canvas,"
              "x, y:the X (resp. Y-coordinate) of the start point,"
              "dx,dy: the X (resp. Y-coordinate) of the arrival point.??? length???"
      Java_Code "sim.&n(&i1,&i2,&i3,&i4,&i5, &i6)"
      COMMENT "Writing an integer in a canvas"
              "w: window of the canvas, val: the value to be written,"
              "x: position in X-coordinate,y: position in Y-coordinate"
      Java_Code "sim.drawInteger(&i1,&i2,&i3,&i4)"
   end pragmas
   (| (| CLK_canvas := ^CLK_canvas
       | ACT_CLK_canvas{}
       |)
    | (| {canvas --> P2} when CLK_Frame |)
    |)
   where 
   constant integer TICK_NUMBER = 15;
   constant integer FRONT_NUMBER = 2;
   constant integer TICK_HEIGHT = 10;
   constant integer DELTA = 20;
   constant integer TICK_WIDTH = 4;
   constant integer ESP_HEIGHT = 5;
   constant integer STRING_HEIGHT = 10;
   constant integer MIN_A = 0;
   constant integer MAX_A = 60;
   constant integer L_C = 500;
   constant integer H_C = 300;
   constant integer V0 = 60;
   constant integer V0_168 = 60;
   constant integer V0_193 = 24;
   constant integer CST_COEF_INIT_PACE = 4;
   constant integer CST_Frame_V1 = 900;
   constant integer CST_Frame_V2 = 530;
   constant integer CST_TextArea_V1 = 100;
   constant integer CST_TextArea_V2 = 30;
   constant integer PHY_0 = 0;
   constant integer PI_0_324 = 1;
   constant integer V_0 = 1;
   constant integer TS = 44;
   constant integer V_BOUND = 660;
   constant integer V_INIT = 44;
   constant integer V_BOUND_1053 = 660;
   constant integer V_INIT_1054 = 616;
   constant integer Y_POS = 220;
   constant integer Y_POS_1231 = 200;
   constant integer Y_POS_1333 = 170;
   constant integer Y_POS_1434 = 150;
   type TWindow = integer;
   type TColor = integer;
   constant TColor red = 0;
   constant TColor green = 1;
   constant TColor blue = 2;
   constant TColor black = 3;
   constant TColor white = 4;
   constant TColor cyan = 5;
   constant TColor darkGray = 6;
   constant TColor gray = 7;
   constant TColor lightGray = 8;
   constant TColor magenta = 9;
   constant TColor orange = 10;
   constant TColor pink = 11;
   constant TColor yellow = 12;
   constant TColor vc = black;
   event CLK_canvas;
   process ACT_CLK_canvas =
        ( )
      (| CLK_canvas ^= canvas ^= frame ^= butERESET ^= textArea ^= butPlus ^= butMoins ^= butMult ^= butDiv ^= butAuto ^= butTick ^= butQuit ^= bPlus ^= bMoins ^= bMult ^= bDiv ^= XZX_518 ^= XZX_535 ^= XZX_542 ^= XZX_549 ^= AUTOMOD ^= C_STOP ^= C_TICK ^= 
         CINIT ^= C_ERESET
       | (| CLK_285 := when (bPlus or bMoins) |)
       | (| CLK_288 := when (bMult or bDiv) |)
       | (| CLK_294 := when (bPlus or bMult) |)
       | (| CLK_297 := when (bMoins or bDiv) |)
       | (| CLK_MAX := when AUTOMOD
          | ACT_CLK_MAX{}
          |)
       | (| STOP_493 := when C_STOP
          | (| quitAppli(STOP_493) |)
          |)
       | (| TICK_304 := when C_TICK |)
       | (| CLK_Frame := when CINIT
          | CLK_Frame ^= Frame ^= TextArea ^= ButQuit ^= ButTick ^= ButAuto ^= ButPlus ^= ButMoins ^= ButMult ^= ButDiv ^= P2 ^= canvas_898 ^= but
          | ACT_CLK_Frame{}
          |)
       | (| ERESET_92 := when C_ERESET |)
       | (| CLK_C_UP_DOWN := CLK_294 ^+ CLK_297
          | CLK_C_UP_DOWN ^= C_UP_DOWN
          | (| C_UP_DOWN := CLK_294 default (not CLK_894) |)
          |)
       | (| CLK_C_LIN_EXP := CLK_285 ^+ CLK_288
          | ACT_CLK_C_LIN_EXP{}
          |)
       | (| CLK_XZX_406 := CLK_C_UP_DOWN ^* CLK_XZX_402
          | ACT_CLK_XZX_406{}
          |)
       | (| CLK_XZX_430 := CLK_C_UP_DOWN ^* CLK_XZX_427
          | ACT_CLK_XZX_430{}
          |)
       | (| CLK_VU := CLK_177 ^* CLK_183
          | CLK_VU ^= VU
          | (| VU := (XZX_402/2) when CLK_VU |)
          |)
       | (| CLK_NEW_BOUND_1 := CLK_VU ^+ CLK_188
          | CLK_NEW_BOUND_1 ^= NEW_BOUND_1
          | (| NEW_BOUND_1 := (VU when CLK_VU) default (VD when CLK_188) |)
          |)
       | (| CLK_VU_437 := CLK_215 ^* CLK_221
          | CLK_VU_437 ^= VU_437
          | (| VU_437 := (XZX_427-DELTA_435) when CLK_VU_437 |)
          |)
       | (| CLK_NEW_BOUND_2 := CLK_VU_437 ^+ CLK_226
          | CLK_NEW_BOUND_2 ^= NEW_BOUND_2
          | (| NEW_BOUND_2 := (VU_437 when CLK_VU_437) default (VD_436 when CLK_226) |)
          |)
       | (| TOPS_91 := TICK_304 ^+ HSP_302 |)
       | (| CLK_H := ERESET_92 ^+ TOPS_91
          | ACT_CLK_H{}
          |)
       | (| CLK_VMINUTE := ERESET_92 ^+ NOUV_MINUTE
          | CLK_VMINUTE ^= VMINUTE
          | ACT_CLK_VMINUTE{}
          |)
       | (| CLK_NEW_BOUND := CLK_Frame ^+ CLK_C_LIN_EXP
          | CLK_NEW_BOUND ^= XZX_340 ^= OLD_BOUND
          | ACT_CLK_NEW_BOUND{}
          |)
       | (| CLK_820 := CLK_Frame ^+ CLK_NEW_BOUND_2 |)
       | (| CLK_826 := CLK_820 ^+ CLK_NEW_BOUND_1 |)
       | (| CLK_MAX1 := CLK_NEW_BOUND ^+ CLK_MAX
          | CLK_MAX1 ^= MAX1
          | (| MAX1 := (XZX_340 when CLK_NEW_BOUND) cell CLK_MAX1 init 0 |)
          |)
       | (| CLK_VHEURE := ERESET_92 ^+ NOUV_HEURE
          | CLK_VHEURE ^= VHEURE
          | ACT_CLK_VHEURE{}
          |)
       | (| RESET_HEURE := ERESET_92 ^+ NOUV_JOUR |)
       | (| CLK_855 := CLK_VHEURE ^- RESET_HEURE |)
       | (| CLK_857 := CLK_VMINUTE ^- CLK_VHEURE |)
       | (| CLK_860 := CLK_NEW_BOUND ^- CLK_826 |)
       | (| CLK_862 := CLK_H ^- CLK_VMINUTE |)
       | (| CLK_864 := CLK_H ^- RESET_HEURE |)
       | (| CLK_879 := CLK_NEW_BOUND_2 ^- CLK_Frame |)
       | (| CLK_881 := CLK_NEW_BOUND_1 ^- CLK_820 |)
       | (| CLK_888 := NOUV_JOUR ^- ERESET_92 |)
       | (| CLK_892 := CLK_288 ^- CLK_285 |)
       | (| CLK_894 := CLK_297 ^- CLK_294 |)
       | (| canvas := (canvas_898 when CLK_Frame) cell CLK_canvas init 0
          | frame := (Frame when CLK_Frame) cell CLK_canvas init 0
          | butERESET := (but when CLK_Frame) cell CLK_canvas init 0
          | textArea := (TextArea when CLK_Frame) cell CLK_canvas init 0
          | butPlus := (ButPlus when CLK_Frame) cell CLK_canvas init 0
          | butMoins := (ButMoins when CLK_Frame) cell CLK_canvas init 0
          | butMult := (ButMult when CLK_Frame) cell CLK_canvas init 0
          | butDiv := (ButDiv when CLK_Frame) cell CLK_canvas init 0
          | butAuto := (ButAuto when CLK_Frame) cell CLK_canvas init 0
          | butTick := (ButTick when CLK_Frame) cell CLK_canvas init 0
          | butQuit := (ButQuit when CLK_Frame) cell CLK_canvas init 0
          | XZX_518 := butPlus
          | bPlus := readButton(XZX_518)
          | XZX_535 := butMoins
          | bMoins := readButton(XZX_535)
          | XZX_542 := butMult
          | bMult := readButton(XZX_542)
          | XZX_549 := butDiv
          | bDiv := readButton(XZX_549)
          | AUTOMOD := readCheckBox(butAuto)
          | C_STOP := readButton(butQuit)
          | C_TICK := readButton(butTick)
          | CINIT := (false when CLK_canvas)$1 init true
          | C_ERESET := readButton(butERESET)
          |)
       |)
      where 
      event CLK_894, CLK_892, CLK_888, CLK_881, CLK_879, CLK_864, CLK_862, CLK_860, CLK_857, CLK_855, RESET_HEURE, CLK_VHEURE, CLK_MAX1, CLK_826, CLK_820, CLK_NEW_BOUND, CLK_VMINUTE, CLK_H, TOPS_91, CLK_NEW_BOUND_2, CLK_VU_437, CLK_NEW_BOUND_1, CLK_VU, 
           CLK_XZX_430, CLK_XZX_406, CLK_C_LIN_EXP, CLK_C_UP_DOWN, ERESET_92, CLK_Frame, TICK_304, STOP_493, CLK_MAX, CLK_297, CLK_294, CLK_288, CLK_285, CLK_226, CLK_221, CLK_215, CLK_188, CLK_183, CLK_177, CLK_XZX_402, CLK_XZX_427, HSP_302, NOUV_JOUR, 
           NOUV_HEURE, NOUV_MINUTE;
      boolean C_UP_DOWN, bPlus, bMoins, bMult, bDiv, AUTOMOD, C_STOP, C_TICK, CINIT, C_ERESET;
      integer VHEURE, VMINUTE, MAX1, XZX_340, OLD_BOUND, NEW_BOUND_1, XZX_402, VD, VU, NEW_BOUND_2, XZX_427, DELTA_435, VD_436, VU_437;
      TWindow canvas, frame, butERESET, textArea, butPlus, butMoins, butMult, butDiv, butAuto, butTick, butQuit, XZX_518, XZX_535, XZX_542, XZX_549, Frame, TextArea, ButQuit, ButTick, ButAuto, ButPlus, ButMoins, ButMult, ButDiv, P2, canvas_898, but;
      process ACT_CLK_MAX =
           ( )
         (| CLK_MAX ^= MAX ^= ZV ^= V
          | (| CLK_132 := when (ZV>=MAX)
             | CLK_133 := when (not (ZV>=MAX))
             |)
          | (| HSP_302 := when (V=0) |)
          | (| MAX := MAX1 when CLK_MAX
             | ZV := V$1 init 1
             | V := (0 when CLK_132) default ((ZV+1) when CLK_133)
             |)
          |)
         where 
         event CLK_133, CLK_132;
         integer MAX, ZV, V;
         end
      %ACT_CLK_MAX%; 
      process ACT_CLK_Frame =
           ( )
         (| CLK_Frame ^= p1 ^= P1 ^= fr
          | (| Frame := createFrame(900,530)
             | p1 := createPanelWithCustomLayout(Frame,1 when CLK_Frame)
             | TextArea := createTextArea(p1,100,30)
             | ButPlus := createButton(p1)
             | ButMoins := createButton(p1)
             | ButDiv := createButton(p1)
             | ButMult := createButton(p1)
             | ButTick := createButton(p1)
             | ButAuto := createCheckBox(p1,not CLK_Frame)
             | ButQuit := createButton(p1)
             | fr := frame when CLK_Frame
             | P1 := createPanelWithCustomLayout(fr,1 when CLK_Frame)
             | canvas_898 := createCanvas(P1,300,500)
             | P2 := createPanelWithCustomLayout(fr,0 when CLK_Frame)
             | but := createButton(P2)
             |)
          |)
         where 
         TWindow p1, P1, fr;
         end
      %ACT_CLK_Frame%; 
      process ACT_CLK_C_LIN_EXP =
           ( )
         (| CLK_C_LIN_EXP ^= C_LIN_EXP
          | (| CLK_XZX_427 := when C_LIN_EXP
             | CLK_XZX_427 ^= XZX_427 ^= DELTA_435
             | ACT_CLK_XZX_427{}
             | CLK_XZX_402 := when (not C_LIN_EXP)
             | CLK_XZX_402 ^= XZX_402
             | ACT_CLK_XZX_402{}
             |)
          | (| C_LIN_EXP := CLK_285 default (not CLK_892) |)
          |)
         where 
         boolean C_LIN_EXP;
         process ACT_CLK_XZX_427 =
              ( )
            (| (| CLK_206 := when (XZX_427>=16)
                | CLK_207 := when (not (XZX_427>=16))
                |)
             | (| CLK_221 := when (XZX_427>1) |)
             | (| XZX_427 := OLD_BOUND when CLK_XZX_427
                | DELTA_435 := ((XZX_427/16) when CLK_206) default (1 when CLK_207)
                |)
             |)
            where 
            event CLK_207, CLK_206;
            end
         %ACT_CLK_XZX_427%; 
         process ACT_CLK_XZX_402 =
              ( )
            (| (| CLK_183 := when (XZX_402>1) |)
             | (| XZX_402 := OLD_BOUND when CLK_XZX_402 |)
             |)
         %ACT_CLK_XZX_402%; 
         end
      %ACT_CLK_C_LIN_EXP%; 
      process ACT_CLK_XZX_406 =
           ( )
         (| CLK_XZX_406 ^= XZX_406
          | (| CLK_177 := when XZX_406
             | CLK_VD := when (not XZX_406)
             | CLK_VD ^= VD
             | ACT_CLK_VD{}
             |)
          | (| XZX_406 := C_UP_DOWN when CLK_XZX_406 |)
          |)
         where 
         event CLK_VD;
         boolean XZX_406;
         process ACT_CLK_VD =
              ( )
            (| (| CLK_188 := when (VD>0) |)
             | (| VD := (XZX_402+XZX_402) when CLK_VD |)
             |)
         %ACT_CLK_VD%; 
         end
      %ACT_CLK_XZX_406%; 
      process ACT_CLK_XZX_430 =
           ( )
         (| CLK_XZX_430 ^= XZX_430
          | (| CLK_215 := when XZX_430
             | CLK_VD_436 := when (not XZX_430)
             | CLK_VD_436 ^= VD_436
             | ACT_CLK_VD_436{}
             |)
          | (| XZX_430 := C_UP_DOWN when CLK_XZX_430 |)
          |)
         where 
         event CLK_VD_436;
         boolean XZX_430;
         process ACT_CLK_VD_436 =
              ( )
            (| (| CLK_226 := when (VD_436>0) |)
             | (| VD_436 := (XZX_427+DELTA_435) when CLK_VD_436 |)
             |)
         %ACT_CLK_VD_436%; 
         end
      %ACT_CLK_XZX_430%; 
      process ACT_CLK_H =
           ( )
         (| CLK_H ^= H ^= M ^= ZJOUR ^= VJOUR ^= VSECONDE ^= ZVCPT ^= X ^= V_991 ^= V1 ^= ZV_1005 ^= XZX_1020 ^= V1_1061 ^= ZV_1062 ^= ECRAN ^= Y1 ^= C_aff ^= prop ^= Y1_rel ^= XZX_1143 ^= ECRAN_1250 ^= Y1_1253 ^= C_aff_1256 ^= prop_1257 ^= Y1_rel_1259 ^= 
            XZX_1292 ^= ECRAN_1351 ^= Y1_1354 ^= C_aff_1357 ^= prop_1358 ^= Y1_rel_1360 ^= XZX_1393 ^= ECRAN_1451 ^= Y1_1454 ^= C_aff_1457 ^= prop_1458 ^= Y1_rel_1460 ^= XZX_1493
          | (| NOUV_MINUTE := when (ZVCPT>=60) |)
          | (| CLK_496 := when (V1>=660)
             | CLK_497 := when (not (V1>=660))
             |)
          | (| CLK_516 := when (V1_1061>=660)
             | CLK_517 := when (not (V1_1061>=660))
             |)
          | (| CLK_535 := when (VJOUR>0)
             | CLK_536 := when (not (VJOUR>0))
             |)
          | (| CLK_538 := when (VJOUR<60)
             | CLK_539 := when (not (VJOUR<60))
             |)
          | (| CLK_592 := when (H>0)
             | CLK_593 := when (not (H>0))
             |)
          | (| CLK_595 := when (H<60)
             | CLK_596 := when (not (H<60))
             |)
          | (| CLK_637 := when (M>0)
             | CLK_638 := when (not (M>0))
             |)
          | (| CLK_640 := when (M<60)
             | CLK_641 := when (not (M<60))
             |)
          | (| CLK_682 := when (VSECONDE>0)
             | CLK_683 := when (not (VSECONDE>0))
             |)
          | (| CLK_685 := when (VSECONDE<60)
             | CLK_686 := when (not (VSECONDE<60))
             |)
          | (| CLK_741 := CLK_682 ^* CLK_685 |)
          | (| CLK_743 := CLK_741 ^+ CLK_686 |)
          | (| CLK_747 := CLK_637 ^* CLK_640 |)
          | (| CLK_749 := CLK_747 ^+ CLK_641 |)
          | (| CLK_753 := CLK_592 ^* CLK_595 |)
          | (| CLK_755 := CLK_753 ^+ CLK_596 |)
          | (| CLK_759 := CLK_535 ^* CLK_538 |)
          | (| CLK_761 := CLK_759 ^+ CLK_539 |)
          | (| CLK_896 := CLK_536 ^- CLK_761 |)
          | (| CLK_899 := CLK_593 ^- CLK_755 |)
          | (| CLK_902 := CLK_638 ^- CLK_749 |)
          | (| CLK_905 := CLK_683 ^- CLK_743 |)
          | (| H := (VHEURE when CLK_VHEURE) cell CLK_H init 0
             | M := (VMINUTE when CLK_VMINUTE) cell CLK_H init 0
             | ZJOUR := VJOUR$1 init 0
             | VJOUR := (0 when ERESET_92) default ((ZJOUR+1) when CLK_888) default (ZJOUR when CLK_864)
             | VSECONDE := (0 when CLK_VMINUTE) default ((ZVCPT+1) when CLK_862)
             | ZVCPT := VSECONDE$1 init 60
             | X := (0 when CLK_516) default (V1_1061 when CLK_517)
             | V_991 := (0 when CLK_496) default (V1 when CLK_497)
             | V1 := ZV_1005+44
             | ZV_1005 := V_991$1 init 44
             | XZX_1020 := canvas when CLK_H
             | clearCanvas(XZX_1020,V_991,44 when CLK_H,300)
             | V1_1061 := ZV_1062+44
             | ZV_1062 := X$1 init 616
             | ECRAN := canvas when CLK_H
             | C_aff := (VJOUR when CLK_759) default (60 when CLK_539) default (0 when CLK_896)
             | Y1_rel := real(C_aff)/prop
             | prop := real(6 when CLK_H)
             | Y1 := integer(Y1_rel)
             | XZX_1143 := 220-Y1
             | fillRect(ECRAN,X,XZX_1143,44 when CLK_H,Y1,vc)
             | drawInteger(ECRAN,C_aff,X,230 when CLK_H)
             | ECRAN_1250 := canvas when CLK_H
             | C_aff_1256 := (H when CLK_753) default (60 when CLK_596) default (0 when CLK_899)
             | Y1_rel_1259 := real(C_aff_1256)/prop_1257
             | prop_1257 := real(6 when CLK_H)
             | Y1_1253 := integer(Y1_rel_1259)
             | XZX_1292 := 200-Y1_1253
             | fillRect(ECRAN_1250,X,XZX_1292,44 when CLK_H,Y1_1253,vc)
             | drawInteger(ECRAN_1250,C_aff_1256,X,210 when CLK_H)
             | ECRAN_1351 := canvas when CLK_H
             | C_aff_1357 := (M when CLK_747) default (60 when CLK_641) default (0 when CLK_902)
             | Y1_rel_1360 := real(C_aff_1357)/prop_1358
             | prop_1358 := real(6 when CLK_H)
             | Y1_1354 := integer(Y1_rel_1360)
             | XZX_1393 := 170-Y1_1354
             | fillRect(ECRAN_1351,X,XZX_1393,44 when CLK_H,Y1_1354,vc)
             | drawInteger(ECRAN_1351,C_aff_1357,X,180 when CLK_H)
             | ECRAN_1451 := canvas when CLK_H
             | C_aff_1457 := (VSECONDE when CLK_741) default (60 when CLK_686) default (0 when CLK_905)
             | Y1_rel_1460 := real(C_aff_1457)/prop_1458
             | prop_1458 := real(6 when CLK_H)
             | Y1_1454 := integer(Y1_rel_1460)
             | XZX_1493 := 150-Y1_1454
             | fillRect(ECRAN_1451,X,XZX_1493,44 when CLK_H,Y1_1454,vc)
             | drawInteger(ECRAN_1451,C_aff_1457,X,160 when CLK_H)
             |)
          |)
         where 
         event CLK_905, CLK_902, CLK_899, CLK_896, CLK_761, CLK_759, CLK_755, CLK_753, CLK_749, CLK_747, CLK_743, CLK_741, CLK_686, CLK_685, CLK_683, CLK_682, CLK_641, CLK_640, CLK_638, CLK_637, CLK_596, CLK_595, CLK_593, CLK_592, CLK_539, CLK_538, 
              CLK_536, CLK_535, CLK_517, CLK_516, CLK_497, CLK_496;
         real prop, Y1_rel, prop_1257, Y1_rel_1259, prop_1358, Y1_rel_1360, prop_1458, Y1_rel_1460;
         TWindow XZX_1020, ECRAN, ECRAN_1250, ECRAN_1351, ECRAN_1451;
         integer H, M, ZJOUR, VJOUR, VSECONDE, ZVCPT, X, V_991, V1, ZV_1005, V1_1061, ZV_1062, Y1, C_aff, XZX_1143, Y1_1253, C_aff_1256, XZX_1292, Y1_1354, C_aff_1357, XZX_1393, Y1_1454, C_aff_1457, XZX_1493;
         end
      %ACT_CLK_H%; 
      process ACT_CLK_VMINUTE =
           ( )
         (| CLK_VMINUTE ^= ZVCPT_173
          | (| NOUV_HEURE := when (ZVCPT_173>=60) |)
          | (| VMINUTE := (0 when CLK_VHEURE) default ((ZVCPT_173+1) when CLK_857)
             | ZVCPT_173 := VMINUTE$1 init 60
             |)
          |)
         where 
         integer ZVCPT_173;
         end
      %ACT_CLK_VMINUTE%; 
      process ACT_CLK_NEW_BOUND =
           ( )
         (| CLK_NEW_BOUND ^= NEW_BOUND ^= XZX_848
          | (| CLK_109 := when (NEW_BOUND<=1)
             | CLK_110 := when (not (NEW_BOUND<=1))
             |)
          | (| NEW_BOUND := (4 when CLK_Frame) default (NEW_BOUND_2 when CLK_879) default (NEW_BOUND_1 when CLK_881) default (OLD_BOUND when CLK_860)
             | XZX_340 := (0 when CLK_109) default ((NEW_BOUND-1) when CLK_110)
             | OLD_BOUND := NEW_BOUND$1 init 1
             | XZX_848 := textArea when CLK_NEW_BOUND
             | setTextArea(XZX_848,NEW_BOUND)
             |)
          |)
         where 
         event CLK_110, CLK_109;
         TWindow XZX_848;
         integer NEW_BOUND;
         end
      %ACT_CLK_NEW_BOUND%; 
      process ACT_CLK_VHEURE =
           ( )
         (| CLK_VHEURE ^= ZVCPT_200
          | (| NOUV_JOUR := when (ZVCPT_200>=24) |)
          | (| VHEURE := (0 when RESET_HEURE) default ((ZVCPT_200+1) when CLK_855)
             | ZVCPT_200 := VHEURE$1 init 24
             |)
          |)
         where 
         integer ZVCPT_200;
         end
      %ACT_CLK_VHEURE%; 
      end
   %ACT_CLK_canvas%; 
   process quitAppli =
        ( ? event h;
        )
      pragmas 
         COMMENT "Exiting function:it terminates the simulation."
                 "h: the activation clock."
         Java_Code "sim.&n()"
      end pragmas
   
   %quitAppli%; 
   process createFrame =
        ( ? integer width, height;
          ! TWindow win;
        )
        spec (| width ^= height ^= win |)
      pragmas 
         COMMENT "It creates a frame, where all the graphics will be built(buttons, canvas)."
                 "width: width of the frame; height: heigth of the frame."
                 "win: the window of the created object."
                 "The call to createFrame is obligatory; if you use the pacemaker, this call is already done"
         Java_Code "&o1 = sim.&n(&i1, &i2)"
      end pragmas
   
   %createFrame%; 
   process createPanelWithCustomLayout =
        ( ? TWindow win;
            integer d;
          ! TWindow panel;
        )
        spec (| win ^= d ^= panel |)
      pragmas 
         COMMENT "It creates a panel, that means a window where others graphical components can be put."
                 "win: mother window;  d: the direction (horizontal and vertical)"
                 "panel: the window of the created object."
         Java_Code "&o1 = sim.&n(&i1,&i2)"
      end pragmas
   
   %createPanelWithCustomLayout%; 
   process createTextArea =
        ( ? TWindow win;
            integer width, height;
          ! TWindow text;
        )
        spec (| win ^= width ^= height ^= text |)
      pragmas 
         COMMENT "It creates a text area that can be modified."
                 "win: mother window,  width: the width of the area, height: height of the area."
                 "text:the window of the created object."
         Java_Code "&o1=sim.&n(&i1,&i2,&i3)"
      end pragmas
   
   %createTextArea%; 
   process createButton =
        ( ? TWindow win;
          ! TWindow but;
        )
        spec (| win ^= but |)
      pragmas 
         COMMENT "It creates a button."
                 "win: mother window."
                 "but: the window of the created object."
         Java_Code "&o1=sim.&n(&i1)"
      end pragmas
   
   %createButton%; 
   process createCheckBox =
        ( ? TWindow win;
            boolean b;
          ! TWindow cB;
        )
        spec (| win ^= b ^= cB |)
      pragmas 
         COMMENT "It creates a button with a box to check."
                 "win: mother window, b: initial state (check or uncheck)"
                 "cB: the window of the created object."
         Java_Code "&o1=sim.&n(&i1,&i2)"
      end pragmas
   
   %createCheckBox%; 
   process createCanvas =
        ( ? TWindow win;
            integer width, height;
          ! TWindow canvas;
        )
        spec (| win ^= width ^= height ^= canvas |)
      pragmas 
         COMMENT "It creates a canvas (to draw curves or patterns)"
                 "win: mother window, width: the width of the canvas, height: height of the canvas"
                 "canvas: the window of the created object."
         Java_Code "&o1=sim.&n(&i1,&i2,&i3)"
      end pragmas
   
   %createCanvas%; 
   process clearCanvas =
        ( ? TWindow w;
            integer x1, dx, dy;
        )
        spec (| w ^= x1 ^= dy ^= dx |)
      pragmas 
         COMMENT "Resetting a rectangular area in a canvas"
                 "w: window of the canvas, x1:the X-coordinate of the start point,"
                 "dx: the X-coordinate of the arrival point, dy: the Y-coordinate"
         Java_Code "sim.&n(&i1,&i2,&i3,&i4)"
      end pragmas
   
   %clearCanvas%; 
   process fillRect =
        ( ? TWindow w;
            integer x, y;
            integer dx, dy;
            TColor vcolor;
        )
        spec (| w ^= x ^= y ^= dx ^= dy |)
      pragmas 
         COMMENT "Writing a full rectangle in black color in a canvas"
                 "w: window of the canvas,"
                 "x, y:the X (resp. Y-coordinate) of the start point,"
                 "dx,dy: the X (resp. Y-coordinate) of the arrival point.??? length???"
         Java_Code "sim.&n(&i1,&i2,&i3,&i4,&i5, &i6)"
      end pragmas
   
   %fillRect%; 
   process drawInteger =
        ( ? TWindow w;
            integer val;
            integer x, y;
        )
        spec (| w ^= val ^= y ^= x |)
      pragmas 
         COMMENT "Writing an integer in a canvas"
                 "w: window of the canvas, val: the value to be written,"
                 "x: position in X-coordinate,y: position in Y-coordinate"
         Java_Code "sim.drawInteger(&i1,&i2,&i3,&i4)"
      end pragmas
   
   %drawInteger%; 
   process setTextArea =
        ( ? TWindow w;
            integer val;
        )
        spec (| w ^= val |)
      pragmas 
         COMMENT "Writing an integer"
                 "w:window of the text area, val: integer value to be writen."
         Java_Code "sim.&n(&i1,&i2)"
      end pragmas
   
   %setTextArea%; 
   process readButton =
        ( ? TWindow w;
          ! boolean b;
        )
        spec (| w ^= b |)
      pragmas 
         COMMENT "Getting of the state of a button."
                 "w: window assigned to the button."
                 "b: true if the button has been clicked, false otherwise."
         Java_Code "&o1=sim.&n(&i1)"
      end pragmas
   
   %readButton%; 
   process readCheckBox =
        ( ? TWindow w;
          ! boolean b;
        )
        spec (| w ^= b |)
      pragmas 
         COMMENT "Getting of the state of a checkbox."
                 "w: window assigned to the button to be checked."
                 "b: true if the button is checked, false otherwise."
         Java_Code "&o1=sim.&n(&i1)"
      end pragmas
   
   %readCheckBox%; 
   end
%vtSimpleWatch_TRA%; %(| HE_264 := readClock()
                       | Z_VJ := VJOUR$1 init 0
                       | Z_VH := H$1 init 0
                       | Z_VM := M$1 init 0
                       | Z_VS := VSECONDE$1 init 0
                       |)**WARNING: unused signals 

%
