
# -------------------------------------
# it generates the _config_[.bat] file.
# -------------------------------------

MK_CONFIG_NAME(_config_ CONFIG_NAME)
SET(CONFIG_FILE ${Signal_bin}/${CONFIG_NAME})
IF(UNIX)
  FILE(APPEND ${CONFIG_FILE} "setenv SIGNAL_LIBRARY_PATH .:\${SignalLib_Std}:\${SignalLib_Sigali}\n")
  FILE(APPEND ${CONFIG_FILE} "setenv SIGNAL_LIBRARY_PATH \${SIGNAL_LIBRARY_PATH}:\${SignalLib_Profiling} \n")
  FILE(APPEND ${CONFIG_FILE} "alias signal '\${Signal_bin}/signal \$*'\n")
  FILE(APPEND ${CONFIG_FILE} "alias genMake '\${Signal_bin}/genMake \$*'\n")
ELSE(UNIX)
  FILE(APPEND ${CONFIG_FILE} "set signal_library_path=%signal_library_path%;.;%SignalLib_Std%;%SignalLib_Sigali%\n")
  FILE(APPEND ${CONFIG_FILE} "set signal_library_path=%signal_library_path%;%SignalLib_Profiling%\n")
  FILE(APPEND ${CONFIG_FILE} "set path=%path%;%Signal_bin%\n")
ENDIF(UNIX)
GEN_ECHO_USE_CMD(${CONFIG_FILE} "signal" "-h" "to get Signal compiler command description")
